Using this Tutorial

All-In-One Protector

Using this Tutorial - All-In-One Protector

Home topic »No topics above this level«

Using this Tutorial - All-In-One Protector

 This is the first topic Next topic Print this topic Feedback on: All-In-One Protector - Using this Tutorial - All-In-One Protector Overview Using this Tutorial / Dear Support Staff,

Using this Tutorial - All-In-One Protector

 This is the first topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This tutorial presents an easy way of learning how to use All-In-One Protector. It is designed for authors, technical writers, documentation specialists, developers, and anyone else who wants to provide copy protected files.

While completing these lessons, you will learn how to develop a project, to deploy the project and to use advanced features like Web Activation or integration into online shops.

Part I gives you a foundation for using All-In-One Protector features, including using styles and creating links. Part II provides hands-on experience of using additional features like menu creator, online shop integration or using the Activation Server.

Using the help

Use the buttons [image] [image] in the upper right corner to browse through the online help. Small images are enlarged if you click on it.

(Für die deutsche Version der Online Hilfe klicken Sie hier [image] )

Print this tutorial

The Online Tutorial is also available as a PDF document.

You can print this tutorial - click on the link to download PDF file

Updates

Available Updates

recently added - new features of version 5

· Regular online checks (7/2013)

· Minimize file size of All-In-One Player(7/2013)

· New designs for the activation screens (7/2013)

· Command line parameters to automatically update project files (3/2013)

· Protection of Excel files (11/2012)

· Protection of PowerPoint files (11/2012)

Copyrights and Trademarks

Copyright © Mirage Computer Systems GmbH. All rights reserved.

Information in this document is subject to change without notice. The software described in this document is furnished under a license agreement or non-disclosure agreement. The software may be used or copied only in accordance with the terms of those agreements.

This documentation and the accompanying material is for informational purpose only and is property of Mirage Computer Systems GmbH, Aulendorf. Information in this document is subject to change without notice. The names of companies, products, people, characters, and/or data mentioned herein are fictitious and are in no way intended to represent any real individual, company, product, or event, unless otherwise noted.

No part of this publication may be reproduced, stored in a retrieval system, or transmitted in any form or any means electronic or mechanical, including photocopying and recording for any purpose other than the purchaser’s personal use without the written permission of Mirage Computer Systems.

All products and company names mentioned herein may be the trademarks of their respective owners.

http://www.mirage-systems.de

All-In-One Protector Version: 5.1

This document was updated: 28.08.2013


About Part I

Home topic Part I - Learning the Basics:

About Part I

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - About Part I Part_I_Learning_the_Basics Part I - Learning the Basics > About Part I / Dear Support Staff,

About Part I

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The lessons in the first part of this tutorial introduce All-In-One Protector's essential functions. After completing them, you'll be familiar with creating and configuring a basic project. This tutorial comes with a project already created for you (there's only a minimal amount of typing required at the beginning of Part I) - the project name is PDF-Demo.

In Part I, you will learn:

· About All-In-One Protector

· Copy Protection, Licensing, Evaluation

· Getting started

· TAB - File

· TAB - Start

· TAB - Publish

· TAB - Keys

· TAB - Activation Server

· TAB - Extras

· TAB Help


Latest Updates

Home topic Part I - Learning the Basics:

Latest Updates

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Latest Updates Latest_Updates Part I - Learning the Basics > Latest Updates / Dear Support Staff,

Latest Updates

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Updates

Update 5.1

Update 5.0.4

Upgrade from All-In-One Protector Version 4 to Version 5

Click here for information about updating from All-In-One Protector version 4


Update 5.1

Home topic Part I - Learning the Basics > Latest Updates:

Update 5.1

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Update 5.1 Service_Pack_5.1 Part I - Learning the Basics > Latest Updates > Update 5.1 / Dear Support Staff,

Update 5.1

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Modification History

For a complete list of all modifications click here

All-In-One Protector Application

Configure regular online checks to revoke or lock a license

Option to minimize the file size of the player and use an own icon for EXE and office (Excel / PowerPoint) projects

Option to remove a file from the recent file list

Option to change the background image of the registration dialogue including a lot of sample background images

Option to prevent that a network or USB flash drive license can be deactivated

Option to publish on a internal network drive (harddisk)

Create different folders for video online streaming projects

Command line option -pf hdd added

Multiple output options can be combined, e.g. -pf exe+usb+hdd

New animation while saving the project or creating the publish files

Clicking on the TAB Data Import opens a file dialog if no files have been selected

New icon to indicate that the Prepare Publish process has been completed

All-In-One Player

Regular online checks

EXE and office projects (Excel / PowerPoint) can have a custom icon for the All-In-One Protector Application Viewer

Language Vietnamese added

The splash screen includes the text: Licensed to (name used during product registration)

Flash 11 is supported for flash (swf) projects

Button License Transfer is not available for a USB flash drive license

Some text has been available in English only

PowerPoint / Excel Protection

Excel: Support of XLSM files with Macros

Excel: Additional explanation how to password protect an Excel sheet or makro

Warning and error messages for PowerPoint and Excel added

All-In-One Protector Video Player

Language can be changed within the video player

All-In-One Protector PDF Viewer

New option to limit the number of pages while in evaluation mode

New option to start in full screen mode

Add a close button

Allow to modify and change the PDF file as a separate option (e.g. to fill out forms)

Option: Start PDF file from installation folder did not work

Virtual Zone - EXE protection

New EXE build option - Save each EXE file as single encrypted file

Installation Manager

Prevent installation on Windows 8 with configuration setting DoNotInstallOnWindows8

New icon

Adds write access for all mmf files

Automated USB-Stick duplication

New command line parameters -ep and -days

All-In-One Protector installation

When the product is uninstalled, the license is automatically transferred

Works for non-admin users

Update Eligibility
The service pack requires a valid version of All-In-One Protector version 5 to install.

Automated Installation of the Update (hard disk installation only)

The service pack installs automatically if you have Automatic Update Check enabled.

If you instantly want to check for an update, the update check can also be started from Tab Help, Check for updates.

USB flash drive version and Event Edition

·Download Update: Version for USB flash drive version, Event Edition

·Start the file aioinstall510-usb.exe (alternatively aioinstall510-event.exe)

·If you get an error message while the files are updated on the USB flash drive then uninstall the old version first and delete all files on the USB flash drive after uninstalling. You will need your Serial Number after installation of version 5.1 to activate the product again

Manual Installation of the Update (hard disk)

If you don't have internet access on the PC where you are using All-In-One Protector, you can install the update as follows:

·Download Update: Version for Hard Disk

·Start the file aioinstall510-harddisk.exe

·You should disable the Automatic Update Check on this PC.


Update 5.0.4

Home topic Part I - Learning the Basics > Latest Updates:

Update 5.0.4

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Update 5.0.4 Service_Pack_4.0.4 Part I - Learning the Basics > Latest Updates > Update 5.0.4 / Dear Support Staff,

Update 5.0.4

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Modification History

For a complete list of all modifications click here

All-In-One Protector Application

Command line parameters -pf exe, -pf cd and -pf usb to update the published content in a batch process

All-In-One Player

Office 2013 for PowerPoint and Excel protection is now supported

Powerpoint / Excel - Shortcuts which would allow to open or manipulate a file (like ALT + F8 or ALT + F11) are disabled. F12 (save) will terminate Excel or PowerPoint

A MMF file needs write access only if the option to modify a PDF, PowerPoint or Excel file was specified. In prior version the write access was always required. If the user does not have a write access but the option, which allows to modify the file is checked, a warning message is displayed

PowerPoint and Excel on Windows 8 did pop up an error message when the application was terminated

Activation by e-mail. If no e-mail application is installed the content of the activation e-mail was sometimes not copied into the clipboard

All-In-One Protector Video Player

No changes

All-In-One Protector PDF Viewer

The option: Search Pane could not be disabled

Virtual Zone - EXE protection

A protected EXE could crash on Windows 8

Installation Manager

No changes

Update Eligibility
The service pack requires a valid version of All-In-One Protector version 5.0 to install.

Automated Installation of the Update (hard disk installation only)

The service pack installs automatically if you have Automatic Update Check enabled.

If you instantly want to check for an update, the update check can also be started from your program manager group, All-In-One Protector, [image] Check for updates.

Manual Installation of the Update (USB flash drive and Event Edition installation)

If you don't have internet access on the PC where you are using All-In-One Protector, you can install the update as follows:

·Download Update: Version for hard disk, USB flash drive, Event Edition

·Start the file aioinstall504-harddisk.exe (alternatively aioinstall504-usb.exe, aioinstall504.-event.exe)

·You should disable the Automatic Update Check on this PC.


Update Version 4 to 5

Home topic Part I - Learning the Basics > Latest Updates:

Update Version 4 to 5

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Update Version 4 to 5 update_multimediaprotector_AIP Part I - Learning the Basics > Latest Updates > Update Version 4 to 5 / Dear Support Staff,

Update Version 4 to 5

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you upgrade from All-In-One Protector 4.x to All-In-One Protector 5.0, please note:

·You need a new Serial Number to install All-In-One Protector 5.0. There Serial Numbers have been sent out to all customers with a valid update subscription (valid December 1st 2012) or if the purchase of the product was after November 1st 2012. If you didn't get a Serial Number and you have a valid update subscription contact support@mirage-systems.de. Otherwise you can buy an update.

·All-In-One Protector 4.0 and version 5 can be installed on the same machine / USB flash drive

·You can open existing All-In-One Protector projects with All-In-One Protector 5.0 and work on it. After saving the project, it cannot be opened again with version 4

· Check your hosting settings

·After opening a All-In-One Protector 5.0 project the first time, update it on the Activation Server

·If you send out updates to customers for existing projects, you always have to send the All-In-One Player and the MMF or MPVIDEO files. The license file (.lic) file is not necessary, if you want to keep the existing license

Modification History

For a complete list of all modifications click here

All-In-One Protector Application

New Excel protection option

The way PowerPoint protection is done has changed - now PPT 2007 and 2010 is supported and a lot of more features are available

Publish for USB flash drive. New option to limit usage by number of days

SWF project - new build option Save each SWF file as one single encrypted file

New option to hide the license transfer button and the info button

New languages: Spanish and French

Support for Windows 8 added

All-In-One Player

The Serial Number can be retrieved from the license information file (e.g. to display it in an own custom screen)

Flash 10 is supported for flash projects

The All-In-One Player is digitally signed. This is important in case a company allows only to run signed EXE files

Support for Windows 8 added

Special characters like & in the project name is now possible

Captivate SWF files - the complete player control is visible

All-In-One Protector Video Player

Support for Windows 8 added

All-In-One Protector PDF Viewer

Support for Windows 8 added

PDF file with text fields and activated option: Allow markups and save pdf could case a crash

Virtual Zone - EXE protection

Support for Windows 8 added

Installation Manager

No changes


Installation - Windows 8 - System Requirements

Home topic Part I - Learning the Basics:

Installation - Windows 8 - System Requirements

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Installation - Windows 8 - System Requirements Installation_-_Windows_Vista Part I - Learning the Basics > Installation - Windows 8 - System Requirements / Dear Support Staff,

Installation - Windows 8 - System Requirements

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector and All-In-One Player run on Windows XP (SP3), Vista, Windows 7 and Windows 8 - all listed operating systems are supported in the 32 bit and 64 bit version. Windows 8 RT is not supported.

If your secured application is stored on a network, the administrator has to add read/write access for all users.

If you use a CD installation, the All-In-One Player will add the necessary authorization automatically during program start.


Protection for a lot of applications and file formats

Home topic Part I - Learning the Basics:

Protection for a lot of applications and file formats

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Protection for a lot of applications and file formats Supported_Flash_Tools Part I - Learning the Basics > Protection for a lot of applications and file formats / Dear Support Staff,

Protection for a lot of applications and file formats

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The All-In-One Protector offers a native support of SWF(Flash), FLV, PDF, PowerPoint, Excel, EXE, Video and Audio files and other file types by converting these files to flash, EXE or PDF files.

Find below a list of all supported file types and the steps which are necessary to protect each file.

If you use tools which produce a SWF file, the swf file should actually run with the All-In-One Player. Sometimes, special settings will be necessary. We have tested some tools and described the necessary settings.

File Formats

· CHM

· Excel

· EXE

· FLV(Video)

· HTML

· JPG (Photo / Bild)

· MDI

· MP3

· PDF

· PowerPoint

· SWF (Flash)

· Video

· Word, Visio

Applications

· Active E-Book Compiler

· Adobe Captivate (Adobe)

· Authorware (Macromedia)

· Articulate Engage(Articulate)

· Articulate Presenter (Articulate)

· Articulate Quizmaker (Articulate)

· Camtasia (Techsmith)

· Director (Adobe)

· Flashform(Rapid Intake)

· Flashpaper (Adobe)

· Flash Video MX (Moyea)

· FLV Player (martijndevisser.com)

· HTML Executable (gdgsoft)

· LearnCube (Outstart)

· Lectora (Trivantis)

· Lightroom (Adobe)

· Mediator (Matchware)

· Presenter (Adobe)

· Print2Flash (Blue-Pacific)

· SWF Generator (Orontes Project)

· SWF Studio (Northcode)

· Turbodemo (balesio)

· VLC Portable Player (PortableApps.com)

· Zinc (MDM)


File formats which can be protected

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

File formats which can be protected

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - File formats which can be protected convert_file_howto Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected / Dear Support Staff,

File formats which can be protected

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The All-In-One Player supports SWF (Macromedia Flash) files, FLV, PDF, PPT, JPEG,MP3 native and other file types by converting these files to flash.

At least one SWF, PDF, FLV or EXE file is needed. This file can start any video, music or image files which are supported by the standard flash players.

Find below a list of all supported file formats in alphabetical order:

· AVI, MPEG, Quicktime, WAV, Windows Media Video, other Video formats

· CHM

· Excel

· EXE Files

· FLV(Video)

· HTML

· JAR (Java)

· JPG(Photo / Image)

· MDI

· Music, Audio, MP3

· PDF

· PowerPoint (PPT)

· SWF (Flash)

· Word, Visio, Office Documents


AVI, MPEG, Quicktime , Windows Media Video

All-In-One Protector

AVI, MPEG, Quicktime , WAV, WMV, DivX

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

AVI, MPEG, Quicktime , WAV, WMV, DivX

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - AVI, MPEG, Quicktime , WAV, WMV, DivX convert_video Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected > AVI, MPEG, Quicktime , WAV, WMV, DivX / Dear Support Staff,

AVI, MPEG, Quicktime , WAV, WMV, DivX

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector offers different option to protect video files.

All-In-One Protector Video Player (recommended)

All-In-One Protector comes with an own video / audio player, which is capable of playing all video formats, which are available on the end user system. There are practically no limitations on the file size.

·The file size per video can be up to 1GB

·Files in FLV format play on all computers always as the format is integrated in All-In-One Protector Video Player

·The file size per video project has no limitations

·Protection against video recording - the video cannot be captured using video capture tools (only Vista, Windows 7) - the unique All-In-One Protector Snapshot Protection

·A user can just click on a video to play it

·The video is streamed - only small parts of the video are loaded into the memory and the video plays instantly

·All-In-One Protector Video Player can be distributed for free

·Does not need any installation and does not require administrator rights

·conversion to the special All-In-One Protector video format with the extension .MPVIDEO (very fast - only seconds even for large videos)

·the video codec used must be installed on the end user system to play the video

·Files in FLV format require an installed flash version

Instruction: All-In-One Protector Video Player

Convert to SWF or FLV

·No additional project file size. All-In-One Protector includes an SWF and FLV Player

·Faster loading time

·Design of the Player can be defined by some of the conversion tools

·Conversion step necessary

·Converters are not free

·Maximum file size per video is 250 MB

·No streaming of the video

Convert to SWF

If you have multiple, small videos (up to 10 minutes), we recommend converting the video to swf. A good tool that also adds player controls is Flash Video MX (Moyea).

·Convert the file to swf

·Import the file and set the swf file as start file

·If you have multiple video files to secure, use the Menu Creator.

See details for converting with Moyea.

All-In-One Protector expects, that the video has its own player controls (stop, play, forward, backward etc.). Most of the video conversion tools allow to add a player control and skins.

Convert to FLV

SWF has a limitation regarding number of frames with 16000 frames. A long video, e.g. with 20 minutes, can not be converted to flash. Larger files can be converted in a FLV format. If your software does not support this format use a converter like Flash Video MX (Moyea).

See chapter:FLV (Video) how to protect FLV files and limitations regarding file size.

Special considerations

All-In-One Protector offers an own video player with more options.

Otherwise, the following limitations apply to the above described player

·The video file cannot be streamed and has to be loaded completely before it starts. Therefore the file size should be below 250 MB. The file size can be minimized by changing the resolution or video quality during conversion

·The best strategy is to create for every video file a separate project and use an external menu to select between multiple video files. Details see: Split project into several databases

·If multiple video files are imported, the maximum file size limitation is valid for the complete project. Only the first file is automatically played. The user has to select manually other files to view within the video player

·The video will play only on a PC, not on a CD / DVD recorder connected to TV.

External video player

Most of the popular video formats are supported using the free VLC Portable Player

·No conversion necessary

·Has a lot of video codecs inbuilt - the user can play the video without having the codec already installed on his system

·Free

·Adds 30 MB file size to the project

·Maximum file size per video is 250 MB

·No streaming of the video

Instruction: VLC Portable Player


CHM

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

CHM

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - CHM CHM Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected > CHM / Dear Support Staff,

CHM

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To secure a CHM file (help file) the Windows viewer for this file - hh.exe is used. By default, every Windows system should have this file installed.

There are 3 steps to protect the CHM file:

Step 1 - Copy the hh.exe viewer

Copy the viewer for the chm file, the file hh.exe from c:\windows to your project folder where you saved the CHM file.

The hh.exe from a Vista machine will not run on XP but the version from XP will run on Vista machines. If you want to support NT you have to make tests which hh.exe will run on all operating systems.

It is not in the liability of Mirage if you may distribute this file or not.

Step 2 - Copy the start application

To run with All-In-One Protector, a special start application is needed. Copy the file startchm.exe and the configuration file chm.ini from the All-In-One Protector installation folder ...\tools\chm to your project folder where you saved the CHM file.

Now add the name of your chmfile in the chm.ini file. You can use any text editor to modify this file.

[Filename]

chmfile=test.chm (change the name here)

The folder contains now all files which are:

·hh.exe

·startchm.exe and chm.ini

·your chm file

Click to enlarge
Directory with chm files and other files to import

Step 3- Import the files

Now import all the files from the project folder you created and mark startchm.exe as startfile using the button Define as starting file. A red icon signals the start file.

The import screen would show the following files.

Step 4 - configure EXE options

The following EXE options are mandatory for CHM protection

All all options of CHM files are supported but with the limitation of the EXE protection.

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


Excel

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

Excel

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Excel Excel Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected > Excel / Dear Support Staff,

Excel

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

There are 2 different options, depending on the type of protection you need:

·Protect Excel files using the All-In-One Protector Excel protection

·If you developed an Excel Plug-In as a DLL, the protection is possible with Licence Protector, which is a source code integration product - see website www.Licence-Protector.com for details and download the trial version.


EXE Files

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

EXE Files

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - EXE Files EXE_Files Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected > EXE Files / Dear Support Staff,

EXE Files

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Details see chapter - Executables (exe file)


FLV (Video)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

FLV (Video)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - FLV (Video) native-FLV_Video Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected > FLV (Video) / Dear Support Staff,

FLV (Video)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector comes with an own video / audio player, which is capable of playing all video formats, which are available on the end user system. There are practically no limitations on the file size.

·The file size per video can be up to 1GB

·Files in FLV format play on all computers always as the format is integrated in All-In-One Protector Video Player

·The file size per video project has no limitations

·Protection against video recording - the video cannot be captured using video capture tools (only Vista, Windows 7) - the unique All-In-One Protector Snapshot Protection

·A user can just click on a video to play it

·The video is streamed - only small parts of the video are loaded into the memory and the video plays instantly

·All-In-One Protector Video Player can be distributed for free

·Does not need any installation and does not require administrator rights

·conversion to the special All-In-One Protector video format with the extension .MPVIDEO (very fast - only seconds even for large videos)

·the video codec used must be installed on the end user system to play the video

·Files in FLV format require an installed flash version

Instruction: All-In-One Protector Video Player


HTML

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

HTML

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - HTML HTML Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected > HTML / Dear Support Staff,

HTML

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Pure HTML files can not be protected directly. There are 2 options depending on the way you are using the HTML files.

Protect html files

If you have a project with HTML files only, you need a tool which compresses all HTML files in one single EXE file like Mediator, HTML Executable or Active E-Book Compiler, which comes with an own Viewer. All-In-One Protector now provides licensing and copy protection options. Just import the EXE file.

The HTML files are protected with the same security level like EXE files

Protect flash project which includes some html files

If the protection of the flash file is the main issue and HTML files should just be invoked, import all files (including the HTML files).

In your flash code you have to add special commands:

·Extract all files from the encrypted database to a temporary folder with the command: http://FILE:testfile.html$$COPY . You have to use this command for each html file

·Start the first HTML file with the command http://FILE:default.html$$START

The HTML files are loaded into the Browser and they are not protected

For all commands see - Flash application using EXE files


Java protection

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

Java protection

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Java protection Java Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected > JAR (Java) / Dear Support Staff,

Java protection

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector offers a perfect protection for .JAR files. They are protected against decompilation as they are not visible in the file system - See Virtual Zone.

Step 1 - Download Java Starter application

Download the Java starter application (jarstart.exe) and place it together with your .JAR file in a new folder. The folder can contain any number of .JAR files.

Click here to download

Step 2 - Import files

Now import all files and make jarstart.exe the start file.

Step 3 - Define Start Options

Simple start option

If your java application always needs the same start parameters, then you can place it in the field: command line parameter for EXE file . Select button Options, TAB EXE Options.

There are All-In-One Protector specific variables:

·-jarrun - runs the Java Virtual machine depending on registry settings

·%path% - this is the complete path of the application

·%envpath% - this is the environment path variable of the operating system (in a batch file the name would be %path% but it has to be replaced with this special variable %envpath%)

Complex start options

If the java applications needs complex start options (e.g. using a .bat file) then leave the field: command line parameter for EXE file empty.

Invoke the All-In-One Player using command line parameters.

Example

The name of the All-In-One Player is javatest.exe. The following command starts javatest.exe with a command line parameter. The Java Runtime would be loaded from the folder .\PortableApps\CommonFiles\Java\bin\javaw.exe, a path is set with the special variable %envpath% (means operating system variable %path%) and the jar file myapp.jar is loaded.

application\javatest.exe .\PortableApps\CommonFiles\Java\bin\javaw.exe -Duser.home=".." -Djava.library.path="%ENVPATH%;application\;" -jar "myapp.jar"


JPG (Photo / Image)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

JPG (Photo / Image)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - JPG (Photo / Image) native-JPG_Image Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected > JPG (Photo / Image) / Dear Support Staff,

JPG (Photo / Image)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To use JPG files, they have to be played by a flash file. A free flash Photo Album is provided. Otherwise, any .swf file allowing to display JPG files can be used like the free versions from Airtight. Slide shows can also be created with the program SWF Generator.

For more details see chapter Photo Album.

The most flexible option is to create a slide show, save it as a video and use the video protection.


MDI

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

MDI

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - MDI MDI Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected > MDI / Dear Support Staff,

MDI

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

There are 2 options to use MDI files

·Use the Print2Flash printer driver like described for Word Documents - protected documents can be printed

·Convert it to PDF like described in PDF conversion- printing can be enabled or disabled

·Convert it to JPG - see JPG files


Music, Audio, MP3

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

Music, Audio, MP3

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Music, Audio, MP3 native-mp3 Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected > Music, Audio, MP3 / Dear Support Staff,

Music, Audio, MP3

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To protect audio files, it must be insured, that they do not play in a Standard Player (like Windows Media Player). The requirements are:

·No installation necessary

·The audio file may not be accessible during playing

· All-In-One Protector has to control the player

There are different options for audio protection.

All-In-One Protector Video Player (recommended)

All-In-One Protector comes with an own video / audio player, which is capable of playing all audio formats, which are available on the end user system. There are practically no limitations on the file size.

·The file size per audio can be up to 1GB

·The file size per audio project has no limitations

·A user can just click on a audio file to play it

·The audio file is streamed - only small parts of the audio file are loaded into the memory and the audio plays instantly

·conversion to the special All-In-One Protector video / audio format with the extension .MPVIDEO (very fast - only seconds even for large videos)

·the audio codec used must be installed on the end user system to play the audio

Instruction: All-In-One Protector Video Player

Portable Music Player

Most of the popular audio formats are supported using the free VLC Portable Player

·No conversion necessary

·Supports multiple file formats

·Includes the audio codes

·Free

·Adds 30 MB file size to the project.

·Maximum size per file is 250 MB

Instruction: VLC Portable Player

The audio files will play only on a PC and not not on a CD / DVD recorder or mp3 player.

See also
VLC Portable Player


PDF using All-In-One Protector PDF Viewer

All-In-One Protector

PDF

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

PDF

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - PDF Convert_PDF Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected > PDF / Dear Support Staff,

PDF

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector comes with an own PDF Viewer which allows a native protection of PDF files. Most features of the standard PDF Reader are supported and the PDF Viewer is highly configurable.

Using the All-In-One Protector PDF Viewer

·Nearly the full feature set of PDF is supported including thumbnails, bookmarks, search pane, zoom or different navigation options

·Supports hyperlinks within a PDF file

·Basic form fields are supported

·The All-In-One Protector PDF Viewer can be individually configured - e.g. allow searching but no printing and no thumbnails

·No conversion required - PDF can be used as it is

·A menu application can directly open one protected PDF file

·Printers like PDF, Flash, XPS or file printers can be blocked - only paper printers are allowed

·Limit number of prints

·Protection against screen recording - the PDF file cannot be captured using capture tools - the unique All-In-One Protector Snapshot Protection

·High Security using strong encryption

·Supports PDF 1.7 (Adobe 8)

·All-In-One Protector PDF Viewer can be distributed for free

·Does not need any installation and does not require administrator rights

·Hyperlinks from one PDF file to another PDF file are only supported with limitations

·Adobe Portfolio files are not supported

·Video files, embedded in the PDF file, are not supported

How it works

The PDF file is protected by a strong encryption. It is temporary extracted from the database while it is viewed. Only the inbuilt All-In-One Protector PDF Viewer can load the PDF file. Other PDF Viewers cannot open the file.

Configuration options of the All-In-One Protector PDF Viewer.

You can download a comprehensive sample of a protected PDF file (over 500 pages, graphics, thumbnails, bookmarks, printing to paper printer, 1 print copy, Snapshot Protection 47 MB). Download Now!

Instruction:All-In-One Protector PDF Viewer

PDF Conversion to Flash

A different approach to protect a PDF file is to convert it to flash.

·Does not require an installation and needs no administration rights

·Works with any type of document as it is a printer driver

·Batchconversion of all PDFs to Flash (Print2Flash)

·Customizable interface of the Reader (Print2Flash)

·Only basic options to browse the file - no options for thumbnails, bookmarks

·Conversion step necessary - batch file conversion available

·Hyperlinks are not always supported

·Additional tool - it is not free

You can use Print2Flash or any tool, that converts a PDF to SWF

See also
All-In-One Protector PDF Viewer
Office Documents - disable printing


PowerPoint (PPT)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

PowerPoint (PPT)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - PowerPoint (PPT) Convert_PPT Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected > PowerPoint (PPT) / Dear Support Staff,

PowerPoint (PPT)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector comes with an inbuilt protection for PowerPoint files - see PowerPoint

What is the difference between All-In-One Protector and the Microsoft IRM (Information Rights Management) system in Office 2007?

The IRM system in Office 2007 allows to specify security options per user. You need a server to handle the user information and each user must install the IRM Client on his PC. This is typically a possible approach to protect a document inside the own company. If the document should be distributed, the restrictions to have a connection to the IRM server and to install the IRM client should be considered. All-In-One Protector protects PPT files without the need to install an additional software or to have an Internet connection.


SWF (Flash)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

SWF (Flash)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - SWF (Flash) native-SWF_Flash Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected > SWF (Flash) / Dear Support Staff,

SWF (Flash)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector comes with an own SWF player, which supports almost all SWF functions. There are practically no limitations on the file size.

·The file size per project (all SWF files together) can be up to 1 GB

·Files in SWF format play on all Computers always as the format is integrated in All-In-One Player

·Protection against video recording - the video cannot be captured using video capture tools - the unique All-In-One Protector Snapshot Protection

·The SWF file is protected against decompiling and is never visible on the harddisk while the SWF file is played

·All-In-One Player can be distributed for free

·Does not need any installation and does not require administrator rights

·Supports Flash 11

·The SWF application must be developed to run in a standard flash player. SWF applications, running only in a Browser, are not supported

·SWF applications, which invoke FLV files, are not supported. The FLV file must be encrypted separately.

Details see: SWF file options


WORD, VISIO Office Documents

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

WORD, VISIO Office Documents

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - WORD, VISIO Office Documents Convert_officedocuments Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected > WORD, VISIO Office Documents / Dear Support Staff,

WORD, VISIO Office Documents

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Protect an office document using PDF format

All documents, that are printable, like Word or Visio can be protected by creating a PDF file. See details PDF protection. This is the recommended and most flexible option.

Office 2007 comes with a free Add-In, which creates a PDF file and it supports hyperlinks. Just select File, Save As PDF. If this option is missing, you can download the Add-In here or search in the Word Online help for PDF.

If you do not have any PDF tool, download PDF creator: http://www.pdfforge.org/products/pdfcreator/

Protect an office document using a printer driver for flash conversion

A different way to protect office documents, is to convert it to flash using a printer driver. It is called Print2Flash and can be downloaded and bought at http://print2flash.com. It has not all the options the PDF Viewer offers but it requires no installation with administration rights on the end user PC.

Download a sample - the All-In-One Protector Tutorial with over 200 pages and links inside the PDF document - converted with Flashpaper - Click here to download and unzip the file to a folder. Start mp-flashpaper.exe.

See also

Word with Hyperlink


Word with Hyperlink

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected > WORD, VISIO Office Documents:

Word with Hyperlink

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Word with Hyperlink Convert_Word_with_Hyperlink Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected > WORD, VISIO Office Documents > Word with Hyperlink / Dear Support Staff,

Word with Hyperlink

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Most PDF converters support hyperlinks. Then you protect the PDF file like described in the chapter PDF.

If you use a converter, which does not support it, you can use the freeware tool PDF-T-Maker. http://www.transcom.de/transcom/en/2004_pdf-t-maker.htm

PDF T-Maker

Word Documents with Hyperlinks to other Word Documents need a special converter. This converter is a plug-in in Word and creates a Postscript file with hyperlinks.

Technically, there are these steps:

1.Create Postscript file with PDF-T-Maker

2.Create PDF file, using the Postscript file, with any PDF tool. This step can be done automatically after step 1

You can download the converter here: http://www.transcom.de/transcom/en/2004_pdf-t-maker.htm

After installing the plug-in in Word, you have to configure it:

·General Tab. Check: Convert Cross document links, thereby convert .doc in filename into .swf

·Default Postscript Printer: If you do not have a printer installed, either find one on the web page described in the pdf-t-maker documentation or install one that comes with Windows (e.g. Brother HL-2400C BR SCRIPT2 - use LPT3 to print as a virtual device)

·Default Destiller TAB: If you have Acrobat installed, define Acrodist.exe or the distiller of your PDF tool. If you do not have any PDF tool, download PDF creator: http://www.pdfforge.org/products/pdfcreator/

If you need a batch conversion, e.g. conversion of all files on a specific subdirectory, please contact www.transcom.de and ask for the batch conversion option.

A Hyperlink may not contain an umlaut (äüö) or any other special characters like %$


Office Documents - disable printing

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected > WORD, VISIO Office Documents:

Office Documents - disable printing

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Office Documents - disable printing Office_Documents_-_disable_pri Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected > WORD, VISIO Office Documents > Office Documents - disable printing / Dear Support Staff,

Office Documents - disable printing

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To disable printing for PDF files, see All-In-One Protector PDF Viewer, disable option Allow printing.

To disable printing in a flash project:

·Uncheck Enable Flash configuration in the screen - Player Options

·If you are using the Advanced Menu (which is recommended because of the options it offers to view the document), set print to false in the config.xml file.


Active E-Book Compiler

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Active E-Book Compiler

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Active E-Book Compiler Active_E-Book_Compiler Part I - Learning the Basics > Protection for a lot of applications and file formats > Active E-Book Compiler / Dear Support Staff,

Active E-Book Compiler

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Active E-Book Compiler (http://www.ebookcompiler.com ) creates from HTML files one single exe file. This exe file can now be licensed and protected by All-In-One Protector.

·Create the EXE file with Active E-Book Compiler

·Protect the executable file with All-In-One Protector. See Import EXE file

This supports all options of Active E-Book Compiler but with the limitation of the EXE protection.

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


Adobe Captivate (Adobe)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Adobe Captivate (Adobe)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Adobe Captivate (Adobe) Adobe_Captivate Part I - Learning the Basics > Protection for a lot of applications and file formats > Adobe Captivate (Adobe) / Dear Support Staff,

Adobe Captivate (Adobe)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

For protecting files created with Adobe Captivate (www.adobe.com) you have 2 different options:

Create Flash file(s)

As Adobe Captivate can create flash files, this is the recommended option. It is the most secure solution but could have limitations if you use special functions, which are not supported by the All-In-One Player.

·Save the project as flash (swf)

·Now import ALL files (swf, html, js..) and make xy_skin.swf the start file.

·Screen - Player Options. Select: Start with default size

Live Tutorial (flash)

Create executable (EXE) file

Create one executable file and protect the executable file with All-In-One Protector. This supports all options of Adobe Captivate but with the limitation of the EXE protection.

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


Authorware (Macromedia)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Authorware (Macromedia)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Authorware (Macromedia) Authorware_Macromedia Part I - Learning the Basics > Protection for a lot of applications and file formats > Authorware (Macromedia) / Dear Support Staff,

Authorware (Macromedia)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

For protecting files created with Authorware you have 3 different options:

1.Generate a swf flash. If the file runs in the standard flash player, it will run with All-In-One Protector. This is the most secure solution to protect the content of the flash file but could have limitations if you use special functions, which are not supported by the standard flash player

2.Create one executable file and protect the executable file with All-In-One Protector. This supports all options of Authorware but with the limitation of the EXE protection

3.Make a Source Code integration using the Licence Protector DLL. This is the most flexible solution - www.Licence-Protector.com but requires development work. It allows to protect application features.

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


A4Desk Flash Photo Gallery Builder

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

A4Desk Flash Photo Gallery Builder

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - A4Desk Flash Photo Gallery Builder A4Desk_Flash_Foto_Gallery_Bui Part I - Learning the Basics > Protection for a lot of applications and file formats > A4Desk Flash Photo Gallery Builder / Dear Support Staff,

A4Desk Flash Photo Gallery Builder

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

For protecting images using A4Desk Flash Photo Gallery Builder (http://gallery.a4desk.com/ ) the following steps are necessary.

Step 1 - Create Flash Photo Album

Create the Flash Photo Album within A4Desk Flash Foto Gallery Builder and select File, Publish. Save the files to a new folder.

Step 2 - protect application with All-In-One Protector

·Now import ALL files (select the folder a4gallery) and make index.swf the start file

(This sample was tested with A4Desk Flash Photo Gallery Builder 2.35)

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


Articulate Engage (Articulate)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Articulate Engage (Articulate)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Articulate Engage (Articulate) Articulate_Engage_Articulate Part I - Learning the Basics > Protection for a lot of applications and file formats > Articulate Engage (Articulate) / Dear Support Staff,

Articulate Engage (Articulate)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To protect applications created in Articulate Engage (www.articulate.com) the following steps are necessary.

Select Publish in Articulate Engage

Select the option CD, press Publish

Import Files

Now import all the files from the project folder and mark launch_interaction.exe as startfile using the button Define as starting file. A red icon signals the start file.

The import screen would show the following files.

·If you have several different Articulate applications you need a menu application.

·If the project size is over 250 MB, the loading time would be too long. Split the application in several projects.

(This sample was tested with Articulate Engage 09)

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


Articulate Presenter (Articulate)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Articulate Presenter (Articulate)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Articulate Presenter (Articulate) Articulate_Presenter_Articulat Part I - Learning the Basics > Protection for a lot of applications and file formats > Articulate Presenter (Articulate) / Dear Support Staff,

Articulate Presenter (Articulate)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To protect applications created in Articulate Presenter (www.articulate.com) the following steps are necessary.

Depending on the type of the Articulate project, you can use one of the following options:

SWF Protection

This option uses the All-In-One Player flashplayer. Use it if:

·The project uses no Articulate Engage or Articulate Quizmaker components

·The project uses only SWF files and no FLV video files

·Project loads fast

·Project size up to 1GB

· Snapshot Protection

·Requires to move folders and copy files

·Project cannot include Articulate Engage, Quizmaker and FLV files

SWF Protection

Select Publish in Articulate

Select the option CD and press Publish

Move Folders

Articulate creates the following folder structure.

The folder data should look like this

Articulate uses some special directory functions which are not working within All-In-One Protector. You have to move folders.

Move the content of the folder player to the folder data. The folder data will have this structure now.

Copy Start Application

To run with All-In-One Protector, a special start application is needed. Copy the file startarticulate.swf and the configuration file config.xml from the All-In-One Protector installation folder ...\tools\articulate to your folder ..\data

The folder \data contains now these files:

·All original files from the folder data and the subfolder \swf

·All files from folder \player

·Startarticulate.exe and config.xml

Import Files

Now import all the files from the project folder \data and mark startarticulate.swf as startfile using the button Define as starting file. A red icon signals the start file.

The import screen would show the following files.

EXE Protection (recommended)

This option uses the All-In-One Player EXE protection. Use it if:

·The project uses Articulate Engage or Articulate Quizmaker components

·The project uses FLV video files

·Easy to protect - just import a folder

·Project can include Articulate Engage, Quizmaker and FLV files

·Project loads slower

·The project size can be up to 250MB. Then you have to split the project

·Security and limitation of the EXE protection

EXE Protection

Select Publish in Articulate Presenter

Select the option CD and press Publish

Import files

Now import all the files from the project folder and mark launch_presentation.exe as startfile using the button Define as starting file. A red icon signals the start file.

The import screen would show the following files

·If you have several different Articulate applications you need a menu application.

·If the project size is over 250 MB, the loading time would be too long. Split the application in several projects.

(This sample was tested with Articulate Presenter 09)

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


Articulate Quizmaker (Articulate)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Articulate Quizmaker (Articulate)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Articulate Quizmaker (Articulate) Articulate_Quizzmaker_Articula Part I - Learning the Basics > Protection for a lot of applications and file formats > Articulate Quizmaker (Articulate) / Dear Support Staff,

Articulate Quizmaker (Articulate)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To protect applications created in Articulate Quizmaker (www.articulate.com) the following steps are necessary.

Select Publish in Articulate Quizmaker

Select the option CD, press Publish

Import Files

Now import all the files from the project folder and mark launch_quiz.exe as startfile using the button Define as starting file. A red icon signals the start file.

The import screen would show the following files.

·If you have several different Articulate applications you need a menu application.

·If the project size is over 250 MB, the loading time would be too long. Split the application in several projects.

(This sample was tested with Articulate Quizmaker 09)

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


Camtasia (Techsmith)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Camtasia (Techsmith)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Camtasia (Techsmith) flash-tool-Camtasia Part I - Learning the Basics > Protection for a lot of applications and file formats > Camtasia (Techsmith) / Dear Support Staff,

Camtasia (Techsmith)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

For protecting files created with Camtasia (http://techsmith.com ) you have 2 different options:

Create Flash file(s) for small videos

As Camtasia can create flash files, this is the recommended option for small videos. It is the most secure solution but could have limitations if you use special functions, which are not supported by the All-In-One Player.

·Select [image] Custom production settings

Select Custom production settings

·Select [image] Flash/FLV - Adobe Flash Output

Select Flash/FLV - Adobe Flash output

·Select [image] Flash Template and Options

·Use option [image] Flash . Select Flash Version 7 or higher

·Now import ALL files (swf, html, js..) and make xy-controller.swf the start file

If the video is displayed in the wrong size, e.g. stretched, you have to specify the exact screen resolution in the screen - Player Options. The resolution can be found in the file xy.html of the Camtasia project. Edit this file and search for the line: var fo = new SWFObject( "myflashproject", "csSwf", "800", "619", "7", "#FFFFFF" ). The third value is the width in pixel, the forth value is the height.

Configuration settings of the Player Options

Create FLV file for large videos

Using the All-In-One Protector Video Player, FLV videos (also other video formats) up to 1GB are supported including screen capture prevention

Details

Create executable (EXE) file (only files up to 250 MB)

Create one executable file and protect the executable file with All-In-One Protector. This supports all options of Camtasia but with the limitation of the EXE protection.

As Camtasia flash files are often very large we recommend splitting the files into multiple projects (e.g. lessons).

You can download 2 samples made with Camtasia. The have been produced by www.so-gehts.eu

·Training Session: Office Tabs - English

·Training Session: PowerPoint - German

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


Director (Adobe)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Director (Adobe)

Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Director (Adobe) Authorware_Macromedia_2 Part I - Learning the Basics > Protection for a lot of applications and file formats > Director (Adobe) / Dear Support Staff,

Director (Adobe)

Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

For protecting files created with Macromedia Director you have 3 different options:

1.Generate a swf flash. If the file runs in the standard flash player, it will run with All-In-One Protector. This is the most secure solution to protect the content of the flash file but could have limitations if you use special functions, which are not supported by the standard flash player

2.Create one executable file and protect the executable file with All-In-One Protector. his supports all options of Macromedia Director but with the limitation of the EXE protection.

3.Make a Source Code integration using the Licence Protector DLL. This is the most flexible solution - www.Licence-Protector.com but requires development work. It allows to protect application features.

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


Flashform (Rapid Intake)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Flashform (Rapid Intake)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Flashform (Rapid Intake) Flashform_Rapid_Intake Part I - Learning the Basics > Protection for a lot of applications and file formats > Flashform (Rapid Intake) / Dear Support Staff,

Flashform (Rapid Intake)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

For protecting files created with Flashform (http://www.rapidintake.com) you have 2 different options:

Create Flash file(s)

As Flashform can create flash files, this is the recommended option. It is the most secure solution but could have limitations if you use special functions, which are not supported by the All-In-One Player. Right now, FLV files loaded within Flashform are not supported.

Select Publish Course

Select Publish Method CD-ROM, Check - Use Flash Cookies and Operating System Windows.

·Now import ALL files (swf, html, js..) and make player.swf the start file

Create executable (EXE) file

Use the player.exe which comes with flashform and protect the executable file with All-In-One Protector. This supports all options of Flashform but with the limitation of the EXE protection.

Select Publish Course

Select Publish Method CD-ROM, Check - Use Flash Cookies and Operating System Windows.

·Now import ALL files (exe, swf, html, js..) and make player.exe the start file

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


Flashpaper (Adobe)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Flashpaper (Adobe)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Flashpaper (Adobe) Flashpaper_Adobe Part I - Learning the Basics > Protection for a lot of applications and file formats > Flashpaper (Adobe) / Dear Support Staff,

Flashpaper (Adobe)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Printer driver to create a flash file from any document. Works perfect if you do not have hyperlinks inside the document.

See chapter: Office documents and Print2Flash

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


Flash Video MX (Moyea)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Flash Video MX (Moyea)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Flash Video MX (Moyea) Flash_Video_MX_Moyea Part I - Learning the Basics > Protection for a lot of applications and file formats > Flash Video MX (Moyea) / Dear Support Staff,

Flash Video MX (Moyea)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Internet Site: www.moyea.com

This converter allows you to convert videos to flash (swf). During the conversion process you can add a player control (mandatory for All-In-One Protector) and you can define the video quality, screen resolution etc.

Define Video Quality

You can define the quality of the video on this page. Import setting is: Embed the video in SWF and play in timeline and Video Codec: Flash 8

Then select a Player control (toolbar which allows to start, stop, pause, rewind). This is mandatory because All-In-One Protector does not provide an player toolbar. You can select a design and a lot of other player settings.

Player Settings

Select a Skin and a player control.

·Now import the files (swf) and make the .swf file the start file. If you have multiple videos then add a menu and make the menu the start file.

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


FLV Player (martijndevisser.com)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

FLV Player (martijndevisser.com)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - FLV Player (martijndevisser.com) FLV_Player_tijndevisser.com Part I - Learning the Basics > Protection for a lot of applications and file formats > FLV Player (martijndevisser.com) / Dear Support Staff,

FLV Player (martijndevisser.com)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

FLV Player from www.martijndevisser.com

All-In-One Protector is able to play FLV files but does not include a player control (start, stop, forward etc.). To add this functionality you need a FLV Player.

Step 1 - Download FLV Player

·Download the FLV Player from www.martijndevisser.com and install it

·Copy the file flvplayer.exe from the installation folder (e.g. ..\program files\flv player) to your project folder

·Add one or more FLV files

Step 2 - Import files in All-In-One Protector

Now import the 2 files from the project folder and mark the FLVPlayer.exe file as start file using the button Define as starting file. A red icon signals the start file.

Click on the Options button, select EXE Options. Provide the name of the flv file as command line parameter including the variable %path%

Example: "%path%\test.flv"

This step is mandatory. Also select: Run EXE on secure Virtual Zone.

Special considerations

All-In-One Protector offers an own video player with more options.

Otherwise, the following limitations apply to the above described player

·The video file cannot be streamed and has to be loaded completely before it starts. Therefore the file size should be below 250 MB. The file size can be minimized by changing the resolution or video quality during conversion

·The best strategy is to create for every video file a separate project and use an external menu to select between multiple video files. Details see: Split project into several databases

·If multiple video files are imported, the maximum file size limitation is valid for the complete project. Only the first file is automatically played. The user has to select manually other files to view within the video player

·The video will play only on a PC, not on a CD / DVD recorder connected to TV.

(This sample was made with FLV Player 2.0.25)

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


HTML Executable (gdgsoft)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

HTML Executable (gdgsoft)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - HTML Executable (gdgsoft) HTML_Executable_gdgsoft Part I - Learning the Basics > Protection for a lot of applications and file formats > HTML Executable (gdgsoft) / Dear Support Staff,

HTML Executable (gdgsoft)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

HTML Executable from gdgsoft (www.htmlexe.com) creates from HTML files one single exe file. This exe file can now be licensed and protected by All-In-One Protector.

·Create the EXE file with HTML Executable

·Protect the executable file with All-In-One Protector. See Import EXE file

This supports all options of HTML Executable but with the limitation of the EXE protection.

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


LearnCube (Outstart)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

LearnCube (Outstart)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - LearnCube (Outstart) Learncube_Outstart Part I - Learning the Basics > Protection for a lot of applications and file formats > LearnCube (Outstart) / Dear Support Staff,

LearnCube (Outstart)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To protect applications created in LearnCube (www.outstart.com), the following steps are necessary.

Step 1 - Publish in Learncube

Select the menu Project, the Publish with the following options:

Step 2 - protect application with All-In-One Protector

·Now import ALL files and make Start.exe the start file

Step 3 - configure EXE options

The following EXE options are mandatory for Learncube.

All all options of LearnCube are supported but with the limitation of the EXE protection.

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


Lectora (Trivantis)

All-In-One Protector

Presenter (Adobe)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Presenter (Adobe)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Presenter (Adobe) Presenter_Adobe_2 Part I - Learning the Basics > Protection for a lot of applications and file formats > Lectora (Trivantis) / Dear Support Staff,

Presenter (Adobe)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

For protecting files created with Lectora (www.trivantis.com) the following steps are necessary.

Step 1 - Select Publish in Lectora

Within Lectora, select Publish. As publish option, select Publish to Single File Executable.

Step 2 - Import files in All-In-One Protector

Now import all the files from the project folder and mark the EXE file as start file using the button Define as starting file. A red icon signals the start file.

This supports all options of Lectora but with the limitation of the EXE protection.

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


Lightroom (Adobe)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Lightroom (Adobe)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Lightroom (Adobe) Lightroom_Adobe Part I - Learning the Basics > Protection for a lot of applications and file formats > Lightroom (Adobe) / Dear Support Staff,

Lightroom (Adobe)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

For protecting files with Adobe Photoshop Lightroom (http://www.adobe.com/products/photoshoplightroom/) the following steps are necessary.

Select a Gallery

First select the option Web, and then one of the standard galleries.

Depending on the selected gallery, the steps are a little bit different.

Airtight AutoViewer

Import ALL files (swf, html, js..) and make viewer.swf the start file

Airtight PostcardViewer

Import ALL files (swf, html, js..) and make viewer.swf the start file

Airtight Simple Viewer

Import ALL files (swf, html, js..) and make viewer.swf the start file

Lightroom Flash Gallery

·First copy from the folder ...\tools\lightroom all files to your folder with the Lightroom Flash Gallery Files.

· Import ALL files (swf, html, js..) and make flashstarter.swf the start file

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


Mediator (Matchware)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Mediator (Matchware)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Mediator (Matchware) flash-tool-Mediator_Matchware Part I - Learning the Basics > Protection for a lot of applications and file formats > Mediator (Matchware) / Dear Support Staff,

Mediator (Matchware)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

For protecting files created with Mediator you have 2 options:

1.Generate a swf flash. If the file runs in the standard flash player, it will run with All-In-One Protector. This is the most secure solution but could have limitations if you use special functions, which are not supported by the standard flash player

2.Create one executable file and protect the executable file with All-In-One Protector. This supports all options of Mediator but with the limitation of the EXE protection

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


Presenter (Adobe)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Presenter (Adobe)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Presenter (Adobe) Presenter_Adobe Part I - Learning the Basics > Protection for a lot of applications and file formats > Presenter (Adobe) / Dear Support Staff,

Presenter (Adobe)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

For protecting files created with Adobe Presenter (www.adobe.com) the following steps are necessary.

Step 1 - Select Publish in Adobe Presenter

In Adobe Presenter select Publish. As publish option, select SWF My Computer.

Step 2 - Import files in All-In-One Protector

Now import all the files from the project folder and mark viewer.swf as start file using the button Define as starting file. A red icon signals the start file.

Note: The description refers to Adobe Presenter 7 but other versions, which can create flash files, should also work.

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


Print2Flash (Blue-Pacific)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Print2Flash (Blue-Pacific)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Print2Flash (Blue-Pacific) Print2Flash Part I - Learning the Basics > Protection for a lot of applications and file formats > Print2Flash (Blue-Pacific) / Dear Support Staff,

Print2Flash (Blue-Pacific)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Printer driver to create a flash file from any document.

A different way to protect office documents, is to convert it to flash using a printer driver. It is called Print2Flash and can be downloaded and bought at http://print2flash.com. It has not all the options the All-In-One Protector PDF Viewer offers but it requires no administration rights on the end user PC.

Download a sample - the All-In-One Protector Tutorial with over 200 pages and links inside the PDF document - converted with Flashpaper - Click here to download and unzip the file to a folder. Start mp-flashpaper.exe.

See chapter: Office documents

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


SWF Generator (Orontes Projects)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

SWF Generator (Orontes Projects)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - SWF Generator (Orontes Projects) SWF_Generator Part I - Learning the Basics > Protection for a lot of applications and file formats > SWF Generator (Orontes Projects) / Dear Support Staff,

SWF Generator (Orontes Projects)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

SWF Generator is a utility to convert PDF files (and other files including jpg, gif, png, wav ) to flash format (SWF) to create an animated Flip Book (E-Book with an animated page turning effect). If the PDF file has hyperlinks, they will work after the conversion.

Example  - Screenshot from Flip Book
Example - Screenshot from Flip Book

Show Example

For protecting files with SWF Generator (http://www.orontesprojects.com ) the following steps are necessary.

Step 1 - Convert file to Flash

Select the Input file (e.g. flyer-aip-en.pdf) and specify an output file. Important settings are:

·Create an EXE file to use on CD/DVD/USB or AIO Project - this is mandatory

·Enable LINKS in SWF - hyperlinks from the original PDF document will be still active

Select a Viewer

You can define how the file is displayed, e.g. with search or zoom options. An animated view like a book is provided with the option: Flip Page - Show Example

Content Protection

If this option is selected, printing and copy/paste of text is disabled

Trial Pages

If the file is delivered with as an evaluation version you can define, how many pages can be viewed during the trial period (e.g. only the first 10 pages). After the product is activated (full version), all pages will be visible

Flip Page Viewer Pro

This options allows to configure the user interface with individual options and select themes.

Step 2 - protect file with All-In-One Protector

·Now import the SWF file and make it the start file

·Screen - Player Options. Select: Start with default size

(This sample was created with SWF Generator 2.0)

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


SWF Studio (Northcode)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

SWF Studio (Northcode)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - SWF Studio (Northcode) Northcode_SWF_Studio Part I - Learning the Basics > Protection for a lot of applications and file formats > SWF Studio (Northcode) / Dear Support Staff,

SWF Studio (Northcode)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

For protecting files created with SWF Studio you have 2 options:

1.Generate a swf flash. If the file runs in the standard flash player, it will run with All-In-One Protector

2.Create one executable file and protect the executable file with All-In-One Protector. See Import EXE file. It the application does not start use the option for the temporary folder.

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


Turbodemo (balesio)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Turbodemo (balesio)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Turbodemo (balesio) Turbodemo_balesio Part I - Learning the Basics > Protection for a lot of applications and file formats > Turbodemo (balesio) / Dear Support Staff,

Turbodemo (balesio)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

For protecting files created with Turbodemo (www.turbodemo.com) you have 2 different options:

Create Flash file(s)

As Turbodemo can create flash files, this is the recommended option. It is the most secure solution but could have limitations if you use special functions, which are not supported by the All-In-One Player.

·Save the project as flash (swf)

·Now import ALL files (swf, html, js..) and make xy.swf the start file

Create executable (EXE) file

Create one executable file and protect the executable file with All-In-One Protector. This supports all options of Turbodemo but with the limitation of the EXE protection.

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


VLC Portable Player (PortableApps.com)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

VLC Portable Player (PortableApps.com)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - VLC Portable Player (PortableApps.com) VLC_Portable_Player Part I - Learning the Basics > Protection for a lot of applications and file formats > VLC Portable Player (PortableApps.com) / Dear Support Staff,

VLC Portable Player (PortableApps.com)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Portable Media Player - http://portableapps.com/

The media player supports several audio and video formats like (MPEG-1, MPEG-2, MPEG-4, DivX, XviD, WMV, mp3, ogg, .)

Step 1 - Download VLC Portable Player

·Download the FLC Portable Player from http://portableapps.com/apps/music_video/vlc_portable

·Install the files on a new folder (e.g. my projects\VLCPortable)

·Copy one or more video / audio files to this folder

Step 2 - Import files in All-In-One Protector

Now import the all files from this folder and mark the vlcportable.exe file as start file using the button Define as starting file. A red icon signals the start file. As the player consists of multiple files, scroll down until the end of the screen to find the vlcportable.exe file.

Dateinimport - Startdatei vlcportable.exe
Dateinimport - Startdatei vlcportable.exe

Step 3 - Play a single video

Click on the Options button, select EXE Options. Provide the name of the video file as command line parameter

Example: "video1.flv"

This step is mandatory. Also select: Run EXE on secure Virtual Zone.

Step 4 - Play Multiple Videos - Playlist

If multiple videos should be played, you need a playlist.

·Start VLC Portable Player

·Select menu, View, Playlist

·Add the videos with the + sign

·Save the playlist - menu Media, Save Playlist to file (e.g. myplaylist.xspf)

Switch back All-In-One Protector, Import screen

Click on the Options button, select EXE Options. Provide the name of the playlist file as command line parameter

Example: "myplaylist.xspf"

This step is mandatory. Also select: Run EXE on secure Virtual Zone.

Special considerations

All-In-One Protector offers an own video player with more options.

Otherwise, the following limitations apply to the above described player

·The video file cannot be streamed and has to be loaded completely before it starts. Therefore the file size should be below 250 MB. The file size can be minimized by changing the resolution or video quality during conversion

·The best strategy is to create for every video file a separate project and use an external menu to select between multiple video files. Details see: Split project into several databases

·If multiple video files are imported, the maximum file size limitation is valid for the complete project. Only the first file is automatically played. The user has to select manually other files to view within the video player

·The video will play only on a PC, not on a CD / DVD recorder connected to TV.

(Dieses Beispiel wurde mit dem VLC Media Player 1.0.3 erstellt)

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


Zinc (MDM)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Zinc (MDM)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Zinc (MDM) Zinc_MDM Part I - Learning the Basics > Protection for a lot of applications and file formats > Zinc (MDM) / Dear Support Staff,

Zinc (MDM)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

For protecting files created with Zinc you have 3 different options:

1.Generate a swf flash. If the file runs in the standard flash player, it will run with All-In-One Protector. This is the most secure solution to protect the content of the flash file but could have limitations if you use special functions, which are not supported by the standard flash player

2.Create one executable file and protect the executable file with All-In-One Protector. This supports all options of Zinc but with the limitation of the EXE protection

3.Make a Source Code integration using the Licence Protector DLL. This is the most flexible solution - www.Licence-Protector.com but requires development work. It allows to protect application features

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


Getting started

Home topic Part I - Learning the Basics:

Getting started

Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Getting started Getting_started Part I - Learning the Basics > Getting started / Dear Support Staff,

Getting started

Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

In this lesson, you will open the tutorial project that is installed with All-In-One Protector and familiarize yourself with the work environment. Using a sample file PDF-Demo will allow you to begin to explore All-In-One Protector .


Start Screen

Home topic Part I - Learning the Basics > Getting started:

Start Screen

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Start Screen Getting_started-Start_Screen_Intro Part I - Learning the Basics > Getting started > Start Screen / Dear Support Staff,

Start Screen

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

After starting All-In-One Protector the main start screen appears.

Projects

·You can load an existing project by selecting the project in the list: recently used projects. If a project cannot be access (e.g. because it is saved on a removable drive), it is marked in red

·You can remove a file from the recent file list with right mouse click, Remove file from this list.

·To create a new project select the option Create new project

Language

To change the language, select TAB Extras, Language


Welcome Screen

Home topic Part I - Learning the Basics > Getting started:

Welcome Screen

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Welcome Screen Getting_started_Welcome_Screen Part I - Learning the Basics > Getting started > Welcome Screen / Dear Support Staff,

Welcome Screen

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

By default, the Welcome Screen is opened in addition to the Start Screen. This screen provides you with:

·Links to most popular FAQs to get started

·Link to the Online Knowledge Base

·Link to updates

The screen can be deactivated by checking Do not display this Quick Introduction help anymore when starting and activated again in the TAB Help, Quick Introduction help


Online Help / Tutorial

Home topic Part I - Learning the Basics > Getting started:

Online Help / Tutorial

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Online Help / Tutorial Getting_started_Online_Help__Tutorial Part I - Learning the Basics > Getting started > Online Help / Tutorial / Dear Support Staff,

Online Help / Tutorial

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can start the Online Help / Tutorial any time within All-In-One Protector by clicking on the icon [image].


Opening a Project

Home topic Part I - Learning the Basics > Getting started:

Opening a Project

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Opening a Project Getting_started-Opening_a_Project Part I - Learning the Basics > Getting started > Opening a Project / Dear Support Staff,

Opening a Project

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Start All-In-One Protector. Within the Start Screen, you can either

·Open a project, which was recently used

·Browse the file directory to select a project

Open a recently used project

You can load an existing project by selecting the project in the list: recently used projects. If a project cannot be access (e.g. because it is saved on a removable drive), it is marked in red

Select a recently used project
Select a recently used project

Select a Project

Click on the TAB File - it opens a dialog with file options.

Click on Open Project. A windows file dialog will appear. You can open all files with the extension .MME. Open PDF-Demo.MME to work with this tutorial.

Click on a file to open a project

You can also open a project by clicking on the file in Windows file explorer. A project file has the extension MME.

The file icon is:


Demoversion

All-In-One Protector

Demo version

Home topic Part I - Learning the Basics > Getting started:

Demo version

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Demo version Demoversion Part I - Learning the Basics > Getting started > Demoversion / Dear Support Staff,

Demo version

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The demo version has the following restrictions:

·Limited by days - normally 30 days

·During the program start of the All-In-One Player a message is displayed: This is an unregistered Version of All-In-One Protector

·The protected product displays every 2 minutes the message: This is an unregistered Version of All-In-One Protector

All other parts of the application are fully functional.

Demo versions are available for the Premium and Premium Plus Edition on the website www.AllInOne-Protector.com. See: Premium or Premium Plus Edition? for differences.

The Online Activation can be tested with the project PDF-Demo.


Premium, Premium Plus or Enterprise Edition ?

Home topic Part I - Learning the Basics > Getting started:

Premium, Premium Plus or Enterprise Edition ?

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Premium, Premium Plus or Enterprise Edition ? Standard_or_Professional_Version Part I - Learning the Basics > Getting started > Premium, Premium Plus or Enterprise Edition ? / Dear Support Staff,

Premium, Premium Plus or Enterprise Edition ?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector comes in a Premium and Premium Plus Edition. The Premium version is designed for single user licenses.

The Premium Plus Edition includes more functionality:

· Network license per User, PC and Concurrent User

· Installation Manager for a professional installation of the product

·Control, if the product should be started on a virtual machine or not

·Online streaming of videos

·Additional configuration options for the product activation screens

Enterprise Edition

Die Enterprise Edition bundles several products:

· Premium Plus Edition

· Activation Server license (to run an own server)

· Automatic USB flash drive duplication

Check out the feature comparison matrix which provides you with all the details to decide, which version is right for you.


How TOs and FAQ

Home topic Part I - Learning the Basics > Getting started:

How TOs and FAQ

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - How TOs and FAQ Getting_started-How_TOs_and_FAQ Part I - Learning the Basics > Getting started > How TOs and FAQ / Dear Support Staff,

How TOs and FAQ

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You find Frequently Asked Questions as well as tips and tricks in Part II, chapter How TOs and FAQ.


Sample Projects

Home topic Part I - Learning the Basics > Getting started:

Sample Projects

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Sample Projects Getting_started-Sample_Projects Part I - Learning the Basics > Getting started > Sample Projects / Dear Support Staff,

Sample Projects

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector comes with samples for a wide range of applications. You find the samples in the installation directory of the folder .\demodata. To work with the samples, open the .mme file, save (TAB Publish, Prepare Publish Process) and finally Test Project Now

Document Sample

Flash-Demo.MME - Sample Flash application with audio

This project allows testing the online activation with the Web Activation Server.

· Open the project flash-demo.mme in the folder ..\demodata

·Create a Serial Number

·Save the project - (TAB Publish, Prepare Publish Process)

Now make a live test. Copy the files from the folder ...\demodata\flash-demo\Publish CD to a test directory and start document-demo.exe.

· Activate the product online using the Serial Number you have created

·Find your activation on the Web Activation Server using the demo account of the Web Administration Interface


TAB - File

Home topic Part I - Learning the Basics > Getting started:

TAB - File

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - TAB - File TAB_File Part I - Learning the Basics > Getting started > TAB - File / Dear Support Staff,

TAB - File

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can open a project, create a new project, copy a project or just select a project from the list of recently used projects. If a project is displayed in red, it is no longer available on the folder.

You can remove a file from the recent file list with right mouse click, Remove file from this list.


The Project Folder

Home topic Part I - Learning the Basics > Getting started > TAB - File:

The Project Folder

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - The Project Folder The_Project_Folder Part I - Learning the Basics > Getting started > TAB - File > The Project Folder / Dear Support Staff,

The Project Folder

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

We recommend creating a folder per project. The project files are:

Project File .MME

This file contains all the data and definitions - it is the name you used when you created the project

This file should be included in a backup. All subsequent files can be created from the project file.

Project Folders

After creating the files to deploy, a project subfolder with the Project Filename is created. This subfolder includes additional folders.

Sample:

...\PDF-Demo \Config

...\PDF-Demo \Work

...\PDF-Demo \Publish CD

...\PDF-Demo \Publish USB

...\PDF-Demo \Publish EXE

...\PDF-Demo \Publish HDD

Folder Config

Holds a configuration file with the extension .XML. This file is only for internal use and should not be changed. The Config folder has subfolders with configuration information for the Activation Server and Shop Integration.

Folder Work

This folder holds all necessary files for distribution. However, this is an internal folder. Only use the folders Publish CD, USB, EXE.

Folder Publish CD

Includes all files for a CD / DVD delivery. Details how to create the folder..

Folder Publish USB

Includes all files for a delivery on a USB flash drive. Details how to create the folder.

Folder Publish EXE

Includes one single EXE file for delivery via download link. Details how to create the folder.

For details see chapter Distribute the Project .


Create a new Project

Home topic Part I - Learning the Basics > Getting started > TAB - File:

Create a new Project

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Create a new Project Create_a_new_Project Part I - Learning the Basics > Getting started > TAB - File > Create a new Project / Dear Support Staff,

Create a new Project

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Select the option Create Project in the TAB Start in the start screen to create a new project.

Start - Create Project
Start - Create Project

A new screen appears

Name of new Project

Type in a project filename. This is a short name for the project. You can later assign a full product name.

Video / Audio Project

If your project is a Video / Audio project, check this option.

The project name must not contain any special characters like . &%$§" , space or umlauts like äöü

You could also copy an existing project with all settings.


Copy a Project

Home topic Part I - Learning the Basics > Getting started > TAB - File:

Copy a Project

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Copy a Project Copy_a_Project Part I - Learning the Basics > Getting started > TAB - File > Copy a Project / Dear Support Staff,

Copy a Project

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can copy an existing project with all settings. Select Copy Project in the TAB File.

In the file dialog, select now the project you want to copy. You get now a new screen where you can type in a new project name and select a new folder.

Project is a Sub Project of the Master Project

If you plan to deliver multiple projects, which belong together and which should use one license, check this option. This would e.g. be required if you split the project into several Sub Projects.

The new project is saved in the same folder as the master project. The sub project may not be uploaded to the Activation Server, as the Serial Numbers from the Master Project are used. The sub project will not appear in the server statistic.

Some options like Registration Options, Activation Screens, Licenses or all Activation Server options are deactivated in a Sub Project. These options can only be changed in the main project.

Project requires new Serial Numbers

If the new project requires new Serial Numbers for the product activation, check this option. The result is identical like using the option: Create a new Project but all settings of the master project are copied and you don't have to do all the settings again.

Should the customer be able to use the same Serial Number for multiple projects, uncheck this option.

The project has to be uploaded to the Activation Server, as it is an independent project. This project will appear in the server statistic.

Video / Audio Project

If your project is a Video / Audio project, check this option.

The project name must not contain any special characters like . &%$§" , space or umlauts like äöü


TAB - Start

Home topic Part I - Learning the Basics > Getting started:

TAB - Start

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - TAB - Start TAB_-_Start Part I - Learning the Basics > Getting started > TAB - Start / Dear Support Staff,

TAB - Start

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This is the first screen which appears after a project is opened or created. All important project settings are done here.


Basic Settings

Home topic Part I - Learning the Basics > Getting started > TAB - Start:

Basic Settings

Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Basic Settings Basic_Settings Part I - Learning the Basics > Getting started > TAB - Start > Basic Settings / Dear Support Staff,

Basic Settings

Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The basic project settings are defined here.

Product Name

This name is displayed in the registration screens and in the title bar of the All-In-One Player.

Name of EXE file

This is the name which is assigned to all distributed files (All-In-One Player and files to distribute). It can be different from the product name.

Example:

Product name: All-In-One Protector - PDF Demo

Name of the EXE file: PDF-Demo

The name must not contain any special characters like . &%$§" , space or umlauts like öäü.

Company Name

The company name is displayed in the registration screens.

Default Customer Name

Name that is displayed in the License Viewer, before the product is registered. After registration the real customer name is saved in the license information.

Default: Evaluation

Version

The version number of your product.

Project File information

This information cannot be changed.

The Internal Project ID is a unique identifier, which allows saving projects with the same project name multiple times (although this is not recommended). The Internal Projekt ID is automatically generated when a project is created.


Data Import

Home topic Part I - Learning the Basics > Getting started > TAB - Start:

Data Import

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Data Import Button_import Part I - Learning the Basics > Getting started > TAB - Start > Data Import / Dear Support Staff,

Data Import

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Select the data which needs to be protected. This can either be one single file or multiple files with sub folders.

See also
About Data Import
Import Files
Protect PDF Files
Protect PowerPoint (PPT) Files
Protect EXE Files
Protect Video / Audio files


About Data Import

Home topic Part I - Learning the Basics > Getting started > TAB - Start > Data Import:

About Data Import

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - About Data Import About_import Part I - Learning the Basics > Getting started > TAB - Start > Data Import > About Data Import / Dear Support Staff,

About Data Import

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All your files are imported and stored in a single, encrypted database file (MMF or MPVIDEO for video files) - for details see chapter The Basics.

You can select files to import from one folder and all its subfolders. All selected files are imported into the project file and are stored in an encrypted format.

If you import multiple files, you have to define a main (=start) file of the project. .

What is a start file?

The start file is the file that is opened first from the All-In-One Player. It can be a .SWF (flash) , .PDF (Adobe PDF), EXE (executable) or video / audio file., which loads other files. Select the file and press the button Define as starting file

Define a start file
Define a start file

Data File

All your files are imported in one single data file and stored in an encrypted format (MME). If you make changes on the original files, you have to reimport the files.


Import Files

Home topic Part I - Learning the Basics > Getting started > TAB - Start > Data Import:

Import Files

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Import Files Import_Files Part I - Learning the Basics > Getting started > TAB - Start > Data Import > Import Files / Dear Support Staff,

Import Files

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Press the button: Select Data Folder and select a folder with the files you want to use for your project. All files from the folder and its subfolders are imported automatically. It is not possible to import files in different folders.

Data Import
Data Import

Now select a Start file press the button: Define as starting file. The file is indicated with a red icon. This file is the file that is played after the start of the All-In-One Player and must be a .SWF (flash) , .PDF (Adobe PDF), EXE (executable) or video / audio file.

Define a start file
Define a start file

You can delete files by selecting one ore more files and press the button: Delete

The files are only deleted in the encrypted data file. The original files on the file system are never deleted.

If you have new files on the file system, press the button: Read files from Folder to import all files again.

If the files on the files systems have been modified, select these files and press the button: Refresh Selected Files to synchronize the files between the folder and the data file.

Modifying a file, adding a file or deleting a file on the file system does not affect the imported data in the encrypted data file. You have to Refresh the data, Read all files again or Delete the files manually in the data file by pressing the corresponding buttons.


Excel files

Home topic Part I - Learning the Basics > Getting started > TAB - Start:

Excel files

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Excel files Excel_files Part I - Learning the Basics > Getting started > TAB - Start > Excel files / Dear Support Staff,

Excel files

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector protects Excel files (extension xlsx or XLSM) either by displaying the files in Excel 2007 / 2010 / 2013 or using the free Excel Viewer in case the user does not have Excel installed. In case the file is opened within Excel, options like save or print are removed.

Excel Protection

·Supports the full feature set of Excel 2007, 2010 and 2013

·The level of protection can be individually configured - e.g. do not allow printing or don't allow copy using the clipboard

·If the user does not have Excel installed the free Excel Viewer is automatically downloaded

·The user can change and save the Excel content

·A menu application can directly open one protected Excel file

·High Security using strong encryption

·All-In-One Player can be distributed for free

·Excel, PowerPoint and PDF files can be mixed within one All-In-One Protector project

·Does not need any installation and does not require administrator rights if Excel is already installed on the end user machine

·Hyperlinks from one Excel file to another Excel file are only supported with limitations

·Only works with Excel 32bit

After selecting one or multiple Excel file(s) in the data import screen, you can configure the Excel options. Click on the icon [image], to open the configuration screen . If this option is grayed out [image], then no Excel file was selected in the Data import screen.

· Configure Excel protection

This feature is available only in the All-In-One Protector Premium Plus Edition.

Shrink your files

If you distribute files via download link, you try to make the file size as small as possible. Especially when you encrypt the files with All-In-One Protector, having a smaller file size decreases the time needed to decrypt the file. We have tested one tool - NXPowerLite - in combination with All-In-One Protector.

NXPowerLite reduces PDF, PowerPoint, Word, Excel and JPEG files without quality loss up to 95%. Optimized files remain in their original format and don’t need to be unzipped. Thus the files can be protected with All-in-One Protector without any modifications.

Home Page NXPowerLite - more information and evaluation version

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


Excel 2007,2010 , 2013

Home topic Part I - Learning the Basics > Getting started > TAB - Start > Excel files:

Excel 2007,2010 , 2013

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Excel 2007,2010 , 2013 Excel_files_-_protectionoption Part I - Learning the Basics > Getting started > TAB - Start > Excel files > Excel 2007,2010 , 2013 / Dear Support Staff,

Excel 2007,2010 , 2013

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Excel protection options for Excel 2007,2010

The Excel file has to be saved as XSLX or XLSM (Excel files with Visual Basic Script / Macros).

This screen allows you to configure the Excel protection.

Excel Build Options

·Save each Excel file as single encrypted file - this should be the default if you want to protect multiple Excel files or a combination of Excel, PPT and PDF files.

When should you uncheck this option?

·If you have Excel files which have links to other Excel files, you have to uncheck this option

·Check: Extract all files (see runtime options)

·If Allow to modify and save the Excel file is checked, only the file marked in red in the import screen (start file) can be saved

Security Options

·Allow printing - check this option if you want to allow printing

·Allow Select and Copy - check this option if you want to allow that the Excel content can be copied using the clipboard

If Select and Copy is not possible, the clipboard is locked for all applications as long as the protected Excel file is opened

Shortcuts which would allow to open or manipulate a file (like ALT + F8 or ALT + F11) are disabled. F12 (save) will terminate Excel

Runtime Options

See: Excel build options above

Excel Viewer

If you allow to use the Excel Viewer, the user will get a message to download the Viewer if Excel is not installed on his computer. The download link should go to the latest Excel Viewer. You can change the link in case there is a new Excel Viewer available.

Printing cannot be disabled when the Excel Viewer is used.

Advanced Options

·Allow to modify and save the Excel file

The user can modify the Excel content or add data - when the file is closed the modifications are saved.

Unchecking this option allows to modify values but all changes are lost when the Excel file is closed.

Error Messages

Error messages which can appear during loading of the protected file

The file xy.xlsm does not seem to have the Office format 2007 or newer (Office Open XML file format, Excel-Workbook). Open the document in Office 2007 or newer and save it again.

The file was either just renamed to xlsm or the file was created with Office 2003 and saved with Office 2007. Load the file in Office 2010 or 2013 and save it again using Save As. The file will then be converted into the correct format.

The Excel file can not be opened because Excel is already running. Please close all instances of Excel.

A protected Excel file can only be opened when PowerPoint is not running.

This document can only be viewed because you don't have permission to save / modify the file.

The user does not have a write permission to save changes made on a protected file

Protect Sheet

The password protection for the sheet or workbook should be activated. You can select which modification options are allowed.

Protect Sheet
Protect Sheet

Visual Basic Projects / Macros

Visual Basic Projects or Macros should be additionally protected using password.

VB protection - step 1
VB protection - step 1

VB protection - step 2
VB protection - step 2


EXE files

Home topic Part I - Learning the Basics > Getting started > TAB - Start:

EXE files

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - EXE files Import_EXE_Files Part I - Learning the Basics > Getting started > TAB - Start > EXE files / Dear Support Staff,

EXE files

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

How does the EXE protection work?

All-In-One Protector supports copy protection and complete licensing for stand-alone EXE files including files on folders. It wraps the EXE file and additional files into the encrypted database. It is a very strong protection, as the files are completely hidden from decompilers.

·The exe file and all other files on the directory are imported into the encrypted database. They are not visible to the end user and they are completely protected

·During runtime, all files are extracted to a virtual zone. They are completely protected as there is no access to the virtual zone. The EXE file is started on the virtual zone and could invoke other files on the virtual zone or on the real directory

·The size of all files together should not exceed 250 MB. Otherwise the loading time would be too long. The loading time varies depending on the hard disk, available memory and processor of the PC

·64bit EXE files or EXE files compiled for any CPU running on 64bit operating systems or not supported. 32bit EXE files on 64bit operating systems are supported.

For a complete background information see chapter: Virtual Zone

After selecting an EXE file in the data import screen, you can configure the EXE options. Click on the icon [image] to open the configuration screen for the EXE configuration options. If this option is grayed out [image], then no EXE file was selected in the Data import screen.

As EXE protection is very complex, different protection options are available. Check the following chapters to find the best settings for your application:

· EXE configuration options

· Troubleshooting with EXE files

· Decompile Protection only - no licensing

· Java protection

· Concept with 2 versions

· Virtual Zone

You can start EXE files from flash applications or secure standalone EXE files. Also menu applications could be used to start other EXE files.

See also
Exe file is menu application
Flash application using exe file
Read Configuration Data and license information
Define Password for EXE file


EXE files - protection options

Home topic Part I - Learning the Basics > Getting started > TAB - Start > EXE files:

EXE files - protection options

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - EXE files - protection options EXE_configuration_options Part I - Learning the Basics > Getting started > TAB - Start > EXE files > EXE files - protection options / Dear Support Staff,

EXE files - protection options

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

There are different options you can use, depending on the type of your application.

Command Line Parameter for EXE file

A hard coded command line can be passed to the EXE file. If you use the variable %path%, the path where the EXE file starts is inserted.

Use command line as a password

When using the option: Run EXE file in temporary folder on the hard disk, the protection can be improved significantly by providing a password as a command line parameter. This option should be used if source code is available.

·The application only starts, if the password, provided in the command line, is correct

·The password should be at least 30 characters long and should contain numbers, upper and lower case characters e.g.r1nBLCV1rZLZI0YyG7J1BiGNc2cLtZg21pfxm1nv9Jl2f34fs2ajVw31ToTQL1QYt

The password may not contain spaces and the character "

When a EXE file is specified as a start file, a new option is visible: Command line parameter for EXE file

The All-In-One Player provides the password during runtime when the EXE file is invoked.

We recommend splitting the password in different parts and variables of the application to prevent, that a hacker can find out the command line by analyzing the EXE file.

Sample

A very simple method would be to hide the strings in different program parts and make calculations. You can implement more sophistic code like the one below. This is just to outline an idea.

x$=”2”

a$=r1nBLCV1rZLZI0YyG7J1BiGNc2cLtZg+str$((val(x$)+1)*7)pfxm1nv9Jl+x$

c$=f34fs+x$+ajVw31ToTQL1QYt

commandparameter$=a$+b$+c$

.NET offers a SecureString Class. It represents text that should be kept confidential. The text is encrypted for privacy when being used, and deleted from computer memory when no longer needed. For details see: http://msdn2.microsoft.com/en-us/library/system.security.securestring.aspx

· Details Run EXE on secure Virtual Zone

· Details Run EXE on temporary folder on hard disk

Additional Options

The options are available depending on the selected protection type (Virtual Zone / temporary folder).

Extract all files

All files are extracted to the Virtual Zone / temporary folder. After the file are extracted, the EXE file, which was marked as the start file, is started. If this option is not selected, only the start file is extracted.

Delete all files when EXE is terminated

After the file, which was marked as start file, is terminated, all files are deleted on the temporary folder. If the Virtual Zone is used, this is done automatically as the Virtual Zone is removed in the memory when the program terminates.

Run EXE unprotected on installation directory

This option extracts all files to the folder, from which the All-In-One Player was started. Then the file is unprotected.

One possibility for this option would be to protect an installer. The customer has to activate the software. Then the installer is extracted and starts. The files are unprotected after the installation.

Register DLLs

The Virtual Zone allows to register DLLs before the application starts. The registration is done in a virtual registry, which needs no administration rights. After the program terminates, the registry entries are removed.

This function does not work with all DLLs and should be used only, if DLLS have to be protected which have to be registered.

If the registration does not work, you have to remove the DLLs from the project and register + install it unprotected with an installer.

Compatibility Mode (check only in case of errors)

If the protected EXE file does not start, check this option. In case the EXE file comes with a .config file, this option has to be checked.

Example: Myapp.exe and Myapp.exe.config

Decompile protection only - do not use licensing / copy protection

In case a single EXE file should only be protected against decompilation and no licensing should be used or the licensing is done by Licence Protector (www.Licence-Protector.com), then use this option. All licensing settings are ignored and no license file (.lic) is created.

Display animation during program start to signal waiting time

As the loading of a huge project can take a little bit longer, the display of an animation with text indicates the user, that the application will start soon.

Advanced Protection

This option checks, if the All-In-One Player file was modified (e.g. a hacker patched the file). In this case the protected application will not be started.

EXE Build Options

Save each EXE file as single encrypted file

Use this option only if you have multiple EXE files in the project but no additional files like DLLS, images etc. Each EXE file will use the same license file.


License file and configuration information

Home topic Part I - Learning the Basics > Getting started > TAB - Start > EXE files:

License file and configuration information

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - License file and configuration information exe-Read_Configuration_File Part I - Learning the Basics > Getting started > TAB - Start > EXE files > License file and configuration information / Dear Support Staff,

License file and configuration information

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If the main application is an EXE file, the application should work without any modifications. Only if the EXE files writes configuration files, which should be available after the next program start, a modification could be necessary.

Test your application. If the application writes configuration files typically on the installation folder, this folder is not visible any more to the EXE file while it is running. The folder name can be retrieved reading a text or XML file. The name of the folder, where the EXE file is stored, can be found in the variable <Install-Path-Player>.

The configuration file also provides additional information like the registered customer name, time limitation or whether the product is activated or not.

The All-In-One Player provides a file mp-config.xml and mp-config.txt. This file is generated during runtime. If you application runs in the Virtual Zone the file is not visible. Both files have the same content. Just read the file with the format your application can handle. The files are created in the same folder, where the EXE file is located.

The files provide a lot of information. Some are for future use and are not explained in this documentation. You can download a sample of each file. Download Now!

mp-config.xml

It is an XML file and you need an XML parser to read it.

<Default>

<Install-Path-MMF> - path where the mmf file (database) can be found
<Install-Path-Player> - installation path of the application
<Player-Name> - name of the All-In-One Player, e.g. myapp.exe
<MMF-Name> - name of the mmf file, e.g. myappdata.mmf

<SerialNumber> - the Serial Number used to activate the product
<StartExe> - name of the start file, e.g. yoursource.exe

<LicenceInfo>

<Customer> - license holder name. This is the name which was type in during the product activation

LicFile - Path and name of the license file

<Module1>

<TotalLicences> - number of maximum network licenses define in the screen - License Information or in the Serial Number

<RemainingLicences> - licenses available in a network installation

<ExpiredOn> - Expiry date of the license - if expired on is 30.12.1899 then it is a version without any time limitation

<RemainingDays> - Days left to evaluate the product or to run the full version. If the value is -1 then there is no time limitation

<LicenceType> - S - license per Computer, U = license per User, R = license per concurrent user - defines in the screen - License Information

<DemoMode> - true = Demo/evaluation version, false = Full Version (product is activated)

<WebActivation> - 0 = status after program start. No Serial Number was applied, 1 = Serial Number was applied, 2 = product is activated, 3 = erroneous activation

mp-config.txt

It is standard Windows INI file.

[Default] - Section Name you have to specify if you read an parameter

Install-Path-MMF - path where the mmf file (database) can be found
Install-Path-Player - installation path of the application
Player-Name - name of the All-In-One Player, e.g. myapp.exe
MMF-Name - name of the mmf file, e.g. myappdata.mmf

SerialNumber - the Serial Number used to activate the product
StartExe - name of the start file, e.g. yoursource.exe

[LicenceInfo]

Customer - license holder name. This is the name which was type in during the product activation

LicFile - Path and name of the license file

[Module1]

TotalLicences - number of maximum network licenses define in the screen - License Information or in the Serial Number

RemainingLicences - licenses available in a network installation

ExpiredOn - Expiry date of the license - if expired on is 30.12.1899 then it is a version without any time limitation

RemainingDays - Days left to evaluate the product or to run the full version. If the value is -1 then there is no time limitation

LicenceType - S - license per Computer, U = license per User, R = license per concurrent user - defines in the screen - License Information

DemoMode - true = Demo/evaluation version, false = Full Version (product is activated)

WebActivation - 0 = status after program start. No Serial Number was applied, 1 = Serial Number was applied, 2 = product is activated, 3 = erroneous activation

The variable Install-Path-Player provides you with the installation path of the application. This would be the folder where your application previously stored configuration files.

It is possible that the protected EXE file (variable Player-Name) has a different name like your original EXE file (variable StartExe.)

Use the name of the EXE file you want to protect in the field: Name of EXE file. Then the name of the protected EXE file has the same filename like your original application.

Where should you place your configuration files

As a configuration file needs a read and write access, you cannot place it to c:\program files folder as there is no write access on this folder for Vista.

Although we found no recommended procedure from Microsoft how to share a file on one PC for all users, the following installation process will work.

Retrieve folder names

You can retrieve the folder name via the registry.

Windows Vista

HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\explorer\Shell Folders

Common AppData

C:\ProgramData\

Windows XP

HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\explorer\Shell Folders

Common AppData

C:\Documents and Settings\All Users\Application Data

Create a folder

Save the configuration file to

·Windows Vista - C:\ProgramData\yourcompany name\appname\app.dat

·Windows XP - C:\Documents and Settings\All Users\Application Data\yourcompany name\appname\app.dat

By default, standard users on Vista have only Read access and the folder is not visible. See below how to set write access to this folder.

Setting Write Access to a folder during installation.

Some installers have built in options to change rights on folders. You cannot use the standard Windows tool cacls.exe or icacls (Vista) because you have to address the user / group name you want to change in the language of the operation system - e.g. 'users' or 'Benutzer'.

There is a tool SetAcl.exe which allows using SID to change the permission. The tool can be downloaded here: http://setacl.sourceforge.net/html/examples.html . Documentation for the SID can be found here (only German): http://www.grurili.de/index.html?/Grundlagen/WellKnown_SIDs.htm

Your installer could use the following sequence

·Copy setacl.exe to the installation directory

·Execute Setacl.exe e.g. "maindir\SetAcl.exe" -on "maindir" -ot file -actn ace -ace "n:S-1-5-32-545;p:full;s:y" - This will set full rights to the group users. The SID S-1-5-32-545 is used instead of the name users

(note: maindir is the folder name like c:\ProgramData\yourcompany name\appname)

·Delete setacl.exe


Troubleshooting with EXE files

Home topic Part I - Learning the Basics > Getting started > TAB - Start > EXE files:

Troubleshooting with EXE files

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Troubleshooting with EXE files Problembehandlung_mit_EXE_Date Part I - Learning the Basics > Getting started > TAB - Start > EXE files > Troubleshooting with EXE files / Dear Support Staff,

Troubleshooting with EXE files

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

In case the EXE file does not start or you get unclear error messages, check:

·If the protected EXE file does not start, check the option: Compatibility Mode

·If you get a message: xy.exe could not be found and xy.exe is the name of your protected application, check the option: Compatibility Mode

·The protected EXE file must not require administration rights when it is running - e.g. it may not be an installer EXE file or a file which has words like setup or install in the file name (e.g. elearningsetup.exe). Also if a manifest file is delivered, the manifest file may not have a definition, that the EXE requires administration rights. For more details about EXE names and Vista / Windows 7 read this blog.

·Virtual Zone requires Windows XP to Windows 7

·64bit EXE files or EXE files compiled for any CPU running on 64bit operating systems or not supported. 32bit EXE files on 64bit operating systems are supported. For 64bit applications use Run EXE file in temporary folder on hard disk


Flash (SWF) files

Home topic Part I - Learning the Basics > Getting started > TAB - Start:

Flash (SWF) files

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Flash (SWF) files Button_Player_Options Part I - Learning the Basics > Getting started > TAB - Start > Flash (SWF) files / Dear Support Staff,

Flash (SWF) files

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector comes with an own SWF player, which supports almost all SWF functions. There are practically no limitations on the file size.

·The file size per project (all SWF files together) can be up to 1 GB

·Files in SWF format play on all Computers always as the format is integrated in All-In-One Player

·Protection against video recording - the video cannot be captured using video capture tools - the unique All-In-One Protector Snapshot Protection

·The SWF file is protected against decompiling and is never visible on the harddisk while the SWF file is played

·All-In-One Player can be distributed for free

·Does not need any installation and does not require administrator rights

·Supports Flash 11

·The SWF application must be developed to run in a standard flash player. SWF applications, running only in a Browser, are not supported

·SWF applications, which invoke FLV files, are not supported. The FLV file must be encrypted separately.

After selecting one or more SWF file(s) in the data import screen, you can configure the SWF options. Click on the icon [image] to open the configuration screen for the SWF configuration options. If this option is grayed out [image], then no SWF file was selected in the Data import screen.

See also chapter: Flash Development how to use special commands or access license information within the flash application.


SWF files - protection options

Home topic Part I - Learning the Basics > Getting started > TAB - Start > Flash (SWF) files:

SWF files - protection options

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - SWF files - protection options Player_Options Part I - Learning the Basics > Getting started > TAB - Start > Flash (SWF) files > SWF files - protection options / Dear Support Staff,

SWF files - protection options

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Display Options

There are different options to start the All-In-One Player.

Run with Full Screen

This option starts the All-In-One Player in full screen mode.

Otherwise the All-In-One Player uses the screen size defined in the start .swf file.

Start with maximized size

This option is similar to Run with full screen. It starts with the maximum usable size, while a title bar to close the All-In-One Player stays at the top of the screen.

Start with default size

The All-In-One Player uses the screen size defined in the start .swf file.

Start with customized size

You can define the width and height of the screen in pixel.

Enable Flash configuration (right mouse click)
This enables the user to use right mouse click within the All-In-One Player and then print the current page or modify flash settings.

Show Control Bar

Activates a control bar with a Home button. This allows the user to start the main file (Start file) at any time again. Use this feature if you have multiple flash files connected with hyperlinks and the flash files does not provide a home or any other navigation feature. Select none if no control bar should be displayed.

Home button - activates the Start file

The control-bar can be placed:

·left

·bottom

·right

·top

Conversion options

These options allow to automatically make corrections for files which would normally not run in the standard flash player.

Converting hyperlinks after SWF ending

If documents like PDF or PPT are converted and they have links to other PDF or PPT files, All-In-One Player can automatically convert the hyperlinks to .swf extension.

Sample

Original files: file1.pdf and file2.pdf. File1.pdf links to file2.pdf

Converted files: file1.swf and file2.swf. File1.swf links to file2.pdf. This link would not work and is automatically corrected to file2.swf

Use this option only if needed. Hyperlinks e.g. using a xml configuration file will not work because they are also converted.

Always use relative paths

If documents like Word link to other documents in subfolders with these documents linking back, it is often necessary to use a relative path to link back like ...\file1.doc (instead of .\folder1\file1.doc).

Sample

c:\program files\folder1\file1.doc Ú links to .\subfolder1\file2.doc

c:\program files\folder1\subfolder1\file2.doc Ú links to ...\file1.doc instead using .\folder1\file1.doc

Using the option Always use relative path will support this kind of hyperlinks.

If the application loads but the configuration text provided via an XML file is missing, try again using the Option Always use relative path.

Run in installation directory

This options can be used if EXE files are started. The All-In-One Player provides the path where the encrypted database is stored as the path where the EXE file is started. This option can be used if the EXE file has problems with configuration files.

Security Options

Prevent Screenshots

Check this option to get a protection against video recording - the video cannot be captured using video capture tools - for more details see All-In-One Protector Snapshot Protection

Flash Build Options

By default, the option: Save each SWF file as one single encrypted file is UNchecked. All flash files and the complete folder including subfolders will be saved in one, singe encrypted database (MMF file). This is always required if you want to protect a flash application which consists of multiple files

Only if you have several single flash files which are not linked together, check this option. Each encrypted SWF file is then visible as a separate file and can be opened with a double-click.


PDF files

Home topic Part I - Learning the Basics > Getting started > TAB - Start:

PDF files

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - PDF files Import_PDF_Files Part I - Learning the Basics > Getting started > TAB - Start > PDF files / Dear Support Staff,

PDF files

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector comes with an own PDF Viewer which allows a native protection of PDF files. Most features of the standard PDF Reader are supported and the PDF Viewer is highly configurable.

Using the All-In-One Protector PDF Viewer

·Nearly the full feature set of PDF is supported including thumbnails, bookmarks, search pane, zoom or different navigation options

·Supports hyperlinks within a PDF file

·Basic form fields are supported

·The All-In-One Protector PDF Viewer can be individually configured - e.g. allow searching but no printing and no thumbnails

·No conversion required - PDF can be used as it is

·A menu application can directly open one protected PDF file

·Printers like PDF, Flash, XPS or file printers can be blocked - only paper printers are allowed

·Limit number of prints

·Protection against screen recording - the PDF file cannot be captured using capture tools - the unique All-In-One Protector Snapshot Protection

·High Security using strong encryption

·Supports PDF 1.7 (Adobe 8)

·All-In-One Protector PDF Viewer can be distributed for free

·Does not need any installation and does not require administrator rights

·Hyperlinks from one PDF file to another PDF file are only supported with limitations

·Adobe Portfolio files are not supported

·Video files, embedded in the PDF file, are not supported

After selecting one or multiple PDF file(s) in the data import screen, you can configure the PDF options. Click on the icon [image], to open the configuration screen for the All-In-One Protector PDF Viewer. If this option is grayed out [image], then no PDF file was selected in the Data import screen.

· Configure the All-In-One Protector PDF Viewer

· Protect multiple PDF files

The PDF file may not be password protected (open or save) - all security settings must be set to none for the PDF file before you import it.

There are also other ways to protect a PDF file. More Information.

Shrink your files

If you distribute files via download link, you try to make the file size as small as possible. Especially when you encrypt the files with All-In-One Protector, having a smaller file size decreases the time needed to decrypt the file. We have tested one tool - NXPowerLite - in combination with All-In-One Protector.

NXPowerLite reduces PDF, PowerPoint, Word, Excel and JPEG files without quality loss up to 95%. Optimized files remain in their original format and don’t need to be unzipped. Thus the files can be protected with All-in-One Protector without any modifications.

Home Page NXPowerLite - more information and evaluation version

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.

See also
All-In-One Protector PDF Viewer options


PDF files - protection options

Home topic Part I - Learning the Basics > Getting started > TAB - Start > PDF files:

PDF files - protection options

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - PDF files - protection options Multimedia_Protector_PDF_Viewe Part I - Learning the Basics > Getting started > TAB - Start > PDF files > PDF files - protection options / Dear Support Staff,

PDF files - protection options

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

PDF Options

This screen allows you to configure the <%MPPDFVIEWER.

PDF Build Options

By default, the option: Save each PDF file as one single encrypted file is checked. Each encrypted PDF file is visible as a separate file and can be opened with a double-click. Details.

If this option is unchecked, all PDF files are stored in one single MMF file and a menu is required, to display the files.

Security Options

·Prevent Screenshots - Protection against screen recording - the PDF file cannot be captured using capture tools - for more details see All-In-One Protector Snapshot Protection

·Allow Printing - enable or disable the print button

·Don't allow Printing to PDF / File - If printing is allowed, it can be restricted to paper printers. All-In-One Protector filters out PDF, Flash, XPS and file printers.
There is a new printer icon [image] in the All-In-One Protector PDF Viewer if this option is enabled.

·Allow Select and Copy - this enables the option to copy and paste text from the PDF document

·Do NOT encrypt PDF files - The PDF files are stored without encryption. If PDF files are invoked from PowerPoint, EXE or flash, they cannot be protected. Do not encrypt the PDF files or don't import it. ( For flash see start PDF files)

If this option is changed you have to reimport the files using the button: Read Files from Folder

·Limit number of print copies. If printing is allowed, the number of print copies can be specified. If no print copies are left, an Activation Key can be sent to the user to allow more prints. Details see chapter: Additional LicenseThere is a new printer icon [image] in the All-In-One Protector PDF Viewer if this option is enabled.

·If the project includes several PDF files, then the option is valid for all files. Example: Number of Copies = 1 allows to print only one document but you cannot select which one

·Every print counts, even if only one page is printed

·If you change this option, you have to select Read files from folder in the Import Screen again

·If this option is selected, a reinstallation on the same PC is not possible.
Show Toolbar

Allows to enable a toolbar like zoom or find or to display a menu bar.

·Menu Bar - enable or disable the menu bar (File, Edit, View etc.). This option is necessary if you activate a pane window like thumbnails. If the user closes this window he can open it again using the menu

·Rotate View - enable or disable the option to rotate a PDF file

·Zoom - enable or disable the zoom

·Find - enable or disable the search functionality

·Navigation Pane - enable or disable additional navigation options

·Allow Snapshot Tools - The snapshot tool allows to make a photo of the screen (print screen functionality). Enable this option with care. Note: This is an inbuilt functionality of the All-In-One Protector PDF Viewer. Other snapshot tools could capture the screen, even if this option is disabled. To prevent screen shots, check this option.

Show Panes

A pane is a small window on the left or right side (sometime on the bottom) of a PDF document.

·Page Layout - enables multiple page viewing or continuous page viewing

·Page Navigation - adds an option to browse through the document, displays the number of pages and allows to jump directly to a page

·Bookmarks - adds a window to display the bookmarks. If Display Bookmarks on open is selected, this screen appears when the document is loaded. Otherwise it can be selected using the menu bar.

·Thumbnails - adds a window to display a small preview of each page. If Display Thumbnails on open is selected, this screen appears when the document is loaded. Otherwise it can be selected using the menu bar.

·Search Pane - adds a window with extended search features

·Allow Snapshot Tool of the PDF Viewer

Enables a snapshot tool within the PDF Viewer which allows the user to make a snapshot of the PDF file. The tool can be accessed within the menu Tools, Basic Tools, Snapshot Tool

·Start in full screen mode

The PDF document is opened in full screen mode (without a menu). Using the ESC key displays the menu. F10 switches back to full screen mode.

·Show close button

Adds a close button. Recommended in combination with Start in full screen mode

Runtime Options

·Extract all files - by default, only the selected start file is extracted to a temporary folder. If multiple files are imported (PDF with audio, video) then all these files could be extracted but they are not protected. The PDF file is always protected

·Start PDF from installation folder - this options allows to start an encrypted PDF file from outside the database. If a PDF file is bigger than 200 MB, the loading time is tool long on slow machines. This options stores an encrypted PDF file in the publish folder and the All-In-One Protector PDF Viewer starts the file directly from the folder. If you use the Installation Manager, you have to additionally copy the file, because it is not stored in the database.

If your PDF file has links to audio files, then you have to provide the audio file on the same folder. If you additionally select Extract all files, then all other files will be placed on the temporary folder.
Premium Plus Option

·Allow Markups

See Allow Markups, comments and notes

·Allow to modify and save the document

The user can modify the PDF content (e.g. fill out a form) - when the file is closed the modifications are saved.

·Limit number of pages in trial version

If the product is in evaluation mode, you can limit the number of pages which are displayed. This option is not available if markups are allowed or the pdf file can be modified

This feature is available only in the All-In-One Protector Premium Plus Edition.

All-In-One Protector PDF Viewer uses the language of the operating system and not the language, which is defined for the All-In-One Player in the screen - Player Options.

Example: The registration dialogues of the All-In-One Player are in English, the operating system is in Russian, then then All-In-One Protector PDF Viewer will start with Russian user interface.

Use Audio and Video inside a PDF file

It is not possible, to use an embedded audio or video file inside the PDF file but it is possible, to make a link to an audio or video file.

·Add a hyperlink in the PDF file to the audio or video file

·Import all files (PDF, Audio, Video) and make the PDF file the start file

·Check the Runtime Option, Extract all files

The Audio and Video files will not be protected. They run in the default player of the system.

Large PDF files

If a PDF file has more than 200 MB file size, select the option: Start PDF from installation folder . Details see Runtime Options

Error Messages

Error messages which can appear during loading of the protected file

This document can only be viewed because you don't have permission to save / modify the file.

The user does not have a write permission to save changes made on a protected file


Allow Markups, Comments and Notes

Home topic Part I - Learning the Basics > Getting started > TAB - Start > PDF files > PDF files - protection options:

Allow Markups, Comments and Notes

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Allow Markups, Comments and Notes Allow_Markups Part I - Learning the Basics > Getting started > TAB - Start > PDF files > PDF files - protection options > Allow Markups, Comments and Notes / Dear Support Staff,

Allow Markups, Comments and Notes

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The option: Allow Markups and save PDF

allows the user to add notes to a protected PDF file or highlight text. A comment toolbar is added In the All-In-One Protector PDF Viewer.

With the comment toolbar the user can:

·Add a note

·Add own text

·Highlight or underline text

·Add arrows or lines

·Use a pencil to draw

·Add a stamp like confidential

After changing the document, the PDF file is encrypted again and saved. The file must be on a hard disk or USB flash drive. Files on a CD / DVD cannot be modified.

This feature is available only in the All-In-One Protector Premium Plus Edition.


Protect multiple PDF files

Home topic Part I - Learning the Basics > Getting started > TAB - Start > PDF files:

Protect multiple PDF files

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Protect multiple PDF files Protect_multiple_PDF_files Part I - Learning the Basics > Getting started > TAB - Start > PDF files > Protect multiple PDF files / Dear Support Staff,

Protect multiple PDF files

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To protect multiple PDF files, All-In-One Protector can create an own databases (MMF file) for every PDF file. Each database contains one PDF file.

Step 1 - Import folder

Copy all PDF files you want to protect to one folder.

Step 2 - Select PDF Options

Select [image] Option: Save each PDF file as one single encrypted file

Step 3 - Save project

Save the project. For every PDF file there will be a protected file with the extension .MMF in the \Publish CD folder

Step 4 - Open protected PDF file

A protected PDF file can be opened in 3 ways:

·Click on the file with the extension.mmf

·Use a menu application which opens the MMF file with an hyperlink like it would open a document with the extension pdf or doc

·Use a menu application which starts the All-In-One Player with the command line -f filename.mmf - see Open a database

If you have mixed content (like PDF and PPT) then make an own project for the PDF files.


Information missing in PDF file

Home topic Part I - Learning the Basics > Getting started > TAB - Start > PDF files:

Information missing in PDF file

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Information missing in PDF file Information_missing_in_PDF_fil Part I - Learning the Basics > Getting started > TAB - Start > PDF files > Information missing in PDF file / Dear Support Staff,

Information missing in PDF file

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The All-In-One Protector PDF Viewer will display the PDF file nearly in the same way like the Adobe PDF Reader. There could be slight differences.

·Images - if an image is missing or slightly different and you are using Adobe Acrobat / Distiller for PDF creation, try to change the settings for the images. Otherwise use the PDF converter, which comes with Office 2007 or a freeware PDF converter (like http://www.pdfforge.org/products/pdfcreator/). They have simpler image conversion.

·Forms are supported only in a limited way

·Embedded videos are not supported


PowerPoint files

Home topic Part I - Learning the Basics > Getting started > TAB - Start:

PowerPoint files

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - PowerPoint files Import_PowerPoint_Files Part I - Learning the Basics > Getting started > TAB - Start > PowerPoint files / Dear Support Staff,

PowerPoint files

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector protects PowerPoint files (extension pptx) either by displaying the files in PowerPoint 2007 / 2010 or using the free PowerPoint Viewer in case the user does not have PowerPoint installed. In case the file is opened within PowerPoint, options like save or print are removed.

PowerPoint Protection

·Supports the full feature set of PowerPoint 2007, 2010 and 2013. PowerPoint 2003 files can be protected with less options.

·The level of protection can be individually configured - e.g. do not allow printing or don't allow copy using the clipboard

·If the user does not have PowerPoint installed the free PowerPoint Viewer is automatically downloaded

·The user can change and save the PowerPoint content

·A menu application can directly open one protected PowerPoint file

·High Security using strong encryption

·All-In-One Player can be distributed for free

·PowerPoint, PowerPoint and PDF files can be mixed within one All-In-One Protector project

·Does not need any installation and does not require administrator rights if PowerPoint is already installed on the end user machine

·Hyperlinks from one PowerPoint file to another PowerPoint file are only supported with limitations

·Only works with PowerPoint 32bit

This feature is available only in the All-In-One Protector Premium Plus Edition.

After selecting one or multiple PowerPoint file(s) in the data import screen, you can configure the PoerPoint options. Click on the icon [image], to open the configuration screen . If this option is grayed out [image], then no PowerPoint file was selected in the Data import screen.

· Configure PowerPoint protection

Known Problems

· PPT with hyperlinks to other PPT files

Shrink your files

If you distribute files via download link, you try to make the file size as small as possible. Especially when you encrypt the files with All-In-One Protector, having a smaller file size decreases the time needed to decrypt the file. We have tested one tool - NXPowerLite - in combination with All-In-One Protector.

NXPowerLite reduces PDF, PowerPoint, Word, Excel and JPEG files without quality loss up to 95%. Optimized files remain in their original format and don’t need to be unzipped. Thus the files can be protected with All-in-One Protector without any modifications.

Home Page NXPowerLite - more information and evaluation version

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


PPT 2007 / 2010 / 2013

Home topic Part I - Learning the Basics > Getting started > TAB - Start > PowerPoint files:

PPT 2007 / 2010 / 2013

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - PPT 2007 / 2010 / 2013 PPT_files_-_protection_options Part I - Learning the Basics > Getting started > TAB - Start > PowerPoint files > PPT 2007 / 2010 / 2013 / Dear Support Staff,

PPT 2007 / 2010 / 2013

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

PowerPoint protection options for PPT 2007, 2010, 2013

The PowerPoint file has to be saved as PPTX file. For PPT files with hyperlinks to other PPT files click here.

This screen allows you to configure the PowerPoint protection.

PowerPoint Build Options

·Save each PowerPoint file as single encrypted file - this should be the default if you want to protect multiple PowerPoint files or a combination of Excel, PPT and PDF files. Only if you have PowerPoint files which have links to other PowerPoint files you have to uncheck this option

Security Options

·Allow printing - check this option if you want to allow printing

·Allow Select and Copy - check this option if you want to allow that the PowerPoint content can be copied using the clipboard

If Select and Copy is not possible, the clipboard is locked for all applications as long as the protected PowerPoint file is opened

Shortcuts which would allow to open or manipulate a file (like ALT + F8 or ALT + F11) are disabled. F12 (save) will terminate PowerPoint.

Runtime Options

·Start presentation automatically - this option will automatically launch the presentation (only relevant when opened in PowerPoint). The user cannot change the presentation.

PowerPoint Viewer

If you allow to use the PowerPoint Viewer, the user will get a message to download the Viewer if PowerPoint is not installed on his computer. The download link should go to the latest PowerPoint Viewer. You can change the link in case there is a new PowerPoint Viewer available.

Printing cannot be disabled when the PowerPoint Viewer is used.

Premium Plus Options

·Allow to modify and save the PowerPoint file

The user can modify the PowerPoint content or add data - when the file is closed the modifications are saved.

Error Messages

Error messages which can appear during loading of the protected file

The PowerPoint file can not be opened because PowerPoint is already running. Please close all instances of PowerPoint.

A protected PPT file can only be opened when PowerPoint is not running.

This document can only be viewed because you don't have permission to save / modify the file.

The user does not have a write permission to save changes made on a protected file


PPT 2003, PPT with hyperlinks

Home topic Part I - Learning the Basics > Getting started > TAB - Start > PowerPoint files:

PPT 2003, PPT with hyperlinks

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - PPT 2003, PPT with hyperlinks PPT_2003 Part I - Learning the Basics > Getting started > TAB - Start > PowerPoint files > PPT 2003, PPT with hyperlinks / Dear Support Staff,

PPT 2003, PPT with hyperlinks

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

PPT 2003 requires to add the PowerPoint Viewer within the project. You cannot select options like it is possible with newer PPT Versions. Links von einer PPT Datei zur anderen PPT Datei werden unterstützt.

All-In-One Protector uses the PowerPoint Viewer to play the protected files. By default, the PowerPoint Viewer is installed when you install PowerPoint, so that you can use the Viewer with the Package a Presentation for CD option. Otherwise you can download the Viewer from the Microsoft Website. Just search in the Online help of PowerPoint how to download the Viewer.

There are 2 steps to protect the PowerPoint presentation.

Create a Presentation for CD (requires PPT 2003, 2007)

The following description refers to PowerPoint 2003

·On the Microsoft file menu, select Package for CD

·In the Package for CD dialog box, in the Name the CD box, type a name for the CD presentation

·Click Options. Under Package type, you must select: Viewer Package (update file formats to run in PowerPoint Viewer), and then select an option in how presentations will play in the viewer list

·To ensure that files that are linked to your presentation are included in the package, select the Linked files check box

·Specify a password for modify/edit (password to open the file should be empty ). This adds just additional security

·Click OK to close the Options dialog box

·Click Copy to Folder, enter a folder name and location, and then click OK.

Create a new folder where you only store the files for this project

Import the files in All-In-One Protector

Now import all the files from the project folder you created and mark pptview.exe as startfile using the button Define as starting file. A red icon signals the start file.

The import screen would show the following files if you are using PowerPoint 2003.

Click to enlarge
Import Screen - PPT Viewer selected

The PowerPoint file and the PowerPoint Viewer are stored in one single, encrypted file. The user does not need to have PowerPoint on his computer. While the PowerPoint presentation is playing, it cannot be modified, saved or copied.

Make sure, that you select the folder with the file pptview.exe. If you would import a folder like ..presentation\pptview.exe you get an error message during runtime: playlist.txt can not be found.

Tips & Tricks

Use a menu if you have multiple PPT files

The project can contain multiple PPT files as long as they are linked - e.g. PPT file1 has a link to PPT file 2

If you have multiple PPT files, which are not linked, we recommend making a menu in PowerPoint (just a presentation with one slide) and link to each presentation.

Example

·Menu.ppt links to course1.ppt and course2.ppt

·In course2.ppt you add a link to menu.ppt

PPT Menu
PPT Menu

You can then pack all presentations in one database. The menu slide must be the slide you use when you select Package for CD (see above) - all other slides will be added automatically.

If the size of all presentations exceed 250 MB, you have to split the project into several databases (one project for each PPT file) and use a different menu. Otherwise, the time to load the presentation would take too long.

Compress large PowerPoint files

To significantly reduce the size of a PPT presentation, use a tool like http://www.pptminimizer.com


Video / Audio files

Home topic Part I - Learning the Basics > Getting started > TAB - Start:

Video / Audio files

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Video / Audio files Import_Video_Files Part I - Learning the Basics > Getting started > TAB - Start > Video / Audio files / Dear Support Staff,

Video / Audio files

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector comes with an own video player, which is capable of playing almost all video formats, which are available on the end user system. There are practically no limitations on the file size.

All video files are converted to the special All-In-One Protector video format with the extension .MPVIDEO

The file format supports

·File size per video can be up to 1GB

·Protection against video recording - the video cannot be captured using video capture tools - the unique All-In-One Protector Snapshot Protection

·Can play audio files

·A user can just click on a video file to play it

·The video is streamed - only small parts of the video are loaded into the memory and the video plays instantly

· SWF format is not supported as this file format is covered with the inbuilt flash player of All-In-One Protector

Important information about the video / audio formats

To play a specific video / audio format (e.g. WMV, AVI, MOV, MP3 etc.) a codec for this format must be installed on the end user PC. All-In-One Protector Video Player does not include any codec. It uses the one which is available on the end user system. If you deliver a video or audio file in a format which is not included in the default Windows installation, you need to provide a download link to the end user for the codec you need.

·For MOV files (Quicktime) it is not sufficient to install the Quicktime Player, as this player does not install the codec for other players (see codec download below)

·AVI files are a container format which can contain video and audio files in different format. You have to check which formats are used

·Files in FLV format require an installed flash version

·Although MP4 is ideal for high resolution videos it has the disadvantage, that the user would often have to download the codec. It is therefore more user friendly to use WMV or FLV

Depending on the Windows Operating System and service pack, there are different codecs installed by default but you could always use WMV, FLV for video and WMA for audio. MP3 was included in Media Player 10.

· List of codecs included with XP and Media Player 9 / 10 and advanced information about codecs in Windows

Codec Download

If you use other video formats, include a link to download a free codec, e.g. from www.shark007.net, www.codecs.com or http://www.mediacodec.org . Always the 32bit codec has to be downloaded (even on a 64bit operating system) as All-In-One Protector Video Player is a 32bit application.

A good strategy is to place a codec package installer on the CD you deliver or offer the user a direct link to such a codec pack (check the copyright note of the publisher how you may deliver it). There are packs which contain a lot of codecs like:

· http://www.codecs.com/download/K_Lite_Codec_Pack.htm

· http://www.shark007.net/vistacodecpackage.html

File Names

All protected files will get the extension .mpvideo

Example: The video course1.wmv will have the name course1.wmv.mpvideo

See also
Video / Audio options
Video - Online Streaming
Video - Encryption Error


Video / Audio options

Home topic Part I - Learning the Basics > Getting started > TAB - Start > Video / Audio files:

Video / Audio options

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Video / Audio options Protect_Video___Audio_files Part I - Learning the Basics > Getting started > TAB - Start > Video / Audio files > Video / Audio options / Dear Support Staff,

Video / Audio options

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Step 1 - Create a special video / audio project

When you create a project, you have to select the option: Video / Audio Project

Step 2 - Import video or audio files

Select a folder with video or audio files. Then select the file, which should be loaded as default file when the player starts and press the button: Define as starting file. The file is marked with a green icon

Step 3 - Define Video / Audio options

Click on the icon [image] to open the configuration screen for the Video / Audio options. If this option is grayed out [image], then no video files are selected or it is not a video/audio project (see create project).

Security Options

Prevent Screenshots

Enable the unique All-In-One Protector screenshot protection features. For details click here.

Remove screenshot protection if operating system does not support it

The option is only available, if the prevent screenshots option is selected.

This option is relevant for Windows XP with older graphic cards, that do not allow to enable the screenshot protection. As a result, the video would not play at all as capturing of the video file can not be prevented. If you check the option - Remove screenshot protection if operating system does not support it - the video will play but without any protection against screen capture.

URL for Online Streaming

If the video file should not be downloaded but directly streamed from a web server, type in the URL here - details see Online Streaming

Example: http://www.myserver.com/myvideo.wmv.mpvideo

See also: Video - Online Streaming

This feature is available only in the All-In-One Protector Premium Plus Edition.

Download Link if video codec is missing

Specify the download link and the name of the required codec here.

If a video cannot be played on the PC of the user because the required Codec is missing, an error message appears with the option, to download the missing codec. If this field is left empty, a default download link is used.

Use own encryption key

This option is only for backward compatibility in case you have used an own encryption key with Multimedia Protector.

Step 4 - Open a protected video / audio file

A protected video/audio file can be opened in 4 ways:

·Click on the file with the extension.mpvideo

·Start the EXE file ((All-In-One Player)) and then select a video in the file open dialogue

·Use a menu application which opens the mpvideo file with an hyperlink like it would open a document with the extension pdf or doc

·Use a menu application which starts the All-In-One Player with the command line -f filename.mpvideo - see Open a database


Video - Online Streaming

The All-In-One Protector Video Player supports streaming a video through an Internet server.

Step 1 - Create a Video Project

Create a video project as described here.

The result should be similar like in the screen below (select: Publish for CD)

·Videoproject.exe - this is the All-In-One Player application

·videoproject.lic - this is the license file

·Videoproject.mmf - this is the project file which is distributed

·Several files with extension mpvideo - these are the encrypted video files

Step 2 - Publish

·As publish option, check: Version for online streaming

·Select Publish for Download

Step 3 - Upload video files to the server

Upload the video files (all files in the folder Server) to your server.

Step 4 - Video Player

The user needs to install the EXE, LIC and MMF file on his local computer. Upload the folder Player to your server. It includes the file as self extracting EXE file.

Step 5 - Stream the video

There are multiple options to stream a video

Automatically play a video

If there is only one file to stream, place the URL in the project ( [image] options)

Hyperlink on a website

The most common way probably is to add a hyperlink on your website. If the user clicks on the hyperlink, the video stream starts.

A special hyperlink is required. It must begin with mpvideo:// instead of http://

<a href="mpvideo://www.myserver.com/lesson1.flv.mpvideo">Play Lesson 1</a

The user has to start the All-In-One Protector Video Player only once (normally to activate the product). This enables the special link option on the computer. Clicking on the hyperlink then starts the All-In-One Protector Video Player and automatically starts playing the video.

Select a video file in the All-In-One Protector Video Player menu option

Start the All-In-One Protector Video Player. In the menu File, select Load from URL

This is useful if you e.g. have one video per month. Just e-mail the link to the user.

This feature is available only in the All-In-One Protector Premium Plus Edition.


Video - Encryption Error

Home topic Part I - Learning the Basics > Getting started > TAB - Start > Video / Audio files:

Video - Encryption Error

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Video - Encryption Error Video_Encryption_Error Part I - Learning the Basics > Getting started > TAB - Start > Video / Audio files > Video - Encryption Error / Dear Support Staff,

Video - Encryption Error

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you get the following error after selecting a folder: The import of the following files failed then the video encryption could not be processed.

Possible reasons for the error are:

·Some files in the folder, you selected for import, are not video or audio files

·You try to import video / audio files with a codec, which is not installed on this computer. Install the required codec pack as described here

Your customer cannot play the video, if the codec is missing on his computer. Either specify a download link for the codec in the video/audio options or convert your files to a video / audio format, which is included in the Windows operating system.

List of codecs included with XP and Media Player 9 / 10 and advanced information about codecs in Windows


Registration options

Home topic Part I - Learning the Basics > Getting started > TAB - Start:

Registration options

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Registration options Button_Settings Part I - Learning the Basics > Getting started > TAB - Start > Registration options / Dear Support Staff,

Registration options

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Define Basic options for the product registration and activation.

CD and Download Version

Link to Web Shop

If a link is specified, a 'BUY a Serial Number' button will be displayed in the registration and activation screens. This link should move you directly to the order page.

Button to buy a Serial Number
Button to buy a Serial Number

Link to Help

If this hyperlink is specified, a Help Icon [image] will be displayed for all product activation screens. The link should direct to a website that offers help during the registration process.

Default: http://www.helpserver.biz/onlinehelp/lpmme/5.0/player/help/index.html . This offers a generic help for the registration process including a Video Tutorial. You can alternatively use your own online help.

Start Video Tutorial for product Activation

USB flash drive version

The USB flash drive version does not require a product activation process or a Serial Number. See chapter: USB-Stick (flash drive)

See also
Content Protection Only
About Activation
Online Activation
Activation by E-Mail
Activation by Fax
Activation by Phone


Content Protection Only

Home topic Part I - Learning the Basics > Getting started > TAB - Start > Registration options:

Content Protection Only

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Content Protection Only Content_Protection_Only Part I - Learning the Basics > Getting started > TAB - Start > Registration options > Content Protection Only / Dear Support Staff,

Content Protection Only

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If only the content is to be protected and no screen with licensing, time limitation or copy protection is to appear, select the option No activation (content protection only). The user does not have to type in a Serial Number to use the product. This allows the user to copy the project (no copy protection).

Tip

If you need a version just with content protection, which runs for an unlimited time, select:

·No activation (content protection only)

·Number of Days = 0 - screen License Information

For testing a project check - No Activation - this allows testing without the need to browse through the activation dialogs.


About Activation

Home topic Part I - Learning the Basics > Getting started > TAB - Start > Registration options:

About Activation

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - About Activation About_Activation Part I - Learning the Basics > Getting started > TAB - Start > Registration options > About Activation / Dear Support Staff,

About Activation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To activate a product means turning on Copy Protection and running the software with the specified license options.

There are 4 options to activate a product

· Online Activation via Web Activation Server

· Activation by E-Mail

· Activation by Fax

· Activation by Phone

Which activation method to choose depends on the line of business and the number of copies sold. The activation options can be combined, e.g. use 3 out of the 4 options. You can define a default activation method with the option Use as default option.

Online Activation

Preferred option for medium and large sales.

+ Allow automating the delivery process

+ No administration personnel needed

+ works 24 hours - customer can activate any time

- Internet connection required

- Could be blocked by application firewalls

- Web Activation Server needed

Activation by E-Mail

Preferred option if Online Activation is not available. Should be used as an second option in combination with Online Activation

+ Almost available on any PC

+ No firewall problems

+ Can be automated using the E-Mail Activator Service (requires the Activation Server)

- Internet connection required

- Customer has to wait for the Unlock Key

- Administration personnel needed

- Automation of delivery process not possible

Activation by Fax

Alternative option if Online Activation is not available.

+ Good option as an alternative activation method

- Fax required

- Customer has to wait for the Unlock Key

- Administration personnel needed

- Automation of delivery process not possible

Activation by Phone

Alternative option if Online Activation is not available.

+ Almost everybody has a phone

- Only available during business hours

- Administration personnel needed

- Automation of delivery process not possible


Online Activation

Home topic Part I - Learning the Basics > Getting started > TAB - Start > Registration options > About Activation:

Online Activation

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Online Activation Activation_Online Part I - Learning the Basics > Getting started > TAB - Start > Registration options > About Activation > Online Activation / Dear Support Staff,

Online Activation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Enables Online Activation. For Activation details see About Activation.

Select the checkbox: Use Online Activation for Registration.

If this is to be the default activation method, select: Use as default option

URL to Activation Server

The URL is automatically created for hosting customers. Customers using an own Activation Server specify the URL to the server.

Example

http://myserver.net/9999999/lpweb/lpws.asmx

The URL has to end with lpws.asm

Allow changing of URL

Allows changing the URL during the activation process. This makes sense if you have a backup server running.

To use Online Activation the Activation Server is required.

Screens and Workflow for Online activation

Below find the user screens and workflow during online activation.

The Online Activation requires the Serial Number, company name and e-mail address. Then the license will be verified online and activated. No additional step will be required. Details of the workflow.

This activation option is defined in the screen - Settings.

The activation process is transparent for the customer.

The screen: Activation Successful is displayed


Activation by E-Mail

Home topic Part I - Learning the Basics > Getting started > TAB - Start > Registration options > About Activation:

Activation by E-Mail

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Activation by E-Mail Activation_by_E-Mail Part I - Learning the Basics > Getting started > TAB - Start > Registration options > About Activation > Activation by E-Mail / Dear Support Staff,

Activation by E-Mail

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Enables Activation by E-Mail. For Activation details see About Activation.

Select the checkbox: Use E-Mail for Registration

If this is to be the default activation method, select: Use as default option

E-Mail address

A valid E-Mail address to receive the registration data.

Subject of e-mail

The subject line of the registration E-Mail.

Example: Registration of my E-Book

Text for e-mail and fax

Additional text which is used in the registration E-Mail. The text is restricted to 1500 characters.

Sample: The Unlock Key will be sent within 1-2 business days.

Screens and Workflow for e-mail activation

Below find the user screens and workflow during e-mail activation.

The e-mail activation requires the Serial Number, company name and e-mail address. After filling out the screen, an e-mail with the hardware IDs and license information will be generated. You have to send one key back to the customer to activate the copy protection (see screen Enter Unlock Key). Details of the workflow.

This activation option is defined in the screen - Settings

Click to enlarge
Screen - E-Mail Activation

After filling out the screen, select: Request Unlock Key by E-Mail - send E-Mail. This will open your default e-mail client. An e-mail with the hardware IDs and license information will be created. Press send to send the e-mail to our activation center. You will get an Unlock Key back within 2-3 business days.

Click to enlarge
E-Mail Activation - Send E-Mail

Create Unlock Key

The Unlock Key is generated in the TAB Administration, Create Unlock Key with Copy Protection or Create Unlock Key without Copy Protection. If you are using the Activation Server, then see Create Unlock Key using the Web Activation Server.

Enter Unlock Key

After requesting the Unlock Key by E-Mail, the screen shown below will appear during each start of the program. Type in the Unlock Key you got back by e-mail or fax. Press the button Next. If the Activation is successful, the screen Activation finished is displayed.

Click to Click to enlarge
Enter Unlock Key

Tip

The E-Mail activation can be automated using the E-Mail Activator Service. This service comes with the Activation Server.


Activation by Fax

Home topic Part I - Learning the Basics > Getting started > TAB - Start > Registration options > About Activation:

Activation by Fax

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Activation by Fax Activaiton_by_Fax Part I - Learning the Basics > Getting started > TAB - Start > Registration options > About Activation > Activation by Fax / Dear Support Staff,

Activation by Fax

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Enables Activation by Fax. For Activation details see About Activation.

Select the checkbox: Use Fax for Registration

If this is to be the default activation method, select: Use as default option

Fax number to register

A valid fax number to receive the registration data. You should use an international format like +49 721/151599638.

Text for e-mail and fax

Additional text which is used in the registration Fax. The text is restricted to 1500 characters.

Sample: The Unlock Key will be sent within 1-2 business days.

Screens and Workflow for Fax activation

Below find the user screens and workflow during fax activation.

The Fax Activation requires the Serial Number, company name and e-mail address. After filling out the first screen, a print page with the hardware IDs and Serial Number will be generated. You have to send one key back to the customer to activate the copy protection (see screen Enter Unlock Key). Details of the workflow.

This activation option is defined in the screen - Settings

Click to enlarge
Fax Activation

Request Unlock Key

After filling out the screen, select: Request Unlock Key by Fax - print Fax. This will open a report with the hardware IDs and license information. Press print to print the report and then fax it to the number provided in the report. You will get an Unlock Key back within 2-3 business days.

Click to enlarge
Fax Activation - Print Fax

Create Unlock Key

The Unlock Key is generated in the TAB Administration, Create Unlock Key with Copy Protection or Create Unlock Key without Copy Protection. If you are using the Activation Server, then see Create Unlock Key using the Web Activation Server.

Enter Unlock Key

After requesting the Unlock Key by E-Mail, the screen shown below will appear during each start of the program. Type in the Unlock Key you got back by e-mail or fax. Press the button Next. If the Activation is successful, the screen Activation finished is displayed.

Click to Click to enlarge
Enter Unlock Key


Activation by Phone

Home topic Part I - Learning the Basics > Getting started > TAB - Start > Registration options > About Activation:

Activation by Phone

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Activation by Phone Activation_by_Phone Part I - Learning the Basics > Getting started > TAB - Start > Registration options > About Activation > Activation by Phone / Dear Support Staff,

Activation by Phone

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Enables Activation by Phone. For Activation details see About Activation.

Select the checkbox: Use Phone for Registration

If this is to be the default activation method, select: Use as default option

Phone number to register

A valid phone number to receive the registration data. You should use an international format like +497525529339

Screens and Workflow for activation by phone

Below find the user screens and workflow during phone activation.

The Phone Activation requires the Serial Number and company name. After filling out the first screen, a screen with the phone number and also displaying the hardware IDs and Serial Number will pop up. The Unlock Key can be entered directly in this screen. Details of the workflow.

This activation option is defined in the screen - Settings

Click to enlarge
Phone Activation - Step 1

Request Unlock Key

Now call the phone number which is displayed. First specify the Serial Number. You will then be asked for one Installation code. Type in the Unlock Key you get and press the button Apply Key.

Click to enlarge
Phone Activation - Step 2

Create Unlock Key

The Unlock Key is generated in the TAB Administration, Create Unlock Key with Copy Protection or Create Unlock Key without Copy Protection. If you are using the Activation Server, then see Create Unlock Key using the Web Activation Server.


Images

Home topic Part I - Learning the Basics > Getting started > TAB - Start:

Images

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Images Button_Image Part I - Learning the Basics > Getting started > TAB - Start > Images / Dear Support Staff,

Images

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Define the images to be used in your project.

These images can be assigned:

· Splash-Image - image which is displayed during program start

· Registration Image - image which is displayed in the registration screen

· Icon - small image in the title bar of the All-In-One Player and All-In-One Protector PDF Viewer

Click on the icon [image] to add an image.

Click on the icon [image] to delete an image


Splash Image

Home topic Part I - Learning the Basics > Getting started > TAB - Start > Images:

Splash Image

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Splash Image Splash_Image Part I - Learning the Basics > Getting started > TAB - Start > Images > Splash Image / Dear Support Staff,

Splash Image

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can define a splash image to be displayed during the program start of the All-In-One Player.

Click on the icon [image] to add an image.

Click on the icon [image] to delete an image

The screen includes the license information. If the product is in trial mode, it is the default customer name. Once the product is activated, the name used to register the product is displayed.

Sample Splash Screen

Sample Splash Screen

Only JPG images are supported.


Registration Image

Home topic Part I - Learning the Basics > Getting started > TAB - Start > Images:

Registration Image

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Registration Image Registration_Image Part I - Learning the Basics > Getting started > TAB - Start > Images > Registration Image / Dear Support Staff,

Registration Image

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can define an image to be displayed during the registration process.

Click on the icon [image] to add an image.

Click on the icon [image] to delete an image

Only JPG images are supported. The ideal image size is 175x110 pixel.


Icon

Home topic Part I - Learning the Basics > Getting started > TAB - Start > Images:

Icon

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Icon Icon Part I - Learning the Basics > Getting started > TAB - Start > Images > Icon / Dear Support Staff,

Icon

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can define an ICON to customize the application file or title bar.

Click on the icon [image] to add an image.

Click on the icon [image] to delete an image

The following icons are used if no own icon is selected:

Icon für All-In-One Player

Icon for All-In-One Protector PDF Viewer

Icon for All-In-One Protector Video Player

Only ICO files are supported. The icon should include a 16x16 and 32x32 pixel image.

What will change if you specify an icon?

Depending on the file type, the icon will be used in different places.

· Publish for Download create one single exe file for a download version. It uses the icon for the EXE file

·The title bar of the All-In-One Protector PDF Viewer, All-In-One Protector Flash Player and All-In-One Protector Video Player will change. The title bar of an application will use the original icon of the application

Example - Video Player title bar

·If the option: Minimize All-In-One Protector file size is checked, then EXE and office projects (Excel / Powerpoint) will have this icon in All-In-One Protector Application Viewer. The icon is visible in the file explorer

In combination with the Installation Manager, you can also define a desktop icon and program manager group icon. The icon which is displayed in the File Explorer cannot be changed.


Activation Screens

Home topic Part I - Learning the Basics > Getting started > TAB - Start:

Activation Screens

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Activation Screens Activation_Screens Part I - Learning the Basics > Getting started > TAB - Start > Activation Screens / Dear Support Staff,

Activation Screens

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Define the properties of the activation screens.

Address Information

Select between 3 different screens to collect address information during the product activation.

Address Screen 1
Address Screen 1

Address Screen 2
Address Screen 2

Address Screen 3
Address Screen 3

License Viewer option

Certain options of the License Viewer can be deactivated.

Hide License Transfer button

If the customer should not have the possibility to transfer the license to a new computer, then you can activate this option

Hide Info button

The Info button provides Copy Right information.

Hide network license deactivate button

If you do not want to allow, that a license can be deactivated using the License Viewer, check this option. It prevents to deactivate a license within the network and for USB flash drives.

Design

The default background image of the registration dialogues can be replaced with a customized image. The image requirements are:

1.Size: 640 x 480 pixel

2.Format: PNG

The default background image is light blue

Default Screen
Default Screen

Tips

·Use only light colors

·If your logo should be transparent on the background, don't use a Splash Image and add the logo on the background image

Your registration screen could look like this

Click to enlarge
Screen - Green Color Hatch
Click to enlarge
Screen - Line Dye
Click to enlarge
Screen - Vintage
Click to enlarge
Screen - Blue Sunbeam
Click to enlarge
Screen - Blue Snow

Sample Background Images

Download a sample and add it in your project.

·Left click on the image to enlarge it

·Right click on the image to save it

Click to enlarge
Forms
Click to enlarge
Gray
Click to enlarge
Line Dye
Click to enlarge
Sepia
Click to enlarge
Vintage

Click to enlarge
White Background

Variations of Green

Click to enlarge
Green
Click to enlarge
Green Brick
Click to enlarge
Green Bug Eye
Click to enlarge
Green Clamb
Click to enlarge
Green Color Hatch

Click to enlarge
Green Glass
Click to enlarge
Green Halo
Click to enlarge
Green Hexagon
Click to enlarge
Green Honey Comb
Click to enlarge
Green Insect

Click to enlarge
Green Mirror
Click to enlarge
Green Noise
Click to enlarge
Green Pin Wheel
Click to enlarge
Green Pixelate
Click to enlarge
Green Pointillize

Click to enlarge
Green Rain
Click to enlarge
Green Random
Click to enlarge
Green Shutter
Click to enlarge
Green Snow
Click to enlarge
Green Star Shine

Click to enlarge
Green Sun Beam
Click to enlarge
Green Triangle
Click to enlarge
Green Twilight
Click to enlarge
Green Windmill

Variations of Blue

Click to enlarge
Blue
Click to enlarge
Blue Brick
Click to enlarge
Blue Bug Eye
Click to enlarge
Blue Clamb
Click to enlarge
Blue Color Hatch

Click to enlarge
Blue Glass
Click to enlarge
Blue Halo
Click to enlarge
Blue Hexagon
Click to enlarge
Blue Honey Comb
Click to enlarge
Blue Insect

Click to enlarge
Blue Mirror
Click to enlarge
Blue Noise
Click to enlarge
Blue Pin Wheel
Click to enlarge
Blue Pixelate
Click to enlarge
Blue Pointillize

Click to enlarge
Blue Rain
Click to enlarge
Blue Random
Click to enlarge
Blue Shutter
Click to enlarge
Blue Snow
Click to enlarge
Blue Star Shine

Click to enlarge
Blue Sun Beam
Click to enlarge
Blue Triangle
Click to enlarge
Green Twilight
Click to enlarge
Blue Windmill

This feature is available only in the All-In-One Protector Premium Plus Edition.


Laguage selection

Home topic Part I - Learning the Basics > Getting started > TAB - Start:

Laguage selection

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Laguage selection Languages Part I - Learning the Basics > Getting started > TAB - Start > Laguage selection / Dear Support Staff,

Laguage selection

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Select Language
Select one or multiple languages for the registration and activation dialogs. The user can select the language within the first registration dialog.

Default Language

You can define a default language. The default language is used if the language of the Windows operating system of the user is not selected in the option above.


Licenses

Home topic Part I - Learning the Basics > Getting started > TAB - Start:

Licenses

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Licenses Button_License_Information Part I - Learning the Basics > Getting started > TAB - Start > Licenses / Dear Support Staff,

Licenses

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Define the options for a trial version, network license and configure security settings.


License Type

Home topic Part I - Learning the Basics > Getting started > TAB - Start > Licenses:

License Type

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - License Type License_Type Part I - Learning the Basics > Getting started > TAB - Start > Licenses > License Type / Dear Support Staff,

License Type

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

For information about licensing see available license options.

Select one of the 4 possible license types. Licence per:

·PC

·User / Person

·Concurrent user

·Number of program starts

License Type
License Type

Non-network license

If the application is a non-network application (installation on a single PC), choose license per PC and number of PCs during evaluation = 1. This is the only option in the Standard version. For details about the user license see Licence per PC.

Non-network license / single user installation

If the application is a non-network application (installation on a single PC) AND you want to limit it to one user, choose license per User and number of users during evaluation = 1. For details about the user license see Licence per User / Person.

Network license

You have to select license per PC, per User or Concurrent user. See also How to distribute a network version.

This feature is available only in the All-In-One Protector Premium Plus Edition.

Number of program starts

This option limits the number of the program starts. It is valid for the evaluation version and also for the full version. You can create additional Keys to add more program starts.

Example - Evaluation version

The evaluation version should allow only 5 program starts.

·Set the Number of program starts during evaluation to 5

·Number of days to evaluate or End of Evaluation can be combined. Then the event which happens first terminates the evaluation version - either the expiry date or the number of program starts.

·If no time limitation is needed, set Number of days to evaluate = 0

Example - Full version

The user should be able to start the product only with a valid Serial Number and the license for the full version is 5 program starts:

·Set the number of program starts to 1

·Check the option: No evaluation version - Serial Number needed to start

· Create a Serial Number with the number of program starts = 5

·As you want to prevent, that a user can just reinstall the product after the number of program starts is 0, check the option: Advanced Protection against Reinstallation (Tamper Detection).

Click to enlarge
Screen - Limit number of program starts

If this option is selected, a reinstallation on the same PC is not possible.

for all options

·The number of users / PC's or program starts for the full version can be changed with an Activation Key

·For network installations, the number of users / PCs has to be set to 99999 if no limitation is required.

Click to enlarge
Screen - License Information

If a user connects through a remote connection using a tool like Remote Desktop, Citrix, Terminal Server or gotomypc, it depends on the tool if the remote connection counts as a separate license. For most tools, All-In-One Protector retrieves the PC name of the remote PC and counts the connection as a new license.

This feature is available only in the All-In-One Protector Premium Plus Edition.


Evaluation Time

Home topic Part I - Learning the Basics > Getting started > TAB - Start > Licenses:

Evaluation Time

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Evaluation Time Evaluation_Time Part I - Learning the Basics > Getting started > TAB - Start > Licenses > Evaluation Time / Dear Support Staff,

Evaluation Time

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Defines whether the application is available for evaluation or not. During each program start the days left for evaluation are displayed.

Configure evaluation version
Configure evaluation version

Number of days to evaluate

Days for evaluation, beginning with the first start of the All-In-One Player. Setting days to 0 allows using the software without time limitation but offers an option for registration.

Number of minutes for evaluation

For some applications (like games) an evaluation version limited by number of minutes is better like number of days. The user would get a warning, that the application is terminated. This is specified with the option: Warn x minutes before times expires.

After selecting this option, another option appears: Advanced Protection against Reinstallation (Tamper Detection). This option prevents a reinstallation which would grant again time for testing. The setting is also valid for a full version and also doesn't allow a reinstallation of a full version.

As All-In-One Protector has to terminate your application, you have to test this option if the application crashes or terminates open files or database connections correctly

Expiry Date

This can be used as an alternative to number of days for specifying a final expiry date.

The button Clear Expiry Date deletes an expiry date.

You can combine both values - e.g. allow 15 days after installation but end the trial at the latest on 31.12.2006. The date occurring first is used.

A trial / evaluation version can be prolonged with an Activation Key - Chapter: How to prolong an evaluation / trial version?

No evaluation version – Serial Number needed to start

There is no evaluation period. The All-In-One Player can be started only after activation of the software. The first screen the user will get (see screen No evaluation version) requires to enter a Serial Number.

Test time limitation

To test how the time limitation is working, do not turn back the system date. Make a time-limited version which runs for one day (number of days to evaluate = 1) or set a final expiry date (End of Evaluation) to tomorrow. Create a CD, start the All-In-One Player today and start it tomorrow.

Click to enlarge
Screen - License Information - settings for evaluation version

See also

How to make a time limited evaluation / trial license?
How to prolong an evaluation / trial version?


Time limited version after activation is done

Home topic Part I - Learning the Basics > Getting started > TAB - Start > Licenses > License Options:

Time limited version after activation is done

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Time limited version after activation is done Remove_Time_Limitation Part I - Learning the Basics > Getting started > TAB - Start > Licenses > License Options > Time limited version after activation is done / Dear Support Staff,

Time limited version after activation is done

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you need a time-limited full version (a version which expires after the product was bought like a subscription), check: Time limited version after Activation.

The time limitation is done either by number of days or using an expiry date.

When you create a Serial Number you can define, how many days after applying the Serial Number the license should be valid (field: Number of days until the full version expires) or you can specify an expiry date. This allows you to work with different expiry dates, e.g. sell a version which runs for 1 year or 2 years.

When the version expires, the user needs a new Serial Number, to continue working with the product.

This time limitation is independent of the time limitation of the evaluation version.

Time limited full version
Time limited full version


Security Options

Home topic Part I - Learning the Basics > Getting started > TAB - Start > Licenses:

Security Options

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Security Options Security_Options Part I - Learning the Basics > Getting started > TAB - Start > Licenses > Security Options / Dear Support Staff,

Security Options

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Check for system date modification

Enables a check, if the system date is modified back more than 1 day. This option will stop the application if the date was turned back.

You have to send the user a special key to turn off this lock.

Create key to turn off system date lock

If the user gets an error screen that the system date was modified, you have to send him an Unlock Key with or without copy protection

· Unlock Key with Copy Protection

· Unlock Key without Copy Protection

Don't allow to run on virtual machines

The application will not start if it is used on a virtual machine like VMware, Parallels etc.

Check if USB flash drive was removed

If you plan to publish a project on USB flash drives, then this option prevents, that somebody can remove the USB-flash drive during the application is running. The check is done every 60 seconds.

Advanced Protection against Reinstallation (Tamper Detection)

This option is only visible if license option, where a reinstallation would reset the license, is used. These options are:

·Evaluation version with limitation by number of minutes

·Evaluation or full version with number of program starts

This options prevents a reinstallation or restore of a backup.

If this option is enabled and you do a test of a project, use Prepare Publish after each test to prevent a tamper detection error.


TAB - Publish

Home topic Part I - Learning the Basics > Getting started:

TAB - Publish

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - TAB - Publish TAB_Publish Part I - Learning the Basics > Getting started > TAB - Publish / Dear Support Staff,

TAB - Publish

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The first step is to prepare the publish process. This creates the project files, which can then be distributed via CD, USB flash drive, EXE file (download version) or harddisk. Depending on the project size, this step could take several minutes. The other options are available as soon as the prepare publish process has finished.

The icon [image] indicates, that the prepare process has been completed.


Publish Options

Minimize All-In-One Protector file size

By default, the All-In-One Player includes different viewers and players:

·PDF Viewer for PDF files

·Flash Player for SWF files

·Application Viewer for EXE and office files (PowerPoint, Excel)

·Video Player for all video files

Thus the file size of the All-In-One Player is large.

If the option: Minimize All-In-One Protector file size a Player will be included, which can only open the file types used within the project. The advantage is that this player is significantly smaller than the full player.

There are 5 different players

·Full Player - can open all supported file types. The protected files have the extension .MMF

·PDF Viewer - can open PDF files and applications. The protected files have the extension .MMPDF

·Application Viewer - can only open EXE and office files (PowerPoint, Excel). The protected files have the extension .MMAPP

·Flash Player - can only open SWF files. The protected files have the extension .MMSWF

·Video Player - can only open video files. The protected files have the extension .MPVIDEO

The application viewer is the only player which gets a new icon if specified.

Version for online streaming

This option is only available in a video project. Check this option if the video content should be offered for online streaming.

The publish for download option creates 2 folders

·Player

·Server

The folder Player includes the download EXE file for the video player and the license file. The folder Server contains all encrypted video files.

For more information see Video - Online Streaming


Publish for CD distribution

Home topic Part I - Learning the Basics > Getting started > TAB - Publish:

Publish for CD distribution

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Publish for CD distribution Distribute Part I - Learning the Basics > Getting started > TAB - Publish > Publish for CD distribution / Dear Support Staff,

Publish for CD distribution

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

After the Prepare Publish Process has finished, more options are available.

Publish Options
Publish Options

Click on the icon [image] to start the publishing process for CD. Once it is done, the icon changes to [image].

Click on: Open Folder . This opens the File Explorer. You can just copy the complete folder content to the CD.

You cannot start the All-In-One Player on this folder, because the license file is modified with each start and cannot be used any longer for distribution.

If you want to make a life test, copy the complete Publish CD folder to another directory.

See also
Distribute a CD / DVD

Adding an installer


Publish for Download

Home topic Part I - Learning the Basics > Getting started > TAB - Publish:

Publish for Download

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Publish for Download Distribute-Create_ZIP_file__Save Part I - Learning the Basics > Getting started > TAB - Publish > Publish for Download / Dear Support Staff,

Publish for Download

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

After the Prepare Publish Process has finished, more options are available.

Publish for Download creates a self-extracting EXE file (similar to a ZIP file), which can be used as a download version.

Publish Options
Publish Options

Click on the icon [image] to start the publishing process as an EXE file. Once it is done, the icon changes to [image] .

Click on: Open Folder . This opens the File Explorer. You can then upload the EXE file to your Internet Server. Once downloaded, the EXE file is automatically extracted and the protected application is started.

In case you do not have a download server, use Dropbox

See also
How can I share my files using a download link?
Create files for CD
Adding an installer


Add USB Stick protection

All-In-One Protector

Add USB flash drive protection

Home topic Part I - Learning the Basics > Getting started > TAB - Publish:

Add USB flash drive protection

Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Add USB flash drive protection USB_Stick Part I - Learning the Basics > Getting started > TAB - Publish > Publish for USB flash drive distribution / Dear Support Staff,

Add USB flash drive protection

Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector supports using a standard USB flash drive to copy protect a product. For details how this works see USB flash drive as a dongle replacement

After the Prepare Publish Process has finished, more options are available.

Publish Options
Publish Options

Click on the icon [image] to prepare the publishing process for the USB flash drive. Once it is done, the icon changes to [image] .

Files should be copied to the USB flash drive

This is the default option. All files will be copied to the USB flash drive. You can change the values explained below (like number of computers).

Files are already on the USB flash drive - activate Copy Protection

The files have already been copied to the USB flash drive (e.g. using a USB duplicator) and the default license options are used.

Files are already on the USB flash drive - use the following values

The files have already been copied to the USB flash drive (e.g. using a USB duplicator). You can change the values explained below (like number of computers).

Click here for a detail explanation about the license options

To deliver a USB flash drive with a ready to go license, there are only a few steps necessary.

Limit usage

The customer can use the license always only on the computer, where the USB flash drive is attached. The limitation by PC / user is an additional configuration setting to limit the usage.

·Use a license per Computer/PC - this limits the usage to the defined number of computers (recommended option). To define an unlimited usage, just configure a license with 9999 computers.

·Use a license per User- this limits the usage to the defined number of users

The default value is retrieved from the project settings in the screen - License Information. If you want to change the default settings, define the new value in the field Number of Computers where the USB stick can be used.

· A license per concurrent user is not supported with a USB flash drive

·The deactivation of a license can be prevented

Limit by Expiry Date

Adds an expiry date when the product will expire.

Limit by Number of Days

Instead of using an expiry date, you can specify how many days the product can be used. The days count starts with the first program start.

To ensure, that the user cannot turn back the system date, check the security option: Check for system date modification

Licensed to

This should be the company name or the user name. The information is displayed in the License Viewer or below the splash screen.

Activate protection on USB flash drive

If you want to copy the files to the USB flash drive and automatically activate the copy protection, select the option: Files should be copied to the USB flash drive press the button Switch on Copy Protection on USB flash drive. This opens a file dialog to select the USB flash drive, copies the files and adds the protection. You can specify the number of computers, where the USB flash drive can be used, and an expiry date in the fields below.

If you already copied the files to the USB flash drive and you want to use default values, select the option: Files are already on the USB flash drive - Activate Copy Protection and press the button Switch on Copy Protection on USB flash drive. This opens a dialog, where you can select the license file on the USB flash drive. The copy protection is then activated.

If you already copied the files to the USB flash drive and you want to change the default settings, select the option: Files are already on the USB flash drive - use the following values and press the button Switch on Copy Protection on USB flash drive. This opens a dialog, where you can select the license file on the USB flash drive. The copy protection is then activated. You can specify the number of computers, where the USB flash drive can be used, and an expiry date in the fields below.

If the USB flash drive does not support copy protection, an error message is displayed:There is no valid instcode for file filename.lic. You have to use another USB flash drive.

Publish on USB flash drive
Publish on USB flash drive

Automated process for large quantities

If you need large quantities of USB flash drives with a license file already activated, the automated USB flash drive duplication is the right choice. It allows USB flash drive duplication in a batch process.

This feature is available only in the All-In-One Protector Premium Plus Edition.

See also
Security option - Check if USB flash drive was removed
USB flash drive - more details
Deliver the USB flash drive with Copy Protection already activated


Publish for harddsik

Home topic Part I - Learning the Basics > Getting started > TAB - Publish:

Publish for harddsik

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Publish for harddsik Publish_for_internal_harddsik Part I - Learning the Basics > Getting started > TAB - Publish > Publish for harddsik / Dear Support Staff,

Publish for harddsik

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector supports to copy protect a product on a harddisk within your own company network. This makes sense if documents should be accessible from a central server.

After the Prepare Publish Process has finished, more options are available.

Publish Options
Publish Options

Click on the icon [image] to prepare the publishing process for the USB flash drive. Once it is done, the icon changes to [image] .

Files should be copied to the Harddisk

This is the default option. All files will be copied to the Harddisk. You can change the values explained below (like number of computers).

Files are already on the Harddisk - activate Copy Protection

The files have already been copied to the Harddisk and the default license options are used.

Files are already on the Harddisk - use the following values

The files have already been copied to the Harddisk. You can change the values explained below (like number of computers).

deliver a USB flash drive with a ready to go license, there are only a few steps necessary.

Limit usage

The limitation by PC / user is an additional configuration setting to limit the usage.

·Use a license per Computer/PC - this limits the usage to the defined number of computers (recommended option). To define an unlimited usage, just configure a license with 9999 computers.

·Use a license per User- this limits the usage to the defined number of users

The default value is retrieved from the project settings in the screen - License Information. If you want to change the default settings, define the new value in the field Number of Computers which can access the product

·The deactivation of a license can be prevented

Limit by Expiry Date

Adds an expiry date when the product will expire.

Limit by Number of Days

Instead of using an expiry date, you can specify how many days the product can be used. The days count starts with the first program start.

To ensure, that the user cannot turn back the system date, check the security option: Check for system date modification

Licensed to

This should be the company name or the user name. The information is displayed in the License Viewer or below the splash screen.

Copy Protection

Select one of the copy protection option. Volume ID (1) should be used in larger networks as it can be always retrieved.

Switch on Copy Protection on Harddisk

This opens a file dialog. Select the harddisk (network drive) or license file (depending on the options above).


Test Project

Home topic Part I - Learning the Basics > Getting started > TAB - Publish:

Test Project

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Test Project Testdrive Part I - Learning the Basics > Getting started > TAB - Publish > Test Project / Dear Support Staff,

Test Project

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

After creating the files for deployment you can test your project (Testdrive). The Testdrive simulates the deployment. It is only available if you selected the option Prepare Publish Process.


Update Project on the Activation Server

Home topic Part I - Learning the Basics > Getting started > TAB - Publish:

Update Project on the Activation Server

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Update Project on the Activation Server Update_Project_on_the_Activat2 Part I - Learning the Basics > Getting started > TAB - Publish > Update Project on the Activation Server / Dear Support Staff,

Update Project on the Activation Server

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Activation Server needs information about your project. If this information is missing a Serial Number is not accepted. Click on this option every time a setting has changed or configure it for automatic update.

This option is only available if:

·The login data to the Activation Server is configured - see screen Hosting Settings or Own Server Settings

·Online Activation is selected in the screen Options Activation

Only information like project name and encryption information is sent to the Activation Server . Your original files and the protected files are stored only on your local PC.

If the uploading fails or the system hangs, see Error during uploading files

Test Server

Your projects and test activations are deleted after 2 days on the pre-configured test Activation Server.

See also
Error during uploading files
Manually upload Files


Adding an installer

Home topic Part I - Learning the Basics > Getting started > TAB - Publish:

Adding an installer

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Adding an installer Adding_an_installer2 Part I - Learning the Basics > Getting started > TAB - Publish > Adding an installer / Dear Support Staff,

Adding an installer

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Premium Plus Edition comes with a ready to go installation manager. It allows installing the files from CD or download link to the hard disk. It also offers a network installation for Client PC's. The installer files can be found on the folder \All-In-One Protector\5.0\installer .

The installation manager includes the following features:

·Copies all files to a specified directory

·Displays a license agreement

·Adds the necessary user rights to the specified directory

·Copies the player, database mmf file and the license file to the specified directory, including an icon file

·Adds a program manager group and an entry within the program manager group to start the All-In-One Player

·Define a different start application, e.g. a menu program

·Copy additional files, e.g. files needed by a menu program

·Display a readme file at the end of the installation

·Option to install the files on a USB flash drive instead of the hard disk

·Adds uninstall information

·Installation dialogs are available in multiple languages

You can change the icon on the desktop and in the program manager group with an own bespoke icon.

The installer consists of 2 files:

·setup.exe - (installer file for single user installation) or setup-sign.exe (digitally signed with Mirage credentials)

·setup.ini - (configuration file for installer)

Copy these 2 files from the main installation folder ..\All-In-One Protector Premium Plus\5.0\installer to a new folder, eg. Master CD

·Publish the project with the option for CD

·Copy the files from the folder - Publish CD - to the new Master CD folder

·Then modify the setup.ini file with any editor. The name of the installer can be renamed, e.g. to setup-abc.exe. The name of the ini file must be setup.ini.

If you want to start the installer directly after a CD is inserted, modify the file autorun.inf.

[autorun]

icon=flash-demo.exe

open=setup.exe

Name=All-In-One Protector - Flash Demo

This feature is available only in the All-In-One Protector Premium Plus Edition.

All files of the installation manager can be delivered as a self extracting EXE file

See also

Configuration File - Setup.ini
Single User Installation
Network Installation


TAB - Keys

Home topic Part I - Learning the Basics > Getting started:

TAB - Keys

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - TAB - Keys TAB_-_Keys Part I - Learning the Basics > Getting started > TAB - Keys / Dear Support Staff,

TAB - Keys

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Create Serial Numbers, Unlock Keys or additional Activation Keys like a key to prolong a trial version.


Format of a Key

Home topic Part I - Learning the Basics > Getting started > TAB - Keys:

Format of a Key

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Format of a Key Format_of_a_Key Part I - Learning the Basics > Getting started > TAB - Keys > Format of a Key / Dear Support Staff,

Format of a Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All keys used by All-In-One Protector are unique and have the same format.

dO8uc-G1iC9-jOGeA-BqgEX-U71lD-0V1VX

There are 6 blocks each with 5 characters. The blocks are separated by a hyphen for better readability.

The option Use extended description adds additional information information to clarify letters which could be misinterpreted (like I and 1 or O and 0). This is only necessary when transmitting a key by fax. The extended description is only available if you make one single key.

Example:

dO8uc-G1iC9-jOGeA-BqgEX-U71lD-0V1VX

In block 1 at position 2 there is the capital letter O

In block 3 at position 2 there is the capital letter O

In block 5 at position 4 there is the small letter l

In block 6 at position 1 there is the digit 0

All keys are project-specific. You have to load the project before you create the keys. It is not possible to create a Serial Number for project A when project B is loaded.


Create Serial Number Key

All-In-One Protector

Create Serial Number

Home topic Part I - Learning the Basics > Getting started > TAB - Keys:

Create Serial Number

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Create Serial Number Create_Serial_Number_Key Part I - Learning the Basics > Getting started > TAB - Keys > Create Serial Number Key / Dear Support Staff,

Create Serial Number

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

After having bought the product, the customer is provided with a Serial Number which is the 'proof of purchase' and is unique. To get a better idea of the workflow, see Basics about Workflow.

The design of a key is described in Format of a Key.

There are different ways to create a Serial Number

· Create one single Serial Number

· Create a Key List

·Dynamically create a Serial Number within an Online Shop


Create one single Serial Number

Home topic Part I - Learning the Basics > Getting started > TAB - Keys > Create Serial Number Key:

Create one single Serial Number

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Create one single Serial Number Create_Serial_Number_manually Part I - Learning the Basics > Getting started > TAB - Keys > Create Serial Number Key > Create one single Serial Number / Dear Support Staff,

Create one single Serial Number

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To manually create a Serial Number switch to the TAB Keys, Serial Number

A Serial Number can be created with different options.

Number of days until Unlock Key has to be used

If an activation by e-mail, fax or phone is used, there is a time difference between applying the Serial Number key and sending the Unlock Key. To allow the customer to use the product after applying the Serial Number, add a few days (typically 2-5 days) which are included in the Serial Number.

Number of days until full version expires

If you selected the license option: Time limited version after activation is done then the day value has a different meaning. You can either define:

·Number of days until the full version expires - the time counter starts when the user types in the Serial Number

·Expiry Date when the full version expires

Settings for time limited full version
Settings for time limited full version

Number of Computers/Users/Licenses

If a network license is used (more then 1 license per PC / user / concurrent user), the number of PCs / users / concurrent users can be defined in the Serial Number. If the user buys later more licenses, send him an Additional Key.

Network license or USB flash drive usage
Network license or USB flash drive usage

This value overwrites the existing value in the license. If you have an evaluation version with 5 users and the Serial Number includes 1 user, this results in a license for one user after applying the Serial Number.

For a single user installation always set this value to 1.

For a USB flash drive license the number of Computers defines, on how many PCs the USB flash drive can be attached.

Number of desired Serial Numbers

Either generate one key per customer or generate a complete key list with hundreds of keys. For details see Create a Key List.

Create and Save Key

After pressing the button Create Serial Number, the key(s) including the extended description is/are copied into the text box. If only one key is generated, it is also copied into the clipboard.

The content of the text box can be saved to a file by clicking on the icon [image].

Descriptions On / Off

You can add an additional description when a key is generated. This is useful when the user gets the key on paper.

GPcoX-35dA8-C8Gch-2Xd7C-5Pn1Q-AfiCL

In block 1 at position 4 it reads the small letter o

The button is a toggle which is turned on or off

description is on

description is off

See also

Create a Key List
How often can a key be used?


Key List / Save keys in a file

Home topic Part I - Learning the Basics > Getting started > TAB - Keys > Create Serial Number Key:

Key List / Save keys in a file

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Key List / Save keys in a file About_Keylists Part I - Learning the Basics > Getting started > TAB - Keys > Create Serial Number Key > Key List / Save keys in a file / Dear Support Staff,

Key List / Save keys in a file

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you have only a few installations to manage, it is sufficient to generate the Serial Number on a one-by-one basis manually. In case of a large volume delivery like hundreds of CD's, a key list is necessary. The key list file would then be sent to the CD duplication company. Online Shops that do not support an integrated generator often support the upload of a key list.

Enter the desired number of Serial Numbers, press button Generate Serial Number and then click on the icon [image]. The key list is saved as a text file.

Sample:

Generating 3 Serial Number(s)...

RZ9UZ-l1CC9-9Ah7v-GZ97n-gd18N-a21Fa

6F9UA-l1CC9-9Ah7e-GZ97n-ld18N-a71FJ

S79Uf-l1CC9-9Ah7a-GZ97n-Qd18N-ak1FP

Key(s) generated.

The key list can e.g. be sent to e-commerce providers or can be printed on the cover of the CD/DVD.

The option: Descriptions On is not possible. Only keys without additional explanation text can be created.

See also

Create one single Serial Number
How often can a key be used?


Create Serial Number on the Activation Server

Home topic Part I - Learning the Basics > Getting started > TAB - Keys > Create Serial Number Key:

Create Serial Number on the Activation Server

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Create Serial Number on the Activation Server Create_Serial_Number_on_the_Ac Part I - Learning the Basics > Getting started > TAB - Keys > Create Serial Number Key > Create Serial Number on the Activation Server / Dear Support Staff,

Create Serial Number on the Activation Server

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you use the Activation Server, the recommended way to create a Serial Number is the browser based administration interface of the Activation Server. This offers several advantages

·Multiple users can create keys from different locations

·You can assign a key to a customer or a reseller

·A note can be attached to a key

·The maximum key usage can be changed

·The key is already stored and it can be changed or locked

·You can create one single key or a key list

Log into the Activation Server Administration Interface and select Keys, Create a Serial Number.

For more details change to Activation Server help


Unlock Key

Home topic Part I - Learning the Basics > Getting started > TAB - Keys:

Unlock Key

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Unlock Key Unlock_Key Part I - Learning the Basics > Getting started > TAB - Keys > Unlock Key / Dear Support Staff,

Unlock Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Generating an Unlock Key is only necessary if the customer registers via e-mail, fax or phone. It unlocks the version by activating the copy protection. To get a better idea of the workflow, see Basics about Workflow.

The Unlock Key is either generated

· Using the All-In-One Protector Application

or if the Activation Server is used

· Within the Activation Server Administration Interface

If copy protection is not necessary, select Unlock without Copy Protection instead.

Requesting Unlock Key by E-Mail, Fax or Phone

The customer fills out the screen for e-mail activation or fax activation and sends to you an e-mail or fax with the activation request or calls you to activate by phone. You use the installation codes provided to generate an Unlock Key.

Click on the image to expand
E-Mail Activation Request

Click on the image to expand
Fax Activation Request

Click on the image to expand
Phone Activation Request

For details see workflow - Activation by e-mail, phone, fax


Create Unlock Key with Copy Protection

Home topic Part I - Learning the Basics > Getting started > TAB - Keys > Unlock Key:

Create Unlock Key with Copy Protection

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Create Unlock Key with Copy Protection Create_Unlock_Key_CP Part I - Learning the Basics > Getting started > TAB - Keys > Unlock Key > Create Unlock Key with Copy Protection / Dear Support Staff,

Create Unlock Key with Copy Protection

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To manually create an Unlock Key switch to the TAB Keys, Unlock Key with Copy Protection

You have to open the project before you can create an Unlock Key. This is necessary as every project has a different encryption to ensure, that an Unlock Key from product A cannot be used on product B.

Copy Protection

In the picklist select type of copy protection (Volume ID, MAC Address, Hostname etc.) you want to use.

For single user installations or CD distribution, the hardware ID 13 (Windows ID) is recommended. For network installations use installation code 5 (Volume ID + UNC Path) or 6 (MAC Address + UNC Path). If the user installs the product on an own usb flash drive the code 11 is required.

Installation Code

Enter the Hardware ID (8 digit ID) which is transmitted from the customer. It is case sensitive.

If a hardware ID can not be retrieved (e.g. there is no network adapter) then the code is empty. You have to use a different installation code then.

Create and Save Key

After pressing the button Create Unlock Key with Copy Protection, the key including the extended description is copied into the text box. It is also copied into the clipboard.

The content of the text box can be saved to a file by clicking on the icon [image].

Descriptions On / Off

You can add an additional description when a key is generated. This is useful when the user gets the key on paper.

GPcoX-35dA8-C8Gch-2Xd7C-5Pn1Q-AfiCL

In block 1 at position 4 it reads the small letter o

The button is a toggle which is turned on or off

description is on

description is off

Send Unlock Key to customer

Send the Unlock Key to the customer who will use the key in the screen Enter Unlock Key.

See also

The design of a key is described in Format of a Key

To better understand the Hardware ID see chapter Hardware ID.


Create Unlock Key without Copy Protection

Home topic Part I - Learning the Basics > Getting started > TAB - Keys > Unlock Key:

Create Unlock Key without Copy Protection

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Create Unlock Key without Copy Protection Create_Unlock_Key_without_cp Part I - Learning the Basics > Getting started > TAB - Keys > Unlock Key > Create Unlock Key without Copy Protection / Dear Support Staff,

Create Unlock Key without Copy Protection

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To manually create an Unlock Key switch to the TAB Keys, Unlock Key with Copy Protection

If the product should be unlocked with copy protection, select Unlocking with Copy Protection instead. Unlocking without Copy Protection will just protect the content, but the user could copy the product and use it on multiple PCs.

You have to open the project before you can create an Unlock Key. This is necessary as every project has a different encryption to ensure, that an Unlock Key from product A cannot be used on product B.

After pressing the button Generate Key, the key including the extended description is copied into the text box. It is also copied into the clipboard. The content of the text box can be saved to a file with the button Save generated keys to file.

If you have unchecked - Remove time limitation after Unlock Key is applied you will get 2 keys. Both keys have to be applied.

Send the Unlock Key to the customer who will use the key in the screen Enter Unlock Key.

See also

The design of a key is described in Format of a Key

To better understand the Hardware ID see chapter Hardware ID.


Create Unlock Key using Activation Server

Home topic Part I - Learning the Basics > Getting started > TAB - Keys > Unlock Key:

Create Unlock Key using Activation Server

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Create Unlock Key using Activation Server Create_Unlock_Key_with_Web_Act Part I - Learning the Basics > Getting started > TAB - Keys > Unlock Key > Create Unlock Key using Activation Server / Dear Support Staff,

Create Unlock Key using Activation Server

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Using the Activation Server to create the Unlock Key ensures that the Serial Number cannot be used twice (e.g. customers sends the Serial Number key by fax and uses the key on another PC with Online activation).

Log into the Activation Server Administration Interface and select Tools, Manual Activation.

Select your project and the main module ID. Use the Serial Number and installation code from the e-mail, fax or phone. After pressing the button Send, the data is stored and the Unlock Key is created.

For more details change to Activation Server help


Create Unlock Key using e-mail Activator Service

Home topic Part I - Learning the Basics > Getting started > TAB - Keys > Unlock Key:

Create Unlock Key using e-mail Activator Service

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Create Unlock Key using e-mail Activator Service Create_Unlock_Key_using_E-Mail Part I - Learning the Basics > Getting started > TAB - Keys > Unlock Key > Create Unlock Key using E-Mail Activator Service / Dear Support Staff,

Create Unlock Key using e-mail Activator Service

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The e-mail Activator Service is a service, which scans an e-mail account for activation requests and automatically performs the product activation. The end user will instantly get an Unlock Key back.

The main features are:

·Scan an e-mail

·Decide, if it is an e-mail for product activation or another type of e-mail

·Perform an activation or reactivation using the Activation Server server

·Send back an e-mail to the end user with different e-mail content for: successful activation, denied activation ( in case the Serial Number / ID was already used or locked), Erroneous Activations

·Reply messages can be defined in all languages supported by All-In-One Protector

·Notification message for every successful or erroneous e-mail

·Send all e-mails to an archive e-mail account

Click here for more information about the service.


Additional Licenses

All-In-One Protector

Additional Licences

Home topic Part I - Learning the Basics > Getting started > TAB - Keys:

Additional Licences

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Additional Licences Additional_Keys Part I - Learning the Basics > Getting started > TAB - Keys > Additional Licenses / Dear Support Staff,

Additional Licences

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To manually create a Key switch to the TAB Keys, Additional Licenses

This option allows to create an Activation Key, which changes the license information after the product is delivered. The Activation Key can be applied:

·During the trial period or when an error occurs, using the option Show License Information

·After the product is activated using the License Viewer

The design of a key is described in Format of a Key.

Increase Network Licence

If a network license is used (more then 1 license per PC / user / concurrent user), the number of PCs / users / concurrent users can be increased or decreased by sending an Activation Key to the customer.

This feature is available only in the All-In-One Protector Premium Plus Edition.

This key adds the selected number of licenses to the existing value in the license file. If you have an existing license with 5 users and the additional license includes 2 users, this results in a license for 7 users after applying the key. If the existing value should be replaced by the new key then select the option: Overwrite value in license file

Prolong Evaluation Version

Another option is to prolong an existing trial period. Make an Activation Key with:

·Number of computers for network license = 0

·either select: Number of days to evaluate or Expiry Date

Remove time limitation

The option removes time limitation removes the expiry date of a license

Change number of Print Copies

If the PDF option: Limit number of print copies for PDF files is selected, an Activation Key can be generated, which allows the user to add additional print copies for his license. Select the module: Prints. The number of licenses field then includes the number of print copies you add.

Change number of print copies
Change number of print copies

Security option for Activation Keys

To ensure that this Activation Key is not used many times, there are 2 options

With Activation Server

Online Validation Required

Use this options, if you have an Activation Server running. The Activation Key is sent to the Activation Server before it is applied. It is stored in the database. If the Activation Server detects that the key was already used, it will block the key. This ensures, that the key can only be used once.

Without Activation Server

You have to include the Hardware ID in the Activation Key. This ensures that the Activation Key can only be used on the machine with the specified Hardware ID.

Settings

Copy Protection

In the picklist select type of copy protection (Volume ID, MAC Address, Hostname etc.) you want to use.

For single user installations or CD distribution, the hardware ID 13 (Windows ID) is recommended. For network installations use installation code 5 (Volume ID + UNC Path) or 6 (MAC Address + UNC Path). If the user installs the product on an own usb flash drive the code 11 is required.

Installation Code

Enter the Hardware ID (8 digit ID) which is transmitted from the customer. It is case sensitive.

If a hardware ID can not be retrieved (e.g. there is no network adapter) then the code is empty. You have to use a different installation code then.

Number of desired keys

Either generate one key per customer or generate a complete key list with hundreds of keys. For details see Create a Key List.

Create and Save Key

After pressing the button Create Key for additional licenses, the key(s) including the extended description is/are copied into the text box. If only one key is generated, it is also copied into the clipboard.

The content of the text box can be saved to a file by clicking on the icon [image].

Descriptions On / Off

You can add an additional description when a key is generated. This is useful when the user gets the key on paper.

GPcoX-35dA8-C8Gch-2Xd7C-5Pn1Q-AfiCL

In block 1 at position 4 it reads the small letter o

The button is a toggle which is turned on or off

description is on

description is off


How often can a key be used?

Home topic Part I - Learning the Basics > Getting started > TAB - Keys:

How often can a key be used?

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - How often can a key be used? How_often_can_a_key_be_used_ Part I - Learning the Basics > Getting started > TAB - Keys > How often can a key be used? / Dear Support Staff,

How often can a key be used?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Use ONE Serial Number on MULTIPLE PCs

Typically one Serial Number is valid for one PC, so that each PC has its own Serial Number. It is possible to hand out one single Serial Number to a company or offer a family license and allow, that this Serial Number can be used on multiple PCs.

This setup requires the Activation Server.

The default usage of a key is 1. It can be changed in different ways.

Accept all Serial Numbers on multiple PCs

You can set a default value, how often a Serial Number can be used. This definition is valid for all Serial Numbers of the product. The setting is done in the TAB Activation Server, Settings.

Change the maximum key usage only for ONE SINGLE key

Create a new Key

When a key is created using the Activation Server Administration Interface, the maximum key usage can be defined. You also have to check the option: Store key in Activation Server

Create Key - change Maximum Key / ID Usage
Create Key - change Maximum Key / ID Usage

Change a key which is unused

In case a key was already created but never used, you can add this key on the Activation Server.

Select: Add a Key on the Activation Server , add the key and define the maximum Key / ID usage

Add Key - change Maximum Key / ID Usage
Add Key - change Maximum Key / ID Usage

Change a key which was already used

If a key was already used, you search for the key and modify it (TAB Manage Activations, Key List or Activation Requests)

Change Maximum Key / ID usage
Change Maximum Key / ID usage

Multiple usage of a key on the same PC

If a Serial Number is used again on the same PC, it does not count as a new key usage.


Analyze Key

Home topic Part I - Learning the Basics > Getting started > TAB - Keys:

Analyze Key

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Analyze Key Analyze_Key Part I - Learning the Basics > Getting started > TAB - Keys > Analyze Key / Dear Support Staff,

Analyze Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you need to know, which values are included in a key, click on Analyze Key

Then type in the key. You get the exact composition of the key.


TAB - Activation Server

Home topic Part I - Learning the Basics > Getting started:

TAB - Activation Server

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - TAB - Activation Server TAB_-_Activation_Server Part I - Learning the Basics > Getting started > TAB - Activation Server / Dear Support Staff,

TAB - Activation Server

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Configure here the settings for the product activation, configure your Activation Server and access the Activation Server Administration Interface.

The Activation Server is the central point for administration of licenses - create keys, lock licenses, change activations or generate reports.

·Activate copy protection

·Change a license, e.g. from demo mode to full version mode

·Verify Serial Numbers and Activation Keys

The Activation Server ensures that each license can be registered only once. Every transaction is logged to a database.

Optionally, keys can be transmitted to the activation server before they are applied to the license file. It is checked, whether the key was already used or not. This is to ensure that the key cannot be passed on and used multiple times.

See workflow for default options of activation.

Hosting

The Activation Server is provided via a hosting model. Mirage provides installation and maintenance of the server. The hosting has to be ordered separately and there is a fee per activation. Order Hosting.

Running an own Activation Server

You can run your own server without any fee per activation.

This feature is available only in the All-In-One Protector Enterprise Edition.

Click here for system requirements of the Activation Server

See also

Enable Online Activation
Online Activation Workflow
Administration Interface
Hosting of the Web Activation Server
Sample project to test online activation


Web Activation Server

All-In-One Protector

Settings

Home topic Part I - Learning the Basics > Getting started > TAB - Activation Server:

Settings

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Settings Web_Administration_Interface_adminscreen Part I - Learning the Basics > Getting started > TAB - Activation Server > Settings / Dear Support Staff,

Settings

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Primary / Alternative Harware ID

The primary hardware ID is used as the main criteria to activate copy protection. Only if this criteria is not retrievable the Alternative Hardware ID is used.

For single user installations or CD distribution, the Windows ID (13) is recommended. For network installations use installation code 5 (Volume ID + UNC Path) or 6 (MAC Address + UNC Path).

If you offer a USB flash drive installation, the Primary Hardware ID must be 11 (USB flash drive).

Theses values are automatically assigned to each new project.

How often can a Serial Number be used?

It can be defined, how often a Serial Number can be used. The default value is 1. If you want to allow, that the product is installed e.g on 3 different PC's, then change here the value to 3.

Prevent Reinstallation

Typically a customer can uninstall a product and reinstall it on the same computer. The Serial Number is accepted again. Some settings (e.g. time limited version after activation is done) require to prevent a reinstallation. This setting is automatically done but you can individually change it.

Do not automatically update the Activation Server

Every time a setting is changed, the information has to be updated on the Activation Server. This is done by clicking on Update Project on the Activation Server. This can be done automatically every time a project is published, if this option is unselected. If your firewall allows the access to the Activation Server it is sensible to select the automatic update.

After changing the settings, you have to update the project on the Activation Server again. Only then the new settings will become operative.

You can customize the project settings in more detail on the Activation Server within the product configuration.

Details about regular online checks


Regular Online Checks

Home topic Part I - Learning the Basics > Getting started > TAB - Activation Server > Settings:

Regular Online Checks

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Regular Online Checks Regular_Online_Checks Part I - Learning the Basics > Getting started > TAB - Activation Server > Settings > Regular Online Checks / Dear Support Staff,

Regular Online Checks

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Why do I need regular online checks?

A regular online check is necessary if you want to revoke or lock a license - e.g. because of a credit card chargeback or in case the customer returns the software. The regular online check identifies that the license is locked on the Activation Server and it will then lock the license on the local computer. You even can specify a grace period in case no Internet connection is available.

Example

A license check would be due today but the user is traveling. There is no Internet connection. The grace period now prolongs the time where the user can start the application without the online check being done. Once the grace period is over, an Internet connection is mandatory to validate the license.

Configure regular online checks
Configure regular online checks

Validation interval in days

Specify how often the regular online check should be done.

Grace period if no Internet connection is available

If the online check is due but no Internet connection is available, the grace period starts. The user can still work with the product without an Internet connection until the grace period expires. Then an Internet connection is mandatory.

If you don't want to terminate the application in case an Internet connection is never available, set the grace period to 9999.

Revoke or lock a license

The key has to be locked on the Activation Server. When the next online check is done, All-In-One Protector finds out that the key is locked and will lock the license on the local computer or network. During the next product start, All-In-One Protector will go online again to check if the lock was removed.

Details how to lock a license

You can also handle subscriptions using the regular online check. If the user does not prolong the subscription, the license is just locked on the Activation Server.

·Once the regular online checks are enabled, products delivered on USB flash drives or published for harddisks will also make regular online checks. If you don't want to have online checks, disable the option before you publish the product to the USB flash drive

·To use the regular online check, you need a hosting package or an own Activation Server. Each online check is journalized and counts as a transaction

This feature is available only in the All-In-One Protector Premium Plus Edition.


Own Server - configuration

Home topic Part I - Learning the Basics > Getting started > TAB - Activation Server:

Own Server - configuration

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Own Server - configuration Own_Server_-_Settings Part I - Learning the Basics > Getting started > TAB - Activation Server > Own Server - configuration / Dear Support Staff,

Own Server - configuration

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you run the Activation Server on your own computer, you can also use the automatic uploading of the configuration files . This requires a special configuration of the server. If the configuration is not possible, you can always manually upload the configuration files.

To use an own server check: I use my own server

Step 1 - Link to the administration interface of the Activation Server

Type in the link to open the Activation Server Administration Interface

https://www.mydomain.com/lpweb

Step 2 - Configure the settings for the FTP access

For an automatic upload of your All-In-One Protector configuration files to the Activation Server you have to provide an FTP access. Install an FTP-Server with access on FTP-port 21. Provide an FTP-account which has full read/write access to the Activation Server installation including all subfolders (like ..\bin, \alg).

Now configure the FTP account in the All-In-One Protector Generator.

·FTP-Server address: name of the FTP Server like registerserver.net

·FTP Account: FTP account user name

·FTP Password: password - always use a password with this FTP account

·Installation path - path where the Activation Server was installed

·PATH on FTP Server - path to the Activation Server server directory, relative to the home directory

Example:

The installation path is on f:\wwwroot\lpweb. The FTP user's home directory is f:\wwwroot .

The installation path would be f:\wwwroot\lpweb. As the home directory of the FTP user is already f:\wwwroot, the relative path to specify would be: lpweb.

This feature is available only in the All-In-One Protector Enterprise Edition.

Click here for system requirements of the Activation Server


Hosting - configuration

Home topic Part I - Learning the Basics > Getting started > TAB - Activation Server:

Hosting - configuration

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Hosting - configuration Settings_-_Activation_Server Part I - Learning the Basics > Getting started > TAB - Activation Server > Hosting - configuration / Dear Support Staff,

Hosting - configuration

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Type in your Hosting Number and Hosting password as well. Deleting the Hosting Number will reset the project settings to values for the Test Server. The hosting details are provided after order the hosting service.

After adding the hosting data you have to publish a project again to save the new settings in a project.


Administration

Home topic Part I - Learning the Basics > Getting started > TAB - Activation Server:

Administration

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Administration Administration Part I - Learning the Basics > Getting started > TAB - Activation Server > Administration / Dear Support Staff,

Administration

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Activation Server comes with an browser-based Web administration interface. You can monitor each activation, allow reactivation or detect fraudulent usage of Activation Keys.

Have a look at the administration interface on the demo Web Activation Server or browse the tutorial of the Web Activation Server.

The user name is demo-en, the password is protector.


Update Project on the Activation Server

Home topic Part I - Learning the Basics > Getting started > TAB - Activation Server:

Update Project on the Activation Server

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Update Project on the Activation Server Update_Project_on_the_Activati Part I - Learning the Basics > Getting started > TAB - Activation Server > Update Project on the Activation Server / Dear Support Staff,

Update Project on the Activation Server

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Activation Server needs information about your project. If this information is missing a Serial Number is not accepted. Click on this option every time a setting has changed or configure it for automatic update.

This option is only available if:

·The login data to the Activation Server is configured - see screen Hosting Settings or Own Server Settings

·Online Activation is selected in the screen Options Activation

Only information like project name and encryption information is sent to the Activation Server . Your original files and the protected files are stored only on your local PC.

If the uploading fails or the system hangs, see Error during uploading files

Test Server

Your projects and test activations are deleted after 2 days on the pre-configured test Activation Server.

See also
Error during uploading files
Manually upload Files


Error during uploading files

Home topic Part I - Learning the Basics > Getting started > TAB - Activation Server > Update Project on the Activation Server:

Error during uploading files

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Error during uploading files upload-files-Error Part I - Learning the Basics > Getting started > TAB - Activation Server > Update Project on the Activation Server > Error during uploading files / Dear Support Staff,

Error during uploading files

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If an error occurs during uploading of the files, check:

·Are all login data configured? Check your password - see screen Hosting Settings or Own Server Settings

·Is Online Activation selected in the screen Options Activation

·Do you have a Firewall installed? - Disable the firewall and try again.

If the upload still generates an error, upload the files manually - see chapter Manually Upload Files.


Manually upload Files

Home topic Part I - Learning the Basics > Getting started > TAB - Activation Server > Update Project on the Activation Server:

Manually upload Files

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Manually upload Files hosting-mme-Copy_project_files Part I - Learning the Basics > Getting started > TAB - Activation Server > Update Project on the Activation Server > Manually upload Files / Dear Support Staff,

Manually upload Files

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If the automatic upload is not working (probably because firewall limitations) you can manually upload your files to the Activation Server.

You have to copy your files to the Activation Server with an FTP software (using the File Explorer will not work).

Using the popular FTP Tool FileZilla Client (http://filezilla-project.org/) the settings would be as follows:

User: This is lp+hosing number - e.g. if hosting number is 9999999 then the user would be: lp9999999

Password: Your hosting password

It is important to set the transfer mode to Active

After login you will see a directory structure on the Activation Server similar to this one:

Copy files from local PC to the Activation Server

On your local PC, select the project folder. It includes 2 sub folders (config and work). Select the config folder and then the folder Web Activation Server.

·Select the folder ..alg and copy the files to the same directory \alg on the Activation Server

·Select the folder ..pconfig and copy the files to the same directory \pconfig on the Activation Server


TAB - Extras

Home topic Part I - Learning the Basics > Getting started:

TAB - Extras

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - TAB - Extras TAB_-_Extras Part I - Learning the Basics > Getting started > TAB - Extras / Dear Support Staff,

TAB - Extras

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

· Select Language

· Enable Error Tracking

· Backup / Restore License


Select Language

Home topic Part I - Learning the Basics > Getting started > TAB - Extras:

Select Language

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Select Language Select_Language Part I - Learning the Basics > Getting started > TAB - Extras > Select Language / Dear Support Staff,

Select Language

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can change the language of the All-In-One Protector application. After changing the language, All-In-One Protector will quit and restart.

The language of the All-In-One Player can be selected in the TAB Start, Languages


Enable Error Tracking

Home topic Part I - Learning the Basics > Getting started > TAB - Extras:

Enable Error Tracking

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Enable Error Tracking Enable_Error_Tracking Part I - Learning the Basics > Getting started > TAB - Extras > Enable Error Tracking / Dear Support Staff,

Enable Error Tracking

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

In case there is an error within the All-In-One Protector application, Mirage support may advise you to turn on an error log.

Click on the arrow and select a folder to save the log files with Select Path for Log files.

The button is a toggle which is turned on or off

description is on

description is off

Do not forget to deselect this option after the problem has been solved.


Backup / Restore License

Home topic Part I - Learning the Basics > Getting started > TAB - Extras:

Backup / Restore License

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Backup / Restore License Backup___Restore_License Part I - Learning the Basics > Getting started > TAB - Extras > Backup / Restore License / Dear Support Staff,

Backup / Restore License

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can make an online backup of your license. Mirage support can change your license and you can then restore it.


TAB - Help

Home topic Part I - Learning the Basics > Getting started:

TAB - Help

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - TAB - Help TAB_-_Help Part I - Learning the Basics > Getting started > TAB - Help / Dear Support Staff,

TAB - Help

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!


Display quick introduction help / Welcome Screen

Home topic Part I - Learning the Basics > Getting started > TAB - Help:

Display quick introduction help / Welcome Screen

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Display quick introduction help / Welcome Screen Show_Quick_Start_Overview__Wel Part I - Learning the Basics > Getting started > TAB - Help > Display quick introduction help / Welcome Screen / Dear Support Staff,

Display quick introduction help / Welcome Screen

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The option [image] Quick Introduction Help allows to enable or disable the Welcome Screen at startup. A yellow background indicates, that the Quick Introduction Help is on.


Check for Updates

Home topic Part I - Learning the Basics > Getting started > TAB - Help:

Check for Updates

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Check for Updates Check_for_Updates Part I - Learning the Basics > Getting started > TAB - Help > Check for Updates / Dear Support Staff,

Check for Updates

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The option [image] checks if an update is available:

The update check is done in the background and informs you if an update is available. It downloads the update and installs it automatically. This is the recommended way to install updates.

You can configure how often an automated updated check is done within the program manager group, All-In-One Protector, [image] Configure Updates.

To compare the latest update with the installed version, retrieve the version number with the [image] button.


Show License Information

Home topic Part I - Learning the Basics > Getting started > TAB - Help:

Show License Information

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Show License Information Show_License_Information Part I - Learning the Basics > Getting started > TAB - Help > Show License Information / Dear Support Staff,

Show License Information

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The option [image] License Viewer opens the Licence Viewer to display your license for All-In-One Protector.

Additional details about your License, Demoversion and License Agreement can be found in the chapter YourAll-In-One Protector License.

To apply an Activation Key(like key for update subscription) see Apply Activation Key.


About All-In-One Protector

Home topic Part I - Learning the Basics > Getting started > TAB - Help:

About All-In-One Protector

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - About All-In-One Protector About_Version Part I - Learning the Basics > Getting started > TAB - Help > About All-In-One Protector / Dear Support Staff,

About All-In-One Protector

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The button [image] displays a screen with the version information (version number and date) and copyright information. You need the version number to check for updates.


About All-In-One Protector

Home topic Part I - Learning the Basics > All-In-One Protector - Background Information:

About All-In-One Protector

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - About All-In-One Protector About_LPMME Part I - Learning the Basics > All-In-One Protector - Background Information > About All-In-One Protector / Dear Support Staff,

About All-In-One Protector

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector allows to protect Flash, Video, Music and other file types like PDF or Office Documents (Word, Powerpoint). Every document that can be printed with a printer driver can be protected. All-In-One Protector offers evaluation features and software copy protection - ALL IN ONE.

All files of a project (e.g. Flash project with Video, Music and other files) are encrypted into one single file. The files are played in the memory to prevent that the original files can be captured from a temporary folder while played. A unique All-In-One Player is used to play the files.

All-In-One Protector comes with predefined workflows - no programming is necessary.

All types of license and copy protection is supported:

· Time limited versions

· Software Copy Protection

· Network license per PC and per User (only Premium Plus Edition)

· Online Activation (only Premium Plus Edition)

·Integration in Online shops

A user does not need to have a flash or another player like PPT or PDF reader installed. All necessary components are included in the All-In-One Player, no installation will be required and the protected application can be started even directly from CD.


Files which can be protected

Home topic Part I - Learning the Basics > All-In-One Protector - Background Information:

Files which can be protected

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Files which can be protected Supported_File_Types Part I - Learning the Basics > All-In-One Protector - Background Information > Files which can be protected / Dear Support Staff,

Files which can be protected

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The All-In-One Protector offers a native support of SWF(Flash), FLV, PDF, PowerPoint, Excel, EXE, Video and Audio files and other file types by converting these files to flash, EXE or PDF files.

Find below a list of all supported file types and the steps which are necessary to protect each file.

If you use tools which produce a SWF file, the swf file should actually run with the All-In-One Player. Sometimes, special settings will be necessary. We have tested some tools and described the necessary settings.

File Formats

· CHM

· Excel

· EXE

· FLV(Video)

· HTML

· JPG (Photo / Bild)

· MDI

· MP3

· PDF

· PowerPoint

· SWF (Flash)

· Video

· Word, Visio

Applications

· Active E-Book Compiler

· Adobe Captivate (Adobe)

· Authorware (Macromedia)

· Articulate Engage(Articulate)

· Articulate Presenter (Articulate)

· Articulate Quizmaker (Articulate)

· Camtasia (Techsmith)

· Director (Adobe)

· Flashform(Rapid Intake)

· Flashpaper (Adobe)

· Flash Video MX (Moyea)

· FLV Player (martijndevisser.com)

· HTML Executable (gdgsoft)

· LearnCube (Outstart)

· Lectora (Trivantis)

· Lightroom (Adobe)

· Mediator (Matchware)

· Presenter (Adobe)

· Print2Flash (Blue-Pacific)

· SWF Generator (Orontes Project)

· SWF Studio (Northcode)

· Turbodemo (balesio)

· VLC Portable Player (PortableApps.com)

· Zinc (MDM)


The All-In-One Player

Home topic Part I - Learning the Basics > All-In-One Protector - Background Information:

The All-In-One Player

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - The All-In-One Player The_Multimedia_Player Part I - Learning the Basics > All-In-One Protector - Background Information > The All-In-One Player / Dear Support Staff,

The All-In-One Player

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The All-In-One Player is the piece of software which runs on the customer machine. It includes the in-built functionality of playing flash files in the memory (and not on the hard disk) and performs the defined licensing and copy protection schemes.

The All-In-One Player is a unique application which controls:

· Evaluation Options

· Copy Protection

· Network licensing

· Content Protection

The All-In-One Player and the encrypted file can be distributed on CD / DVD or via a download link. It does not require installation or registration on a PC - just start the All-In-One Player to display the protected files. It also does not require the installation of a flash player. Flash version 9 is supported.

Even while played a file is protected. It is not temporarily stored on the hard disk drive but played in a kind of virtual disk within the memory.

The All-In-One Player comes with a ready to go menu creator which allows to select single files - e.g. make a menu for chapter I, chapter II, chapter III, and to define which files to be started.

The Premium Plus version comes with an ready to go installer tool, which offers an automated installation and creates a program manager group.

This is the icon of the All-In-One Player

A user does not need to have a flash or another player like PPT or PDF reader installed. All necessary components are included in the All-In-One Player, no installation will be required and the protected application can be started even directly from CD.


Copy Protection - How it works

Home topic Part I - Learning the Basics > All-In-One Protector - Background Information > Copy Protection, Licensing, Evaluation:

Copy Protection - How it works

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Copy Protection - How it works Copy_Protection_-_How_it_works Part I - Learning the Basics > All-In-One Protector - Background Information > Copy Protection, Licensing, Evaluation > Copy Protection - How it works / Dear Support Staff,

Copy Protection - How it works

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector offers a media independent protection - the media itself like CD / DVD, download link or USB flash drive is not modified or protected. The copy protection does not prevent, that you can copy the data from CD to the hard disk but it prevents that the application can be started on multiple machines.

The license is bound to a specific hardware ID of the PC (e.g. MAC address). The All-In-One Player will start only, if the license file is located on the specified hardware. This works both in a single user environment and in a network environment.

The advantage of a software copy protection is:

·media independent - distribute the application via CD / DVD, download, USB flash drive or other media where you can store files

·the application can run without a CD / DVD inserted

·you can produce even one single CD - no need to have 1000 CDs duplicated at once

·no problems with the CD / DVD drives or operating systems because no physical modification (like modification of the CD) is done

The additional step, which is necessary, is to transfer the hardware IDs. With Online activation, this step is automated. With activation by e-mail, fax or phone this is a manual process.

The following hardware IDs are supported:

·Volume ID

·MAC Address of the network adapter

·Hostname

·Netbios Name

·Volume ID and UNC Pathname

·MAC Address and UNC Pathname

Details as well as pros and cons about each criteria can be found in Part II - Details about Copy Protection

Copy Protection is enabled automatically (default option), but it is possible to make a full version without Copy Protection (see: How to protect the content but do not use Copy Protection?) and to protect the content only.


Available License Options

All-In-One Protector

Available Licence Options

Home topic Part I - Learning the Basics > All-In-One Protector - Background Information > Copy Protection, Licensing, Evaluation:

Available Licence Options

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Available Licence Options License_Options Part I - Learning the Basics > All-In-One Protector - Background Information > Copy Protection, Licensing, Evaluation > Available License Options / Dear Support Staff,

Available Licence Options

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector supports 3 different types of license:

·Licence per User

·Licence per PC (only option in Standard version)

·Licence per Concurrent User

Licence per User (Person)

The Windows User name is licensed. Each user starting the All-In-One Player will need a license. The windows user name is written into the license file.

This type of license requires a Licence for each User, but only one Licence per PC. If 2 users would share 1 PC this would result in 2 user licenses, but only in 1 PC license.

Licence per PC

This is often the default license type. Each PC starting the All-In-One Player needs a license. The PC name is written into the license file. This type results in a smaller number of licenses than with the Licence per User type (e.g.: if 2 users share 1 PC, 2 Licences per User are needed, but only 1 PC license).

If the application runs on a Citrix / Terminal server, the hostname of the local PC and not the hostname of the server will be used.

Licence per Concurrent User

This is a typical license in a huge multi-user environment. The All-In-One Player can be installed on an unlimited number of machines, but the number of concurrent (simultaneous) users are counted and limited to the specified number. The license is assigned only as long as the All-In-One Player is running. If the All-In-One Player is terminated, the license is available again. If a user logs in with the same user name on 2 different PCs, 2 licenses will be used.

All-In-One Protector offers a sophisticated verification of concurrent user licenses. Machines that hang or have crashed are detected and the license is released. This is done automatically through the All-In-One Player.

The network license and Licence per User as well as Licence per Concurrent User is available only in the All-In-One Protector Premium Plus Edition.

All license types also work in a Terminal Server and Citrix environment. The license information can be displayed within the Licence Viewer.

See also How to distribute a network version.


Evaluation Options

Home topic Part I - Learning the Basics > All-In-One Protector - Background Information > Copy Protection, Licensing, Evaluation:

Evaluation Options

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Evaluation Options Evaluation_Options Part I - Learning the Basics > All-In-One Protector - Background Information > Copy Protection, Licensing, Evaluation > Evaluation Options / Dear Support Staff,

Evaluation Options

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The evaluation version allows starting the All-In-One Player for a specific time without registration. During each program start the days left for evaluation are displayed.

The following evaluation options are possible

·Limit number of days after installation

·Limit until a specified expiry date

·Just display evaluation screen to register, but always allow a program start

·No evaluation version - registration is mandatory

·No evaluation version - All-In-One Player can be started without registration (content protection only)


The License File

All-In-One Protector

The Licence File

Home topic Part I - Learning the Basics > All-In-One Protector - Background Information > Copy Protection, Licensing, Evaluation:

The Licence File

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - The Licence File The_License_File Part I - Learning the Basics > All-In-One Protector - Background Information > Copy Protection, Licensing, Evaluation > The License File / Dear Support Staff,

The Licence File

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector uses a license file (extension .lic) for storing license information. This file is modified during the program start and during activation. The user needs read and write access for the file.

This is especially important in a network environment or if distributing the application via CD/DVD.

Always make a backup of the license file if you start the All-In-One Player directly. The license file is modified with each start and cannot be used any longer for distribution.


Content Protection

Home topic Part I - Learning the Basics > All-In-One Protector - Background Information > Copy Protection, Licensing, Evaluation:

Content Protection

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Content Protection Content_Protection Part I - Learning the Basics > All-In-One Protector - Background Information > Copy Protection, Licensing, Evaluation > Content Protection / Dear Support Staff,

Content Protection

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The file content and the file itself is protected. At no time there will be an access to the original format like flash, PDF or Word.

Content Protection

All files are imported into one single data file which is encrypted. Only this data file is distributed and not the original files. This makes sure that only the encrypted data file is visible on the distribution media, but the data file itself is not accessible.

Access Protection

The weak point of any protection tool is the timeframe during which the file is displayed in the player. Normally, a player copies the file to a temporary folder on the hard disk drive which can be detected and the file can be captured unprotected.

Not so with All-In-One Protector. The file is directly loaded from the encrypted database into the memory. At no point during displaying the file will be accessible on the hard disk drive.

The All-In-One Player runs in a mode which does not allow saving and printing the file.


Snapshot Protection

Home topic Part I - Learning the Basics > All-In-One Protector - Background Information > Copy Protection, Licensing, Evaluation:

Snapshot Protection

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Snapshot Protection snapshot_protection Part I - Learning the Basics > All-In-One Protector - Background Information > Copy Protection, Licensing, Evaluation > Snapshot Protection / Dear Support Staff,

Snapshot Protection

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protectoroffers a new and unique technique to prevent snapshots and screen recording - All-In-One Protector Snapshot Protection.

It can be activated for the following file types

• PDF documents

• SWF files

• Video (all supported video formats)

It works for all kind of snapshot and recording tools as the All-In-One Protector Snapshot protection detects, if a screen is being captured by another application and blocks the access.

This feature is a must have for videos and PDF files as otherwise the protection could be bypassed.

Note

Depending on the file type and the operating system (Windows XP, Vista, Windows 7) the protection works differently. With Windows XP there is only a limited snapshot protection for PDF and SWF files.


File names

Home topic Part I - Learning the Basics > All-In-One Protector - Background Information:

File names

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - File names File_Extensions Part I - Learning the Basics > All-In-One Protector - Background Information > File names / Dear Support Staff,

File names

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector works with 2 different file extensions:

MME File

This is the file extension for the project file. This file includes all your project definitions. You may never distribute it.

The file icon is:

Example: course.mme

MMF File

This is the file extension for the file you distribute in combination with the All-In-One Player. It is an encrypted database and includes all your protected files.

The file icon is:

Example: course.mmf

You can click on the file. It opens either All-In-One Protector (mme file) or the All-In-One Player (mmf file).


About Part II

Home topic Part II - Enhanced Features:

About Part II

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - About Part II About_Part_II Part II - Enhanced Features > About Part II / Dear Support Staff,

About Part II

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

These lessons explore All-In-One Protector features that will enhance your projects even more. After completing them, you'll have experience with these tasks:

· Activation an Registration Screens

· Add an Installer for Harddisk and Network Installation

· Add-Ons (Menu Creator, Music Player, Photo Album)

· Details about Copy Protection

· Distribute the Project

· Executables (exe file)

· Files which can be protected (SWF, FLV, MP3, EXE, MPEG, JPG, PDF, PPT, Word, Visio, AVI, WAV, Other formats)

· Flash Development

· Shop Integration

· How TOs and FAQ

· Menu Creator

· All-In-One Player

· Network License - how it works

· Problems - Trouble Shooting - Error Messages


Activation and Registration Screens

Home topic Part II - Enhanced Features:

Activation and Registration Screens

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Activation and Registration Screens License_and_Registration_Screens Part II - Enhanced Features > Activation and Registration Screens / Dear Support Staff,

Activation and Registration Screens

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This chapter describes all relevant screens of the All-In-One Player during the licensing and activation process.

Tutorial - Product Activation

This tutorial demonstrates, how the user activates the product - using Online, E-Mail, Fax or phone activation.

Start Video Tutorial for product Activation

The dialogs need at least a screen resolution of 800 x 480 pixel


Start Screen of the All-In-One Player

Home topic Part II - Enhanced Features > Activation and Registration Screens:

Start Screen of the All-In-One Player

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Start Screen of the All-In-One Player screens_Start_Screen_of_the_Player Part II - Enhanced Features > Activation and Registration Screens > Start Screen of the All-In-One Player / Dear Support Staff,

Start Screen of the All-In-One Player

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This is the initial screen which pops-up as long as the software has not been activated. It depends on the selected customization options.

The following configuration settings are possible:

· Product Name

· Link to Web Shop

· Registration Image

· Activation Options and Default Activation Option

· Number of days to evaluate

· Available Activation Options

· Link to Help

· Dialog to choose a language

It allows either continuing unregistered or typing in the Serial Number. The version can be used x days for evaluation before the activation has to be done.


Online Activation

Home topic Part II - Enhanced Features > Activation and Registration Screens:

Online Activation

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Online Activation Screens_activation_online Part II - Enhanced Features > Activation and Registration Screens > Online Activation / Dear Support Staff,

Online Activation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Online Activation requires the Serial Number, company name and e-mail address. Then the license will be verified online and activated. No additional step will be required. Details of the workflow.

This activation option is defined in the screen - Settings.

The activation process is transparent for the customer.

The screen: Activation Successful is displayed


Activation by E-Mail

Home topic Part II - Enhanced Features > Activation and Registration Screens:

Activation by E-Mail

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Activation by E-Mail Screens_activation_e-mail Part II - Enhanced Features > Activation and Registration Screens > Activation by E-Mail / Dear Support Staff,

Activation by E-Mail

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The e-mail activation requires the Serial Number, company name and e-mail address. After filling out the screen, an e-mail with the hardware IDs and license information will be generated. You have to send one key back to the customer to activate the copy protection (see screen Enter Unlock Key). Details of the workflow.

This activation option is defined in the screen - Settings

Click to enlarge
Screen - E-Mail Activation

After filling out the screen, select: Request Unlock Key by E-Mail - send E-Mail. This will open your default e-mail client. An e-mail with the hardware IDs and license information will be created. Press send to send the e-mail to our activation center. You will get an Unlock Key back within 2-3 business days.

Click to enlarge
E-Mail Activation - Send E-Mail

Create Unlock Key

The Unlock Key is generated in the TAB Administration, Create Unlock Key with Copy Protection or Create Unlock Key without Copy Protection. If you are using the Activation Server, then see Create Unlock Key using the Web Activation Server.

Enter Unlock Key

After requesting the Unlock Key by E-Mail, the screen shown below will appear during each start of the program. Type in the Unlock Key you got back by e-mail or fax. Press the button Next. If the Activation is successful, the screen Activation finished is displayed.

Click to Click to enlarge
Enter Unlock Key

Tip

The E-Mail activation can be automated using the E-Mail Activator Service. This service comes with the Activation Server.


Activation by Fax

Home topic Part II - Enhanced Features > Activation and Registration Screens:

Activation by Fax

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Activation by Fax Screens_activation_fax Part II - Enhanced Features > Activation and Registration Screens > Activation by Fax / Dear Support Staff,

Activation by Fax

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Fax Activation requires the Serial Number, company name and e-mail address. After filling out the first screen, a print page with the hardware IDs and Serial Number will be generated. You have to send one key back to the customer to activate the copy protection (see screen Enter Unlock Key). Details of the workflow.

This activation option is defined in the screen - Settings

Click to enlarge
Fax Activation

Request Unlock Key

After filling out the screen, select: Request Unlock Key by Fax - print Fax. This will open a report with the hardware IDs and license information. Press print to print the report and then fax it to the number provided in the report. You will get an Unlock Key back within 2-3 business days.

Click to enlarge
Fax Activation - Print Fax

Create Unlock Key

The Unlock Key is generated in the TAB Administration, Create Unlock Key with Copy Protection or Create Unlock Key without Copy Protection. If you are using the Activation Server, then see Create Unlock Key using the Web Activation Server.

Enter Unlock Key

After requesting the Unlock Key by E-Mail, the screen shown below will appear during each start of the program. Type in the Unlock Key you got back by e-mail or fax. Press the button Next. If the Activation is successful, the screen Activation finished is displayed.

Click to Click to enlarge
Enter Unlock Key


Activation by Phone

Home topic Part II - Enhanced Features > Activation and Registration Screens:

Activation by Phone

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Activation by Phone Screens_activation_phone Part II - Enhanced Features > Activation and Registration Screens > Activation by Phone / Dear Support Staff,

Activation by Phone

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Phone Activation requires the Serial Number and company name. After filling out the first screen, a screen with the phone number and also displaying the hardware IDs and Serial Number will pop up. The Unlock Key can be entered directly in this screen. Details of the workflow.

This activation option is defined in the screen - Settings

Click to enlarge
Phone Activation - Step 1

Request Unlock Key

Now call the phone number which is displayed. First specify the Serial Number. You will then be asked for one Installation code. Type in the Unlock Key you get and press the button Apply Key.

Click to enlarge
Phone Activation - Step 2

Create Unlock Key

The Unlock Key is generated in the TAB Administration, Create Unlock Key with Copy Protection or Create Unlock Key without Copy Protection. If you are using the Activation Server, then see Create Unlock Key using the Web Activation Server.


Enter Unlock Key

Home topic Part II - Enhanced Features > Activation and Registration Screens:

Enter Unlock Key

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Enter Unlock Key screens_Enter_Unlock_Key Part II - Enhanced Features > Activation and Registration Screens > Enter Unlock Key / Dear Support Staff,

Enter Unlock Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

After requesting an unlock key via e-mail, fax or phone this screen will appear with the next program start. Typing in the unlock key activates the software copy protection. The registration process is completed. The screen Activation Successful is displayed.


Activation Successful

Home topic Part II - Enhanced Features > Activation and Registration Screens:

Activation Successful

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Activation Successful screens_Activation_Successful Part II - Enhanced Features > Activation and Registration Screens > Activation Successful / Dear Support Staff,

Activation Successful

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

After Online Activation or successfully entering an Unlock key, this screen will appear to indicate that the activation process is finished. The next start of the All-In-One Player will display a screen only in case of an error.


Evaluation Period Expired / No evaluation version

Home topic Part II - Enhanced Features > Activation and Registration Screens:

Evaluation Period Expired / No evaluation version

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Evaluation Period Expired / No evaluation version screens_Evaluation_Period_Expired Part II - Enhanced Features > Activation and Registration Screens > Evaluation Period Expired / No evaluation version / Dear Support Staff,

Evaluation Period Expired / No evaluation version

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If the evaluation period defined in the screen - Licence Information - has expired or the option , No evaluation version - Serial number needed to start was selected, this screen will appear. It is not possible to continue.


Copy Protection Violation

Home topic Part II - Enhanced Features > Activation and Registration Screens:

Copy Protection Violation

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Copy Protection Violation screens_Copy_Protection_Violation Part II - Enhanced Features > Activation and Registration Screens > Copy Protection Violation / Dear Support Staff,

Copy Protection Violation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If the version is installed on another PC after activation, the copy protection will be violated. It is not possible to continue.


No free license available

Home topic Part II - Enhanced Features > Activation and Registration Screens:

No free license available

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - No free license available screens_No_free_license_available Part II - Enhanced Features > Activation and Registration Screens > No free license available / Dear Support Staff,

No free license available

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If the All-In-One Player is used with a network license and more users / Pcs then defined in the screen - Licence Information - try to start the All-In-One Player. Then this error message will appear. It is not possible to continue.

A user / PC license can be deactivated from the end user within the Licence Viewer.

See common reasons for this error.


Show License Information

Home topic Part II - Enhanced Features > Activation and Registration Screens:

Show License Information

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Show License Information screens_License_Viewer Part II - Enhanced Features > Activation and Registration Screens > Show License Information / Dear Support Staff,

Show License Information

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The License Viewer is part of the All-In-One Player and is a complete administration interface for the end user. It can be accessed from any screen during the activation and registration process with the link Show License Information.

The License Viewer can be invoked in different ways:

·starting the All-In-One Player with the parameter -v (see Start Options)

·Using the key combination CTRL+ALT+L (only for Flash, PDF, PPT and EXE files)

·It can be added in the program manager group using the installer (parameter ShowLicenseInfo).

You can also use a standard text file with the extension .BAT (e.g. viewer.bat), which has only one line with the command:

xy-player.exe -v

whereas xy-player.exe is the name of your All-In-One Player of your product. You can download a sample here.

Features

· Basic license information like manufacturer, company, copy protection status and system information

·License information per module (number of licenses, time limitation, demo version, activation status)

·List of users, PCs and concurrent users for each module. Allows to remove / deactivate a user / PC / item

·Option to apply Activation Keys

·Option to activate log file

See also
All-In-One Player - Start Options
Basic license information
Module Information
Deactivate a network license


About Online Activation

Home topic Part II - Enhanced Features > Activation Server:

About Online Activation

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - About Online Activation About_Web_Activation Part II - Enhanced Features > Activation Server > About Online Activation / Dear Support Staff,

About Online Activation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Web Activation and Registration module is an out of the box solution for activating a license and changing license information online. The All-In-One Playerconnects to the registration server and performs the following operations:

·Activate copy protection

·Change a license, e.g. from demo mode to full version mode

·Verify Serial Numbers and Activation Keys

The registration server ensures that each license can be registered only once. Every transaction is logged to a database.

Optionally, keys can be transmitted to the activation server before they are applied to the license file. It is checked, whether the key was already used or not. This is to ensure that the key cannot be passed on and used multiple times.

See workflow for default options of activation.

This feature is available only in the All-In-One Protector Premium Plus Edition.

The Web Activation Server is provided via a hosting model. Mirage provides installation and maintenance of the server. The hosting has to be ordered separately and there is a fee per activation.

Running an own Activation Server

You can run your own server without any fee per activation.

This feature is available only in the All-In-One Protector Enterprise Edition.

Click here for system requirements of the Activation Server

See also

Enable Online Activation
Online Activation Workflow
Web Administration Interface
Hosting of the Web Activation Server
Sample project to test online activation


Online Activation - Step by Step

Home topic Part II - Enhanced Features > Activation Server:

Online Activation - Step by Step

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Online Activation - Step by Step WAS-Necessary_steps_to_use_Online_ Part II - Enhanced Features > Activation Server > Online Activation - Step by Step / Dear Support Staff,

Online Activation - Step by Step

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To use the Online Activate feature, perform the following steps:

One time configuration

·You need the All-In-One Protector Premium Plus version - check your license

·You need a valid hosting account - Order Hosting.

·Type in you hosting data in the screen Administration, Web Activation Server Administration

Configuration per project

·Select Online Activation in the screen - Settings and also set correct URL to Web Activation Server

·Save your project - (TAB Publish, Prepare Publish Process)

· Upload configuration files to the Activation Server

Now you can start using a Serial Number and activate the product online.

Retrieve Statistics

·Log into Activation Server Administration Interface using the Link for Web Activation Server Administration

·Browse the tutorial of the Web Activation Server


Hosting of the Activation Server

Home topic Part II - Enhanced Features > Activation Server:

Hosting of the Activation Server

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Hosting of the Activation Server Hosting_of_the_Web_Activation_ Part II - Enhanced Features > Activation Server > Hosting of the Activation Server / Dear Support Staff,

Hosting of the Activation Server

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Mirage provides the Web Activation Server as a hosting service, which allows you to start without worrying about running an own server, applying updates or any firewall issues.

You pay per number of activations. For details including used hardware and pricing, see hosting service on our website.


Activation Server for Testing

Home topic Part II - Enhanced Features > Activation Server:

Activation Server for Testing

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Activation Server for Testing Activation_Server_for_Testing Part II - Enhanced Features > Activation Server > Activation Server for Testing / Dear Support Staff,

Activation Server for Testing

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

We provide a Test Activation Server, which allows you to make real activations with your product before you order the hosting service. After the installation, All-In-One Protector is configured to access the Test Server.

In case you have to reconfigure it, open the screen Screen - Administration and delete the Hosting Number. This will reset the project settings to values for the Test Server.

Hosting Settings
Hosting Settings

·Save the project - (TAB Publish, Prepare Publish Process)

· Upload configuration files to Activation Server

·Log into Activation Server Administration Interface using the Link in the Web Activation Server Administration

The user name is demo-en, the password is protector.

Now you can start using a Serial Number and activate the product online.

Retrieve Statistics

·Log into Activation Server Administration Interface using the Link in the Web Activation Server Administration

The user name is demo-en, the password is protector.

·Browse the tutorial of the Activation Server

As this is a testing environment the projects are removed from time to time and the activations are deleted.


Add-Ons

Home topic Part II - Enhanced Features:

Add-Ons

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Add-Ons Add-Ons Part II - Enhanced Features > Add-Ons / Dear Support Staff,

Add-Ons

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Add-On tools are provided to cover specific requirements. They are provided on an 'AS IS' basis. These tools must never be used and distributed without the All-In-One Player.

Photo Album - 2 different albums to present photos

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


Photo Album

Home topic Part II - Enhanced Features > Add-Ons:

Photo Album

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Photo Album Photo_Album Part II - Enhanced Features > Add-Ons > Photo Album / Dear Support Staff,

Photo Album

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector comes with different photo albums. You can use a photo album to distribute JPG files. It can be found on the directory ...\Add-Ons\PhotoAlbum and then ...\album1 and..\album2

A sample for jpg files with these photo-albums is provided with photo-album1-demo.mme and photo-album2-demo.mme.

Album 1 - free

This is a photo album which allows placing a lot of text and present the photos in different categories.

Album 1
Album 1

Album 2 -free

This is a photo album which allows placing a lot photos on one page including thumbnail and big size photo as well as a short description per photo.

Album 2
Album 2

The Photo Album can be used with All-In-One Protector, but it is not allowed to distribute the files as a standalone application without All-In-One Protector .

Other Photo Albums

·If you need animations and a slide show, use Adobe Lightroom or the freeware tool from Airtight (Simple Viewer, PostCardViewer, AutoViewer)

·To just click image by image use the SWF Generator Slide Show

·For Foto Albums with multiple designs and professional effects use A4Desk Flash Foto Gallery Builder

The most flexible option is to create a slide show, save it as a video and use the video protection.

See also

Use Photo Album 1
Use Photo Album 2
Other Photo Albums
Include Photo Album in Project
How to edit an XML file


Album 1

Home topic Part II - Enhanced Features > Add-Ons > Photo Album:

Album 1

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Album 1 Photo_Album-Album_1 Part II - Enhanced Features > Add-Ons > Photo Album > Album 1 / Dear Support Staff,

Album 1

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To use this Album, copy all files from ...\Add-Ons\PhotoAlbum\Album1 to a new directory. You may not rename the folder names.

You can start the file photo-portfolio.swf to browse through the demo album.

Never use a absolute path like c:\files which points to your disk drive on the PC. Always use a relative path like \img\flash\gallery_01.

Textlabels

The text that appears on the album can be modified with the file setup.txt.

·Go to the folder ...\Add-Ons\PhotoAlbum\Album1\Set

·Open the file setup.txt and change the text

You will find a more detail description in one up the next updates of the online help

Images

The images have to be placed on a subfolder for each section, which was defined in the setup.txt file with &title_section_1 or &title_section_2 (sample: &title_section_1=men)

For each section you need a subfolder ..\Add-Ons\PhotoAlbum\Album1\img\flash\gallery_01

To add images for gallery 1 (title_section_1 in the setup.txt)

·Go to the .\Add-Ons\PhotoAlbum\Album1\img\flash\gallery_01

·Delete the default images

·Each image to add must be renamed:

pic_1_gall_01_bg.jpg (picture 01, big)
pic_1_gall_01_sm.jpg (picture 01, small)
pic_1_gall_02_bg.jpg (picture 02, big)
pic_1_gall_02_sm.jpg (picture 02, small)

·Add your pictures for each gallery in the folder ..img\flash\gallery_01-img\flash\gallery_03 and for the Home Tab in img\flash\home

After adding all files, select the main folder Album1 to import it. Define photo-portfolio.swf as starting-file.

Look & Feel of the Album


Album 2

Home topic Part II - Enhanced Features > Add-Ons > Photo Album:

Album 2

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Album 2 Photo_Album-Album_2 Part II - Enhanced Features > Add-Ons > Photo Album > Album 2 / Dear Support Staff,

Album 2

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To use this Album, copy all files from ...\Add-Ons\PhotoAlbum\Album2 to a new directory. You may not rename the folder names.

You can start the file gallery.swf to browse through the demo album.

Never use a absolute path like c:\files which points to your disk drive on the PC. Always use a relative path like \img\flash\gallery_01.

Textlabels

The text that appears on the album, can be modified with the files pictures.xml and personal_setup.xml

·Go to the folder ...\Add-Ons\PhotoAlbum\Album2\xml

·Open the file pictures.xml with any xml Editor (notepad, Word). If you do not have an XML Editor see How to edit an XML file

You can define a name per section / galleryname (<gallery name="1">) and you have to define each image you want to use

<image source="pics/pic1.jpg" thumb="pics/th1.jpg" descr="description 1"/>

whare source = the subfolder and big image name, thumb = name of small image, descr = title of the image

·Your personal settings can be configured in personal_setup.xml

You will find a more detail description in one up the next updates of the online help

Images

The images have to be placed in a subfolder ...\Add-Ons\PhotoAlbum\Album2\pics and added in the pictures.xml file.

After adding all files, select the main folder Album1 to import it. Define gallery.swf as starting-file.

Look & Feel of the Album

See also
How to edit an XML file


Include Photo Album in Project

Home topic Part II - Enhanced Features > Add-Ons > Photo Album:

Include Photo Album in Project

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Include Photo Album in Project Photo_Album-Include_Photo_Album_in_Project Part II - Enhanced Features > Add-Ons > Photo Album > Include Photo Album in Project / Dear Support Staff,

Include Photo Album in Project

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To include the photo album in the project, just copy the files:

· Album 1 (photo-portfolio.swf, folder ..\set)

· Album 2 (gallery.swf, folder ..\xml)

as well as all used images and files to your data source directory and import the files in the screen - Data Import.


Airtight

Home topic Part II - Enhanced Features > Add-Ons > Photo Album:

Airtight

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Airtight Airtight-main Part II - Enhanced Features > Add-Ons > Photo Album > Airtight / Dear Support Staff,

Airtight

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

There are great photo albums, which you can download from Airtight - http://www.airtightinteractive.com/viewers/

·SimpleViewer

·PostcardViewer

·AutoViewer

You find there also a description, how you can create the photo album using a popular tool like PhotoShop, Picasa, Porta, iPhoto, RapidWeaver, Aperture, Adobe Lightroom - details

For protecting files with Airtight, the following steps are necessary.

Airtight AutoViewer

Import ALL files (swf, html, js..) and make viewer.swf the start file

Airtight PostcardViewer

Import ALL files (swf, html, js..) and make viewer.swf the start file

Airtight Simple Viewer

Import ALL files (swf, html, js..) and make viewer.swf the start file


All-In-One Player

All-In-One Protector

The All-In-One Player

Home topic Part II - Enhanced Features:

The All-In-One Player

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - The All-In-One Player Multimedia_Player Part II - Enhanced Features > All-In-One Player / Dear Support Staff,

The All-In-One Player

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The All-In-One Player which is delivered with each product, is royalty free. This means that you can distribute the All-In-One Player to end users without any additional costs.

The basic options of the All-In-One Player are configured in the screen - Player Options. There are additional command line parameters (Start Options) and a build in end user interface for the license - the License Viewer.

· Start Options

· License Viewer


All-In-One Player - Start / Command Line options

Home topic Part II - Enhanced Features > All-In-One Player:

All-In-One Player - Start / Command Line options

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - All-In-One Player - Start / Command Line options Multimedia_Player_Start_Options Part II - Enhanced Features > All-In-One Player > All-In-One Player - Start / Command Line options / Dear Support Staff,

All-In-One Player - Start / Command Line options

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The All-In-One Player supports the following start options

· Invoke the License Viewer | -v
· Open a database (MMF file) | -f "path\filename.mmf" or "path\filename.mpvideo"
· Invoke the Player with a specified file | -load "path\file.swf" (must be .swf, PDF or .exe file)
· Use a different license file or path for the license file | -lf "path\file.lic" (lowercase letter l like license, f like file)
· Register file extension MMF and MPVIDEO | -reg

You would start the All-In-One Player and use one or more command line parameters:

"c:\programs\myapp\mycourse.exe" -f "c:\programs\myapp\courses\course1.mmf"

Always use " if you specify a path to cover spaces in the path or filename

"c:\programs\this is my application\mycourse.exe" -load "l01/lession1.swf"

You can combine options, e.g. specify database/MMF file and load a specific flash

mycourse.exe -f lession.mmf -load "l01\lession1.swf"

The maximum number of characters for a command line is 256


Start a specific file inside the database

Home topic Part II - Enhanced Features > All-In-One Player > All-In-One Player - Start / Command Line options:

Start a specific file inside the database

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Start a specific file inside the database Start_a_specific_file_inside_t Part II - Enhanced Features > All-In-One Player > All-In-One Player - Start / Command Line options > Start a specific file inside the database / Dear Support Staff,

Start a specific file inside the database

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you have a menu application as an EXE file, it might be useful, to start a specific flash file inside the database. The menu.exe file would be on the CD/disk (outside the database) and start each flash file individually.

Example - Start files are in the main folder

You have 3 flash files inside the database. All start files are in the main folder.

Click to enlarge
Import - 3 flash files - all in one folder

You have to specify one start file. This would be the file which is loaded when you start the All-In-One Player without any command.

The menu application could invoke each flash file individually. If the menu has an option Lesson 1, Lesson 2, Lesson 3 then selecting option Lesson 1 one would directly load file 1.

The command to load a file would be

"mycourse.exe" -load "file1.swf"

Note: mycourse.exe is the name of the All-In-One Player. You could also specify a path

"c:\programs\myapps\mycourse.exe" -load "file1.swf"

Example - Start file is in a sub folder

You have 3 flash files inside the database. The files are in separate folders.

Click to enlarge
Import - 3 flash files - files are in sub folders

If you start a flash file in a sub folder and this flash file also starts other flash files, you have to specify the option: Always use relative Paths in the screen - SWF Options.

The command to load a file would be

"mycourse.exe" -load "course1\file1.swf"

You can also specify an EXE file as the start file

See also
All-In-One Player - Start Options
Open a database (mmf file)


How to start different MMF files with one Multimedia Player?

All-In-One Protector

Open a file (mmf file / mpvideo file)

Home topic Part II - Enhanced Features > All-In-One Player > All-In-One Player - Start / Command Line options:

Open a file (mmf file / mpvideo file)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Open a file (mmf file / mpvideo file) How_to_start_different_MMFfiles Part II - Enhanced Features > All-In-One Player > All-In-One Player - Start / Command Line options > Open a file (mmf file / mpvideo file) / Dear Support Staff,

Open a file (mmf file / mpvideo file)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

It is possible to have just one All-In-One Player installed and use this All-In-One Player with different MMF (data) files or MPVIDEO (video files).

If you have a menu application as an EXE file, it might be useful, to start a specific database. The menu.exe file would be on the CD/disk (outside the database) and start each database individually.

Example

The project has been divided into several databases. A menu application now invokes for each menu item another database.

Start the the All-In-One Player with the parameter -f filename.mmf

Sample: c:\programs\myapp\flash-demo.exe -f c:\programs\app2\powerpoint.mmf

The license file can either be stored on the folder of the mmf file (recommended), but also on the folder of the All-In-One Player.

License File

By default, the All-In-One Player will search for a license file with the name of the database file. If this license file is not available, a license file with the name of the All-In-One Player is used.

This is necessary to cover the following scenarios.

·You deliver one All-In-One Player, several database files and one license file. All database files will use the same license. The license file should have the name of the player - Example: flash-demo.exe, flash-demo.lic , a.mmf, b.mmf, c.mmf
The license file should be stored on the folder of the All-In-One Player

·You deliver one All-In-One Player, severial database files and for each database a license file. Each database requires an own license. The license file should have the name of the database file - Example: flash-demo.exe, a.mmf, a.lic, b.mmf, b.lic, c.mmf, c.lic
The license file should be stored on the folder the database

Click on a file to open it

You can also open a database by clicking on the file in Windows file explorer. A database file has the extension MMF or video file the extension MPVIDEO.

File Icons

· All data files (MMF)

·Video files (MPVIDEO)

See also
All-In-One Player - Start Options
Start a specific file inside a database


Use a different license file

Home topic Part II - Enhanced Features > All-In-One Player > All-In-One Player - Start / Command Line options:

Use a different license file

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Use a different license file Use_a_different_license_file Part II - Enhanced Features > All-In-One Player > All-In-One Player - Start / Command Line options > Use a different license file / Dear Support Staff,

Use a different license file

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

By default, the license file (extension .lic) is expected on the same path like the database (extension mmf) and with the same name. If the license file is missing, a file with the same name like the All-In-One Player is searched. Only if the license file is on a different folder or has a different name, you have to specify the license file name with a start option.

-lf "path\file.lic" (lowercase letter l like license, f like file)

You can also use a configuration file to specify a license file.


Register file extension MMF

Home topic Part II - Enhanced Features > All-In-One Player > All-In-One Player - Start / Command Line options:

Register file extension MMF

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Register file extension MMF Register_file_extension_MMF Part II - Enhanced Features > All-In-One Player > All-In-One Player - Start / Command Line options > Register file extension MMF/MPVIDEO / Dear Support Staff,

Register file extension MMF

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

During the first start of the All-In-One Player the file extension .MMF and .MPVIDEO is automatically registered. This is signaled in the file explored with the icon [image] (MMF) / [image] (MPVIDEO) . The effect of the registration is that a user can click on the database or video file and the file is automatically opened.

For some special cases the registration has to be done manually using the command line parameter -reg.

Example

A CD includes multiple databases without a menu. When the CD is inserted in a new PC, the autorun.inf file starts the All-In-One Player and registers it. After the registration the user can click on single database files on the CD.

[autorun]

open=player.exe -reg


All-In-One Player configuration file

Home topic Part II - Enhanced Features > All-In-One Player:

All-In-One Player configuration file

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - All-In-One Player configuration file PLAYER_Player_configuration_fi Part II - Enhanced Features > All-In-One Player > All-In-One Player configuration file / Dear Support Staff,

All-In-One Player configuration file

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Instead of starting the All-In-One Player with a command line parameter to specify a license file, you can use a configuration file. The configuration file must be on the same folder like the All-In-One Player application.

Name of the configuration file: allinone.config

Possible configuration options

[Files]

LicPath = full path to the license file

LicFilename = license file name

This is especially handy if

·the All-In-One Player and the data is on a local hard disk where the license file is on a shared folder on the server - see network license

·the All-In-One Player and the data is on a local hard disk and the license file is on a USB flash drive


License Viewer

Home topic Part II - Enhanced Features > All-In-One Player:

License Viewer

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - License Viewer viewer-Licence_Viewer Part II - Enhanced Features > All-In-One Player > License Viewer / Dear Support Staff,

License Viewer

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The License Viewer is part of the All-In-One Player and is a complete administration interface for the end user. It can be accessed from any screen during the activation and registration process with the link Show License Information.

The License Viewer can be invoked in different ways:

·starting the All-In-One Player with the parameter -v (see Start Options)

·Using the key combination CTRL+ALT+L (only for Flash, PDF, PPT and EXE files)

·It can be added in the program manager group using the installer (parameter ShowLicenseInfo).

You can also use a standard text file with the extension .BAT (e.g. viewer.bat), which has only one line with the command:

xy-player.exe -v

whereas xy-player.exe is the name of your All-In-One Player of your product. You can download a sample here.

Features

· Basic license information like manufacturer, company, copy protection status and system information

·License information per module (number of licenses, time limitation, demo version, activation status)

·List of users, PCs and concurrent users for each module. Allows to remove / deactivate a user / PC / item

·Option to apply Activation Keys

·Option to activate log file

See also
All-In-One Player - Start Options
Basic license information
Module Information
Deactivate a network license


Basic license information

Home topic Part II - Enhanced Features > All-In-One Player > License Viewer:

Basic license information

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Basic license information viewer-Basic_license_information Part II - Enhanced Features > All-In-One Player > License Viewer > Basic license information / Dear Support Staff,

Basic license information

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Basic license information is structured in 3 sections.

Click to enlarge
Basic license information - Copy Protection turned off

Manufacturer and License Holder

·Manufacturer. The company name, defined in the screen - Settings

·Company: Before applying the Serial Number, this is the Default Customer Name (e.g. Evaluation Version). After applying the Serial Number key, the customer name, entered during the activation (Online, E-Mail, Fax, Phone) is displayed. This is the license holder

Installation Codes

All available installation codes (hardware IDs) are displayed. If copy protection is not activated, then the folder has this icon . After activation of the copy protection, the icon switches to and the criteria, which is used for copy protection, is marked with .

Click to enlarge
Basic license information - Copy Protection turned on

If a customer has a problem with copy protection, just use another installation code and create a new Unlock Key, which can be applied in the License Viewer.

System information

This information is helpful for support and depends on selected options.

·License File path and name

·License File - ID: Each time you save a project the ID is increased

·License File Version: Internal file version

·License File Date: Date and time when the license file was created

·Security level - with All-In-One Protector always Advanced Security Level

·Concurrent user option (Heartbeat, Light) - with All-In-One Protector always Heartbeat

^


Module Information

Home topic Part II - Enhanced Features > All-In-One Player > License Viewer:

Module Information

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Module Information Module_Information Part II - Enhanced Features > All-In-One Player > License Viewer > Module Information / Dear Support Staff,

Module Information

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Each module is listed with additional information (depending on the license type).

·Demo version

·Expiry date or time limitation

·Activation Status (required, erroneous, done)

·Number of licenses (module type license per user, PC, concurrent or item counter)

·All keys, which have been used for a module

·All users [image], Concurrent users [image], PCs [image] or items [image] per module. If a license is deactivated, this is indicated with the icon


Deactive a network license

All-In-One Protector

Deactivate a network license

Home topic Part II - Enhanced Features > All-In-One Player > License Viewer:

Deactivate a network license

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Deactivate a network license network-Deactivate_a_network_licence Part II - Enhanced Features > All-In-One Player > License Viewer > Deactive a network license / Dear Support Staff,

Deactivate a network license

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If an application uses a license per PC or per User then a single license can be deactivated within the License Viewer. This is not necessary for concurrent user because the license is automatically removed when the application terminates.

Deactivate a license within License Viewer

A license (per PC / User / Item) can be deactivated by

·selecting the license

·press button Deactivate

The deactivated license is now displayed in brackets and the icon changes to [image]. The license can be used again by another PC / User / Item

Activate a deactivated license again

A license which was deactivated, is displaced in brackets. It can be activated again by

·selecting the license

·press button Activate

·Deactivation of a concurrent user is only necessary, if the user is not automatically removed. It is not a deactivation of the license - it is a removing of the user. The user will get the license again with the next program start again.

·The deactivation is done when you press the OK button. If the user has already started the application, the next start of the All-In-One Player will return an error

·You cannot deactivate a computer with a USB-flash drive license


Enable a log file

Home topic Part II - Enhanced Features > All-In-One Player > License Viewer:

Enable a log file

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Enable a log file Activate_a_log_file Part II - Enhanced Features > All-In-One Player > License Viewer > Enable a log file / Dear Support Staff,

Enable a log file

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

In case of an unknown error on the end user system, the user can enable a log file and sent it to you. You could then send this file to support.

·Press the Options button within the License Viewer

·Select - Error tracking enabled

·Select a path for the logfile

Restart the application until the error appears and then send all files with the extension .log to support@mirage-systems.de . The user can then disable the error tracking.


Transfer / Move the license to a new PC

Home topic Part II - Enhanced Features > All-In-One Player:

Transfer / Move the license to a new PC

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Transfer / Move the license to a new PC Transfer_the_license_to_a_new_ Part II - Enhanced Features > All-In-One Player > Transfer / Move the license to a new PC / Dear Support Staff,

Transfer / Move the license to a new PC

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The end user can transfer the license to a new PC. The option is available within the License Viewer.

To enable the license transfer, the following requirements are necessary:

·the product must be activated (not a trial version)

·an online connection is necessary

·the product must be installed on the hard disk

(USB flash drives and internal network disks will have no transfer option)

Disable license on PC 1

·Open the License Viewer (e.g. using CTRL+ALT+L)

·Select the button Transfer License

Open License Viewer
Open License Viewer

The following screen will appear

Start license transfer
Start license transfer

License transfer in progress
License transfer in progress

License transfer is done
License transfer is done

Installation on a new PC = PC 2

The old Serial Number will be accepted on the new PC.

Reactivate on the old PC = PC 1

If the product is used on the old PC again, the following screen will appear.

Reactivate license
Reactivate license

In case the Serial Number was not used on another PC, the license will be reactivated on this PC.

·After the license was deactivated, you can reactivate it during the next program start as long as the Serial Number was not used on another computer

·The license can be transferred multiple times between computers - Example: Transfer license from PC A to PC B. Then deactivate on PC B and activate again on PC A

See also

Transfer your All-In-One Protector license to another computer


The Basics about Copy Protection

Home topic Part II - Enhanced Features > Details about Copy Protection:

The Basics about Copy Protection

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - The Basics about Copy Protection The_Basics_about_copyprotection Part II - Enhanced Features > Details about Copy Protection > The Basics about Copy Protection / Dear Support Staff,

The Basics about Copy Protection

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This feature prevents that the application can be run on different machines. It binds the license file to a hardware specific item.

The user cannot move the All-In-One Player from computer A to computer B, because the hardware identifiers that are used for Copy Protection will be different on any other machine - Copy protection does not prevent the copy process, but starting the All-In-One Player on non-licensed machines.

The place where the license file is stored is used to determine the hardware information of the machine.

·If the license file is stored on a local machine, the hardware of the local machine will be used.

·If the license file is stored on a server, then the server hardware is used (Volume ID, MAC Address, Hostname). When starting the application on a local machine within a network, All-In-One Player retrieves the server hardware even if the application is running on the local machine

·If the license file is stored on a NAS drive (Network attached storage), then the hardware of the NAS is used (Volume ID, MAC Address, Hostname). When starting the application on a local machine within a network, All-In-One Player retrieves the NAS hardware even if the application is running on the local machine

·If the license file is on an USB flash drive, then a criteria of the USB flash drive is used to provide copy protection

·If the product is started from a CD/DVD then the license file is copied to the local PC hardware and the local PC hardware is used for copy protection

Copy Protection can be used as an option. You can create a license without Copy Protection by just sending out an Unlock Key without Copy Protection.


Hardware IDs

Home topic Part II - Enhanced Features > Details about Copy Protection:

Hardware IDs

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Hardware IDs Hardware_IDs Part II - Enhanced Features > Details about Copy Protection > Hardware IDs / Dear Support Staff,

Hardware IDs

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Hardware IDs are often referenced as installation codes, because the codes are only available after the installation of the

application on a machine. The hardware IDs are referenced with installation code numbers to prevent that the user knows the criteria which are used. The installation code numbers are itemized in brackets after the name of the hardware ID.

For protection of privacy, the hardware ID is always an 8 digit code. This is very important because some countries do not allow to transfer personal data like hostname. The hardware ID is additionally hashed with a project specific code to ensure, that each All-In-One Protector application creates different installation codes.

The following hardware IDs are supported:

· Volume ID (1)

· MAC Address of the network adapter (2)

· Hostname (3)

· NetBIOS Computer Name (4)

· Volume ID and UNC Pathname (5) - recommended for network installations

· MAC Address and UNC Pathname (6)

· IP Address (7)

· Combination code 1+2+3 and UNC Pathname (8)

· Combination code 1+2+3 (9)

· Hostname and UNC Pathname (10)

· USB flash drive (11)

· Domain(12)

· Windows ID (13) - recommended for single user installations

Installation codes which work only for single PC installations

· Netbios Name

· USB flash drive

· Domain

· Windows ID

For a server license only use an installation code combined with the UNC pathname.

If a hardware ID can not be retrieved (e.g. there is no network adapter) then the code is empty.


Sending Hardware IDs

Home topic Part II - Enhanced Features > Details about Copy Protection:

Sending Hardware IDs

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Sending Hardware IDs Transferring_Hardware_IDs Part II - Enhanced Features > Details about Copy Protection > Sending Hardware IDs / Dear Support Staff,

Sending Hardware IDs

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Using the Online Activation, the hardware IDs are automatically sent to the Activation Server. Using activation by e-mail, fax or phone, the codes have to be sent to you and you have to send and unlock key back.

The complete process is described in the chapter: Worflow - from Distribution to Activation

Customers, using the Activation Server can use an automated e-mail activation service


Volume ID (1)

Home topic Part II - Enhanced Features > Details about Copy Protection:

Volume ID (1)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Volume ID (1) cp-Volume_ID Part II - Enhanced Features > Details about Copy Protection > Volume ID (1) / Dear Support Staff,

Volume ID (1)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Each hard disk drive (even a USB flash drive) has a volume ID (like a Serial Number). To view the current Volume ID of a drive, you can just perform a dir <drive>: and the volume ID is shown on the second line down, e.g.

Volume in drive E is system
Volume Serial Number is BC09-8AE4

The Serial Number can be changed using tools, and if a drive is imaged, the volume ID will be imaged as well.

Pros/Cons

+ Always available and always working

+ Works in single user and network environment

- After reinstallation of Windows, the volume ID changes

- Volume ID’s are always the same whenever a image tool is used to set up a drive

- Allows to install the application multiple times on the same server / computer

Recommendation

·Good for applications used with a network license where it does not matter when the license file could be duplicated on the same server. Duplication on the same server is prevented using code 5 (Volume ID + UNC Pathname)


MAC Address (2)

Home topic Part II - Enhanced Features > Details about Copy Protection:

MAC Address (2)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - MAC Address (2) cp-MAC_Address Part II - Enhanced Features > Details about Copy Protection > MAC Address (2) / Dear Support Staff,

MAC Address (2)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This is a good criteria for single user installations, because it is still available after a reinstallation of a machine and is independent of disk imaging. There are a few things to be considered in a server environment.

Server with 2 network adapters

If a server has more than one adapter, with some PCs accessing the server through adapter 1, some through adapter 2, a copy protection violation will occur. In this case we recommend switching to the criteria Volume ID + UNC Pathname.

Server with subnets

In a subnet portioned network environment the MAC address should not be used. All PCs in outer subnets cannot retrieve the MAC address. Switch to Volume ID or Hostname in combination with UNC path as means of copy protection.

Novell Server

All-In-One Protector can be used on a Novell server for licensing, but the Software Copy Protection will not work, because the hardware information like Volume ID or MAC address cannot be retrieved from the server.

W-Lan Adapter

Some W-Lan Adapters are 'invisble' for Windows, whenever the network cable is unplugged or a notebook is in battery mode. Switch to hostname.

PDA with network adapter

If a PDA with an in-built network adapter is connected to the PC during the activation, it could happen that this network adapter is used, because the network adapter of the PDA is added to the PCs network adapters. The PDA should be disconnected, and then the MAC address can be used for copy protection.

Windows 98 /NT

The software copy protection with installation code 2 cannot be used, whenever using Windows 98 / NT with the license file being on the server. A Windows 98 / NT system cannot retrieve this information from the server.

Recommendation: Use installation code 5, 1 or 3 within a network installation with Windows 98 / NT machines.

The installation code 2 works with Windows 98 / NT, whenever the license file is on the local machine.

Note:

·There will be no future support for Windows 98 and All-In-One Protector with the complete functionality.

·A MAC address can be faked with tools

·If All-In-One Protector cannot retrieve a MAC address the instcode 2 is empty

Pros/Cons

+ After reinstallation of Windows, the MAC address does not change

+ If an image tool is used, the MAC address is still different

+ Good within a network, because the MAC address must be unique

- See considerations above for multiple network cards

- Restricted use in network environment with Windows 98 / NT machines

- Allows to install the application multiple times on the same server / computer

Recommendation

Should be used for enterprise users because disk imaging is often used to set up multiple machines and a reinstallation of Windows does not need a new licensing.


Hostname (3)

Home topic Part II - Enhanced Features > Details about Copy Protection:

Hostname (3)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Hostname (3) cp-Hostname Part II - Enhanced Features > Details about Copy Protection > Hostname (3) / Dear Support Staff,

Hostname (3)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

A Windows machine's NetBIOS name is not to be confused with the computer's host name. Each computer running TCP/IP (whether it's a Windows machine or not) has a host name (also sometimes called a machine name). You can view/change it on the DNS tab in Control Panel -> Network -> TCP/IP -> Properties Host names are used by applications such as telnet, ftp, web browsers, etc. In order to connect to a computer running the TCP/IP protocol using its HOST name, the host name must be resolved into an IP Address (the host name or FQDN (Fully Qualified Domain Name)-IP address resolution is typically done by something called DNS - Domain Name System/Service). Changing a computer's Host name DOES NOT change its NetBIOS name.

Note

If a local PC does not have a network adapter and uses a dial-up connection for registration then the hostname could change between 'localhost' and the hostname used for the dial-up connection. The only solution for this scenario is to use the NetBIOS computer name.

Pros/Cons

+ Works in single user and network environment

+ Good within a network because the hostname must be unique

- After reinstallation of Windows, the hostname changes

- See considerations above with dial-up connections

- Allows to install the application multiple times on the same server / computer

Recommendation

·Should be used for enterprise users who have problems using the installation code with the MAC address


NetBIOS Computer Name (4)

Home topic Part II - Enhanced Features > Details about Copy Protection:

NetBIOS Computer Name (4)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - NetBIOS Computer Name (4) cp-NetBIOS_Computer_Name Part II - Enhanced Features > Details about Copy Protection > NetBIOS Computer Name (4) / Dear Support Staff,

NetBIOS Computer Name (4)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This is the recommended installation code for single user.

Each computer running Windows has a NetBIOS name; you can view/change it on the identification tab in Control Panel -> Network. Various services & client tools, including Network Neighbourhood and NET USE, use NetBIOS names. The NetBIOS name is specified when Windows networking is installed/configured. In order to connect to a computer running TCP/IP via its NetBIOS name, the name must be resolved to an IP Address (the NetBIOS name-IP address resolution is often done by WINS - NetBIOS Name Server). A computer's NetBIOS name is often the same as that computer's host name, but it doesn't have to be.

Pros/Cons

+ Works always in single user environment

+ See considerations regarding hostname with dial-up connections

+ Works even in Notebooks with W-Lan adapter when disconnected from the local network

- After reinstallation of Windows, the NetBIOS computer name changes

- Only usable for single user installations

- Allows to install the application multiple times on the same server / computer

Recommendation

·If you do have only single user installations then use the NetBIOS name

This ID can only be used as a single PC / single user license. A network license is not supported.


Volume ID + UNC Pathname (network license) (5)

All-In-One Protector

Volume ID + UNC Pathname (5)

Home topic Part II - Enhanced Features > Details about Copy Protection:

Volume ID + UNC Pathname (5)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Volume ID + UNC Pathname (5) cp-Volume_ID__UNC_Pathname Part II - Enhanced Features > Details about Copy Protection > Volume ID + UNC Pathname (network license) (5) / Dear Support Staff,

Volume ID + UNC Pathname (5)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This Installation Code combines the Volume ID with UNC pathname (details).

Pros/Cons

+ Always available and always working

+ Works in single user and network environment

+ Allows only one installation on one machine

- After reinstallation of Windows, the volume ID changes

- Volume ID’s are always the same whenever a image tool is used to set up a drive

Recommendation

·Should be used for enterprise users who have problems using the installation code with the MAC address and who want to make sure that the application is only installed once

This code is ideal for a network license as it prevents multiple installations on the same server and will most often work - also in complex network environments

This code results in a copy protection error if you work on the server AND on the workstation. It only works if the server is used as a dedicated server. Use code 1-3 in case of a problem.


MAC Address + UNC Pathname (network license) (6)

All-In-One Protector

MAC Address + UNC Pathname (6)

Home topic Part II - Enhanced Features > Details about Copy Protection:

MAC Address + UNC Pathname (6)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - MAC Address + UNC Pathname (6) cp-MAC_Address__UNC_Pathname Part II - Enhanced Features > Details about Copy Protection > MAC Address + UNC Pathname (network license) (6) / Dear Support Staff,

MAC Address + UNC Pathname (6)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This Installation Code combines the MAC address with the UNC pathname (details)

Pros/Cons

+ After reinstallation of Windows, the MAC address does not change

+ If an image tool is used, the MAC address is still different

+ Good within a network, because the MAC address must be unique

+ Allows only one installation on one machine

- See considerations above for multiple network cards

- Restricted use in network environment with Windows 98 / NT machines

Recommendation

·Should be used for enterprise users because disk imaging is often used to set up multiple machines and a reinstallation of Windows does not need a new licensing.

This code results in a copy protection error if you work on the server AND on the workstation. It only works if the server is used as a dedicated server. Use code 1-3 in case of a problem.


IP Address (7)

Home topic Part II - Enhanced Features > Details about Copy Protection:

IP Address (7)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - IP Address (7) cp-IP_Address Part II - Enhanced Features > Details about Copy Protection > IP Address (7) / Dear Support Staff,

IP Address (7)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Every computer running TCP/IP needs an IP address. This address has to be unique inside a sub network but it is not worldwide unique.

Pros/Cons

+ Works in single user and network environment

+ Ideal for a server with an static IP address

- Only unique in a subnet, not unique worldwide

- Allows to install the application multiple times on the same server / computer

Recommendation

·Can used as an alternative for the hostname


Combination Code 1+2+3+UNC Pathname (8)

Home topic Part II - Enhanced Features > Details about Copy Protection:

Combination Code 1+2+3+UNC Pathname (8)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Combination Code 1+2+3+UNC Pathname (8) Combination_Code_123UNC_Path Part II - Enhanced Features > Details about Copy Protection > Combination Code 1+2+3+UNC Pathname (8) / Dear Support Staff,

Combination Code 1+2+3+UNC Pathname (8)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This Installation Code combines the Volume ID, MAC address and Hostname with the UNC pathname (details).

The combination of the several installation codes makes it significantly more difficult to configure virtual machines with identical hardware IDs.

Pros/Cons

+ Cheating is extremely difficult due to the 4 used parameters

+ If an image tool is used, the MAC address is still different

+ Good within a network because the MAC address must be unique

+ Allows only one installation on one machine

+ Works in single user and network environment

- Needs more often a re-licensing because of hardware changes

- See considerations for multiple network cards and subnets

- Restricted use in network environment with Windows 98 / NT machines

Recommendation

·Should be used for environments were heavy copy protection is needed and several installations on one machine should not be possible. Otherwise use installation code 9.

This code results in a copy protection error if the applications is started on the server AND on the workstation. It only works if the server is used as a dedicated server. Use code 1-3 in case of an problem.


Combination Code 1+2+3 (9)

Home topic Part II - Enhanced Features > Details about Copy Protection:

Combination Code 1+2+3 (9)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Combination Code 1+2+3 (9) cp-Combination_Code_123 Part II - Enhanced Features > Details about Copy Protection > Combination Code 1+2+3 (9) / Dear Support Staff,

Combination Code 1+2+3 (9)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This Installation Code combines the Volume ID, MAC address and Hostname. The combination of the several installation codes makes it significantly more difficult to configure virtual machines with identical hardware IDs.

Pros/Cons

+ Cheating is extremely difficult due to the 3 used parameters

+ If an image tool is used, the MAC address is still different

+ Good within a network because the MAC address must be unique

+ Works in single user and network environment

- Needs more often a re-licensing because of hardware changes

- See considerations above for multiple network cards

- Restricted use in network environment with Windows 98 / NT machines

- Allows to install the application multiple times on the same server

Recommendation

·Should be used for environments were heavy copy protection is needed and several installations on one machine should be possible. Otherwise use installation code 8.


Hostname + UNC Pathname (server licence) (10)

All-In-One Protector

Hostname + UNC Pathname (server license) (10)

Home topic Part II - Enhanced Features > Details about Copy Protection:

Hostname + UNC Pathname (server license) (10)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Hostname + UNC Pathname (server license) (10) cp-Hostname__UNC_Pathname_server_ Part II - Enhanced Features > Details about Copy Protection > Hostname + UNC Pathname (server licence) (10) / Dear Support Staff,

Hostname + UNC Pathname (server license) (10)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This Installation Code combines the Hostname with the UNC pathname (details).

Pros/Cons

+ Works in single user and network environment

+ Good within a network because the hostname must be unique

+ Allows only one installation on one machine

- After reinstallation of Windows, the hostname changes

Recommendation

·Use it when you have a server application

·Should be used for enterprise users which have problems using the installation code with the MAC address + UNC path (code 6)

This code is ideal for an application, which only runs on the server as it prevents multiple installations on the same server and seldom causes a problem

This code results in a copy protection error if the applications is started on the server AND on the workstation. It only works if the server is used as a dedicated server. Use code 1-3 in case of an problem.


USB Stick (11)

All-In-One Protector

USB flash drive (11)

Home topic Part II - Enhanced Features > Details about Copy Protection:

USB flash drive (11)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - USB flash drive (11) cp-USB_Stick_11 Part II - Enhanced Features > Details about Copy Protection > USB Stick (11) / Dear Support Staff,

USB flash drive (11)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector offers a unique technology to use a standard USB flash drive as a 'Dongle replacement'. Now the times are over where you have to decide whether to use a software copy protection or a Dongle.

The big advantage compared with a dongle is, that nearly any standard USB flash drive can be used. You can send out the USB flash drive with your project files already loaded on the stick or the customer can use his own USB flash drive. If a USB flash drive can be used or not depends on the fact, if the manufacturer has added a special information like a kind of a Serial Number of the USB flash drive.

If a module with a license per PC is used, the usage of the USB flash drive can be limited to a specified number of PCs.

Pros/Cons

+ Works always in single user environment

+ Customer can use a single user license on different machines

+ The number of machines, where the USB flash drive can be used, can be limited

- Only usable for single user installations

- Hardware is involved

- Not all USB flash drives will work

For details how to use the USB flash drive see chapter: Using an USB flash drive as a Dongle replacement.

·This ID can only be used as a single PC / single user license. A network license is not supported.

·The USB protection works only with Windows XP and newer Windows versions like Vista. Windows 2000, Windows 98 and Windows 95 are not supported.

·All-In-One Protector also works on USB flash drives with Microsoft BitLocker drive encryption


Domain (12)

Home topic Part II - Enhanced Features > Details about Copy Protection:

Domain (12)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Domain (12) cp-Domain_12 Part II - Enhanced Features > Details about Copy Protection > Domain (12) / Dear Support Staff,

Domain (12)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This installation code is a very good criteria if you need a company wide (unlimited) license with single user installations.

After a user logs in his Windows account, the Windows-Domain name is used for copy protection. This also works for notebook users which are offline, as you can always log in using the domain-name.

The same license file can be copied to any machine. No additional activation is necessary after the first user has activated the product.

Step 1 - Product Activation

One user activates the product and makes a backup of the license file (.LIC file).

Step 2 - Installation on multiple PCs

The .lic file can now be copied to any number of machines within the same network.

· Every workstation has to specify the same domain for login like domainname\username

· This ID can only be used as a single PC / single user license. A network license is not supported.


Windows ID (13)

Home topic Part II - Enhanced Features > Details about Copy Protection:

Windows ID (13)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Windows ID (13) Windows_ID_13 Part II - Enhanced Features > Details about Copy Protection > Windows ID (13) / Dear Support Staff,

Windows ID (13)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Windows ID includes Windows operating system information combined with hardware used on a computer system and is similar to a Windows UUID (Universal Unique Identifier). The Windows ID will be different even on virtual machines (if you clone one Windows copy and run it on a virtual machine on another computer).

The advantage of this ID is, that it will seldom change and cannot be faked. Changing the hostname, volume ID or MAC address will not affect this installation code.

This is the recommended installation code for single user installations

This ID can only be used as a single PC / single user license. A network license is not supported.


The Basics about Distributing a Project

Home topic Part II - Enhanced Features > Distribute the Project:

The Basics about Distributing a Project

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - The Basics about Distributing a Project The_Basics_about_Deploying_a_P Part II - Enhanced Features > Distribute the Project > The Basics about Distributing a Project / Dear Support Staff,

The Basics about Distributing a Project

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

After a project has been created successfully and Distribute / Save has been selected, a folder with all necessary files for distribution will be generated.

The folder name is ..\Publish CD and is a subfolder of the project folder.

Example: ..\PDF-Demo \Publish CD

Never store other files in this folder (on the hard disk). The files in this folder are deleted when the project is saved.

The folder contains 4 files. All files are named according the Name of EXE file . You can copy these files to a CD/DVD or USB flash drive. Never use a folder name Publish CD on the CD/DVD or USB flash drive as the product does not start then.

The All-In-One Player

The All-In-One Player has the extension .EXE and is the main application which includes all the necessary functionality to display the file and monitor copy protection and licensing.

Example: flash-demo.exe

You cannot start the All-In-One Player in this folder, because the license file is modified with each start and cannot be used any longer for distribution. If you want to make a life test, copy the complete Publish CD folder to another directory.

The Data File

The data file contains all the files selected in the Data Import section in an encrypted format. It has the extension .MMF.

Example: flash-demo.mmf

Never deploy the project file with the extension .mme

The License File

The license file contains all licensing and copy protection information. It has the extension .LIC

Example: flash-demo.lic

To be 100% sure that you have a new license file, just create the Publish CD folder again before you distribute the project.

To test a project use the Testdrive option.

Autorun File

When distributing the files on a CD, the autorun.inf file would start the All-In-One Player after the CD is inserted in the drive.

A user does not need to have a flash or another player like PPT or PDF reader installed. All necessary components are included in the All-In-One Player, no installation will be required and the protected application can be started even directly from CD.


Distribute a CD/DVD

Home topic Part II - Enhanced Features > Distribute the Project:

Distribute a CD/DVD

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Distribute a CD/DVD distribute_a_CDDVD Part II - Enhanced Features > Distribute the Project > Distribute a CD/DVD / Dear Support Staff,

Distribute a CD/DVD

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To deliver a CD/DVD, just copy all files from the folder Publish CD to the CD/DVD. If you want to install the files from the CD to a hard disk drive, use the ready to go installer.

Never start the All-In-One Player for testing before you make the CD/DVD, as the license file is modified with each start and cannot be used any longer for distribution. The CD/DVD must be finalized (no modification is possible after the CD/DVD is burned) and it must be a Read Only CD/DVD. Don't use a Live File System (CD/DVD can be used like a hard disk) like Vista offers. The best option is to use a CD/DVD burning software which makes sure, that the CD cannot be modified after burning.

Using a RW CD/DVD would result in an error because the All-In-One Player would try to modify the license file. When the All-In-One Player is directly started from a CD/DVD, then the license file is automatically copied during the first program start to a folder on the hard disk, where each user has a read and a write access.

See also
Adding an Installer


Distribute via a download link

Home topic Part II - Enhanced Features > Distribute the Project:

Distribute via a download link

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Distribute via a download link distribute_a_download_link Part II - Enhanced Features > Distribute the Project > Distribute via a download link / Dear Support Staff,

Distribute via a download link

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To distribute via a download link, the file from the folder Publish EXE has to be uploaded on a Web Server.

In case you do not have an e-commerce provider or website, where the user can download your files, see chapter: How can I share my files using a download link?

See also
Adding an Installer


Using All-In-One Protector Installer

Home topic Part II - Enhanced Features > Distribute the Project:

Using All-In-One Protector Installer

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Using All-In-One Protector Installer Using_All-In-One_Protector_Ins Part II - Enhanced Features > Distribute the Project > Using All-In-One Protector Installer / Dear Support Staff,

Using All-In-One Protector Installer

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Premium Plus Edition comes with a ready to go installation manager. It allows installing the files from CD or download link to the hard disk. It also offers a network installation for Client PC's. The installer files can be found on the folder \All-In-One Protector\5.0\installer .

The installation manager includes the following features:

·Copies all files to a specified directory

·Displays a license agreement

·Adds the necessary user rights to the specified directory

·Copies the player, database mmf file and the license file to the specified directory, including an icon file

·Adds a program manager group and an entry within the program manager group to start the All-In-One Player

·Define a different start application, e.g. a menu program

·Copy additional files, e.g. files needed by a menu program

·Display a readme file at the end of the installation

·Option to install the files on a USB flash drive instead of the hard disk

·Adds uninstall information

·Installation dialogs are available in multiple languages

You can change the icon on the desktop and in the program manager group with an own bespoke icon.

The installer consists of 2 files:

·setup.exe - (installer file for single user installation) or setup-sign.exe (digitally signed with Mirage credentials)

·setup.ini - (configuration file for installer)

Copy these 2 files from the main installation folder ..\All-In-One Protector Premium Plus\5.0\installer to a new folder, eg. Master CD

·Publish the project with the option for CD

·Copy the files from the folder - Publish CD - to the new Master CD folder

·Then modify the setup.ini file with any editor. The name of the installer can be renamed, e.g. to setup-abc.exe. The name of the ini file must be setup.ini.

If you want to start the installer directly after a CD is inserted, modify the file autorun.inf.

[autorun]

icon=flash-demo.exe

open=setup.exe

Name=All-In-One Protector - Flash Demo

This feature is available only in the All-In-One Protector Premium Plus Edition.

All files of the installation manager can be delivered as a self extracting EXE file

See also

Configuration File - Setup.ini
Single User Installation
Network Installation


Executables (exe file)

Home topic Part II - Enhanced Features:

Executables (exe file)

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Executables (exe file) exe-native-Executables_exe_file Part II - Enhanced Features > Executables (exe file) / Dear Support Staff,

Executables (exe file)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector supports a protection of .EXE files.

How does the EXE protection work?

All-In-One Protector supports copy protection and complete licensing for stand-alone EXE files including files on folders. It wraps the EXE file and additional files into the encrypted database. It is a very strong protection, as the files are completely hidden from decompilers.

·The exe file and all other files on the directory are imported into the encrypted database. They are not visible to the end user and they are completely protected

·During runtime, all files are extracted to a virtual zone. They are completely protected as there is no access to the virtual zone. The EXE file is started on the virtual zone and could invoke other files on the virtual zone or on the real directory

·The size of all files together should not exceed 250 MB. Otherwise the loading time would be too long. The loading time varies depending on the hard disk, available memory and processor of the PC

·64bit EXE files or EXE files compiled for any CPU running on 64bit operating systems or not supported. 32bit EXE files on 64bit operating systems are supported.

For a complete background information see chapter: Virtual Zone

As EXE protection is very complex, different protection options are available. Check the following chapters to find the best settings for your application:

· EXE configuration options

· Troubleshooting with EXE files

· Decompile Protection only - no licensing

· Java protection

· Concept with 2 versions

· Virtual Zone

You can start EXE files from flash applications or secure standalone EXE files. Also menu applications could be used to start other EXE files.

See also
Exe file is menu application
Flash application using exe file
Read Configuration Data and license information
Define Password for EXE file


Virtual Disk

All-In-One Protector

VIRTUAL ZONE

Home topic Part II - Enhanced Features > Executables (exe file):

VIRTUAL ZONE

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - VIRTUAL ZONE virtualzone Part II - Enhanced Features > Executables (exe file) > VIRTUAL ZONE / Dear Support Staff,

VIRTUAL ZONE

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The All-In-One Player creates a VIRTUAL ZONE in the memory of the computer, where the EXE file and all other files in the database are copied. After copying the files, the EXE file is started.

The VIRTUAL ZONE simulates a disk. If the EXE file opens another file or starts another application, the file is first searched in the VIRTUAL ZONE. If the file is not found on the VIRTUAL ZONE, it is searched in the real file system. This technique ensures, that an application runs without modification. An access to the VIRTUAL ZONE from outside is not possible - all files are completely protected during runtime. This also offers a perfect protection for .NET and Java.

The All-In-One Player technology is much better than a wrapper:

·No chance to decompile the database or analyse the EXE file or change/patch a file in the database

·Protects multiple files (e.g. DLLs and all files which are read only) and not only one EXE file

·All-In-One Protector always loads your original files from the database into the Virtual Zone

The bundle of unique features offers a perfect decompile protection and is more effective than obfuscation of the code.

Protect a single EXE file

Place the EXE file on a separate folder. Import only this EXE file. Use In the screen - Settings, Name of the All-In-One Player the original EXE file name. Save the project and copy from the Publish CD folder the files .EXE, .LIC, .MMF to your application folder. The new EXE file is the All-In-One Player while your real EXE file is inside the database (mmf file).

Protect EXE file and additional files

Place the EXE file and all additional files on a separate folder. Import the complete folder. The protected application including all files is on the Publish CD folder.

Decompile Protection only - no licensing

If Licence Protector (www.Licence-Protector.com) or another tool is used for licensing / copy protection and All-In-One Protector is used to protect the code, then see chapter: Decompile Protection

Command line parameters

Command line parameters are supported. They are passed to the protected EXE file

Known limitations

·Multiple EXE files in the project work only, if the start EXE file starts EXE 2 and waits, until EXE 2 terminates

·If you want to protect a complete folder structure which includes a mix of files like EXE, PDF, Flash, PPT and the files need an own Viewer, it is not working.

Example 1

The EXE file invokes a PDF file. As the file extension PDF is perhaps linked to Acrobat Reader, the Acrobat Reader will start but it cannot open the PDF file, as it is in the Virtual Zone.

Solution A

Place the PDF file unprotected on the installation directory.

Solution B

Protect the PDF file with All-In-One Protector using an own project. The EXE file must then invoke the All-In-One Player and not the PDF file. For more details see - Split project into several databases

Example 2

The EXE file invokes a FLV file but the EXE file includes a FLV player. This works as the EXE file and the FLV file are in the virtual zone.

·The EXE file must be a 32bit application. 64bit EXE files are not supported. For 64bit applications use Run EXE file in temporary folder on hard disk

·An ActiveX EXE, which has to be registered, cannot be protected

See troubleshooting for EXE files in case of an error.


Temporary folder on hard disk

Home topic Part II - Enhanced Features > Executables (exe file):

Temporary folder on hard disk

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Temporary folder on hard disk Temoporary_folder_on_hard_disk Part II - Enhanced Features > Executables (exe file) > Temporary folder on hard disk / Dear Support Staff,

Temporary folder on hard disk

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If your EXE file is not running in the Virtual Zone, then you could select to run the file on the temporary folder on the local hard disk.

How does it work?

·The exe file is imported into the encrypted database and not visible. It is completely protected

·When the exe file is invoked, it is extracted to the hard disk to a hidden place and started. The file could be found there

If Source Code is available, the protection can be improved significantly by defining a password, which is required to start the EXE file.

As the file runs on a different folder, you have to retrieve the real folder name reading the configuration data.

Extract all files

This option extracts the EXE file AND all other files in the database to a temporary folder. Import only additional files if they should be protected. During runtime, the additional files are not protected.

Delete all files when EXE is terminated

This option deletes all files on the temporary folder after the EXE file is terminated. Only uncheck this option if the main EXE file invokes other EXE files. If the application is one EXE file then always check this option.

Run EXE unprotected on installation directory

This option would extract the EXE file to the folder, where the All-In-One Player is located. You could use this option if you have no source code and the EXE file must be on the same folder like the other files.


Decompile Protection only - no licensing

Home topic Part II - Enhanced Features > Executables (exe file):

Decompile Protection only - no licensing

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Decompile Protection only - no licensing Decompile_Protection_only_-_no Part II - Enhanced Features > Executables (exe file) > Decompile Protection only - no licensing / Dear Support Staff,

Decompile Protection only - no licensing

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you use All-In-One Protector for decompile protection and no licensing should be used or the licensing is done by Licence Protector (www.Licence-Protector.com) or other tools, then use the settings described below.

Step 1 - Import EXE File

Place the EXE file on a separate folder. Import only this EXE file. Use In the screen - Settings, Name of the All-In-One Player the original EXE file name.

Select the option: Only protect EXE file - do not use licensing. All licensing settings are ignored and no license file (.lic) is created.

Step 2 - Save Project

Save the project and copy from the Publish CD folder the files .EXE and .MMF / .MMAPP to your application folder. The new EXE file is the All-In-One Player while your real EXE file is inside the database (mmf file).

How the decompile protection works see: Virtual Zone


Concept with 2 versions

Home topic Part II - Enhanced Features > Executables (exe file):

Concept with 2 versions

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Concept with 2 versions Concept_with_2_versions Part II - Enhanced Features > Executables (exe file) > Concept with 2 versions / Dear Support Staff,

Concept with 2 versions

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Although All-In-One Protector does not support to license multiple modules (this is only supported by www.Licence-Protector.com ) , you can handle 2 versions like Starter and Basic Edition.

Create Project for Starter Edition

·Create the project

·In the EXE Options dialogue, define a command line parameter, e.g. /S

·Within your application, check the command line. If it is /S then start the application as Standard Edition

Create Project for Basic Edition

·Select Copy a Project. You must select: New project uses a different encryption to ensure, that the Basic Edition uses Activation Keys with a different encryption. This ensures that a Serial Number for the Starter Edition cannot be used for the Basic Edition

·Change the fields: Product Name and Name of EXE file in the screen - Basic

·Change the command line parameter in the EXE Options dialogue to /P

·Within your application, check the command line. If it is /P then start the application as Basic Edition

Installer

The installer should have an option which lets the user decide, what product (Starter or Basic) to install. The only difference is the MMF file. Depending on the selection you copy either the MMF and license file of the Starter or Basic version.

Sample for an installer

This function is not possible with the All-In-One Protector installation manager. If you want to use All-In-One Protector installation manager, you have to make 2 installation packages.


EXE file is a menu application

Home topic Part II - Enhanced Features > Executables (exe file):

EXE file is a menu application

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - EXE file is a menu application EXE_file_is_menu_application Part II - Enhanced Features > Executables (exe file) > EXE file is a menu application / Dear Support Staff,

EXE file is a menu application

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If your EXE file is a menu application, which just invokes other files like PDF, swf, videos, then place the EXE file outside the database. This has multiple advantages

·The files are not extracted to a temporary folder and are protected

·The size of the database does not matter

You can then start a file inside the database directly using a start parameter like -load. See complete list of start options for the player

Example

·Start a PDF file - mycourse.exe -load "course1.pdf"

·Start a flash file - mycourse.exe -load "course2.swf"

You find a description of some menus in the chapter - Additional Menus

See also
Menu applications


Flash application using exe files

Home topic Part II - Enhanced Features > Executables (exe file):

Flash application using exe files

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Flash application using exe files exe-Flash_application_using_exe_fi Part II - Enhanced Features > Executables (exe file) > Flash application using exe files / Dear Support Staff,

Flash application using exe files

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you have a flash application that invokes exe files, the fscommand will be supported. It works as follows:

·Extract the file from the encrypted database to the hard disk to a hidden place

·Start the file

·The file is not removed after termination

In case you load files in your exe file, you have to be aware that these files have to be available on the new directory. You have to extract these files first from the database to the directory (see below). If your exe file creates new files, you should always create it on the same folder or subfolder - but never use a hard coded path.

If you need to control, how an EXE or BAT file is used, you can add special commands to your flash application.

Use one of the following commands:

http://FILE:testfile.exe or http://FILE:testfile.exe$$START

This command extracts the exe file from the database to a temporary folder and starts it. The file must be an exe file. The All-In-One Player is still activated. When the All-In-One Player is closed, it tries to delete the exe file. This is only possible if the exe file was terminated - if it is still running it cannot be deleted.
http://FILE:testfile.exe$$STARTKEEP

Same as parameter $$START, but does NOT delete the exe file after termination.
http://FILE:testfile.exe$$COPY

Just extracts the file from the database, but do not start it. This command can be used with any file type like DLL or txt. If you need multiple files (e.g. not only exe files but also dlls or configuration files), you can first extract all these files and at the end start the main exe file using http://FILE:testfile.exe$$START . When the All-In-One Player is closed, it tries to delete all extracted files.

http://FILE:testfile.exe$$COPYKEEP
Same as parameter $$COPY, but does NOT delete the exe file after termination

You can add a pathname where you want to extract the files, in case you do not want to use the temporary folder.

Sample: loadMovie("http://FILE:testfile.exe$$COPYKEEP$$c:\mypath\testfile.exe",2)

would extract the file testfile.exe from the database to the folder c:\mypath

http://FILE:testfile.exe$$RUN

This commands starts an exe file which is already available on the CD or hard disk. It can be used to start any external application. The file is not deleted after termination. The file must be on the same folder like the All-In-One Player. A pathname cannot be used.

Sample: loadMovie("http://FILE:testfile.exe$$RUN",2);
The http://FILE: command also works with HTML and BAT files.

Invoke a BATCH file

You can invoke a .BAT file to perform any type of tasks. The .bat file must be on the same folder as the player. With a batch file you could e.g. invoke a huge AVI file, which will then be played in the default player.

Command: loadMovie("http://FILE:avistart.bat$$RUN",2)

The avistart.bat needs only the name of the avi file:

sample.avi

See also
All-In-One Player - Start Options


.Net, VB, Delphi, C or other compilers

All-In-One Protector

How to protect an application written in .NET, VB, Delphi, C or other development languages?

Home topic Part II - Enhanced Features > Executables (exe file):

How to protect an application written in .NET, VB, Delphi, C or other development languages?

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - How to protect an application written in .NET, VB, Delphi, C or other development languages? Howto_protect_an_application_ Part II - Enhanced Features > Executables (exe file) > .Net, VB, Delphi, C or other compilers / Dear Support Staff,

How to protect an application written in .NET, VB, Delphi, C or other development languages?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can use All-In-One Protector EXE Protection, if all of the below mentioned requirements match:

·No modules - only one application which has to be licensed

·Must be standalone EXE file (not a DLL, not a service, not a server application)

·Transferring a license from PC A to PC B

All other requirements are covered with Licence Protector, which is a source code integration product - see website www.Licence-Protector.com for details and download the trial version.

For protection with Licence Protector you need the Source Code and development work is necessary.


Flash Development

Home topic Part II - Enhanced Features:

Flash Development

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Flash Development Flash_Development Part II - Enhanced Features > Flash Development / Dear Support Staff,

Flash Development

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can use any standard flash command in combination with All-In-One Protector. Find below some special enhancements or tips.

· Read data from configuration files

· Start EXE or BAT files

· Store data

· Start a specific file inside the database


License File Information

Home topic Part II - Enhanced Features > Flash Development:

License File Information

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - License File Information License_File_Information Part II - Enhanced Features > Flash Development > License File Information / Dear Support Staff,

License File Information

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you want to display license information like the registered customer name, you can retrieve this information via an XML file. The XML file contains a lot of fields. Some are for future use and are not explained in this documentation.

The name of the file is mp2flash-info.xml. Just load the file with standard flash code. It is generated on the fly and provided by the All-In-One Player.

<Default>

<Install-Path-MMF> - path where the mmf file (database) can be found
<Install-Path-Player> - installation path of the application
<Player-Name> - name of the All-In-One Player, e.g. myapp.exe
<MMF-Name> - name of the mmf file, e.g. myappdata.mmf

<SerialNumber> - the Serial Number used to activate the product
<StartExe> - name of the start file, e.g. yoursource.exe

<LicenceInfo>

<Customer> - license holder name. This is the name which was type in during the product activation

LicFile - Path and name of the license file

<Module1>

<TotalLicences> - number of maximum network licenses define in the screen - License Information or in the Serial Number

<RemainingLicences> - licenses available in a network installation

<ExpiredOn> - Expiry date of the license - if expired on is 30.12.1899 then it is a version without any time limitation

<RemainingDays> - Days left to evaluate the product or to run the full version. If the value is -1 then there is no time limitation

<LicenceType> - S - license per Computer, U = license per User, R = license per concurrent user - defines in the screen - License Information

<DemoMode> - true = Demo/evaluation version, false = Full Version (product is activated)

<WebActivation> - 0 = status after program start. No Serial Number was applied, 1 = Serial Number was applied, 2 = product is activated, 3 = erroneous activation


Configuration Files

Home topic Part II - Enhanced Features > Flash Development:

Configuration Files

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Configuration Files Configuration_Files Part II - Enhanced Features > Flash Development > Configuration Files / Dear Support Staff,

Configuration Files

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can either have an XML file, which you include in the flash project, or you can store customer specific configuration values in an XML file, which is on the same folder like the protected database file (.mmf).

The flash command is: config_xml.load("config.xml");


Start PDF and PPT files

Home topic Part II - Enhanced Features > Flash Development:

Start PDF and PPT files

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Start PDF and PPT files flash_invoke_pdf Part II - Enhanced Features > Flash Development > Start PDF and PPT files / Dear Support Staff,

Start PDF and PPT files

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Start PDF file (unprotected)

Use in flash the same command to open a PDF file as you would use to start another flash file. The file is displayed in the All-In-One Protector PDF Viewer but it is not protected.

You have to select the option: Do NOT encrypt PDF files to open a PDF file from within flash.

Start PDF and PPT files (protected)

To start a protected PDF or PPT file within a flash application, you have to create an own project with these files and then invoke the All-In-One Player EXE file.

· Split the project into a second database (e.g. pdfiles.mmf)

·Add the command http://FILE:player.exe -f filename.mmf -l "pdfname.pdf" $$RUN in your flash application to start the database filename.mmf with the pdf file pdfname.pdf - example: http://FILE:player.exe -f pdfiles.mmf -l "flyer1.pdf" $$RUN

·If you have a PowerPoint file, it is sufficient to define just the database name

Details how to protect PDF and PPT.

Flash file converted to EXE file

In case the SWF file was converted to an EXE file, the commands with $$RUN will not work. The flash application has to directly start the player.exe file using command line parameters.

player.exe -f filename.mmf -l "pdfname.pdf"

See also
All-In-One Player - Start Options


Store Data

Home topic Part II - Enhanced Features > Flash Development:

Store Data

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Store Data Store_Data Part II - Enhanced Features > Flash Development > Store Data / Dear Support Staff,

Store Data

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If your application needs to temporarily store data (e.g. results of a test), use the local shared object functionality.

A local A local shared-object is stored on the user's machine. Depending on the operating system it is e.g.

·for Windows XP: Documents and Settings\userName\Application Data\Macromedia\Flash Player\#SharedObjects

·for Vista: \Users\userName\AppData\Roaming\Macromedia\Flash Player\#SharedObjects

Example

// Create a shared-object named "userData"

mySharedObject=SharedObject.getLocal("userData");


HTML Starter file

Home topic Part II - Enhanced Features > Flash Development:

HTML Starter file

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - HTML Starter file HTML_Starter_file Part II - Enhanced Features > Flash Development > HTML Starter file / Dear Support Staff,

HTML Starter file

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Often tools generate a default.html or index.html to start the flash application. This is not working with All-In-One Protector, as HTML files can not be used. Just edit the HTML file and search for a file with the extension .swf, which is the main starter file. The html file can then replaced with a special flash starter file.

·From ..\tools\flashstarter copy the files flashstarter.swf and configstarter.xml to the folder, where the default.html or index.html is locacted

·Edit the file configstarter.xml and add the folder\filename of the main flash file. You can also specify parameters

·Now import ALL files (swf, html, js..) and make flashstarter.swf the start file.

Content of configstarter.xml

<!-- defines the folder and flash name the flashstarter.swf loads -->

<StartSwf>resources/gallery.swf</StartSwf>

<!-- the parameter for the flash application -->

<Parameter>flash variables - parameter</Parameter>

The flashstarter.swf would invoke the gallery.swf in the subfolder resources with resources/gallery.swf?flash variables


Integration in Online Shops

Home topic Part II - Enhanced Features:

Integration in Online Shops

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Integration in Online Shops Integration_in_Online_Shops Part II - Enhanced Features > Integration in Online Shops / Dear Support Staff,

Integration in Online Shops

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector offers a generic integration in any shop and a ready to go integration in popular e-commerce systems.

E-Commerce integration

The following description does not cover how to make the setup for the e-commerce system. It describes the necessary steps to combine All-In-One Protector with these shops.

· Avangate (www.avangate.com)

· Cleverbridge ( www.cleverbridge.com )

· Element5/ShareIt ( www.element5.com , www.shareit.com )

Generic Shop Integration

In case you use a custom shop system or an e-commerce system which is not listed above use the Generic Shop integration


Avangate

Home topic Part II - Enhanced Features > Integration in Online Shops:

Avangate

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Avangate Avangate Part II - Enhanced Features > Integration in Online Shops > Avangate / Dear Support Staff,

Avangate

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The integration into the Avangate e-commerce system (www.avangate.com) can be done without programming - just by defining the desired action.

· Use Key Lists


Working with Key Lists

Home topic Part II - Enhanced Features > Integration in Online Shops > Avangate:

Working with Key Lists

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Working with Key Lists Working_with_Key_Lists2 Part II - Enhanced Features > Integration in Online Shops > Avangate > Working with Key Lists / Dear Support Staff,

Working with Key Lists

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

These steps are necessary to integrate All-In-One Protector:

· Build a key list with Serial Numbers

· Upload Serial Numbers

· Define Delivery Text

· Upload Project Files

· Define Delivery Option

This workflow is intended for single user / PC license. The order process can allow ordering multiple single user licenses at a time. Per license, one Serial Number key is delivered.

If you sell a network license where each order can contain a different number of licenses, it is not possible to work with uploaded keys. You have to create a Serial Number Key which is different per order and includes the number of licenses ordered. This feature is not supported right now.


Build a key list with Serial Numbers

Home topic Part II - Enhanced Features > Integration in Online Shops > Avangate > Working with Key Lists:

Build a key list with Serial Numbers

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Build a key list with Serial Numbers avangate-Build_a_Keylist Part II - Enhanced Features > Integration in Online Shops > Avangate > Working with Key Lists > Build a key list with Serial Numbers / Dear Support Staff,

Build a key list with Serial Numbers

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

First you have to build a list with Serial Numbers which are uploaded to the shop. Depending on your sales, create 100 or 1000 Serial Number keys to upload.

Within the TAB - Keys create a list of Serial Numbers - for details see Create Key List. Save the key list to a file with Save Key List


Upload Serial Numbers

Home topic Part II - Enhanced Features > Integration in Online Shops > Avangate > Working with Key Lists:

Upload Serial Numbers

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Upload Serial Numbers avangate-Upload_Serial_Numbers Part II - Enhanced Features > Integration in Online Shops > Avangate > Working with Key Lists > Upload Serial Numbers / Dear Support Staff,

Upload Serial Numbers

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Login in the Avangate system and select Electronic Delivery.

Type in a List Name and select the List Type: Static

Select the button: Edit. From the key list with Serial Numbers you created - see build a key list with Serial Numbers - copy and paste the keys in the field Code.

Click to enlarge
Add keys to key list

Important settings are:

·Uncheck Single Code

·Uncheck Allow Duplicates

·Select Quantity Sensitive


Define Delivery Text

Home topic Part II - Enhanced Features > Integration in Online Shops > Avangate > Working with Key Lists:

Define Delivery Text

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Define Delivery Text avangate-Define_a_product Part II - Enhanced Features > Integration in Online Shops > Avangate > Working with Key Lists > Define Delivery Text / Dear Support Staff,

Define Delivery Text

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Edit a product and select additional delivery information. The Activation Key will be added automatically. You can add a delivery text for multiple languages.

Click to enlarge
Add Delivery Text information

You can use one of the following sample texts.

Serial Number Key - English

Serial Number

The Serial Number Key is your 'proof of purchase'. It can be used only once and requires an Internet connection.

Start the application and select: I have a serial number and I want to activate (your product name). Enter the Serial Number Key from this e-mail (you can copy it using the clipboard), your name/company and your e-mail address. Press the button: Next. A dialog appears which verifies the Serial Number key online and activates the application.

If you don't have an Internet connection use the option: You can also request an unlock key by e-mail.

Help, how to activate the software, can be found by selecting the icon ?

Backup your license file xy.lic.

Serial Number Key - German

Seriennummer

Die Seriennummer ist ihr 'Kaufnachweis'. Diese kann nur einmal verwendet werden und benötigt eine Internet Verbindung

Starten Sie die Anwendung und wählen Sie: Ich habe eine Seriennummer und möchte (Ihr Produktname) aktivieren. Geben Sie die Seriennummer von diesem E-Mail (diese kann über die Zwischenablage kopiert werden), Name/Firma und Ihre E-Mail Adresse ein. Drücken Sie die Schaltfläche: Weiter. Es erscheint ein Dialogfenster, das die Seriennummer online überprüft und die Software aktiviert.

Wenn keine Internet Verbindung zur Verfügung steht wählen Sie die Option: Sie können auch per E-Mail einen Freischaltschlüssel anfordern.

Hilfe, wie die Software aktiviert werden kann, ist über das Symbol ? verfügbar.

Sichern Sie die Lizenzdatei XY.lic.


Upload Project Files

Home topic Part II - Enhanced Features > Integration in Online Shops > Avangate > Working with Key Lists:

Upload Project Files

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Upload Project Files avangate-Upload_Project_Files Part II - Enhanced Features > Integration in Online Shops > Avangate > Working with Key Lists > Upload Project Files / Dear Support Staff,

Upload Project Files

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To distribute via a download link, the file from the folder Publish EXE has to be uploaded on a Web Server.

In case you do not have an e-commerce provider or website, where the user can download your files, see chapter: How can I share my files using a download link?

See also
Adding an Installer

Within Avangate, Select Product Files and then press the button Browse. Select your installation package and upload the file from the Publish EXE folder


Define Delivery Details - Download Link

Home topic Part II - Enhanced Features > Integration in Online Shops > Avangate > Working with Key Lists:

Define Delivery Details - Download Link

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Define Delivery Details - Download Link avangate-Define_Delivery_Option-downloadlink Part II - Enhanced Features > Integration in Online Shops > Avangate > Working with Key Lists > Define Delivery Details - Download Link / Dear Support Staff,

Define Delivery Details - Download Link

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Edit a product. In the TAB Delivery you specify that Avangate delivers your uploaded project files by download link.

·List name: select the list with your keys - see: Upload Serial Numbers

·File: select your project file in the drop down list - see: Upload Project Files


Cleverbridge

Home topic Part II - Enhanced Features > Integration in Online Shops:

Cleverbridge

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Cleverbridge Cleverbridge Part II - Enhanced Features > Integration in Online Shops > Cleverbridge / Dear Support Staff,

Cleverbridge

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The integration in the cleverbridge e-commerce system (www.cleverbridge.com) can be done in multiple ways:

· Use an interactive communication with the Activation Server (recommended)

· Use Key Lists


Use communication with the Activation Server

Home topic Part II - Enhanced Features > Integration in Online Shops > Cleverbridge:

Use communication with the Activation Server

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Use communication with the Activation Server Use_communication_with_the_Act Part II - Enhanced Features > Integration in Online Shops > Cleverbridge > Use communication with the Activation Server / Dear Support Staff,

Use communication with the Activation Server

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The cleverbridge shop can communicate with the Activation Server using a https request. It generates a Serial Number / Keys and also stores the customer details on the Activation Server.

You find a detail explanation in the Activation Server online help.


Use Key Lists

Home topic Part II - Enhanced Features > Integration in Online Shops > Cleverbridge:

Use Key Lists

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Use Key Lists Use_Key_Lists Part II - Enhanced Features > Integration in Online Shops > Cleverbridge > Use Key Lists / Dear Support Staff,

Use Key Lists

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

These steps are necessary to integrate All-In-One Protector:

· Build a key list with Serial Numbers

· Upload Serial Numbers

· Define Delivery Text

· Upload Project Files

· Define Delivery Option

This workflow is intended for single user / PC license. The order process can allow ordering multiple single user licenses at a time. Per license, one Serial Number key is delivered.

If you sell a network license where each order can contain a different number of licenses, it is not possible to work with uploaded keys. You have to create a Serial Number Key which is different per order and includes the number of licenses ordered. See chapter: Use an interactive communication with the Activation Server


Build a key list with Serial Numbers

Home topic Part II - Enhanced Features > Integration in Online Shops > Cleverbridge > Use Key Lists:

Build a key list with Serial Numbers

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Build a key list with Serial Numbers cleverbridge-Build_a_Keylist Part II - Enhanced Features > Integration in Online Shops > Cleverbridge > Use Key Lists > Build a key list with Serial Numbers / Dear Support Staff,

Build a key list with Serial Numbers

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

First you have to build a list with Serial Numbers which are uploaded to the shop. Depending on your sales, create 100 or 1000 Serial Number keys to upload.

Within the TAB - Keys create a list of Serial Numbers - for details see Create Key List. Save the key list to a file with Save Key List


Upload Serial Numbers

Home topic Part II - Enhanced Features > Integration in Online Shops > Cleverbridge > Use Key Lists:

Upload Serial Numbers

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Upload Serial Numbers cleverbridge-Upload_Serial_Numbers Part II - Enhanced Features > Integration in Online Shops > Cleverbridge > Use Key Lists > Upload Serial Numbers / Dear Support Staff,

Upload Serial Numbers

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Start the cleverbridge Commerce Assistant and edit a product. In the TAB Delivery Details you specify which keys are delivered.

Press the button Add and select Cleverbridge delivers key. Then select Key List and press the button [image] .

Click to enlarge
Delivery Details - select Key List

Type in a name for the key list and press the Add button - select the key list with Serial Numbers you created - see build a key list with Serial Numbers


Define Delivery Text

Home topic Part II - Enhanced Features > Integration in Online Shops > Cleverbridge > Use Key Lists:

Define Delivery Text

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Define Delivery Text cleverbridge-Define_a_product Part II - Enhanced Features > Integration in Online Shops > Cleverbridge > Use Key Lists > Define Delivery Text / Dear Support Staff,

Define Delivery Text

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Start the cleverbridge Commerce Assistant. Edit a product and add a delivery text. This text will include the Activation Key which will be generated after the order process and is used in the e-mail which is send out to the customer. The delivery text can be in HTML format.

Click to enlarge
Add Delivery Text information

You can use one of the following sample texts. The Serial Number Key is inserted with the variable <Key>.

Serial Number Key - English

<b><font size="4">Serial Number </font></b>

<p>The Serial Number Key is your 'proof of purchase'. It can be used only once and requires an Internet connection.

</p>

<p>The serial number key is: <b> <Key> </b></p>

<p>Start the application and select: <b> I have a serial number and I want to activate (your product name).

</b>Enter the Serial Number Key from this e-mail (you can copy it using

the clipboard), your name/company and your e-mail address. Press the button: <i>

Next. </i>A dialog appears which verifies the Serial Number key online and

activates the application.</p>

<p>If you don't have an Internet connection, use the option: <i>You can also

request an unlock key by e-mail.</i></p>

<p>Help, how to activate the software, can be found by selecting the icon ? </p>

<p><b>Backup your license file xy.lic</b>.</p>

Serial Number Key - German

<b><font size="4">Seriennummer</font></b><p>Die

Seriennummer ist ihr 'Kaufnachweis'. Diese kann nur einmal verwendet werden und

benötigt eine Internet Verbindung</p>

<p>Die Seriennummer lautet: <b> <Key> </b></p>

<p>Starten Sie die Anwendung und wählen Sie: <b>Ich habe eine Seriennummer und

möchte (Ihr Produktname) aktivieren<I>.

</i></b>Geben Sie die Seriennummer von diesem E-Mail (diese kann über die

Zwischenablage kopiert werden), Name/Firma und Ihre E-Mail Adresse ein. Drücken

Sie die Schaltfläche: <i>Weiter. </i>Es erscheint ein Dialogfenster, das die

Seriennummer online überprüft und die Software aktiviert.</p>

<p>Wenn keine Internet Verbindung zur Verfügung steht wählen Sie die Option: <i>

Sie können auch per E-Mail einen Freischaltschlüssel anfordern.</i></p>

<p>Hilfe, wie die Software aktiviert werden kann, ist über das Symbol ?

verfügbar.</p>

<p><b>Sichern Sie die Lizenzdatei XY.lic</b>.</p>


Upload Project Files

Home topic Part II - Enhanced Features > Integration in Online Shops > Cleverbridge > Use Key Lists:

Upload Project Files

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Upload Project Files cleverbridge-Upload_Project_Files Part II - Enhanced Features > Integration in Online Shops > Cleverbridge > Use Key Lists > Upload Project Files / Dear Support Staff,

Upload Project Files

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To distribute via a download link, the file from the folder Publish EXE has to be uploaded on a Web Server.

In case you do not have an e-commerce provider or website, where the user can download your files, see chapter: How can I share my files using a download link?

See also
Adding an Installer

Start the cleverbridge Commerce Assistant. Select Product Files and then press the button Upload Product File. Select your zipped file from the Publish EXE folder and upload the file.


Define Delivery Details - Download Link

Home topic Part II - Enhanced Features > Integration in Online Shops > Cleverbridge > Use Key Lists:

Define Delivery Details - Download Link

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Define Delivery Details - Download Link cleverbridge-Define_Delivery_Option-downloadlink Part II - Enhanced Features > Integration in Online Shops > Cleverbridge > Use Key Lists > Define Delivery Details - Download Link / Dear Support Staff,

Define Delivery Details - Download Link

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Start the cleverbridge Commerce Assistant and edit a product. In the TAB Delivery Details you specify that cleverbridge delivers your uploaded project files by download link.

Press the button Add and select Cleverbridge delivers full version by download. Then select Download File and select your uploaded project file in the drop down list.


Element5/ShareIt

Home topic Part II - Enhanced Features > Integration in Online Shops:

Element5/ShareIt

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Element5/ShareIt element5 Part II - Enhanced Features > Integration in Online Shops > Element5/ShareIt / Dear Support Staff,

Element5/ShareIt

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The integration into the Element5 / Share-it! e-commerce system (www.element5.com , www.shareit.com) can be done in multiple ways:

· Use Key Lists

· Shop Connector (requires Enterprise Edition)


Working with Key Lists

Home topic Part II - Enhanced Features > Integration in Online Shops > Element5/ShareIt:

Working with Key Lists

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Working with Key Lists Working_with_Key_Lists Part II - Enhanced Features > Integration in Online Shops > Element5/ShareIt > Working with Key Lists / Dear Support Staff,

Working with Key Lists

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

These steps are necessary to integrate All-In-One Protector:

· Build a key list with Serial Numbers

· Upload Serial Numbers

· Define Delivery Text

· Upload Project Files

· Define Delivery Option

This workflow is intended for single user / PC license. The order process can allow ordering multiple single user licenses at a time. Per license, one Serial Number key is delivered.

If you sell a network license where each order can contain a different number of licenses, it is not possible to work with uploaded keys. You have to create a Serial Number Key which is different per order and includes the number of licenses ordered.

See chapter - Use Shop Connector


Upload Serial Numbers

Home topic Part II - Enhanced Features > Integration in Online Shops > Element5/ShareIt > Working with Key Lists:

Upload Serial Numbers

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Upload Serial Numbers element5-Upload_Serial_Numbers Part II - Enhanced Features > Integration in Online Shops > Element5/ShareIt > Working with Key Lists > Upload Serial Numbers / Dear Support Staff,

Upload Serial Numbers

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Start the Element5 / Share-it! Control Panel.

Select Key List, and then Create new list.

Now open the key list with Serial Numbers you created - see build a key list with Serial Numbers and copy all keys into the clipboard (CTRL+C). Go back to the control panel, type in a name for the key list and paste the clipboard (CTRL+V) with your Serial Number Keys.

Click to enlarge
Copy key list from clipboard

The last step is to assign the key list to a product.

Select Product Delivery, Delivery Type. On the right side, select your product and press - Show data.

Press the button Add and select element5 delivers: License Key. Select your key list from Uploaded Key list and check Should a license key be sent to the customer for each license ordered?


Define Delivery Text

Home topic Part II - Enhanced Features > Integration in Online Shops > Element5/ShareIt > Working with Key Lists:

Define Delivery Text

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Define Delivery Text element5-Define_Delivery_Text Part II - Enhanced Features > Integration in Online Shops > Element5/ShareIt > Working with Key Lists > Define Delivery Text / Dear Support Staff,

Define Delivery Text

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Start the Element5 / Share-it! Control Panel. Edit a product and add a delivery text. This text will include the Activation Key which will be generated after the order process and is used in the e-mail which is send out to the customer. The delivery text can be in HTML format.

Click to enlarge
Add Delivery Text information

You can use one of the following sample texts. The Serial Number is inserted with the variable <%KEY%>.

Serial Number Key - English

<b><font size="4">Serial Number </font></b>

<p>The Serial Number Key is your 'proof of purchase'. It can be used only once and requires an Internet connection.

</p>

<p>The serial number key is: <b> <%KEY%> </b></p>

<p>Start the application and select: <b> I have a serial number and I want to activate (your product name).

</b>Enter the Serial Number Key from this e-mail (you can copy it using

the clipboard), your name/company and your e-mail address. Press the button: <i>

Next. </i>A dialog appears which verifies the Serial Number key online and

activates the application.</p>

<p>If you don't have an Internet connection use the option: <i>You can also

request an unlock key by e-mail.</i></p>

<p>Help, how to activate the software, can be found by selecting the icon ? </p>

<p><b>Backup your license file xy.lic</b>.</p>

Serial Number Key - German

<b><font size="4">Seriennummer</font></b><p>Die

Seriennummer ist ihr 'Kaufnachweis'. Diese kann nur einmal verwendet werden und

benötigt eine Internet Verbindung</p>

<p>Die Seriennummer lautet: <b> <<%KEY%> </b></p>

<p>Starten Sie die Anwendung und wählen Sie: <b>Ich habe eine Seriennummer und

möchte (Ihr Produktname) aktivieren<I>.

</i></b>Geben Sie die Seriennummer von diesem E-Mail (diese kann über die

Zwischenablage kopiert werden), Name/Firma und Ihre E-Mail Adresse ein. Drücken

Sie die Schaltfläche: <i>Weiter. </i>Es erscheint ein Dialogfenster, das die

Seriennummer online überprüft und die Software aktiviert.</p>

<p>Wenn keine Internet Verbindung zur Verfügung steht wählen Sie die Option: <i>

Sie können auch per E-Mail einen Freischaltschlüssel anfordern.</i></p>

<p>Hilfe, wie die Software aktiviert werden kann, ist über das Symbol ?

verfügbar.</p>

<p><b>Sichern Sie die Lizenzdatei XY.lic</b>.</p>


Upload Project Files

Home topic Part II - Enhanced Features > Integration in Online Shops > Element5/ShareIt > Working with Key Lists:

Upload Project Files

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Upload Project Files e5-Upload_Project_Files Part II - Enhanced Features > Integration in Online Shops > Element5/ShareIt > Working with Key Lists > Upload Project Files / Dear Support Staff,

Upload Project Files

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To distribute via a download link, the file from the folder Publish EXE has to be uploaded on a Web Server.

In case you do not have an e-commerce provider or website, where the user can download your files, see chapter: How can I share my files using a download link?

See also
Adding an Installer

Start the Element5 / Share-it! Control Panel. Select Upload Product and then either select Replace an existing file or Upload a new file. Select your zipped file from the Publish EXE folder and upload the file.


Define Delivery Type

Home topic Part II - Enhanced Features > Integration in Online Shops > Element5/ShareIt > Working with Key Lists:

Define Delivery Type

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Define Delivery Type element5-Define_Delivery_Option2 Part II - Enhanced Features > Integration in Online Shops > Element5/ShareIt > Working with Key Lists > Define Delivery Type / Dear Support Staff,

Define Delivery Type

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Start the Element5 / Share-it! Control Panel. With Delivery Type you specify that Element5 / Share-it! delivers your uploaded project files by download link.

Select Product Delivery, Delivery Type. On the right side, select your product and press - Show data.

Press the button Add and select element5 delivers: download link for the full version full version. Then select File to be shipped and select your uploaded project filein the drop down list.


Use Shop Connector

Home topic Part II - Enhanced Features > Integration in Online Shops > Element5/ShareIt:

Use Shop Connector

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Use Shop Connector cleverbridge-Creating_order_specific_Serial Part II - Enhanced Features > Integration in Online Shops > Element5/ShareIt > Use Shop Connector / Dear Support Staff,

Use Shop Connector

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you sell a network license where each order can contain a different quantity of licenses, it is not possible to work with uploaded keys. You have to create a Serial Number Key which is different per order and includes the quantity of licenses ordered.

After the order process, an automated Licence Generator is invoked by the shop system. The automated Licence Generator uses the quantity from the order and a special definition file to generate a Serial Number key which includes the number of licenses for a network license.

This feature is available only in the All-In-One Protector Enterprise Edition.


Build configuration file

Home topic Part II - Enhanced Features > Integration in Online Shops > Element5/ShareIt > Use Shop Connector:

Build configuration file

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Build configuration file element5-Build_configuration_file Part II - Enhanced Features > Integration in Online Shops > Element5/ShareIt > Use Shop Connector > Build configuration file / Dear Support Staff,

Build configuration file

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can define a product (article) you want to sell with the Element5 / Share-it! program Control Panel.

First add a new product (article) in the Element5 / Share-it! shop. You need the Product Number from the Element5 / Share-it! shop in the configuration file.

Click to enlarge
Add product with Control Panel

Configuration file to create a Serial Number is generated automatically in the folder ..\projectname\Config\shop-integration after selecting Distribute / Save.

Projectname.xml

This file contains the internal project definitions and may not be changed.

Config-Autogenerator.xml

This file has to be adapted. You have to add the product ID (article number) which is used in the shop system.

The file uploaded to Element5 / Share-it! must always have the name config-autogenerator.xml. If you have multiple products, you can add any number of product definitions to this file. Use an XML Editor to copy and paste the configuration settings from all projects into one single file config-autogenerator.xml.

Serial Number definition

In the config-autogenerator file you have to replace

·ProductID with the ProductID from Element5 / Share-it!

Change the other values only if you want to change default values

·Value - should be 1 and is multiplied with the quantity of the order

·Days - see Allow additional days after applying Serial Number


Send files to Element5 / Share-it!

Home topic Part II - Enhanced Features > Integration in Online Shops > Element5/ShareIt > Use Shop Connector:

Send files to Element5 / Share-it!

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Send files to Element5 / Share-it! element5-Send_files_to_E5 Part II - Enhanced Features > Integration in Online Shops > Element5/ShareIt > Use Shop Connector > Send files to Element5 / Share-it! / Dear Support Staff,

Send files to Element5 / Share-it!

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

As it is not possible to directly upload the files, you have to e-mail the following files to Element5 / Share-it!:

· config-autogenerator.xml

·your project template(s) (projectname.xml): you find them in the folder ..\projectname\Config\shop-integration

·the Generator for cleverbridge. The name of the file is algshopxy.exe where xy is the version number - eg. algshop25.exe. This file can be found in the folder ..\All-In-One Protector\Shop or ..\Automatic Generator

·your license file mp.lic from the main directory ..\All-In-One Protector\

If you do have multiple applications and they use different versions of All-In-One Protector, you could use for each product a different algshop.exe file from different All-In-One Protector versions.


Define Delivery Type

Home topic Part II - Enhanced Features > Integration in Online Shops > Element5/ShareIt > Use Shop Connector:

Define Delivery Type

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Define Delivery Type element5-Define_Delivery_Details Part II - Enhanced Features > Integration in Online Shops > Element5/ShareIt > Use Shop Connector > Define Delivery Type / Dear Support Staff,

Define Delivery Type

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Within the option Delivery Type you specify the Licence Generator which the shop System invokes after the order process. See - Send files to Element5 / Share-it! - how to upload the necessary files.

Add Key Generator

Press the button Add and select element 5 delivers: License key. Then select Installed Key Generator and select the latest Licence Generator. By default, it has the name algshopxy.exe where xy is the version number - e.g. algshop25.exe.

Next step is to add your download package.

Add Download Package

Start the Element5 / Share-it! Control Panel. With Delivery Type you specify that Element5 / Share-it! delivers your uploaded project files by download link.

Select Product Delivery, Delivery Type. On the right side select your product and press - Show data.

Press the button Add and select element5 delivers: download link for the full version full version. Then select File to be shipped and select your uploaded project file in the drop down list.


Generic Shop Integration

Home topic Part II - Enhanced Features > Integration in Online Shops:

Generic Shop Integration

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Generic Shop Integration Generic_Shop_Integration Part II - Enhanced Features > Integration in Online Shops > Generic Shop Integration / Dear Support Staff,

Generic Shop Integration

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

There are different options to integrate All-In-One Protector in a shop or e-commerce system.

· Use Key Lists (single user license only)

· Create keys after the order process using a https connection to the Activation Server


How TOs and FAQ

Home topic Part II - Enhanced Features:

How TOs and FAQ

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - How TOs and FAQ How_TOs_and_FAQ Part II - Enhanced Features > How TOs and FAQ / Dear Support Staff,

How TOs and FAQ

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This chapter introduces Frequently Asked Questions as well as tips and tricks.

Click on the + sign on the left side to get a complete list.


How can I print this Tutorial?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How can I print this Tutorial?

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - How can I print this Tutorial? howto-print Part II - Enhanced Features > How TOs and FAQ > How can I print this Tutorial? / Dear Support Staff,

How can I print this Tutorial?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Print this tutorial

The Online Tutorial is also available as a PDF document.

You can print this tutorial - click on the link to download PDF file


Application is not running as expected

Home topic Part II - Enhanced Features > How TOs and FAQ:

Application is not running as expected

Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Application is not running as expected Application_is_not_running_as_ Part II - Enhanced Features > How TOs and FAQ > Application is not running as expected / Dear Support Staff,

Application is not running as expected

Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If your application in the All-In-One Player is behaving different than it would be running in the original flash player or PPT / PDF Viewer, check these solutions.


Application loads - configuration text is missing

Home topic Part II - Enhanced Features > How TOs and FAQ > Application is not running as expected:

Application loads - configuration text is missing

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Application loads - configuration text is missing Error-Application_loads_textmissing Part II - Enhanced Features > How TOs and FAQ > Application is not running as expected > Application loads - configuration text is missing / Dear Support Staff,

Application loads - configuration text is missing

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If the application loads, but the configuration text which is provided via an XML file is missing, try again, using the Option Always use relative paths.

If you use an flash application with one of the provided menu application, copy the flash application to the path where the menu is located. Some flash applications using an configuration file cannot handle the configuration file when they are located in a sub folder.


How to activate All-In-One Protector

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to activate All-In-One Protector

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - How to activate All-In-One Protector HowTo_Activate_MME Part II - Enhanced Features > How TOs and FAQ > How to activate All-In-One Protector / Dear Support Staff,

How to activate All-In-One Protector

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

During the trial period, the activation screen appears with each program start. You need a Serial Number to activate the product - see Buy Serial Number.

To be sure to work with the latest version, always download the version you get with the order confirmation e-mail.

First uninstall the version on your PC - see How do I uninstall All-In-One Protector?.

What happens during activation?

The activation process will bind the license to the PC. Use the Serial Number only on the PC you want to use All-In-One Protector. The Serial Number cannot be used twice. After the activation is done, All-In-One Protector will run only on this PC. Your hardware data, Serial Number, name, e-mail address and some program specific data is transferred to our activation center. No other data stored on your PC is transmitted.

Select Activation Method

On the first screen, select

I have a Serial Number and I want to activate All-In-One Protector.

then select online activation (recommended) or activation by e-mail.

Backup your Serial Number. You will need it for a reinstallation.

See also

Buy Serial Number
Online Activation
E-Mail Activation
Reinstall Software
Your All-In-One Protector license


Buy Serial Number

Home topic Part II - Enhanced Features > How TOs and FAQ > How to activate All-In-One Protector:

Buy Serial Number

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Buy Serial Number howto-Buy_Serial_Number Part II - Enhanced Features > How TOs and FAQ > How to activate All-In-One Protector > Buy Serial Number / Dear Support Staff,

Buy Serial Number

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Serial Number is your proof of purchase. It is unique and will look like this.

dO8uc-G1iC9-jOGeA-BqgEX-U71lD-0V1VX

There are 6 blocks each with 5 characters. The blocks are separated by a hyphen for better readability.

Select your Edition

Premium Plus or Standard Edition? Check out the feature comparison matrix which Edition is right for you.

Buy Serial Number

If you do not have a valid serial number, you can buy it here - Buy All-In-One Protector.

Activate All-In-One Protector

Activate the product Online or by e-mail.


Online Activation

Home topic Part II - Enhanced Features > How TOs and FAQ > How to activate All-In-One Protector:

Online Activation

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Online Activation howto-Online_Activation Part II - Enhanced Features > How TOs and FAQ > How to activate All-In-One Protector > Online Activation / Dear Support Staff,

Online Activation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Online Activation requires the Serial Number, company name, Country and e-mail address. Then the license will be verified online and activated. No additional step will be required. All-In-One Protector can now be used on this PC.


E-Mail Activation

Home topic Part II - Enhanced Features > How TOs and FAQ > How to activate All-In-One Protector:

E-Mail Activation

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - E-Mail Activation Howto-E-Mail_Activaiton Part II - Enhanced Features > How TOs and FAQ > How to activate All-In-One Protector > E-Mail Activation / Dear Support Staff,

E-Mail Activation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The e-mail activation requires the Serial Number, company name, Country and e-mail address.

Request Unlock Key

After filling out the screen, select: Request Unlock Key by E-Mail - send E-Mail. This will open your default e-mail client. An e-mail with the hardware IDs and license information will be created. Press send to send the e-mail to our activation center. You will get an Unlock Key back within 2-3 business days.

In case your e-mail client does not open or you use a Browser based e-mail, you can open your e-mail and copy the content with CTRL+V. The e-mail address to send the e-mail is displayed on the next screen.

See also

Enter Unlock Key


Enter Unlock Key

Home topic Part II - Enhanced Features > How TOs and FAQ > How to activate All-In-One Protector > E-Mail Activation:

Enter Unlock Key

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Enter Unlock Key howto-Enter_Unlock_Key Part II - Enhanced Features > How TOs and FAQ > How to activate All-In-One Protector > E-Mail Activation > Enter Unlock Key / Dear Support Staff,

Enter Unlock Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

After requesting the Unlock Key by e-mail, the screen shown below will appear during each program start. Type in the Unlock Key you got back by e-mail. The activation process is then completed.

See also

E-Mail Activation


Reinstall Software

Home topic Part II - Enhanced Features > How TOs and FAQ > How to activate All-In-One Protector:

Reinstall Software

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Reinstall Software howto-Reinstall_Software Part II - Enhanced Features > How TOs and FAQ > How to activate All-In-One Protector > Reinstall Software / Dear Support Staff,

Reinstall Software

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can reinstall the application on the same PC / Server as often as you like. First uninstall All-In-One Protector, then reinstall the application - see How to activate All-In-One Protector.


Apply Activation Key

Home topic Part II - Enhanced Features > How TOs and FAQ > How to activate All-In-One Protector:

Apply Activation Key

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Apply Activation Key Display_your_Licence-Apply_Activation_Key Part II - Enhanced Features > How TOs and FAQ > How to activate All-In-One Protector > Apply Activation Key / Dear Support Staff,

Apply Activation Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

An Activation Key is used to modify the license information (e.g. increase number of licenses).

Step 1 - Show License Viewer

Select the option [image] License Viewer in the TAB Help

Step 2 - Activation Key

Click on the button Transfer License

If you got an Activation Key via e-mail or fax, you can enter the key within the screen Administration, TAB Misc, Show License Information.

Click to enlarge
Screen - Show Licence Information - Button: Activation Key

Apply Activation Key after Evaluation Period has expired

If the evaluation period has expired, select Show Licence Information (see screen below) and then press the button Activation Key.


Your All-In-One Protector license

Home topic Part II - Enhanced Features > How TOs and FAQ > How to activate All-In-One Protector:

Your All-In-One Protector license

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Your All-In-One Protector license Your_All-In-One_Protector_lice Part II - Enhanced Features > How TOs and FAQ > How to activate All-In-One Protector > Your All-In-One Protector license / Dear Support Staff,

Your All-In-One Protector license

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The license of All-In-One Protector is a license PER PC / COMPUTER. Copy Protection is turned on after activation. We recommend making a backup of the Serial Number

·You have to activate the product before you can use it without the restrictions of the demo version - see How to activate All-In-One Protector

·Find out more about your license in the chapter - Show License Information

· Transfer License / Move to a new computer

·See License Agreement for details of usage.

See also

Demo version
Browse your License
Apply Activation Key
License Agreement
Transfer license / Move to a new computer


How do I find my Serial Number for All-In-One Protector?

All-In-One Protector

Show License Information

Home topic Part II - Enhanced Features > How TOs and FAQ:

Show License Information

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Show License Information Display_your_Licence Part II - Enhanced Features > How TOs and FAQ > How do I find my Serial Number for All-In-One Protector? / Dear Support Staff,

Show License Information

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can access your license information and your Serial Number within the TAB - Help.

All-In-One Protector or All-In-One Protector Premium Plus

For differences see chapter Standard or Premium Plus Edition?

·Number of Computers which have a license - normally 1

· Demo version - if omitted, it is a full version

·Valid until (time limitation) - if omitted, it is a non time limited version

· Activation- either done or required

Your Serial Number
To retrieve your Serial Number:

·click on the + sign in the first line with the label All-In-One Protector

·click on the + sign with the label Activation Keys

The visible number is your Serial Number.

Update Subscription

The update subscription entitles you to install the latest updates as long as it has not expired. See chapter Check for Updates how to download updates.

·Available / Not available

·Time limitation - the date when the update subscription expires


How to make a time limited evaluation / trial licence?

All-In-One Protector

How to make a time limited evaluation / trial license?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to make a time limited evaluation / trial license?

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - How to make a time limited evaluation / trial license? howto_time_limitation Part II - Enhanced Features > How TOs and FAQ > How to make a time limited evaluation / trial licence? / Dear Support Staff,

How to make a time limited evaluation / trial license?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you want to make a time limited trial license, you can either limit

·by x days after the first usage Ú use Number of days to evaluate

·by a specified expiry date Ú use End of Evaluation

Details see Screen - Licence Information

See also

How to prolong an evaluation / trial version?


How to change the Icon?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to change the Icon?

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - How to change the Icon? How_to_change_the_Icon Part II - Enhanced Features > How TOs and FAQ > How to change the Icon? / Dear Support Staff,

How to change the Icon?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The icon is a small graphics which appears in the title bar, desktop or in the file explorer. The default Icon is [image] .

This icon can be replaced:

·Title bar - Screen Image

·Desktop and Program Manager group Icon using the Installation Manager

The icon which is displayed in the File Explorer cannot be changed.


exepack

All-In-One Protector

How to create a download version in EXE format?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to create a download version in EXE format?

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - How to create a download version in EXE format? exepack Part II - Enhanced Features > How TOs and FAQ > How to create a download version in EXE format? / Dear Support Staff,

How to create a download version in EXE format?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector creates a ZIP file, which the user has to unpack after the download.

Instead of a ZIP file you can create an EXE file with a Windows tool, which would unpack automatically and start your product. This especially make sense if you use a menu application or the installation manager. The following chapter describes how to use WinRar ( http://www.win-rar.com )

Step 1 - Start application

Highlight all files, which should be compressed into an EXE file. Below is a sample using project files in combination with the installation manager

Click on the button: Add

Step 2 - Options for EXE File

Find below a description of the important options. Select the option you see on the screenshots.

Select TAB Advanced, SFX-Optons

Option if installation manager is used

Run after extraction must be: Setup.exe

The option: Unpack to temporary folder is mandatory

Additional options can be selected if required.

Option - if a menu (without installation) is used or only files from the folder deploy are packaged

The field - path to extract - should should have a default value. The file in the field: Run after extraction - should either be the menu application or the name of the project file

It is mandatory to uncheck: Unpack to temporary folder

Additional options can be selected if required.

The result is an EXE file which would start your protected product after the download.

See also: How can I share my files using a download link?


How to prolong an evaluation / trial version?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to prolong an evaluation / trial version?

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - How to prolong an evaluation / trial version? How_to_prolong_an_evaluation_v Part II - Enhanced Features > How TOs and FAQ > How to prolong an evaluation / trial version? / Dear Support Staff,

How to prolong an evaluation / trial version?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Activation Key is generated within the Screen - Administration, TAB Keys, Additional Licenses

Evaluation Version - prolong evaluation time by number of days

To prolong an evaluation version, just create an Activation Key which adds x days for additional evaluation time. Alternatively you can specify a final expiry date.

·Either select: Number of days to evaluate or Expiry Date

Prolong evaluation version - using days
Prolong evaluation version - using days

Evaluation Version - prolong evaluation time by number of minutes

If the evaluation version is limited by number of minutes, create a Activation Key which adds x minutes for additional evaluation time.

·Select: Limit by number of minutes

·Specify the number of minutes to prolong the evaluation

Prolong evaluation version - using minutes
Prolong evaluation version - using minutes

If you are using the Web Activation server, use the Switch: Online Validation required to ensure that a key can never used twice.

Details for all options see Screen - Administration, TAB Keys, Additional Licenses

See also

How to make a time limited evaluation / trial license?


How to make a full version with expiry date / time limitation?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to make a full version with expiry date / time limitation?

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - How to make a full version with expiry date / time limitation? howto_full-version-expiry-date Part II - Enhanced Features > How TOs and FAQ > How to make a full version with expiry date / time limitation? / Dear Support Staff,

How to make a full version with expiry date / time limitation?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

It is possible to generate a time limited full version, e.g. to lease a version for a specific time. Limitation is possible either

·by x days after the activation is done or

·by a specified expiry date

For details see: Time limited version after activation


How to make a version without registration?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to make a version without registration?

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - How to make a version without registration? Howto_version_without_registration Part II - Enhanced Features > How TOs and FAQ > How to make a version without registration? / Dear Support Staff,

How to make a version without registration?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you want to protect the content and the All-In-One Player should start unlimited times, select:

·Number of Days = 0

·No activation (content protection only)


How to make a licence which is limited to one person?

All-In-One Protector

How to make a license which is limited to one person?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to make a license which is limited to one person?

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - How to make a license which is limited to one person? Howto_licence_per_user Part II - Enhanced Features > How TOs and FAQ > How to make a licence which is limited to one person? / Dear Support Staff,

How to make a license which is limited to one person?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

It is possible to limit a license to a person / user:

In the Screen - Licence Information select license per user.

If the application is a non-network application (installation is on a single PC) AND you want to limit it to one user, choose license per User and number of users =1. For details about the user license see Licence per User / Person.

This feature is available only in the All-In-One Protector Premium Plus Edition.


How to invoke external files?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to invoke external files?

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - How to invoke external files? Howto_invoke_external_files Part II - Enhanced Features > How TOs and FAQ > How to invoke external files? / Dear Support Staff,

How to invoke external files?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If your application has external files outside the encrypted database but on the same directory like the database, you can invoke these files with a special command http://FILE:testfile.exe$$RUN - for details see Flash application using EXE files


How to protect the content but do not use Copy Protection?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to protect the content but do not use Copy Protection?

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - How to protect the content but do not use Copy Protection? howto_content_protection_only Part II - Enhanced Features > How TOs and FAQ > How to protect the content but do not use Copy Protection? / Dear Support Staff,

How to protect the content but do not use Copy Protection?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

It is possible to just protect the content, but use no licensing type like time limitation or copy protection

·Set Number of days to evaluate to 0

·End of Evaluation must be empty (press button Clear Expiration Date)

·Check - No Activation (content protection only)

Details see Screen - Licence Information


How to protect? - search by file type

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to protect? - search by file type

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - How to protect? - search by file type How_to_protect Part II - Enhanced Features > How TOs and FAQ > How to protect? - search by file type / Dear Support Staff,

How to protect? - search by file type

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The All-In-One Player supports SWF (Macromedia Flash) files, FLV, PDF, PPT, JPEG,MP3 native and other file types by converting these files to flash.

At least one SWF, PDF, FLV or EXE file is needed. This file can start any video, music or image files which are supported by the standard flash players.

Find below a list of all supported file formats in alphabetical order:

· AVI, MPEG, Quicktime, Windows Media Video

· CHM

· EXE Files

· FLV(Video)

· HTML

· JPG(Photo / Image)

· MDI

· MP3(Music)

· PDF

· PowerPoint (PPT)

· SWF (Flash)

· WAV

· Word, Visio, Office Documents


How can I share my files using a download link?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How can I share my files using a download link?

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - How can I share my files using a download link? How_to_share_a_file Part II - Enhanced Features > How TOs and FAQ > How can I share my files using a download link? / Dear Support Staff,

How can I share my files using a download link?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

In case you do not have an e-commerce provider or website, where the user can download your files, use a free service - Dropbox - www.Dropbox.com

Step 1- Install Dropbox

Register on www.Dropbox.com and install the application.

Step 2 - Copy file(s)

You can copy the EXE you want to publish just like you would do on your hard disk. Copy the files from the folder \Publish EXE of your project to the folder \public of dropbox. The Dropbox folder is available within your File Explorer.

Step 3 - Get Download Link

Now click on the file you want to share (flash-demo.zip) and use right mouse click. In the menu, select Dropbox and then Copy Public Link. The download link is now in your clipboard and you can e-mail this link to your users.

Disclaimer

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


How to use a password instead Copy Protection

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to use a password instead Copy Protection

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - How to use a password instead Copy Protection How_to_use_a_password_instead_ Part II - Enhanced Features > How TOs and FAQ > How to use a password instead Copy Protection / Dear Support Staff,

How to use a password instead Copy Protection

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you want to use a simple password instead of copy protection, your files would be protected with All-In-One Protector (content protection) but everybody who knows the password can start the product. So it is not a copy protection - it is more a 'psychological ' barrier.

Step 1 - Configuration settings

It is possible to just protect the content, but use no licensing type like time limitation or copy protection

·Set Number of days to evaluate to 0

·End of Evaluation must be empty (press button Clear Expiration Date)

·Check - No Activation (content protection only)

Details see Screen - Licence Information

Step 2 - Use AutorunMax! to add a password

You have to use the menu application AutorunMAX!to add the password. It builds a single EXE file which has all All-In-One Protector files inside the single EXE file. Of couse you can use any other tool which supports to ZIP files with a password.

Select the Publish option Web/Email executable

Then check: Password protect

and click on Settings.. to define the password.


Which files can not be protected?

Home topic Part II - Enhanced Features > How TOs and FAQ:

Which files can not be protected?

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Which files can not be protected? howto-Which_files_can_not_be_protected Part II - Enhanced Features > How TOs and FAQ > Which files can not be protected? / Dear Support Staff,

Which files can not be protected?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

See chapter How to protect? to get a list of supported file types for protection.

All files will play only on a PC, not on a CD / DVD recorder connected to TV.


How to make a bootable CD / DVD

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to make a bootable CD / DVD

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - How to make a bootable CD / DVD Howto_makeCD Part II - Enhanced Features > How TOs and FAQ > How to make a bootable CD / DVD / Dear Support Staff,

How to make a bootable CD / DVD

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Your can generate a CD / DVD which starts the All-In-One Player directly after the CD / DVD is inserted.

·Save the project with the option Save for CD and create the files for distribution

·Copy all files from the folder Publish CD to the CD/DVD

·You can add an installer which allows installing the files from CD to the hard disk drive

If you use an own menu before you start the All-In-One Player then change the autorun.inf file.

Autorun.inf

[autorun]

icon=flash-demo.exe ç Icon which is displayed in the Explorer. Default = Icon of All-In-One Player

open=flash-demo.exe ç File which is automatically started after the CD is inserted

Name=Multimedia Edition - Flash Demo ç Name which is displayed in the Explorer. Default is Product Name


Which flash version is supported?

Home topic Part II - Enhanced Features > How TOs and FAQ:

Which flash version is supported?

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Which flash version is supported? howto-Which_flash_version_is_support Part II - Enhanced Features > How TOs and FAQ > Which flash version is supported? / Dear Support Staff,

Which flash version is supported?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The All-In-One Player supports Flash version 9.


How to make a CD menu / start menu

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to make a CD menu / start menu

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - How to make a CD menu / start menu Howto_cdmenu Part II - Enhanced Features > How TOs and FAQ > How to make a CD menu / start menu / Dear Support Staff,

How to make a CD menu / start menu

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

.All-In-One Protector offers 2 applications written in flash, where you can create your own CD or start menus. For details see Menu Creator.


How to edit an XML file

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to edit an XML file

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - How to edit an XML file Howto_edit_an_XML_file Part II - Enhanced Features > How TOs and FAQ > How to edit an XML file / Dear Support Staff,

How to edit an XML file

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

A lot of configuration files are in xml format. You can edit this file using any editor like Notepad or Word. As an alternative, there is a nice freeware tool for xml files which you can download here.

http://www.snapfiles.com/get/xmlnotepad.html

Start the XML notepad and select File, Open. You will see the XML file content which is structured. The content can be easily modified and saved.


Can I use my own Player

Home topic Part II - Enhanced Features > How TOs and FAQ:

Can I use my own Player

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Can I use my own Player howto_Can_I_use_my_own_Player Part II - Enhanced Features > How TOs and FAQ > Can I use my own Player / Dear Support Staff,

Can I use my own Player

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Yes, but for pure SWF applications it is better to use the inbuilt Flash Player of All-In-One Protector.

All other Players must be in EXE format - see EXE protection

If you have just a menu which invokes other files, use the menu creator.


How can I view a swf (flash) file?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How can I view a swf (flash) file?

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - How can I view a swf (flash) file? howto_view-flash-file Part II - Enhanced Features > How TOs and FAQ > How can I view a swf (flash) file? / Dear Support Staff,

How can I view a swf (flash) file?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you want to view a flash file (extension .swf), either drag the file into the Browser or use a flash viewer.

View file within Browser

To drag the flash file into the Browser, open your Browser like Internet Explorer, minimize it, select the flash file with the left mouse button and drag it into the Browser.

View file with Flash Viewer

Download free flash viewer SWF Opener: http://www.browsertools.net/downloads1.html


Where can I buy All-In-One Protector?

Home topic Part II - Enhanced Features > How TOs and FAQ:

Where can I buy All-In-One Protector?

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Where can I buy All-In-One Protector? howto-buy Part II - Enhanced Features > How TOs and FAQ > Where can I buy All-In-One Protector? / Dear Support Staff,

Where can I buy All-In-One Protector?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Select your Version

Premium Plus or Standard Edition? Check out the feature comparison matrix to see which version is right for you.

Buy Serial Number

You can buy All-In-One Protector online and instantly use it. Buy All-In-One Protector.

After the order process you will get a Serial Number and a download link. See How to activate All-In-One Protector how to unlock the trial version.


How do I uninstall All-In-One Protector

Home topic Part II - Enhanced Features > How TOs and FAQ:

How do I uninstall All-In-One Protector

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - How do I uninstall All-In-One Protector Howto_how_do_I_uninstall_title Part II - Enhanced Features > How TOs and FAQ > How do I uninstall All-In-One Protector / Dear Support Staff,

How do I uninstall All-In-One Protector

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To uninstall All-In-One Protector

·Select Start, Control Panel

·Add/Remove Programs

Search for All-In-One Protector 5.0 or All-In-One Protector Premium Plus 5.0 and select Remove.


I found no answer for my questions

Home topic Part II - Enhanced Features > How TOs and FAQ:

I found no answer for my questions

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - I found no answer for my questions howto-I_found_no_answer_for_my_quest Part II - Enhanced Features > How TOs and FAQ > I found no answer for my questions / Dear Support Staff,

I found no answer for my questions

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you did not find an answer for your questions in the tutorial search in the extensive Online Knowledge Base.

Browse Online Knowledge Base


Adding an Installer

All-In-One Protector

Installation Manager for Harddisk and Network

Home topic Part II - Enhanced Features:

Installation Manager for Harddisk and Network

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Installation Manager for Harddisk and Network Adding_an_Installer Part II - Enhanced Features > Installation Manager for Harddisk and Network / Dear Support Staff,

Installation Manager for Harddisk and Network

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Premium Plus Edition comes with a ready to go installation manager. It allows installing the files from CD or download link to the hard disk. It also offers a network installation for Client PC's. The installer files can be found on the folder \All-In-One Protector\5.0\installer .

The installation manager includes the following features:

·Copies all files to a specified directory

·Displays a license agreement

·Adds the necessary user rights to the specified directory

·Copies the player, database mmf file and the license file to the specified directory, including an icon file

·Adds a program manager group and an entry within the program manager group to start the All-In-One Player

·Define a different start application, e.g. a menu program

·Copy additional files, e.g. files needed by a menu program

·Display a readme file at the end of the installation

·Option to install the files on a USB flash drive instead of the hard disk

·Adds uninstall information

·Installation dialogs are available in multiple languages

You can change the icon on the desktop and in the program manager group with an own bespoke icon.

The installer consists of 2 files:

·setup.exe - (installer file for single user installation) or setup-sign.exe (digitally signed with Mirage credentials)

·setup.ini - (configuration file for installer)

Copy these 2 files from the main installation folder ..\All-In-One Protector Premium Plus\5.0\installer to a new folder, eg. Master CD

·Publish the project with the option for CD

·Copy the files from the folder - Publish CD - to the new Master CD folder

·Then modify the setup.ini file with any editor. The name of the installer can be renamed, e.g. to setup-abc.exe. The name of the ini file must be setup.ini.

If you want to start the installer directly after a CD is inserted, modify the file autorun.inf.

[autorun]

icon=flash-demo.exe

open=setup.exe

Name=All-In-One Protector - Flash Demo

This feature is available only in the All-In-One Protector Premium Plus Edition.

All files of the installation manager can be delivered as a self extracting EXE file

See also

Configuration File - Setup.ini
Single User Installation
Network Installation


Configuration File - Setup.ini

Home topic Part II - Enhanced Features > Installation Manager for Harddisk and Network:

Configuration File - Setup.ini

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Configuration File - Setup.ini installer-Configruation_File_-_Setup.ini Part II - Enhanced Features > Installation Manager for Harddisk and Network > Configuration File - Setup.ini / Dear Support Staff,

Configuration File - Setup.ini

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The configuration file defines options which are displayed during installation and allows to customizes the names and default values.

Configuration options for setup.ini

Just overwrite the default values within the setup.ini file. The file has different sections (indicated with [SectionName] )

[SETUP]

This section defines the program name displayed during installation and default values.

AppName=My All-In-One Player

Name of your application which is displayed during installation
AppVersion=3.0

Version number of your application which is displayed during installation.
AppPublisher=Universal Software

Name of your company
DefaultDirName=my application

Default name for directory. You can also define a sub folder, e.g. Universal Software\application1

The real path would then be ..\programs\Universal Software\application1

Alternatively you can define to install on the public document folder - see InstallOnPublicDocsFolder
DefaultGroupName=Smart Program Group

Default name for program manager group

[ProgManGroup]

This section defines addition entries in the program manager group.

ShowLicenseInfo = true or false

Adds an entry in the program manger group in a single user installation to invoke the License Viewer. This is an inbuilt Administration interface where the end user can add new licenses. It is highly recommended for network installations to add this option.

ShowLicenseInfoNetwork = true or false

Adds an entry in the program manger group for each client in a Network Installation to invoke the License Viewer. This is an inbuilt Administration interface where the end user can add new licenses. It is highly recommended for network installations to add this option.
ShowReadmeFile = true or false

Adds an entry in the program manger group to invoke a ReadMe file. The ReadMe file has to be defined in the section [Files], readme.

[Files]

This section defines the files which have to be copied

BinFolder=

This defines the folder, where the All-In-One Player and the database is copied to. By default, there is no subfolder. If an application like a menu needs the All-In-One Player files in a subfolder like \docs\bin, then you can define it here.

Example: BinFolder=docs\bin

This would place the All-In-One Player, the database and the license file in a subfolder ...\docs\bin during the installation

Exe-Start-Application=

The default value is, that no exe file is assigned. Then the All-In-One Player is the application, which is started when the user starts the application from the program manager group or desktop. If you have a menu application or another program, which always should be started first, then use this definition.

Example: Exe-Start-Application=menu.exe - This would always start the menu.exe

This file is automatically copied to the main installation folder.

exe-Filename=flash-demo.exe

Exe filename of the player (must match the name in the Publish CD folder)

This file is automatically copied to the folder specified with BinFolder.

Although a file name can contain spaces, you should avoid it. If file names with a space is used do not use " "

Example: exe-Filename=flash demo.exe - wrong would be: exe-Filename="flash demo.exe"
mmf-Filename=flash-demo.mmf

Filename of the database (must match the name in the Publish CD folder)

This file is automatically copied to the folder specified with BinFolder.
lic-Filename=flash-demo.lic

Filename of the license file (must match the name in the Publish CD folder).

Note If this file already exists, the option OverwriteLicenseFile defines, if the license file is overwritten or not.

This file is automatically copied to the folder specified with BinFolder.
ico-Filename=aioplayer.ico

Define a custom icon which should appear in the program manager group. If you want to use the icon of the All-In-One Player [image], use the file aioplayer.ico as provided

The icon is displayed in the following locations

·Program Manager Group

·Desktop Icon

·Quick Launch bar

·Uninstaller

·If a USB installation is done, the icon is used in the autorun.inf file

If you want to change the icon in the title bar of the All-In-One Player, you have to define the icon in the screen - Image. The icon which is displayed in the File Explorer cannot be changed.

This file is automatically copied to the folder specified with BinFolder.

readme-xxx = readme-xxx.txt

This allows to display a readme file after the installation. The readme file must be in txt or doc format.

xxx is the language identifier. The following languages are supported.

readme-ces=Czech

readme-dan=Danish

readme-deu=German - sample: readme-deu=readme-deu.txt

readme-dut=Dutch

readme-enu=English - sample: readme-enu=readme-enu.doc

readme-esp=Spanish

readme-fra=French

readme-ita=Italian

reame-jap = Japanese

readme-nor=Norwegian

readme-por=Portuguese

readme-rus = Russian

Note: As you do not know, which language the user selects during installation, you should specify for each language a readme file, even if it is always the same file.

The readme file can be added to the program manager group, so that the file can be viewed after the installation is done. See section [ProgManGroup], ShowReadmeFile.

This file is automatically copied to the folder specified with BinFolder.

additionalx = *.bat

This command allows to copy additional files. You can either specify one file (e.g. doc-course1.pdf) or a complete group of files (*.pdf). A maximum of 20 different files or folders can be copied. These files are copied to the main installation folder. They are not protected.

If you want to copy a complete folder, then specify the folder name and \*, e.g. image\* would copy the complete folder image. By default, the folder content is copied to the main directory. If you want to copy the files to a different folder, then you can specify the folder name with addtionalfolderx, where x is the same number like in additionalx.

Example: additional4=image\* and additionalfolder4=image4 - all files from the folder \image would be copied to the hard disk to the folder \image4.

If all files including sub folders should be copied, use *

Example: "additional1=*". Copies all files and sub folders

If a file already exists on the target machine, the file is replaced.

additional1=*.bat

additional2=doc-course1.pdf

additional3=course*-lesson*.avi

additional4=image\*

additional5=

additional6=

.....

additional20=

additionalfolder1=

additionalfolder2=

additionalfolder3=

additionalfolder4=image4

additionalfolder5=

additionalfolder6=

......

additionalfolder20=

[InstallOptions]

DoNotInstallOnWindowsXX = true / false

Sie können eine Installation auf bestimmten Windows Betriebssystemen ausschließen, wenn der Wert = true gesetzt wird. Der Standardwert ist false.

DoNotInstallOnWindows2000=true 'verhindert eine Installation auf Windows 2000

DoNotInstallOnWindowsXP=

DoNotInstallOnWindowsXPx64=

DoNotInstallOnWindowsVista=

DoNotInstallOnWindows7=

DoNotInstallOnWindows8

license-xxx = display license information

Display a license agreement text during installation. The file must be a text file. If you do not want to display a license agreement, leave all fields empty.

xxx is the language identifier. The following languages are supported.

license-default=license.txt ' this text is used if a language does not have a license text defined

license-ces=Czech

license-dan=Danish

license-deu=German 'sample: license-deu=license-german.txt

license-dut=Dutch

license-enu=English 'sample: license-enu=license-english.txt

license-esp=Spanish

license-fra=French

license-ita=Italian

license-jap=Japanese

license-nor=Norwegian

license-por=Portuguese

license-rus=Russian

InstallOnPublicDocsFolder = true / false (Verzeichnis, auf das installiert wird)

Wenn diese Option auf false (Standard) gesetzt wird, wird das Produkt auf c:\programme installiert. Das Verzeichnis sollte für Anwendungen verwendet werden. Es erfordert jedoch Administrator Rechte zur Installation.

Wenn jedoch Dateien wie PDF Dateien oder Videos verteilt werden, ist das Dokumente Verzeichnis besser. Es erfordert keine Administrator Rechte. Das öffentliche Dokumentenverzeichnis wird vorgeschlagen.

C:\Benutzer\Öffentlich\Dokumente\Mein Programm

AllowNetworkInstall = true / false (Supports a network installation)

For more details see network installation. The user gets the following selection option.

AllowPortableInstall = true / false (Installation on a USB flash drive)

This option allows to either install the version from CD/Download to a USB flash drive or to the hard disk. It copies all files to the USB flash drive and adds the link to the USB flash drive in the program manager group. It automatically adds a program add-startup-icon.exe on the USB flash drive. If the user takes the USB flash drive to another PC, this EXE file would generate also a program manager group entry and allow to simply start the file from the program manager group or desktop icon.

A autorun.inf file is copied to the main directory of the USB flash drive. This would start the All-In-One Player if the USB flash drive is attached to the PC.

If you specified an Icon in the [Files] section, then the icon is displayed in the file explorer as the USB flash drive icon.

For online activation, the activation server has to use installation code 11 as the main criteria. If the USB flash drive does not support copy protection, then the license is automatically bound to the PC which makes the activation.

Specify Code 11 as the Primary Hardware ID and code 4 as the Alternative Hardware ID.

OverwriteLicenseFile = true / false

If you send out an update of your product you can define, if the existing licensing information is kept (license file .lic is not changed) or if the customer has to activate the product again.

true = existing license is overwritten. New activation necessary

false = existing license information is not changed. No activation necessary

The default option is false

The Installation Manager can start an EXE file either before or after the installation is done. You can also define, if the EXE file is only started during the single user installation or also during the network installation. The installation manager waits, until the program is terminated.

RunPlayerAfterInstall = true / false

Starts the All-In-One Player after the installation. The default setting is true

RunPlayerAfterInstallNetwork = true / false

Starts the All-In-One Player after the network client installation (setup-client.exe). The default setting is true

RunBeforeInstall= name of EXE file

Name of an EXE file, which is started before the installation of the All-In-One Player. If no path is provided, it is started from the installation folder.

Example: RunBeforeInstall=runfirst.exe

If the EXE file is located in a subfolder, specify the subfolder as a relative path to the installation folder

Example: RunBeforeInstall=\files\runfirst.exe

The EXE file is only started during a single user installation.

RunAfterInstall= name of EXE file

Name of an EXE file, which is started after the installation of the All-In-One Player. If no path is provided, it is started from the \bin folder.

Example: AfterInstall=runfirst.exe

If the EXE file is located in a subfolder, specify the subfolder as a relative path to the bin folder

Example: RunBeforeInstall=\files\runfirst.exe

The EXE file is only started during a single user installation.

You have to copy the EXE file to the installation folder using the additionalx command in the [Files] section.

RunBeforeInstallNetwork= name of EXE file

Name of an EXE file, which is started before the network installation of the All-In-One Player. If no path is provided, it is started from the installation folder of the client setup application (setup-client.exe).

Example: RunBeforeInstall=runfirst.exe

If the EXE file is located in a subfolder, specify the subfolder as a relative path to the installation folder

Example: RunBeforeInstall=\files\runfirst.exe

The EXE file is only started during the Client network installation.

RunAfterInstallNetwork= name of EXE file

Name of an EXE file, which is started after the network installation of the All-In-One Player (setup-client.exe). If no path is provided, it is started from the \bin folder.

Example: AfterInstall=runfirst.exe

If the EXE file is located in a subfolder, specify the subfolder as a relative path to the bin folder

Example: RunBeforeInstall=\files\runfirst.exe

The EXE file is only started during a Client network installation.

You have to copy the EXE file to the installation folder using the additionalx command in the [Files] section.

[Uninstall]

This section provides uninstall information using the Windows standard uninstall options (control panel, add/remove programs).

AppComments=(C) 2007 Universal Software, Inc.

Uninstallation comment

AppContact=office@universal-soft.com

Contact information
AppPublisher=Universal Software, Inc

Name of your company
AppPublisherURL=http://www.universal-soft.com

Main Homepage URL
AppSupportURL=http://www.universal-soft.com/support

URL for support page. If not available use main homepage URL
AppUpdatesURL=http://www.universal-soft.com/downloads

URL for Update page. If not available use main homepage URL

Have a close look at the options, which files should be launched after the installation or which file should be the main start application.

·[Options], RunPlayerAfterInstall=true starts the All-In-One Player after the installation

·[Options],RunAfterInstall=menu.exe starts a menu application after the installation

·[Files],Exe-Start-Application=menu.exe defines a menu application as the start program (selected either in the program manager group or from the desktop


Single User Installation

Home topic Part II - Enhanced Features > Installation Manager for Harddisk and Network:

Single User Installation

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Single User Installation installation-Single_User_Installation Part II - Enhanced Features > Installation Manager for Harddisk and Network > Single User Installation / Dear Support Staff,

Single User Installation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you want to offer a single user installation (e.g. install from CD to the hard disk) then use the file setup.exe.

The installer performs the following tasks:

·If USB stick support is define (use-usb= true), then the user is asked if he want to install the files on a USB stick

·Asks for an installation directory

·Copies all files to a specified directory - if an file already exists, the file is replaced

·Adds the necessary user rights to the specified directory

·Copies the player, database mmf file and the license file to the specified directory, including an icon file

·If selected, places an icon on the desktop

·Adds a program manager group and an entry within the program manager group to start the All-In-One Player

·Adds uninstall information

·Starts the application after installation

Screens of the installer

Below find the screens which appear during installation.

Only if USB flash drive support is defined


Network Installation

Home topic Part II - Enhanced Features > Installation Manager for Harddisk and Network:

Network Installation

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Network Installation installation-Network_Installation Part II - Enhanced Features > Installation Manager for Harddisk and Network > Network Installation / Dear Support Staff,

Network Installation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you want to offer a network installation (e.g. install from CD to the hard disk on the server) then you have to configure in the setup.ini file -AllowNetworkInstall=true

Server Installation

The installer performs the following tasks:

·Asks for an installation directory

·The user has to select: Network Installation

·Copies all files to a specified directory on the server - if an file already exists, the file is replaced

·Adds the necessary user rights to the specified directory

·Copies the player, database mmf file and the license file to the specified directory, including an icon file

·If selected, places an icon on the desktop

·Adds a program manager group and an entry within the program manager group to start the All-In-One Player

·Adds uninstall information

·Starts the application after installation

·Creates 2 files for network Client setups - folder ...\install\setup-client.exe and setup-client-advanced.exe.

The server installation can be started on any Client / Workstation PC. There is no need to start the installation on the server.

Client / Workstation setup

Each PC has to run a Client / Workstation setup, using setup-client.exe, which performs the following tasks:

·If selected, places an icon on the desktop

·Adds a program manager group and an entry within the program manager group to start the All-In-One Player

·Adds uninstall information

·Starts the application after installation

All files reside on the server.

Advanced Client / Workstation setup

It is possible to copy the mmf (file) database to the local PC. This makes sense if huge flash files are used and network connection is an issue. The disadvantage is, that no central installation is available and updates have to be done on each Client PC. All-In-One Protector just loads the file, which is played via the network. The size of the database does not matter - only the size of the files which are loaded into the All-In-One Player .

Each PC has to run a Client / Workstation setup, using setup-client-advanced.exe, which performs the following tasks:

·Asks for an installation directory

·Copies the mmf file to a specified directory on the local PC

·If selected, places an icon on the desktop

·Adds a program manager group and an entry within the program manager group to start the All-In-One Player

·Adds uninstall information

·Starts the application after installation

The All-In-One Player resides on the server, the database is on each local machine.

Screens of the installer

Below find the screens which appear during installation.

Only if setup-client-advanced.exe is started


Menus

Home topic Part II - Enhanced Features:

Menus

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Menus Menu_Creator Part II - Enhanced Features > Menus / Dear Support Staff,

Menus

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If your application consists of multiple files, there are different options to open the files:

·The user double-clicks on the file

·A menu, which allows to select the files, is used. This makes the handling easier (recommended)

External Menu Applications

Use any standard menu applications which are specialized for CD menus. We have described the most popular ones. More information about external menus.


External Menu applications

Home topic Part II - Enhanced Features > Menus:

External Menu applications

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - External Menu applications Other_Menus Part II - Enhanced Features > Menus > External Menu applications / Dear Support Staff,

External Menu applications

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can use any type of menu. If you have an own flash application, which serves as a menu, nothing special has to be considered.

If you have a menu, which is an EXE file, you can invoke each file inside the database with a special command. See chapter Start a specific file inside the database.

A EXE based menu would be outside the database (mmf file) and is unprotected. It does not require the Premium Plus Edition. A typical content of the CD or download would be

menu.exe (your menu file)

mycourse.exe (the All-In-One Player)

mycourse.lic (the license file)

mycourse.mmf (the database)

mycourse1-n.mmf (additional database files if required - see split project)

mycourse1-n.wmv.mpvideo (see video / audio files)

The menu.exe would be the program, which is started first. The menu exe can then invoke single files directly inside the database.

We have tested some menu programs and described the necessary settings.

· Autoplay Menu Designer

· Autoplay Express

· Autorun MAX!

· CDMenuPro

·Discstarter (recommended)

· Quick Menu Builder (Freeware)

See also
Start a specific file inside the database
Flash application using exe file


Autoplay Menu Designer

Home topic Part II - Enhanced Features > Menus > External Menu applications:

Autoplay Menu Designer

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Autoplay Menu Designer Autoplay_Menu_Designer Part II - Enhanced Features > Menus > External Menu applications > Autoplay Menu Designer / Dear Support Staff,

Autoplay Menu Designer

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This application can be downloaded at: http://www.visualdesigning.com . The test was done with version 4.0.

The menu application creates an EXE autostart file for the menu. This file (the menu application) is on the CD or in the download link and it is not protected (don't import it in the All-In-One Protector database).

Start Autoplay Menu Designer. Use the project wizard and use as project path the folder of the All-In-One Protector project.

Step 1 - Copy the Publish CD folder to the Autoplay Menu Designer folder \resources

Copy the content of the folder Publish CD to the folder ...\disk image\resources - e.g. C:\Users\tom\Documents\Projects\My E-Learning Tutorial\Disc Image\Resources. This folder already contains files of the menu application.

Step 2 - Define the file to start for each button

Now create your menu and add a button for each file you want to start, e.g. a button with Tutorial 1, Tutorial 2 etc. Then double-click on the button and select the TAB On click. .

Check the option: File /Folder actions. Select the Action: Run / Open. In the field: File Name select All-In-One Player.exe file from the resources folder. It is the file with the blue shield.

In the field Command line add the command to load a flash file or PDF file. See chapter Start a specific file inside the database to get all details for this command.

In the screenshot below, the file (Player) mycourse.exe is started and loads the file lesson1.swf.

The sample below starts the player with a different database. This feature can be used if you split the project into several databases. or if you have several protected PDF files.

The sample below starts a protected video.

Step 3 - Build the CD or EXE file for download

In the menu, select Project, Build Project. This creates the menu EXE. Copy the complete folder Disk Image to the CD/DVD.

If you make any changes in the All-In-One Protector project or if you do any tests, you have to copy the files from the folder \Publish CD again (Step 1)

List of all start options for the player

Installation Manager

To install a download or a CD version to the hard disk including adding a desktop icon or program manager group entry, use the Installation Manager.

Create Download Version

In case you want to deliver one EXE file as a download version see chapter: How to create a download version in EXE format?

Otherwise just ZIP all files.

Also see: How can I share my files using a download link?

See also
Start a specific file inside the database
Split project into several databases
All command line options
Additional Menus


Autoplay Express

Home topic Part II - Enhanced Features > Menus > External Menu applications:

Autoplay Express

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Autoplay Express Autoplay_Express Part II - Enhanced Features > Menus > External Menu applications > Autoplay Express / Dear Support Staff,

Autoplay Express

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This application can be downloaded at: http://www.kl-soft.com . The test was done with version 4.5

This menu only works for CD delivery and not for delivery by download.

The menu application creates an EXE (autorun.exe) file. This file (the menu application) is on the CD or in the download link and it is not protected (don't import it in the All-In-One Protector database).

Step 1 - Add the Publish CD folder to the Autoplay Express project

You have to add all files which should be included in the Autoplay Express project. Select the menu Project,Virtual CD-Rom. Select the Add button to add your project files from the Publish CD folder. The result should look like this.

Step 2 - Define the file to start for each button

Now create your menu and add a button for each file you want to start, e.g. a button with Tutorial 1, Tutorial 2 etc. Then click on the button and select Actions, Add.

Select the Action: Open, Open File. In the line File to run add the path and the name of the All-In-One Player.exe file. In the line Command line parameters add the command to load a flash file or PDF file. See chapter Start a specific file inside the database to get all details for this command.

In the screenshot below, the file (Player) mycourse.exe is started and loads the file lesson1.swf.

The sample below starts the player with a different database. This feature can be used if you split the project into several databases.

If you don't specify a command line, the main database (same name like the All-In-One Player) is started and the file, which is defined as start file, is loaded.

Step 3 - Build the CD or EXE file for download

In the menu, select Project, Publish. Then select Copy all disc files into one place to test the project.

Unfortunately you can test it only if you copy it on the main directory of the hard disk or on an USB flash drive.

All your files are now copied from the Publish CD folder to this new CD folder. Click on \autorun\Autorun.exe to test everything.

If you have done all tests, then burn a CD using menu command Project, Publish, Burn CD.

If you make any changes in the All-In-One Protector project, you have to rebuild the CD with Autoplay Express

The files can also be delivered as a self extracting EXE file for downloads.

List of all start options for the player

Installation Manager

To install a download or a CD version to the hard disk including adding a desktop icon or program manager group entry, use the Installation Manager.

Create Download Version

In case you want to deliver one EXE file as a download version see chapter: How to create a download version in EXE format?

Otherwise just ZIP all files.

Also see: How can I share my files using a download link?

See also
Start a specific file inside the database
Split project into several databases
All command line options
Additional Menus


Autorun MAX!

Home topic Part II - Enhanced Features > Menus > External Menu applications:

Autorun MAX!

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Autorun MAX! Autorun_MAX Part II - Enhanced Features > Menus > External Menu applications > Autorun MAX! / Dear Support Staff,

Autorun MAX!

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This application can be downloaded at: http://www.autorun.com . The test was done with version 2.1.0.

The menu application creates an EXE (autorun.exe) file. This file (the menu application) is on the CD or in the download link and it is not protected (don't import it in the All-In-One Protector database).

Start Autorun MAX!.

Step 1 - Add the Publish CD folder to the Autorun MAX! project

You have to add all files which should be included in the Autorun MAX! project. Select the menu Project, File Layout. In the upper part of the screen open the Publish CD folder, select all files and add the files to the docs folder.

Step 2 - Define the file to start for each button

Now create your menu and add a button for each file you want to start, e.g. a button with Tutorial 1, Tutorial 2 etc. Then right click on the button and select Properties.

Select: Action to run: Run Program. In the line File to run add the path and the name of the All-In-One Player.exe file from the Publish CD folder. In the line Command line arguments add the command to load a flash file or PDF file. See chapter Start a specific file inside the database to get all details for this command.

In the screenshot below, the file (Player) mycourse.exe is started and loads the file lesson1.swf. You have to set the Working folder to the same path where the All-In-One Player.exe is located.

The sample below starts the player with a different database. This feature can be used if you split the project into several databases.

To select the working folder, click on the Browse button and select the Docs folder

If you don't specify a command line, the main database (same name like the All-In-One Player) is started and the file, which is defined as start file, is loaded.

Step 3 - Build the CD or EXE file for download

In the menu, select Publish, Build. Then select Hard drive folder to test the project.

A good idea is to create a new folder, e.g. cd-project training 1

All your files are now copied from the Publish CD folder to this new CD folder. Click on Autorun.exe to test everything.

If you have done all tests, you could directly burn a CD. The option "Web / EMail executable" is only working in combination with the Installation Manager (see chapter below). Without the Installation Manager, Autorun MAX! would extract during every program start all files again and overwrite the existing license information.

If you make any changes in the All-In-One Protector project, you have to rebuild the CD with Autorun MAX!

List of all start options for the player

Using Installation Manager

If the complete CD content should be copied to the hard disk of the user, you can use the Installation Manager of All-In-One Protector. Copy the file setup.exe and setup.ini to the installation directory created by Autorun Max!.

The general settings are described in the chapter Installation Manager, configuration file Setup.ini. There are special settings required as all subfolders have to be copied. After the installation and also when clicking on the desktop icon, the menu and not the All-In-One Player has to be started.

Find below all differing settings.

[Setup]

AppName=My Program

AppVersion=3.0

AppPublisher=Universal Software

DefaultDirName=My Program

DefaultGroupName=My Program

[Files]

BinFolder=\autoplay\docs

Exe-Start-Application=Autorun.exe

exe-Filename=\autoplay\docs\mycourse.exe

mmf-Filename=\autoplay\docs\mycourse.mmf

lic-Filename=\autoplay\docs\mycourse.lic

ico-Filename=\autoplay\docs\mycourse.ico

readme-ces=

readme-dan=

readme-deu=

readme-dut=

readme-enu=

readme-esp=

readme-fra=

readme-ita=

readme-nor=

readme-por=

additional1=autoplay\*

additional2=autorun.exe

additional3=autorun.inf

additional4=

additional5=

additional6=

additional7=

additional8=

additional9=

additional10=

additional11=

additional12=

additional13=

additional14=

additional15=

additional16=

additional17=

additional18=

additional19=

additional20=

additionalfolder1=autoplay

additionalfolder2=

additionalfolder3=

additionalfolder4=

additionalfolder5=

additionalfolder6=

additionalfolder7=

additionalfolder8=

additionalfolder9=

additionalfolder10=

additionalfolder11=

additionalfolder12=

additionalfolder13=

additionalfolder14=

additionalfolder15=

additionalfolder16=

additionalfolder17=

additionalfolder18=

additionalfolder19=

additionalfolder20=

[Options]

InstallPDFViewer=false

OverwriteLicenseFile=true

RunPlayerAfterInstall=false

RunPlayerAfterInstallNetwork=true

RunBeforeInstall=

RunBeforeInstallNetwork=

RunAfterInstall=autorun.exe

RunAfterInstallNetwork=

[USB]

use-usb=true

[ProgManGroup]

ShowLicenseInfo=true

ShowLicenseInfoNetwork=

ShowReadmeFile=false

DBFileName01=

EmbeddedDBFileDesc01=

EmbeddedDBFileName01=

[Uninstall]

AppComments=(C) 2009 Universal Software, Inc.

AppContact=office@universal-soft.com

AppPublisher=Universal Software, Inc

AppPublisherURL=http://www.universal-soft.com

AppSupportURL=http://www.universal-soft.com/support

AppUpdatesURL=http://www.universal-soft.com/downloads

Installation Manager

To install a download or a CD version to the hard disk including adding a desktop icon or program manager group entry, use the Installation Manager.

Create Download Version

In case you want to deliver one EXE file as a download version see chapter: How to create a download version in EXE format?

Otherwise just ZIP all files.

Also see: How can I share my files using a download link?

See also
Start a specific file inside the database
Split project into several databases
All command line options
Additional Menus


CDMenuPro

Home topic Part II - Enhanced Features > Menus > External Menu applications:

CDMenuPro

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - CDMenuPro CDMenuPro Part II - Enhanced Features > Menus > External Menu applications > CDMenuPro / Dear Support Staff,

CDMenuPro

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This application can be downloaded at: http://www.cdmenupro.de/

This menu application creates an EXE file. This file is on the CD or in the download link and it is not protected (don't import it in the All-In-One Protector database).

You have to copy all All-In-One Protector files from the folder Publish CD into the folder CD_ROOT of the CDMenuPro project.

After defining buttons to invoke e.g. lesson 1, lesson 2 you specify in the properties dialog of a button the command, to invoke the invoke the All-In-One Player.exe file.

In the line Application add the path and the name of the All-In-One Player.exe file. It is the file with the blue shield

In the line Parameter add the command to load a flash file or PDF file. See chapter Start a specific file inside the database to get all details for this command.

In the screenshot below, the file (Player) mycourse.exe is started and loads the file lesson1.swf.

The sample below starts the player with a different database. This feature can be used if you split the project into several databases.

If you don't specify a runtime parameter, the main database (same name like the All-In-One Player) is started and the file, which is defined as start file, is loaded.

List of all start options for the player

Installation Manager

To install a download or a CD version to the hard disk including adding a desktop icon or program manager group entry, use the Installation Manager.

Create Download Version

In case you want to deliver one EXE file as a download version see chapter: How to create a download version in EXE format?

Otherwise just ZIP all files.

Also see: How can I share my files using a download link?

See also
Start a specific file inside the database
Split project into several databases
All command line options
Additional Menus


Discstarter

Home topic Part II - Enhanced Features > Menus > External Menu applications:

Discstarter

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Discstarter Discstarter Part II - Enhanced Features > Menus > External Menu applications > Discstarter / Dear Support Staff,

Discstarter

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The application can be downloaded at http://www.mirabyte.com. The test was done with version 6.1.2 (this version or higher version number is required for All-In-One Protector)

Discstarter lets you create menus easily because it uses HTML pages as a menu. You can use any application which can create html pages - e.g. MS-Word, Web Page Editor (e.g. mirabyte Web Architect) or even Excel. Save the document as a HTM or HTML file.

Step 1 - Copy All-In-One Protector files

Copy all files you want to publish (the content of the folder Publish CD) to a new folder where you create the menu.

Step 2 - Create a menu with html pages

Use an application like MS-Word or Web Page Editor to generate the HTML menu.

Adding Links

Instead of making a link to the original file extension - e.g PDF - make a hyperlink link to the All-In-One Protector file extension .MMF or .MPVIDEO.

In case you have a single MMF file which holds multiple other files like SWF or PDF and you directly want to start a file, you need to start the All-In-One Player with command line parameters.

As a normal hyperlink does not support such a parameter, Discstarter has a special option to use the command line in the target attribute of a hyperlink.

HTML code for the hyperlink:

<a href="mycourse.exe" target="params: -load 'lesson1.swf' ">Load the flash file lesson1.swf in the default mmf file</a>

This command would start the (Player) mycourse.exe and loads the file lesson1.swf inside the default database mycourse.mmf .

To load a MMF file use

<a href="mycourse.exe" target="params: -f 'course2.mmf' ">Start the file course 2.mmf</a>

This command would start the (Player) mycourse.exe and opens the start file in the database course2.mmf.

The file name must be included in ' (and not in ") as this is a special requirement from Discstarter.

See chapter Start a specific file inside the database to get all details for this command.

Step 3- Create menu with Discstarter

Assign your htm file as start file of the menu.

Add the file extensions to be excluded by Discstarter : mmf, mpvideo, bat . This setting will start the files without any dialog appearing.

To automatically register the file extensions of All-In-One Protector on the end user PC, add in the line Execute on Discstarter start up: player.exe -reg where player.exe is the name of your All-In-One Player EXE file. Details for about this command.

Step 4 - Build the CD or EXE file for download

Select TAB Home, then Publish CD Project. This creates the menu EXE. Copy the complete folder to the CD/DVD. For a download version see instruction below.

If you make any changes in the All-In-One Protector project or if you do any tests, you have to copy the files from the folder \Publish CD again (Step 1)

List of all start options for the player

Installation Manager

To install a download or a CD version to the hard disk including adding a desktop icon or program manager group entry, use the Installation Manager.

Create Download Version

In case you want to deliver one EXE file as a download version see chapter: How to create a download version in EXE format?

Otherwise just ZIP all files.

Also see: How can I share my files using a download link?

See also
Start a specific file inside the database
Split project into several databases
All command line options


Quick Menu Builder

Home topic Part II - Enhanced Features > Menus > External Menu applications:

Quick Menu Builder

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Quick Menu Builder Quick_Menu_Builder Part II - Enhanced Features > Menus > External Menu applications > Quick Menu Builder / Dear Support Staff,

Quick Menu Builder

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This application can be downloaded at: http://www.quickmenubuilder.com/

The menu application creates an EXE file. This file is on the CD or in the download link and it is not protected (don't import it in the All-In-One Protector database).

You have to copy all All-In-One Protector files from the folder Publish CD into the main folder of the menu.exe application.

After defining buttons to invoke e.g. lesson 1, lesson 2 you specify in the Assign actions Tab the Button action: Execute... to invoke the All-In-One Player.exe file.

In the line Select a file add the path and the name of the All-In-One Player.exe file. It is the file with the blue shield.

In the line Parameters add the command to load a flash file or PDF file. See chapter Start a specific file inside the database to get all details for this command.

In the screenshot below, the file (Player) mycourse.exe is started and loads the file lesson1.swf.

The sample below starts the player with a different database. This feature can be used if you split the project into several databases.

If you don't specify a runtime parameter, the main database (same name like the All-In-One Player) is started and the file, which is defined as start file, is loaded.

List of all start options for the player

Installation Manager

To install a download or a CD version to the hard disk including adding a desktop icon or program manager group entry, use the Installation Manager.

Create Download Version

In case you want to deliver one EXE file as a download version see chapter: How to create a download version in EXE format?

Otherwise just ZIP all files.

Also see: How can I share my files using a download link?

See also
Start a specific file inside the database
Split project into several databases
All command line options
Other Menus


All-In-One Protector Generator - Start / Command Line options

Home topic Part II - Enhanced Features:

All-In-One Protector Generator - Start / Command Line options

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - All-In-One Protector Generator - Start / Command Line options Generator_-_command_line_param Part II - Enhanced Features > All-In-One Protector Generator - Start / Command Line options / Dear Support Staff,

All-In-One Protector Generator - Start / Command Line options

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The All-In-One Protector (mpgenerator.exe) supports the following start options:

·Start All-In-One Protector and open a project | -f "path\filename.mme"
· Update project files and rebuilt publish folder | -re (requires -f with project name ) and -pf

You would start the All-In-One Protector and use one or more command line parameters:

"mpgenerator.exe" -f "c:\programs\myapp\courses\course1.mme"

Always use " if you specify a path to cover spaces in the path or filename

The maximum number of characters for a command line is 256


Update project files

With the command line parameter -re all files of a project can be automatically imported and updated.

You can select the publish options:

·-pf cd - Publish for CD (creates folder \project name\Publish CD)

·-pf exe - Publish as EXE (creates folder \project name\Publish EXE)

·-pf usb - Publish for USB (creates folder \project name\Publish USB)

·-pf hdd - Publish for Harddisk (creates folder \project name\Publish HDD)

Multiple output options can be combined: -pf exe+cd+usb+hdd

This allows implementing a batch process in case the content has changed.

This parameter -re requires additionally the parameter -f with the name of the project file, which should be updated.

Example

"C:\Program Files\All-In-One Protector Premium\5.0\aiogenerator.exe" -re -pf cd -f "C:\myfiles\pdf-info.mme"

"C:\Program Files\All-In-One Protector Premium\5.0\aiogenerator.exe" -re -pf exe+cd -f "C:\myfiles\pdf-info.mme"

·Always use " if you specify a path to cover spaces in the path or filename

·If only the parameter -re is used, the files are updated on the folder \project name\Work


Network License - how it works

Home topic Part II - Enhanced Features:

Network License - how it works

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Network License - how it works howto_network Part II - Enhanced Features > Network License - how it works / Dear Support Staff,

Network License - how it works

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

It is possible to store all files (required files see files for distribution) on a network folder. Multiple users can start the All-In-One Player at the same time. Each user needs a read and write access to this folder.

The advantages of a network installation are:

·Centralized installation - all files are located on one machine

·Only 1 activation is necessary, even if 100 users or PCs use the All-In-One Player

·If additional users should be added, only one Activation Key has to be sent out

Just define the number of users or computers you want to allow starting the All-In-One Player.

There are 3 different kinds of network license

· Licence per PC

· Licence per User

· Floating license / concurrent user

The product cannot be activated on the server. It has the be activated on the workstation PC. The activation has to be done only once for all PC's. Also the All-In-One Player cannot be used on the server.

The installation manager provides a server and workstation setup for a network license.

This feature is available only in the All-In-One Protector Premium Plus Edition.

See also

Available Licence Options
How to add Add additional users / licenses within a network


Licence per PC

Home topic Part II - Enhanced Features > Network License - how it works:

Licence per PC

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Licence per PC Nework_Licence_per_PC Part II - Enhanced Features > Network License - how it works > Licence per PC / Dear Support Staff,

Licence per PC

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The license per PC uses the name of the PC (hostname) and stores this name in the license file. Once the All-In-One Player is started, it checks wether the PC name is already stored in the license file and if not, it starts only in case a free license is available. After the All-In-One Player has been terminated, the license is still in use.

A PC can be removed from the license file in the Licence Viewer. The license will then be available for another PC.

This license type can be used for a single PC installation (license = 1 = limitation to 1 PC) or network installation.

All files have to be on the server in the same directory - see files for distribution

If a user connects through a remote connection using a tool like Remote Desktop, Citrix, Terminal Server or gotomypc, it depends on the tool if the remote connection counts as a separate license. For most tools, All-In-One Protector retrieves the PC name of the remote PC and counts the connection as a new license.


Licence Per User / Person

Home topic Part II - Enhanced Features > Network License - how it works:

Licence Per User / Person

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Licence Per User / Person Network_Licence_Per_User Part II - Enhanced Features > Network License - how it works > Licence Per User / Person / Dear Support Staff,

Licence Per User / Person

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The license per User uses the Windows user name and stores this name in the license file. Once the All-In-One Player is started, it checks whether the user name is already stored in the license file and if not, it starts only in case a free license is available. After the All-In-One Player has been terminated, the license is still in use. If a user is logged in with the same name on multiple PCs, it is counted as one license.

This license type can be used for a single user installation (license = 1 = limitation to 1 user) or network installation.

A user can be removed from the license file in the Licence Viewer. The license will then be available for another user.

All files have to be on the server in the same directory - see files for distribution


Network Licence Per Concurrent User

Home topic Part II - Enhanced Features > Network License - how it works:

Network Licence Per Concurrent User

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Network Licence Per Concurrent User Network_Licence_Per_Concurrent Part II - Enhanced Features > Network License - how it works > Network Licence Per Concurrent User / Dear Support Staff,

Network Licence Per Concurrent User

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This concurrent user license is also called floating license. It is checked, how many users have started the All-In-One Player at the same time.

The license per Concurrent User combines the PC name + Windows user name (e.g. OFFICEPC-TOM) and stores this name in the license file. The combination is necessary to count a license, even if a user is logged in with the same name on multiple PCs.

Once the All-In-One Player is started, it checks whether the name is already stored in the license file and if not, it starts only in case a free license is available. After the All-In-One Player has been terminated, the license is given back by removing the name in the license file. The license will be available again for another user.

This license type can be used only for a network installation.

All files have to be on the server in the same directory - see files for distribution

If a user connects through a remote connection using a tool like Remote Desktop, Citrix, Terminal Server or gotomypc, it depends on the tool if the remote connection counts as a separate license. For most tools, All-In-One Protector retrieves the PC name of the remote PC and counts the connection as a new license.


Network Licence per Server

Home topic Part II - Enhanced Features > Network License - how it works:

Network Licence per Server

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Network Licence per Server Network_Licence_per_Server Part II - Enhanced Features > Network License - how it works > Network Licence per Server / Dear Support Staff,

Network Licence per Server

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To have a license per Server (the number of PCs are not limited), use the Licence per PC option and set the number of PCs to 9999 or any number which will be sufficient.


How to add additional users / licences within a network?

All-In-One Protector

How to add additional users / licenses within a network?

Home topic Part II - Enhanced Features > Network License - how it works:

How to add additional users / licenses within a network?

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - How to add additional users / licenses within a network? howto_additional_users Part II - Enhanced Features > Network License - how it works > How to add additional users / licences within a network? / Dear Support Staff,

How to add additional users / licenses within a network?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To add additional licenses to an existing installation, just create an Activation Key.

·The license type (per user, per PC or concurrent user) from the original delivery is used - See Licence Type

·The Activation Key is generated within the Screen - Administration, TAB Additional Licences

If you are using the Web Activation server, use the Switch: Online Validation required to ensure, that a key can never used twice.

Details for all options see Screen - Administration, TAB Additional Licences


Problems - Trouble Shooting - Error Messages

Home topic Part II - Enhanced Features:

Problems - Trouble Shooting - Error Messages

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Problems - Trouble Shooting - Error Messages Problems_-_Trouble_Shooting3 Part II - Enhanced Features > Problems - Trouble Shooting - Error Messages / Dear Support Staff,

Problems - Trouble Shooting - Error Messages

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you have problems, check one of the solutions below. Also check How TOs and FAQ - you will find a lot of information for frequently asked questions.

See also
Player Error Messages
Project Generator Error Messages
Activation Server Error Messages
FLV files
If found no answer for my questions


FLV file does not load

Home topic Part II - Enhanced Features > Problems - Trouble Shooting - Error Messages:

FLV file does not load

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - FLV file does not load problems-FLV_file_does_not_load Part II - Enhanced Features > Problems - Trouble Shooting - Error Messages > FLV file does not load / Dear Support Staff,

FLV file does not load

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you load an FLV file within your flash application and this file does not load, try to embed the FLV file instead of loading it externally. Otherwise convert the FLV file to flash. This will always work.

If you have just one SWF file that starts a FLV file, you may use a special command. This will load the FLV file in the player, but will end the SWF file
- http://files/xy.flv - the command must begin with http:// and then a folder name or the flv filename must follow.

If you have multiple FLV files to secure use the Menu Creator.


Player Error Messages

Home topic Part II - Enhanced Features > Problems - Trouble Shooting - Error Messages:

Player Error Messages

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Player Error Messages problems-Player_Error_Messages Part II - Enhanced Features > Problems - Trouble Shooting - Error Messages > Player Error Messages / Dear Support Staff,

Player Error Messages

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Find below error messages which are related to the All-In-One Player.

Errors during product activation

Online Activation Failed

This error occurs during Online activation of the product. It indicates that your project data is not uploaded on the Activation Server.

Check if your URL to the Activation Server is correct - see Online Activation. If the activation never works and you always get this error, then this is 99% due to a wrong URL.

Otherwise it is a typical message when a firewall blocks the online activation. If it is a company wide firewall the system administrator would have to open port 80.

The activation key cannot be applied. The installation code of the license file does not match with code 0

The Unlock Key is was made using a wrong installation code.

Example

Instcodes:

01: 3F523F50

02: 3DED554A

03: 280EAE6E

04: 280EAE6E

..

If you create an Unlock Key and use 3F523F50 (=Code1) for Netbios Name (=Code 4) then you get this error.

Runtime Errors

There is no free license of module xy available

This error indicates that there is no free license available for the PC or user, who wants to start the All-In-One Player . See error screen sample.

Possible situations where this error might occur are:

·in a network installation, too many PC's or users try to start the All-In-One Player

·using a Terminal Server, Citrix or Remote PC session as each session counts a separate license per PC or license per concurrent user. See Network License.

·on a local PC installation with a license per user and multiple users on the PC start the All-In-One Player

·if a USB flash drive is used, you can define on how many PCs the USB flash drive can be attached - see Number of Computers where the USB flash drive can be used. If the user used his own USB flash drive the number of PCs is coded in the Serial Number.

Click on Show License information. You would see all PC's or users holding the license. It is possible to deactivate a license if it is no longer necessary.

See also: How to add Add additional users / licenses within a network

Error 3011

This error occurs during Online activation of the product. It indicates that your project data is not uploaded on the Activation Server.

Solution: Upload your configuration files to the Activation Server

This error could also occur if the URL to the Activation Server is wrong - see configuration Online Activation.

Error 3013

This error occurs during Online activation of the product. It indicates that your project data is out of date on the Activation Server.

Solution: Upload your configuration files to the Activation Server

·Log into Activation Server Administration Interface using the Link in the Web Activation Server Administration

·Select menu Tools, select: Restart Webservice

Error 3014

This error occurs during Online activation of the product. Probably the user does not have the correct date/time set on his PC. You can react as follows:

·Tell the user to correct the local time setting on his PC

·He can try the Online Activation again

If the same error appears again, the user should try e-mail activation.

Error - The installation code does not match with code...Copy Protection Violation

If this screen appears during the start of the All-In-One Player it indicates

·The application is used on a different machines as it was licensed for

·The hardware criteria which was used for copy protection has changed (e.g. new hard disk or new network adapter)

·Installation code 5 or 6 was used and the All-In-One Player was started on the server AND on the workstation. It only works if the server is used as a dedicated server and the All-In-One Player is not started on the server


Project Generator Error Messages

Home topic Part II - Enhanced Features > Problems - Trouble Shooting - Error Messages:

Project Generator Error Messages

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Project Generator Error Messages problems-Generator Part II - Enhanced Features > Problems - Trouble Shooting - Error Messages > Project Generator Error Messages / Dear Support Staff,

Project Generator Error Messages

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Find below error messages which are related to the Project Generator.

Error 21

Error message: Creation of..\work and ..\Config files failed with error 21

Check the folders \Config and \work

·that you have full write access to these folders

·that no file inside the folder is write protected


Activation Server Error Messages

Home topic Part II - Enhanced Features > Problems - Trouble Shooting - Error Messages:

Activation Server Error Messages

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Activation Server Error Messages Activation_Server_Error_Messag Part II - Enhanced Features > Problems - Trouble Shooting - Error Messages > Activation Server Error Messages / Dear Support Staff,

Activation Server Error Messages

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Activation Server has 2 different types of error messages

Error codes of the All-In-One Player

If an online activation is not successful, the All-In-One Player creates an error code like error 3013 or 3014. All All-In-One Player related errors can be found in the chapter Player Error Messages. The details of an error can be found in the server log file.

Error codes of the Activation Server

Errors which are created on the server side are written into a log file. The details of an error can be found in the server log

2013

This error could have 2 reasons:

·The web service has not all rights which are needed to create / modify files on the folder ..\alg - see Necessary Rights for ASP Service

·Your license file expired or more projects are used then included in the license - for more details view the log file

3001

Connection to the Activation Server could not be established. Typical causes of this error are:

·Activation Server is down

· URL to the Activation Server is wrong

·Client does not have Internet access or access is blocked by a firewall

·Client Proxy Server settings are wrong

3002

Configuration file in the folder \pconfig could not be read

The XML format is wrong. This error can only happen if you manually change configuration files

3003

ProjectID is missing - check configuration file in the folder \pconfig. This error can only happen if you manually change configuration files

3004

An unknown installation code is used - check configuration file in the folder \pconfig. This error can only happen if you manually change configuration files

3005

No projects could be found - check configuration file in the folder \pconfig. Update Project on the Activation Server

3006

Bad request

·ProjectName is empty - This error can only happen if you manually change configuration files

·A request to the Activation Server was made not using All-In-One Protector

3007

Unknown request type. This situation could only occur, if the All-In-One Protector version is newer than the Activation Server server version and All-In-One Protector uses a command, which is unknown to the Activation Server

3008

Writing to database failed. Check, if the database is running and check the database setup.

3009

Reading from database failed. Check, if the database is running and check the database setup

3010

The Serial Number was already used or was locked.

Increase the number, how often the key can be used or unlock the key

3011

This error occurs during Online activation of the product. It indicates that your project data is not uploaded on the Activation Server.

Solution: Upload your configuration filesto the Activation Server

This error could also occur if the URL to the Activation Server is wrong - see configuration Online Activation.

3012

The output file, which is generated on the folder .\alg during product activation, is missing or has a wrong XML format - for more details view the log file

3014

The most common reason for this error is that the computer, which does the activation, has a wrong date/time set. The error occurs, if the time difference is more than 24 hours.

Reading projects failed with: load config failed

Configuration file in the folder \pconfig could not be read

The XML format is wrong. This error can only happen if you manually change configuration files

See also
Player Error Messages


Split project into several Sub Projects

Home topic Part II - Enhanced Features:

Split project into several Sub Projects

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Split project into several Sub Projects Split_project_into_several_dat Part II - Enhanced Features > Split project into several Sub Projects / Dear Support Staff,

Split project into several Sub Projects

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Splitting a project into multiple databases (mmf files) is recommended or necessary, if

·the project includes EXE files and the database size would be more than 250 MB

·different file formats are mixed in one project, e.g. PDF and Video - see also Project with different file formats

·you want to 'bundle' multiple products on one CD

Unlike flash files, where each file is only loaded when needed, EXE files and all the other files in the database are loaded during program start. If the database is too big, the program start takes too much time.

The following steps are necessary to built a project, which is split in sub projects (databases).

Copy / Duplicate the main project

First create a main project of the application. Then copy the project (select TAB File: Copy Project)

Click to enlarge
Check - Project is a Sub Project of the Master project

The important option is: Project is a Sub Project of the Master project . Check this option. This creates a new database which uses the same encryption and same Serial Numbers like the original database. You can have one license file and one Serial Number for all project files.

Example

·Main project name: english-course

·Copy project 1: english-course-lesson1

·Copy project 2: english-course-lesson2

Copy all databases in a new folder

Each project will create a Publish CD folder with the All-In-One Player, the license file (.lic) and the database (.mmf) - see chapter the Basics about Distributing a Project.

Create a new folder, e.g. ..\complete project. Copy all files from your main project and only the database (.mmf) file from the sub projects into this folder. The folder content would be as follows:

·autorun.ini

·english-course.exe

·english-course.lic

·english-course.mmf

·english-course-lesson1.mmf

·english-course-lesson2.mmf

Start files

Starting a file depends on the type of the main application.

Start by user

The user can just click on the EXE file or MMF file

Menu

The best solution is to use a menu application, which allows to start Lesson 1, Lesson 2 separately. This menu would be outside the All-In-One Protector project. the See Menus.

The start command within the menu is:

·englisch-course.exe -f englisch-course-lesson1.mmf to start lesson1

·englisch-course.exe -f englisch-course-lesson2.mmf to start lesson2

List of all start options

Flash Menu

If the start application in the main project is a flash file in SWF format (e.g. a menu), the flash file needs to use a special command.

http://FILE:english-course.exe -f english-course-lesson1.mmf$$RUN

This commands starts an exe file which is already available on the CD or hard disk. It can be used to start any external application. The file must be on the same folder like the All-In-One Player. A pathname cannot be used.

The parameter -f provides the database name to start.

Sample flash code: loadMovie("http://FILE:english-course.exe -f english-course-lesson1.mmf$$RUN",2);


Update your projects

Home topic Part II - Enhanced Features:

Update your projects

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Update your projects Update_your_projects Part II - Enhanced Features > Update your projects / Dear Support Staff,

Update your projects

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Update content without sending out a new Serial Number

If you want to update your content without sending out a new Serial Number, then just load the new content and save the project. Only send the new created database (MMF) file to the user. If you installed an update of All-In-One Protector, then you also have to deliver the new All-In-One Player.

Sending out a new license file would destroy the product activation information and the user would have to activate the product again.

Update content with a new Serial Number

If the new content should be usable only with a new Serial Number, then copy the project, using the option: New project uses a different encryption. This duplicates the complete project but uses a new encryption with new Serial Numbers.

If you use the installation manager, the field OverwriteLicenseFile controls, if the license file is overwritten or not.

The best option is to send the file via download link to the customer.


USB-Stick (flash drive) as a Dongle replacement

All-In-One Protector

USB flash drive (flash drive) as a Dongle replacement

Home topic Part II - Enhanced Features:

USB flash drive (flash drive) as a Dongle replacement

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - USB flash drive (flash drive) as a Dongle replacement Using_an_USB_stick_as_a_dongle Part II - Enhanced Features > USB-Stick (flash drive) as a Dongle replacement / Dear Support Staff,

USB flash drive (flash drive) as a Dongle replacement

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector offers copy protection with all the advantages and flexibility of a software solution. However, there are some situations where a hardware protection makes sense.

·A product activation using a Serial Number is not possible or not favored. The user should be able to work instantly with the product

·Using one single license on multiple PCs and no online connection is available. The user can move the license from PC A to PC B using the USB flash drive

·Deliver a complete application on a USB flash drive - ready to go without the need to activate the software

·Marketing reasons - instead of receiving a CD, the user gets a USB flash drive with additional value for him

All-In-One Protector offers a unique protection feature using a standard USB flash drive. The license is bound to an individual criterion of the USB flash drive (different for each stick), which cannot be copied. It supports all the license options of a single user license like

·Evaluation options

·Multiple Modules

and additionally the option to define,

·on how many PCs the USB stick can be used or

·how many users can start the application

This is a very handy feature as you can control the usage of the stick.

The USB flash drive solution is much better than a Dongle:

·It is favorable - the price is only a fraction of the price of an Dongle

·The customer could even use his own USB flash drive. You can send out a Serial Number and activate the license on the USB flash drive using Online, E-Mail, Fax and phone activation. This is important if you deliver in multiple countries and shipping hardware is difficult

·In case of a hardware failure you can instantly issue a temporary license, where the license is stored on the local PC

All-In-One Protector combines the advantages of software copy protection with the advantages of hardware protection!

·The USB flash drive protection can only be used as a single PC / single user license. A network license is not supported as a PC cannot retrieve the hardware information of the USB flash drive when it is used on a server.

· SD cards are not supported. They do not have a unique ID.

See also
Activate USB flash drive
Deliver the USB flash drive with Copy Protection already activated
Use USB flash drive of the customer
Security option - Check if USB flash drive was removed
Install Application on hard disk and use USB flash drive
Automated USB flash drive duplication


Deliver the USB stick with Copy Protection already activated

All-In-One Protector

Deliver the USB flash drive with Copy Protection already activated

Home topic Part II - Enhanced Features > USB-Stick (flash drive) as a Dongle replacement:

Deliver the USB flash drive with Copy Protection already activated

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Deliver the USB flash drive with Copy Protection already activated Deliver_the_USB_stick_with_Cop Part II - Enhanced Features > USB-Stick (flash drive) as a Dongle replacement > Deliver the USB stick with Copy Protection already activated / Dear Support Staff,

Deliver the USB flash drive with Copy Protection already activated

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To deliver a USB flash drive with a ready to go license, there are only a few steps necessary.

Limit usage

The customer can use the license always only on the computer, where the USB flash drive is attached. The limitation by PC / user is an additional configuration setting to limit the usage.

·Use a license per Computer/PC - this limits the usage to the defined number of computers (recommended option). To define an unlimited usage, just configure a license with 9999 computers.

·Use a license per User- this limits the usage to the defined number of users

The default value is retrieved from the project settings in the screen - License Information. If you want to change the default settings, define the new value in the field Number of Computers where the USB stick can be used.

· A license per concurrent user is not supported with a USB flash drive

·The deactivation of a license can be prevented

Limit by Expiry Date

Adds an expiry date when the product will expire.

Limit by Number of Days

Instead of using an expiry date, you can specify how many days the product can be used. The days count starts with the first program start.

To ensure, that the user cannot turn back the system date, check the security option: Check for system date modification

Licensed to

This should be the company name or the user name. The information is displayed in the License Viewer or below the splash screen.

Activate protection on USB flash drive

If you want to copy the files to the USB flash drive and automatically activate the copy protection, select the option: Files should be copied to the USB flash drive press the button Switch on Copy Protection on USB flash drive. This opens a file dialog to select the USB flash drive, copies the files and adds the protection. You can specify the number of computers, where the USB flash drive can be used, and an expiry date in the fields below.

If you already copied the files to the USB flash drive and you want to use default values, select the option: Files are already on the USB flash drive - Activate Copy Protection and press the button Switch on Copy Protection on USB flash drive. This opens a dialog, where you can select the license file on the USB flash drive. The copy protection is then activated.

If you already copied the files to the USB flash drive and you want to change the default settings, select the option: Files are already on the USB flash drive - use the following values and press the button Switch on Copy Protection on USB flash drive. This opens a dialog, where you can select the license file on the USB flash drive. The copy protection is then activated. You can specify the number of computers, where the USB flash drive can be used, and an expiry date in the fields below.

If the USB flash drive does not support copy protection, an error message is displayed:There is no valid instcode for file filename.lic. You have to use another USB flash drive.

Publish on USB flash drive
Publish on USB flash drive

Automated process for large quantities

If you need large quantities of USB flash drives with a license file already activated, the automated USB flash drive duplication is the right choice. It allows USB flash drive duplication in a batch process.


Use USB stick of the customer

All-In-One Protector

Use USB flash drive of the customer

Home topic Part II - Enhanced Features > USB-Stick (flash drive) as a Dongle replacement:

Use USB flash drive of the customer

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Use USB flash drive of the customer Use_USB_stick_of_the_customer Part II - Enhanced Features > USB-Stick (flash drive) as a Dongle replacement > Use USB stick of the customer / Dear Support Staff,

Use USB flash drive of the customer

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If a USB flash drive of the customer should be used, there is the same workflow with product activation. All activation options (online, e-mail, fax, phone) are supported. The user has to copy the original files to his own USB flash drive.

If you use the Installation Manager, the installation program would ask the user to attach the USB flash drive and the files are copied automatically to the USB flash drive (set option USB=true)

Serial Number

You define with the Serial Number , on how many PCs the USB flash drive can be attached.

To create a Serial Number for more than 1 computer, the All-In-One Protector Premium Plus Edition is required.

Product Activation

The USB flash drive protection uses the installation code 11. For activation by e-mail, fax, phone nothing specific has to be considered. See chapter: Unlock Key. If the installation code 11 is empty, then the USB flash drive does not support copy protection.

Click to minimise
E-Mail Activation - No support of USB stick protection

For online activation, the activation server has to use installation code 11 as the main criteria. If the USB flash drive does not support copy protection, then the license is automatically bound to the PC which makes the activation.

Specify Code 11 as the Primary Hardware ID and code 4 as the Alternative Hardware ID. If you make any changes regarding the copy protection make sure, that you update the project on the Activation Server again.


Install Application on hard disk using USB stick

All-In-One Protector

Install Application on hard disk using USB flash drive

Home topic Part II - Enhanced Features > USB-Stick (flash drive) as a Dongle replacement:

Install Application on hard disk using USB flash drive

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Install Application on hard disk using USB flash drive Install_Application_on_hard_di Part II - Enhanced Features > USB-Stick (flash drive) as a Dongle replacement > Install Application on hard disk using USB stick / Dear Support Staff,

Install Application on hard disk using USB flash drive

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

It is possible to install the product and/or database on the hard disk. Only the license file has to be on the USB flash drive.

Only Database on the hard disk

If the database (mmf file) should be on the harddisk, then copy the All-In-One Player and the license file (.lic file) to the USB drive.

The All-In-One Player has to be started with an parameter

xy.exe -f "path\filename.mmf"

All-In-One Player and Database on the hard disk

If the All-In-One Player and the database (mmf file) is on the harddisk, then only copy the license file (.lic file) to the USB drive.

The All-In-One Player has to be started with an parameter

XY.exe -lf "path\licensefile.lic"

You can also use a configuration file


Automated USB-Stick duplication

All-In-One Protector

Automated USB flash drive duplication

Home topic Part II - Enhanced Features > USB-Stick (flash drive) as a Dongle replacement:

Automated USB flash drive duplication

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Automated USB flash drive duplication Automated_USB-Stick_duplicatio Part II - Enhanced Features > USB-Stick (flash drive) as a Dongle replacement > Automated USB-Stick duplication / Dear Support Staff,

Automated USB flash drive duplication

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If hundreds of protected USB flash drives have to be produced, an automated process is required. The Enterprise Edition comes with a tool, which supports an automated process.

The tool can be found on the folder ..\All-In-One Protector Premium Plus \5.0\USB flash drive duplication

This application has no user interface. The main purpose is to activate the copy protection on the USB flash drive without any user interaction.

The simplest way to use the application cpautomation.exe is to use a .BAT file. If you start the application without any command line parameters, you get a list of all available command line parameters.

Command Line Parameters

As the application has no user interface, it needs command line parameters. The values in red are required values

Parameter | Explanation | Example
-p | Project file name in xml format which includes the encryption and other information about the project | -p flash-demo.xml
-f | No longer valid starting from version 5.1 onwards |
-lic | License file name on the USB flash drive in previous versions the parameter was -f which is no longer valid | -lic m:flash-demo.lic
-n | Limit number of PC's (or users). 0 uses the value defined as number of network licenses . Details see: Limit Usage | -n 5 (this would limit to use the USB flash drive on 5 PC's or for 5 users (depending on the definition)
-c | Copy Protection Type - the default value is 11 = USB flash drive | not necessary
-m | Module ID of the application. Not required and reserved for future use | not necessary
-pause | will pause the screen. Necessary to trace if an error has occured |
-ep | Expiry date of the license | -ep 2014-12-31 (format must be YYYY-MM-DD)
-days | Number of days, when the license will expires. Counter begins whith the first program start | -days 363

Setup for automated duplication

Create a new folder and copy the following files into this folder.

·all files from the folder Publish USB (e.g. autorun.info, flash-demo.lic, flash-demo.exe, flash-demo.mmf)

·the XML file from the folder Config (e.g. flash-demo.xml)

If an external company is doing the USB flash drive duplication using this application, send them this folder. They would have to buy the Enterprise Edition.

Now copy all the files from the folder ..\All-In-One Protector Premium Plus\5.0\USB flash drive duplication to this folder

·cpautomation5.1.exe

·cpautomation.lic

·cpautomation.bat

Batch Process

The file cpautomation.bat defines the process. Normally this is:

·Copy the files to the USB flash drive

·Activate copy protection for the USB flash drive

You can modify this bat file and adapt it to your USB flash drive duplication facility.

If you are familiar with batch files, use example 2, otherwise edit the file cpautomation.bat and modify it like example 1.

Example 1

copy autorun.info m:

copy flash-demo.lic m:

copy flash-demo.exe m:

copy flash-demo.mmf m:

cpautomation5.1.exe -p flash-demo.xml -f m:\flash-demo.lic -n 5

You could also start the cpautomation.bat using command line parameters. Then you do not have to change the bat file for every project.

cpautomation.exe flash-demo m: 5 (project name, drive name of the USB flash drive, number of licenses)

Example 2

copy autorun.info %1

copy %1.lic %2

copy %1.exe %2

copy %1.mmf %2

cpautomation5.1.exe -p %1.xml -f %2\%1.lic -n %3

Useful commands for batch files

·To delete all files within a folder: ECHO Y | DEL "m:\*.*"

·To delete a specific folder: ECHO Y | RMDIR /s "foldername"

·Stop the batch script to check results: PAUSE

This feature is available only in the All-In-One Protector Enterprise Edition.


Workflow - from Distribution to Activation

Home topic Part II - Enhanced Features:

Workflow - from Distribution to Activation

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Workflow - from Distribution to Activation Workflow_Main Part II - Enhanced Features > Workflow - from Distribution to Activation / Dear Support Staff,

Workflow - from Distribution to Activation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

CD and Download Version

This chapter explains the workflow in detail from distribution to activation.

· Distribution

· Evaluation Version

· Buy a Serial Number

· Product Activation - Online

· Product Activation by E-Mail, Fax or Phone

USB flash drive version

The USB flash drive version does not require a product activation process or a Serial Number. See chapter: USB-Stick (flash drive)


The Basics about Workflow

Home topic Part II - Enhanced Features > Workflow - from Distribution to Activation:

The Basics about Workflow

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - The Basics about Workflow Workflow_Basics Part II - Enhanced Features > Workflow - from Distribution to Activation > The Basics about Workflow / Dear Support Staff,

The Basics about Workflow

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Depending on the kind of activation you choose, the workflow will be different.

CD and Download Version

The predefined workflow is as follows:

·Create the project and define the settings

·Create the files for distribution - Publish CD

·Provide an evaluation version (also non-evaluation version is possible)

·Customer can test within the time limited period or buy the software (buy link available if defined)

·Customer buys the software and gets the Serial Number Key. The key is unique and is the 'proof of purchase'.

·The Serial Number sets a trigger that enables activation via web (online), e-mail, fax or phone (activation methods can be defined)

·Online Activation – the Serial Number is transferred to the Web Activation Server; this process validates whether the Serial Number was already used and enables copy protection, deletes the time limitation (to get an unlimited full version). The customer can work instantly with the application. A reinstallation on the same PC that is already registered is accepted

·Activation by e-mail, fax and phone requires manual activation by sending the installation code (hardware ID) to you and sending back an Unlock Key

·The application is now copy protected and without time limitation (depending on the settings)

USB flash drive version

The USB flash drive version does not require a product activation process or a Serial Number. See chapter: USB-Stick (flash drive)


Create Files for Distribution - Deploy

Home topic Part II - Enhanced Features > Workflow - from Distribution to Activation:

Create Files for Distribution - Deploy

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Create Files for Distribution - Deploy Workflow_create_files Part II - Enhanced Features > Workflow - from Distribution to Activation > Create Files for Distribution - Deploy / Dear Support Staff,

Create Files for Distribution - Deploy

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Create the files for Distribution and Deploy it - Details see chapter Deploy the Project


Evaluation Version

Home topic Part II - Enhanced Features > Workflow - from Distribution to Activation:

Evaluation Version

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Evaluation Version workflow_evaluation_version Part II - Enhanced Features > Workflow - from Distribution to Activation > Evaluation Version / Dear Support Staff,

Evaluation Version

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The application can be tested in an evaluation mode - details see chapter Evaluation Version


Buy Serial Number

Home topic Part II - Enhanced Features > Workflow - from Distribution to Activation:

Buy Serial Number

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Buy Serial Number workflow_buy_serial Part II - Enhanced Features > Workflow - from Distribution to Activation > Buy Serial Number / Dear Support Staff,

Buy Serial Number

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

As a proof of purchase, the customer gets a unique Serial Number. This Serial Number is generated within the TAB Keys - Serial Number.

After receiving the Serial Number, the customer selects an activation method (Online, E-Mail, Fax, Phone) and types in the Serial Number, name and e-mail.

If an Online Shop is used, the Serial Number Key can be generated automatically after the order process or you use a key list, which you upload to the shop..

Generate Serial Number


Online Activation

Home topic Part II - Enhanced Features > Workflow - from Distribution to Activation:

Online Activation

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Online Activation workflow_online_activation Part II - Enhanced Features > Workflow - from Distribution to Activation > Online Activation / Dear Support Staff,

Online Activation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This method allows a complete automation of the process. The Web Activation server is required. Mirage offers a hosting of the server. The Web Activation Server also ensures that the Serial Number can be used only once (configurable).

The hardware IDs and the Serial Number is sent to the Web Activation server, verified, stored in a data base; in case the Serial Number was not used before, copy protection will be activated and time limitation will be deleted to allow a an unlimited program start.

Sample Screen - Enter Serial Number - Online Activation


Activation by E-Mail, Phone, Fax

Home topic Part II - Enhanced Features > Workflow - from Distribution to Activation:

Activation by E-Mail, Phone, Fax

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Activation by E-Mail, Phone, Fax workflow_activation_manual Part II - Enhanced Features > Workflow - from Distribution to Activation > Activation by E-Mail, Phone, Fax / Dear Support Staff,

Activation by E-Mail, Phone, Fax

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

With either of this method, the customer has to send to you the installation code (8 digit hardware ID), Serial Number, name, E-Mail address, and you have to send back the Unlock Key (Copy Protection Key). The Unlock Key is generated within the Administration / Create Unlock Key screen. If the project was a time limited trial version, the time limitation will be removed.

Note

You have to check manually, whether the Serial Number was already used or not. If the Activation Server server is installed but the customer sends the information via e-mail, phone or fax, the Unlock Key can be generated using the Activation Server Administration Interface, which ensures that the Serial Number cannot be used twice.

Sample Screen - Enter Serial Number - Request Unlock Key by E-Mail


Your All-In-One Protector License

All-In-One Protector

Your All-In-One Protector Licence

Home topic »No topics above this level«

Your All-In-One Protector Licence

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Your All-In-One Protector Licence Your_Multimedia_Edition_License Your All-In-One Protector License / Dear Support Staff,

Your All-In-One Protector Licence

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The license of All-In-One Protector is a license PER PC / COMPUTER. Copy Protection is turned on after activation. We recommend making a backup of the Serial Number

·You have to activate the product before you can use it without the restrictions of the demo version - see How to activate All-In-One Protector

·Find out more about your license in the chapter - Show License Information

· Transfer License / Move to a new computer

·See License Agreement for details of usage.

See also

Demo version
Browse your License
Apply Activation Key
License Agreement
Transfer license / Move to a new computer


Transfer All-In-One Protector license to a new computer

Home topic Your All-In-One Protector License:

Transfer All-In-One Protector license to a new computer

 Previous topic Next topic Print this topic Feedback on: All-In-One Protector - Transfer All-In-One Protector license to a new computer Transfer_License___Move_to_a_n Your All-In-One Protector License > Transfer All-In-One Protector license to a new computer / Dear Support Staff,

Transfer All-In-One Protector license to a new computer

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can move the license to a new computer. The license will be deactivated on the current computer. The Serial Number can then be used again on another computer to activate the product.

This process requires an online connection. You only can transfer a license for a full version (no demo version).

Step 1 - Show License Viewer

Select the option [image] License Viewer in the TAB Help

Step 2 - Transfer License

Click on the button Transfer License

Button - Transfer License
Button - Transfer License

Thereafter an information is displayed, that the license will be deactivated

Screen - License Deactivation
Screen - License Deactivation

Step 3 - Activate All-In-One Protector on a new computer

You can reuse the Serial Number on a new computer to activate All-In-One Protector

·After the license was deactivated, you can reactivate it during the next program start as long as the Serial Number was not used on another computer

·The license can be transferred multiple times between computers - Example: Transfer license from PC A to PC B. Then deactivate on PC B and activate again on PC A

See also

How can an end user transfer / move the license of your product to a new computer?


License Agreement

Home topic Your All-In-One Protector License:

License Agreement

 Previous topic This is the last topic Print this topic Feedback on: All-In-One Protector - License Agreement License_Agreement Your All-In-One Protector License > License Agreement / Dear Support Staff,

License Agreement

 Previous topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

PERPETUAL END USER LICENCE AGREEMENT

·You may distribute and install only those files marked for distribution in the chapter Deploy on any machines of your end users

·You can distribute the All-In-One Player to any customer you like - without paying more fees

·The license entitles to install All-In-One Protector on one single PC (license per PC/seat)

NOTICE TO ALL USERS: CAREFULLY READ THE FOLLOWING LEGAL AGREEMENT (‘AGREEMENT’), FOR THE LICENCE OF SPECIFIED SOFTWARE (‘SOFTWARE’) BY MIRAGE COMPUTER SYSTEMS GMBH (‘MIRAGE’). BY CLICKING THE ACCEPT BUTTON OR INSTALLING THE SOFTWARE, YOU (EITHER AN INDIVIDUAL OR A SINGLE ENTITY) CONSENT TO BE BOUND BY AND BECOME A PARTY TO THIS AGREEMENT. IF YOU DO NOT AGREE TO ALL OF THE TERMS OF THIS AGREEMENT, CLICK THE BUTTON THAT INDICATES THAT YOU DO NOT ACCEPT THE TERMS OF THIS AGREEMENT AND DO NOT INSTALL THE SOFTWARE.(IF APPLICABLE, YOU MAY RETURN THE PRODUCT TO THE PLACE OF PURCHASE FOR A FULL REFUND.)

1. LICENCE Grant. Subject to the payment of the applicable LICENCE fees, and subject to the terms and conditions of this Agreement, MIRAGE hereby grants to you a non-exclusive, non-transferable right to use one copy of the specified version of the Software and the accompanying documentation (the ‘Documentation’). You may install one copy of the Software on one computer, workstation, personal digital assistant, pager, ‘smart phone’ or other electronic device for which the Software was designed (each, a ‘Client Device’). If the Software is LICENCED as a suite or bundle with more than one specified Software product, this LICENCE applies to all such specified Software products, subject to any restrictions or usage terms specified on the applicable price list or product packaging that apply to any of such Software products individually.

a. Use. The Software is LICENSED as a single product; it may not be used on more than one Client Device or by more than one user at a time, except as set forth in this Section 1. The Software is ‘in use’ on a Client Device when it is loaded into the temporary memory (i.e., random-access memory or RAM) or installed into the permanent memory (e.g., hard disk, CD-ROM, or other storage device) of that Client Device. This LICENSE authorizes you to make one copy of the Software solely for backup or archival purposes, provided that the copy you make contains all of the Software’s proprietary notices.

b. Server-Mode. You may use the Software on a Client Device as a server (‘Server’) within a multi-user or networked environment(‘Server-Mode’) only if such use is permitted in the applicable price list or product packaging for the Software. A separate LICENSE is required for each Client Device or ‘seat’ that may connect to the Server at any time, regardless of whether such LICENSED Client Devices or seats are concurrently connected to, accessing or using the Software. Use of software or hardware that reduces the number of Client Devices or seats directly accessing or utilizing the Software (e.g., ‘multiplexing’ or ‘pooling’ software or hardware) does not reduce the number of LICENSES required (i.e., the required number of LICENSES would equal the number of distinct inputs to the multiplexing or pooling software or hardware ‘front end’). If the number of Client Devices or seats that can connect to the Software can exceed the number of LICENSES you have obtained, then you must have a reasonable mechanism in place to ensure that your use of the Software does not exceed the use limits specified for the LICENSES you have obtained. This LICENSE authorizes you to make or download one copy of the Documentation for each Client Device or seat that is LICENSED, provided that each such copy contains all of the Documentation’s proprietary notices.

c. Volume LICENSES. If the Software is LICENSED with volume LICENSE terms specified in the applicable price list or product packaging for the Software, you may make, use and install as many additional copies of the Software on the number of Client Devices as the volume LICENSE authorizes. You must have a reasonable mechanism in place to ensure that the number of Client Devices on which the Software has been installed does not exceed the number of LICENSES you have obtained. This LICENSE authorizes you to make or download one copy of the Documentation for each additional copy authorized by the volume LICENSE, provided that each such copy contains all of the Documentation’s proprietary notices.

2. Term. This Agreement is effective for an unlimited duration unless and until earlier terminated as set forth herein. This Agreement will terminate automatically if you fail to comply with any of the limitations or other requirements described herein. Upon any termination or expiration of this Agreement, you must destroy all copies of the Software and the Documentation.

3. Updates. For the time period specified in the applicable price list or product packaging for the Software, you are entitled to download revisions or updates to the Software when and as MIRAGE publishes them via its electronic bulletin board system, website or through other online services. For a period of thirty (30) days from the date of the of original purchase of the Software, you are entitled to download one(1) revision or upgrade to the Software when and as MIRAGE publishes it via its electronic bulletin board system, website or through other online services. After the specified time period, you have no further rights to receive any revisions or upgrades without purchase of a new LICENSE to the Software.

4. Ownership Rights. The Software is protected by German copyright laws and international treaty provisions. MIRAGE and its suppliers own and retain all right, title and interest in and to the Software, including all copyrights, patents, trade secret rights, trademarks and other intellectual property rights therein. Your possession, installation, or use of the Software does not transfer to you any title to the intellectual property in the Software, and you will not acquire any rights to the Software except as expressly set forth in this Agreement. All copies of the Software and Documentation made hereunder must contain the same proprietary notices that appear on and in the Software and Documentation.

5. Restrictions. You may not sell, lease, LICENSE, rent, loan or otherwise transfer, with or without consideration, rent, lease, loan or resell the Software. MIRAGE updates its Software frequently and performance data for its Software change. Before conducting benchmark tests regarding this Software, contact MIRAGE to verify that you possess the correct Software for the test and the then current version and edition of the Software. Benchmark tests of former, outdated or inappropriate versions or editions of the Software may yield results that are not reflective of the performance of the current version or edition of the Software. You agree not to permit any third party (other than third parties under contract with you which contains nondisclosure obligations no less restrictive than those set forth herein) to use the LICENSED Program in any form and shall use all reasonable efforts to ensure that no improper or unauthorized use of the LICENSED Program is made. You may not permit third parties to benefit from the use or functionality of the Software via a timesharing, service bureau or other arrangement, except to the extent such use is specified in the applicable price list, purchase order, or product packaging for the Software. You may not transfer any of the rights granted to you under this Agreement. You may not reverse engineer, decompile, or disassemble the Software, except to the extent the foregoing restriction is expressly prohibited by applicable law. You may not modify, or create derivative works based upon, the Software in whole or in part. You may not copy the Software or Documentation except as expressly permitted in Section 1 above. You may not remove any proprietary notices or labels on the Software. All rights not expressly set forth hereunder are reserved by MIRAGE.

6. Warranty and Disclaimer.

a. Limited Warranty. MIRAGE warrants that for sixty (60) days from the date of original purchase the media (e.g., diskettes) on which the Software is contained will be free from defects in materials and workmanship.

b. Customer Remedies. MIRAGE’ and its suppliers’ entire liability and your exclusive remedy for any breach of the foregoing warranty shall be, at MIRAGE’s option, either (i) return of the purchase price paid for the LICENSE, if any, or (ii) replacement of the defective media in which the Software is contained. You must return the defective media to MIRAGE at your expense with a copy of your receipt. This limited warranty is void if the defect has resulted from accident, abuse, or misapplication. Any replacement media will be warranted for the remainder of the original warranty period. Outside the United States, this remedy is not available to the extent MIRAGE is subject to restrictions under United States export control laws and regulations.

c. Warranty Disclaimer. Except for the limited warranty set forth herein, THE SOFTWARE IS PROVIDED ‘AS IS.’ TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, MIRAGE DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NONINFRINGEMENT WITH RESPECT TO THE SOFTWARE AND THE ACCOMPANYING DOCUMENTATION. YOU ASSUME RESPONSIBILITY FOR SELECTING THE SOFTWARE TO ACHIEVE YOUR INTENDED RESULTS, AND FOR THE INSTALLATION OF, USE OF, AND RESULTS OBTAINED FROM THE SOFTWARE. WITHOUT LIMITING THE FOREGOING PROVISIONS, MIRAGE MAKES NO WARRANTY THAT THE SOFTWARE WILL BE ERROR-FREE OR FREE FROM INTERRUPTIONS OR OTHER FAILURES OR THAT THE SOFTWARE WILL MEET YOUR REQUIREMENTS.

7. Limitation of Liability. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER IN TORT, CONTRACT, OR OTHERWISE, SHALL MIRAGE OR ITS SUPPLIERS BE LIABLE TO YOU OR TO ANY OTHER PERSON FOR ANY INDIRECT, CONSE-QUENTIAL OR PURELY FINANCIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL,WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR FOR ANY AND ALL OTHER DAMAGES OR LOSSES. IN NO EVENT WILL MIRAGE BE LIABLE FOR ANY DAMAGES IN EXCESS OF THE LIST PRICE MIRAGE CHARGES FOR A LICENSE TO THE SOFTWARE, EVEN IF MIRAGE SHALL HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY TO THE EXTENT THAT APPLICABLE LAW PROHIBITS SUCH LIMITATION.

8. United States Government. The Software and accompanying Documentation are deemed to be ‘commercial computer software’ and’ commercial computer software documentation,’ respectively, pursuant to DFAR Section 227.7202 and FAR Section 12.212, as applicable. Any use, modification, reproduction, release, performance, display or disclosure of the Software and accompanying Documentation by the United States Government shall be governed solely by the terms of this Agreement and shall be prohibited except to the extent expressly permitted by the terms of this Agreement.

9. Export Controls. You have been advised that the Software and Documentation (the ‘Products’) are subject to the U.S. Export Administration Regulations. You shall not export, import or transfer Products contrary to U.S. or other applicable laws, whether directly or indirectly, and will not cause, approve or otherwise facilitate others such as agents or any third parties in doing so. You represent and agree that neither the United States Bureau of Export Administration nor any other federal agency has suspended, revoked or denied your export privileges. You agree not to use or transfer the Products for end use relating to any nuclear, chemical or biological weapons, or missile technology unless authorized by the U.S. Government by regulation or specific LICENSE. Additionally, you acknowledge that the Products are subject to export control regulations in the European Union and You hereby declare and agree that the Products will not be used for any other purpose than civil (non-military) purposes. The parties agree to cooperate with each other with respect to any application for any required LICENSES and approvals, however, You acknowledge it is Your ultimate responsibility to comply with any and all export and import laws and that MIRAGE has no further responsibility after the initial sale to You within the original country of sale.

10.High Risk Activities. The Software is not fault-tolerant and is not designed or intended for use in hazardous environments requiring fail-safe performance, including without limitation, in the operation of nuclear facilities, aircraft navigation or communication systems, air traffic control, weapons systems, direct life-support machines, or any other application in which the failure of the Software could lead directly to death, personal injury, or severe physical or property damage (collectively, ‘High Risk Activities’). MIRAGE expressly disclaims any express or implied warranty of fitness for High Risk Activities.

11.Miscellaneous. This Agreement is governed by the laws of Germany, without reference to conflict of laws principles. The application of the United Nations Convention of Contracts for the International Sale of Goods is expressly excluded. This Agreement sets forth all rights for the user of the Software and is the entire agreement between the parties. MIRAGE reserves the right to periodically audit you to ensure that you are not using any Software in violation of this Agreement. During your standard business hours and upon prior written notice, MIRAGE may visit you and you will make available to MIRAGE or its representatives any records pertaining to the Software to MIRAGE. The cost of any requested audit will be solely borne by MIRAGE, unless such audit discloses an underpayment or amount due to MIRAGE in excess of five percent (5%) of the initial LICENSE fee for the Software or you are using the Software in an unauthorized manner, in which case you shall pay the cost of the audit. This Agreement supersedes any other communications with respect to the Software and Documentation. This Agreement may not be modified except by a written addendum issued by a duly authorized representative of MIRAGE. No provision hereof shall be deemed waived unless such waiver shall be in writing and signed by MIRAGE or a duly authorized representative of MIRAGE. If any provision of this Agreement is held invalid, the remainder of this Agreement shall continue in full force and effect. The parties confirm that it is their wish that this Agreement has been written in the English language only.

12.MIRAGE CUSTOMER CONTACT. If you have any questions concerning these terms and conditions, or if you would like to contact MIRAGE for any other reason, please write to : MIRAGE Computer Systems GmbH, Auf der Steige 12, 88326 Aulendorf – e-mail: Info@Mirage-Systems.de) . You will find our internet website at www.mirage-systems.de.

Date: October 2010

LA-DE-01082003


articulate-tip

Home topic »No topics above this level«

articulate-tip

 This is the first topic This is the last topic Print this topic Feedback on: All-In-One Protector - articulate-tip Articulate-tip Your All-In-One Protector License > License Agreement / Dear Support Staff,

articulate-tip

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

·If you have several different Articulate applications you need a menu application.

·If the project size is over 250 MB, the loading time would be too long. Split the application in several projects.


description-key

Home topic »No topics above this level«

description-key

 This is the first topic This is the last topic Print this topic Feedback on: All-In-One Protector - description-key Description-key Your All-In-One Protector License > License Agreement / Dear Support Staff,

description-key

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Descriptions On / Off

You can add an additional description when a key is generated. This is useful when the user gets the key on paper.

GPcoX-35dA8-C8Gch-2Xd7C-5Pn1Q-AfiCL

In block 1 at position 4 it reads the small letter o

The button is a toggle which is turned on or off

description is on

description is off


enterpriseedition

Home topic »No topics above this level«

enterpriseedition

 This is the first topic This is the last topic Print this topic Feedback on: All-In-One Protector - enterpriseedition Enterpriseedition Your All-In-One Protector License > License Agreement / Dear Support Staff,

enterpriseedition

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

This feature is available only in the All-In-One Protector Enterprise Edition.


Excel Viewer

Home topic »No topics above this level«

Excel Viewer

 This is the first topic This is the last topic Print this topic Feedback on: All-In-One Protector - Excel Viewer Excel_Viewer Your All-In-One Protector License > License Agreement / Dear Support Staff,

Excel Viewer

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Excel Protection

·Supports the full feature set of Excel 2007, 2010 and 2013

·The level of protection can be individually configured - e.g. do not allow printing or don't allow copy using the clipboard

·If the user does not have Excel installed the free Excel Viewer is automatically downloaded

·The user can change and save the Excel content

·A menu application can directly open one protected Excel file

·High Security using strong encryption

·All-In-One Player can be distributed for free

·Excel, PowerPoint and PDF files can be mixed within one All-In-One Protector project

·Does not need any installation and does not require administrator rights if Excel is already installed on the end user machine

·Hyperlinks from one Excel file to another Excel file are only supported with limitations

·Only works with Excel 32bit


Secure standalone exe file(s)

Home topic »No topics above this level«

Secure standalone exe file(s)

 This is the first topic This is the last topic Print this topic Feedback on: All-In-One Protector - Secure standalone exe file(s) exe-Secure_one_Exe_file Your All-In-One Protector License > License Agreement / Dear Support Staff,

Secure standalone exe file(s)

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector supports copy protection and complete licensing for stand-alone EXE files. It wraps the EXE file and additional files into the encrypted database. This kind of protection is not as strong as the Source Code integration with Licence Protector but a good choice if you do not have any Source Code or you do not want to spend time to add copy protection and licensing.

If you have just one or more EXE file and additional files like DLL or configuration files, import it and define one exe file as a start file. After the initial tests like evaluation or product activation have been done, the All-In-One Player starts the exe file, extracts all other imported files and terminates automatically so that only the EXE file will be active.

All files (EXE file and all additional files) are extracted to the hard disk during runtime - see main chapter Executables. The file of the database should have maximum 250 MB. Otherwise the loading time would be too long.


menu-additional-info

Home topic »No topics above this level«

menu-additional-info

 This is the first topic This is the last topic Print this topic Feedback on: All-In-One Protector - menu-additional-info Menu-additional-info Your All-In-One Protector License > License Agreement / Dear Support Staff,

menu-additional-info

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Installation Manager

To install a download or a CD version to the hard disk including adding a desktop icon or program manager group entry, use the Installation Manager.

Create Download Version

In case you want to deliver one EXE file as a download version see chapter: How to create a download version in EXE format?

Otherwise just ZIP all files.

Also see: How can I share my files using a download link?


Configuration of the Player

Home topic »No topics above this level«

Configuration of the Player

 This is the first topic This is the last topic Print this topic Feedback on: All-In-One Protector - Configuration of the Player Music_Player-Configuration Your All-In-One Protector License > License Agreement / Dear Support Staff,

Configuration of the Player

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

The configuration of the music player is done with the radio.xml. It can be modified using any editor. If you do not have an XML Editor see How to edit an XML file.

Never use a absolute path like c:\files which points to your disk drive on the PC. Always use a relative path like radio/01.mp3.

Button

You can define the labels of the buttons which appear on the player. You can place a different link per button. If you do not need the button, leave text and link empty. The button will be invisible.

<button id="1" text="A4Flash" link="http://a4flash.com/lib/access/" />

Station name

To structure the presentation of the songs use different station names like Pop, Classic.

<station name="Classical Music" text="test">

Song

Define the title, composer, mp3 file, image and links for the buttons. You always have to use relative paths for the mp3 file and the image like used in the sample. You can have any number of songs per station within the limitation of the free version (10 songs).

<song> ç song tag contains one song details

<title>Song1</title> ç set the title of the song

<composer>Songster1</composer> ç set the composer of the song

<file>Radio/01.mp3</file> ç set the path of the sound file

<<artistpic>Images/1.jpg</artistpic> ç set the picture of the artist

</song>


Include Player in Project

Home topic »No topics above this level«

Include Player in Project

 This is the first topic This is the last topic Print this topic Feedback on: All-In-One Protector - Include Player in Project Music_Player-Player_in_Project Your All-In-One Protector License > License Agreement / Dear Support Staff,

Include Player in Project

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

To include the music placer into the project, just copy the files:

·music-player.swf

·radio.xml

as well as all used images and mp3 files to your data source directory and import the files in the screen - Data Import.


nxpower

Home topic »No topics above this level«

nxpower

 This is the first topic This is the last topic Print this topic Feedback on: All-In-One Protector - nxpower Nxpower Your All-In-One Protector License > License Agreement / Dear Support Staff,

nxpower

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Shrink your files

If you distribute files via download link, you try to make the file size as small as possible. Especially when you encrypt the files with All-In-One Protector, having a smaller file size decreases the time needed to decrypt the file. We have tested one tool - NXPowerLite - in combination with All-In-One Protector.

NXPowerLite reduces PDF, PowerPoint, Word, Excel and JPEG files without quality loss up to 95%. Optimized files remain in their original format and don’t need to be unzipped. Thus the files can be protected with All-in-One Protector without any modifications.

Home Page NXPowerLite - more information and evaluation version

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. YOU ARE RESPONSIBLE TO ENSURE THAT THE SOFTWARE IS USED WITHIN THE LIMIT OF THE LICENSE AGREEMENT OF THE SOFTWARE.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


pdf-office-documents

Home topic »No topics above this level«

pdf-office-documents

 This is the first topic This is the last topic Print this topic Feedback on: All-In-One Protector - pdf-office-documents Pdf-office-documents Your All-In-One Protector License > License Agreement / Dear Support Staff,

pdf-office-documents

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Protect an office document using PDF format

All documents, that are printable, like Word or Visio can be protected by creating a PDF file. See details PDF protection. This is the recommended and most flexible option.

Office 2007 comes with a free Add-In, which creates a PDF file and it supports hyperlinks. Just select File, Save As PDF. If this option is missing, you can download the Add-In here or search in the Word Online help for PDF.

If you do not have any PDF tool, download PDF creator: http://www.pdfforge.org/products/pdfcreator/


PPT Viewer

All-In-One Protector

Excel Viewer

Home topic »No topics above this level«

Excel Viewer

 This is the first topic This is the last topic Print this topic Feedback on: All-In-One Protector - Excel Viewer PPT_VIEWER Your All-In-One Protector License > License Agreement / Dear Support Staff,

Excel Viewer

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

PowerPoint Protection

·Supports the full feature set of PowerPoint 2007, 2010 and 2013. PowerPoint 2003 files can be protected with less options.

·The level of protection can be individually configured - e.g. do not allow printing or don't allow copy using the clipboard

·If the user does not have PowerPoint installed the free PowerPoint Viewer is automatically downloaded

·The user can change and save the PowerPoint content

·A menu application can directly open one protected PowerPoint file

·High Security using strong encryption

·All-In-One Player can be distributed for free

·PowerPoint, PowerPoint and PDF files can be mixed within one All-In-One Protector project

·Does not need any installation and does not require administrator rights if PowerPoint is already installed on the end user machine

·Hyperlinks from one PowerPoint file to another PowerPoint file are only supported with limitations

·Only works with PowerPoint 32bit

This feature is available only in the All-In-One Protector Premium Plus Edition.


Problems - Trouble Shooting

Home topic »No topics above this level«

Problems - Trouble Shooting

 This is the first topic This is the last topic Print this topic Feedback on: All-In-One Protector - Problems - Trouble Shooting Problems_-_Trouble_Shooting Your All-In-One Protector License > License Agreement / Dear Support Staff,

Problems - Trouble Shooting

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Enter topic text here.


Problems - Trouble Shooting

Home topic »No topics above this level«

Problems - Trouble Shooting

 This is the first topic This is the last topic Print this topic Feedback on: All-In-One Protector - Problems - Trouble Shooting Problems_-_Trouble_Shooting2 Your All-In-One Protector License > License Agreement / Dear Support Staff,

Problems - Trouble Shooting

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Enter topic text here.


proedition

Home topic »No topics above this level«

proedition

 This is the first topic This is the last topic Print this topic Feedback on: All-In-One Protector - proedition Proedition Your All-In-One Protector License > License Agreement / Dear Support Staff,

proedition

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

This feature is available only in the All-In-One Protector Premium Plus Edition.


reactivation

Home topic »No topics above this level«

reactivation

 This is the first topic This is the last topic Print this topic Feedback on: All-In-One Protector - reactivation Reactivation Your All-In-One Protector License > License Agreement / Dear Support Staff,

reactivation

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

If this option is selected, a reinstallation on the same PC is not possible.


selecthardwareid

Home topic »No topics above this level«

selecthardwareid

 This is the first topic This is the last topic Print this topic Feedback on: All-In-One Protector - selecthardwareid Selecthardwareid Your All-In-One Protector License > License Agreement / Dear Support Staff,

selecthardwareid

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Copy Protection

In the picklist select type of copy protection (Volume ID, MAC Address, Hostname etc.) you want to use.

For single user installations or CD distribution, the hardware ID 13 (Windows ID) is recommended. For network installations use installation code 5 (Volume ID + UNC Path) or 6 (MAC Address + UNC Path). If the user installs the product on an own usb flash drive the code 11 is required.

Installation Code

Enter the Hardware ID (8 digit ID) which is transmitted from the customer. It is case sensitive.

If a hardware ID can not be retrieved (e.g. there is no network adapter) then the code is empty. You have to use a different installation code then.


Show License Information

Home topic »No topics above this level«

Show License Information

 This is the first topic This is the last topic Print this topic Feedback on: All-In-One Protector - Show License Information Show_License_Information (In Konflikt stehende Kopie von MAC-Office2 2011-12-05) Your All-In-One Protector License > License Agreement / Dear Support Staff,

Show License Information

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

This opens the Licence Viewer to display your license for All-In-One Protector.

Additional details about your Licence, Demoversion and Licence Agreement can be found in the chapter Your All-In-One Protector License.

To apply an Activation Key(like key for update subscription) see Apply Activation Key.


Start Screen

Home topic »No topics above this level«

Start Screen

 This is the first topic This is the last topic Print this topic Feedback on: All-In-One Protector - Start Screen Start_Screen Your All-In-One Protector License > License Agreement / Dear Support Staff,

Start Screen

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Enter topic text here.


Start Screen

Home topic »No topics above this level«

Start Screen

 This is the first topic This is the last topic Print this topic Feedback on: All-In-One Protector - Start Screen Start_Screen_Main Your All-In-One Protector License > License Agreement / Dear Support Staff,

Start Screen

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Enter topic text here.


SWF Format

Home topic »No topics above this level«

SWF Format

 This is the first topic This is the last topic Print this topic Feedback on: All-In-One Protector - SWF Format SWF_Format Your All-In-One Protector License > License Agreement / Dear Support Staff,

SWF Format

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector comes with an own SWF player, which supports almost all SWF functions. There are practically no limitations on the file size.

·The file size per project (all SWF files together) can be up to 1 GB

·Files in SWF format play on all Computers always as the format is integrated in All-In-One Player

·Protection against video recording - the video cannot be captured using video capture tools - the unique All-In-One Protector Snapshot Protection

·The SWF file is protected against decompiling and is never visible on the harddisk while the SWF file is played

·All-In-One Player can be distributed for free

·Does not need any installation and does not require administrator rights

·Supports Flash 11

·The SWF application must be developed to run in a standard flash player. SWF applications, running only in a Browser, are not supported

·SWF applications, which invoke FLV files, are not supported. The FLV file must be encrypted separately.


UNC Pathname

Universal/Uniform Naming Convention. A UNC path describes the location of a volume, directory, or file.

The format for a UNC path is \\server\volume\directory\ and is not case-sensitive. For example:

\\Shared1_svr\Shared1\WGroups\Network\abc.lic

The UNC pathname is the absolute path of the licence file but it does not include the license file name.

Assume a situation where an application is installed several times on the same machine, but in different directories: The Volume ID or MAC address is identical on all installations and therefore the application may be used by too many users (3 installations with 20 licenses allow 60 users to work with your software, but you only sold 20 licences). With this installation code type including the UNC path the problem of several installations in different folders is eliminated.

Notice that the UNC Name of the directory is used, not the mapped drive-name like f:\myapp.


Video

Home topic »No topics above this level«

Video

 This is the first topic This is the last topic Print this topic Feedback on: All-In-One Protector - Video Video Your All-In-One Protector License > License Agreement / Dear Support Staff,

Video

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

All-In-One Protector comes with an own video / audio player, which is capable of playing all video formats, which are available on the end user system. There are practically no limitations on the file size.

·The file size per video can be up to 1GB

·Files in FLV format play on all computers always as the format is integrated in All-In-One Protector Video Player

·The file size per video project has no limitations

·Protection against video recording - the video cannot be captured using video capture tools (only Vista, Windows 7) - the unique All-In-One Protector Snapshot Protection

·A user can just click on a video to play it

·The video is streamed - only small parts of the video are loaded into the memory and the video plays instantly

·All-In-One Protector Video Player can be distributed for free

·Does not need any installation and does not require administrator rights

·conversion to the special All-In-One Protector video format with the extension .MPVIDEO (very fast - only seconds even for large videos)

·the video codec used must be installed on the end user system to play the video

·Files in FLV format require an installed flash version

Instruction: All-In-One Protector Video Player


Your All-In-One Protector License

All-In-One Protector

Your All-In-One Protector Licence

Home topic »No topics above this level«

Your All-In-One Protector Licence

 This is the first topic This is the last topic Print this topic Feedback on: All-In-One Protector - Your All-In-One Protector Licence Your_Multimedia_Edition_License (In Konflikt stehende Kopie von MAC-Office2 2011-12-05) Your All-In-One Protector License > License Agreement / Dear Support Staff,

Your All-In-One Protector Licence

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

The license is a license PER PC / COMPUTER. Copy Protection is turned on after activation. We recommend making a backup Serial Number you got.

·You have to activate the product before you can use it without the restrictions of the demo version - see How to activate All-In-One Protector

·Find out more about your license in the chapter - Display your Licence

·See Licence Agreement for details of usage.

See also

Demo version
Browse your License
Apply Activation Key
License Agreement